#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 16: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 47: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 28: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 86: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QColor
      switch(to) {
        case 7: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 8:   //QContextMenuEvent
      switch(to) {
        case 8: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 16:   //QFrame
      switch(to) {
        case 47: return (void*)(QWidget*)(QFrame*)xptr;
        case 28: return (void*)(QObject*)(QFrame*)xptr;
        case 16: return (void*)(QFrame*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 86: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 18:   //QHideEvent
      switch(to) {
        case 18: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QIODevice
      switch(to) {
        case 28: return (void*)(QObject*)(QIODevice*)xptr;
        case 19: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 20:   //QImage
      switch(to) {
        case 20: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 21:   //QInputMethodEvent
      switch(to) {
        case 21: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QKeyEvent
      switch(to) {
        case 22: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QMenu
      switch(to) {
        case 23: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QMouseEvent
      switch(to) {
        case 26: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QMoveEvent
      switch(to) {
        case 27: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QObject
      switch(to) {
        case 28: return (void*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 48: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 53: return (void*)(QsciLexer*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 86: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 84: return (void*)(QsciMacro*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 29:   //QPaintEngine
      switch(to) {
        case 29: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEvent
      switch(to) {
        case 30: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QPainter
      switch(to) {
        case 31: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 32:   //QPalette
      switch(to) {
        case 32: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 33:   //QPixmap
      switch(to) {
        case 33: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 34:   //QPoint
      switch(to) {
        case 34: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 35:   //QPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 36:   //QRect
      switch(to) {
        case 36: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 37:   //QRegExp
      switch(to) {
        case 37: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 38:   //QResizeEvent
      switch(to) {
        case 38: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QSettings
      switch(to) {
        case 39: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 40:   //QShowEvent
      switch(to) {
        case 40: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QSize
      switch(to) {
        case 41: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 42:   //QStyle
      switch(to) {
        case 42: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 43:   //QTabletEvent
      switch(to) {
        case 43: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QTimerEvent
      switch(to) {
        case 44: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QVariant
      switch(to) {
        case 45: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 46:   //QWheelEvent
      switch(to) {
        case 46: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QWidget
      switch(to) {
        case 28: return (void*)(QObject*)(QWidget*)xptr;
        case 47: return (void*)(QWidget*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 86: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 48:   //QsciAPIs
      switch(to) {
        case 49: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 28: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 49:   //QsciAbstractAPIs
      switch(to) {
        case 28: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 50:   //QsciCommand
      switch(to) {
        case 50: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 51:   //QsciCommandSet
      switch(to) {
        case 51: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 52:   //QsciDocument
      switch(to) {
        case 52: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexer
      switch(to) {
        case 28: return (void*)(QObject*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerBash
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 54: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerBatch
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 55: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCMake
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 56: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCPP
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 57: return (void*)(QsciLexerCPP*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerCSS
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 58: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerCSharp
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerCustom
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 60: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerD
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 61: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerDiff
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 62: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerFortran
      switch(to) {
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 63: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerFortran77
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerHTML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 65: return (void*)(QsciLexerHTML*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerIDL
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 66: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerJava
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 67: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerJavaScript
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerLua
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 69: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerMakefile
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPOV
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 71: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerPascal
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 72: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerPerl
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 73: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerPostScript
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerProperties
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 75: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerPython
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 76: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerRuby
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 77: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerSQL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 78: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerTCL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 79: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerTeX
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 80: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 81:   //QsciLexerVHDL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 82:   //QsciLexerXML
      switch(to) {
        case 65: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 82: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 83:   //QsciLexerYAML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 83: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 84:   //QsciMacro
      switch(to) {
        case 28: return (void*)(QObject*)(QsciMacro*)xptr;
        case 84: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 85:   //QsciPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 86:   //QsciScintilla
      switch(to) {
        case 87: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 28: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 86: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 87:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 28: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 87: return (void*)(QsciScintillaBase*)xptr;
        case 86: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 88:   //QsciStyle
      switch(to) {
        case 88: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 89:   //QsciStyledText
      switch(to) {
        case 89: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: QsciAbstractAPIs
    28, 0,	// 3: QObject
    53, 0,	// 5: QsciLexer
    57, 0,	// 7: QsciLexerCPP
    64, 0,	// 9: QsciLexerFortran77
    65, 0,	// 11: QsciLexerHTML
    35, 0,	// 13: QPrinter
    87, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciCommand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QColor", true, 0, 0, 0, 0, 0 },	//7
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QFrame", true, 0, 0, 0, 0, 0 },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//19
    { "QImage", true, 0, 0, 0, 0, 0 },	//20
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QMenu", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QObject", true, 0, 0, 0, 0, 0 },	//28
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QPainter", true, 0, 0, 0, 0, 0 },	//31
    { "QPalette", true, 0, 0, 0, 0, 0 },	//32
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//33
    { "QPoint", true, 0, 0, 0, 0, 0 },	//34
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//35
    { "QRect", true, 0, 0, 0, 0, 0 },	//36
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//37
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QSettings", true, 0, 0, 0, 0, 0 },	//39
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QSize", true, 0, 0, 0, 0, 0 },	//41
    { "QStyle", true, 0, 0, 0, 0, 0 },	//42
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QVariant", true, 0, 0, 0, 0, 0 },	//45
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QWidget", true, 0, 0, 0, 0, 0 },	//47
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//48
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//49
    { "QsciCommand", false, 0, xcall_QsciCommand, xenum_QsciCommand, 0, sizeof(QsciCommand) },	//50
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//51
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//52
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//53
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//54
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//55
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//56
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//57
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//58
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//59
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//60
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//61
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//62
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//63
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//64
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//65
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//66
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//67
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//68
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//69
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//70
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//71
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//72
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//73
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//74
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//75
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//76
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//77
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//78
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//79
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//80
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//81
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//82
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//83
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//84
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//85
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//86
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//87
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//88
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//89
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QColor", 7, Smoke::t_class|Smoke::tf_stack },	//6
    { "QContextMenuEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QFont", 15, Smoke::t_class|Smoke::tf_stack },	//14
    { "QHideEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QIODevice*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QInputMethodEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QKeyEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//21
    { "QMenu*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QMouseEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QMoveEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QPaintEngine*", 29, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPaintEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QPainter&", 31, Smoke::t_class|Smoke::tf_ref },	//31
    { "QPainter*", 31, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QPrinter::PrinterMode", 35, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QRect&", 36, Smoke::t_class|Smoke::tf_ref },	//34
    { "QRegExp&", 37, Smoke::t_class|Smoke::tf_ref },	//35
    { "QResizeEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QSettings&", 39, Smoke::t_class|Smoke::tf_ref },	//37
    { "QShowEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QSize", 41, Smoke::t_class|Smoke::tf_stack },	//39
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//42
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//43
    { "QStyle&", 42, Smoke::t_class|Smoke::tf_ref },	//44
    { "QTabletEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QTimerEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QVariant", 45, Smoke::t_class|Smoke::tf_stack },	//47
    { "QWheelEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QWidget*", 47, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QsciAPIs*", 48, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QsciAbstractAPIs*", 49, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciCommand*", 50, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciCommand::Command", 50, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QsciCommandSet*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciDocument", 52, Smoke::t_class|Smoke::tf_stack },	//55
    { "QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref },	//56
    { "QsciDocument*", 52, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexer*", 53, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerBash*", 54, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerBatch*", 55, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerCMake*", 56, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerCPP*", 57, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerCSS*", 58, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerCSharp*", 59, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerCustom*", 60, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerD*", 61, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerDiff*", 62, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerFortran*", 63, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerFortran77*", 64, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerHTML*", 65, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerIDL*", 66, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerJava*", 67, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerJavaScript*", 68, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerLua*", 69, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerMakefile*", 70, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPOV*", 71, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerPascal*", 72, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciLexerPerl*", 73, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerPostScript*", 74, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerProperties*", 75, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerPython*", 76, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerPython::IndentationWarning", 76, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QsciLexerRuby*", 77, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciLexerSQL*", 78, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciLexerTCL*", 79, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciLexerTeX*", 80, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciLexerVHDL*", 81, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciLexerXML*", 82, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QsciLexerYAML*", 83, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QsciMacro*", 84, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QsciPrinter*", 85, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QsciScintilla*", 86, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QsciScintilla::AnnotationDisplay", 86, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::AutoCompletionSource", 86, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::AutoCompletionUseSingle", 86, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::BraceMatch", 86, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::CallTipsPosition", 86, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::CallTipsStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::EdgeMode", 86, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::EolMode", 86, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintilla::FoldStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QsciScintilla::IndentState", 86, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QsciScintilla::IndicatorStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QsciScintilla::MarginType", 86, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QsciScintilla::MarkerSymbol", 86, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QsciScintilla::WhitespaceVisibility", 86, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QsciScintilla::WrapIndentMode", 86, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QsciScintilla::WrapMode", 86, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QsciScintilla::WrapVisualFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QsciScintillaBase*", 87, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QsciStyle*", 88, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QsciStyle::TextCase", 88, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QsciStyledText", 89, Smoke::t_class|Smoke::tf_stack },	//113
    { "QsciStyledText*", 89, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//155
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//188
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//189
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//190
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//191
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//192
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//193
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QColor&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QImage&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//201
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//202
    { "const QPalette&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QPixmap&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QPoint&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QRect&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QRegExp&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//210
    { "const QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QsciStyle&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QsciStyledText&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//214
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//216
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//217
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//218
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//219
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//220
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//221
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//222
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//223
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//224
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    12, 0,	//1  QEvent*
    48, 0,	//3  QWheelEvent*
    27, 12, 0,	//5  QObject*, QEvent*
    46, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    214, 0,	//12  const char*
    28, 0,	//14  QPaintDevice::PaintDeviceMetric
    190, 0,	//16  bool
    216, 0,	//18  int
    18, 0,	//20  QKeyEvent*
    26, 0,	//22  QMoveEvent*
    5, 0,	//24  QCloseEvent*
    45, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    38, 0,	//30  QShowEvent*
    15, 0,	//32  QHideEvent*
    189, 0,	//34  _XEvent*
    149, 0,	//36  Qt::InputMethodQuery
    44, 0,	//38  QStyle&
    203, 0,	//40  const QPalette&
    196, 0,	//42  const QFont&
    214, 214, 0,	//44  const char*, const char*
    214, 214, 216, 0,	//47  const char*, const char*, int
    23, 216, 223, 0,	//51  QMetaObject::Call, int, void**
    58, 0,	//55  QsciLexer*
    208, 0,	//57  const QString&
    209, 42, 0,	//59  const QStringList&, QStringList&
    209, 216, 98, 21, 0,	//62  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    37, 214, 0,	//67  QSettings&, const char*
    53, 0,	//70  QsciCommand::Command
    37, 0,	//72  QSettings&
    211, 0,	//74  const QsciDocument&
    27, 0,	//76  QObject*
    218, 0,	//78  int*
    51, 0,	//80  QsciAbstractAPIs*
    195, 0,	//82  const QColor&
    92, 0,	//84  QsciScintilla*
    195, 216, 0,	//86  const QColor&, int
    190, 216, 0,	//89  bool, int
    196, 216, 0,	//92  const QFont&, int
    37, 208, 0,	//95  QSettings&, const QString&
    27, 190, 0,	//98  QObject*, bool
    216, 216, 0,	//101  int, int
    216, 212, 0,	//104  int, const QsciStyle&
    82, 0,	//107  QsciLexerPython::IndentationWarning
    208, 92, 0,	//109  const QString&, QsciScintilla*
    33, 0,	//112  QPrinter::PrinterMode
    31, 190, 34, 216, 0,	//114  QPainter&, bool, QRect&, int
    110, 216, 216, 0,	//119  QsciScintillaBase*, int, int
    108, 0,	//123  QsciScintilla::WrapMode
    110, 0,	//125  QsciScintillaBase*
    110, 216, 0,	//127  QsciScintillaBase*, int
    49, 0,	//130  QWidget*
    216, 217, 217, 0,	//132  int, int&, int&
    216, 208, 216, 0,	//136  int, const QString&, int
    216, 208, 212, 0,	//140  int, const QString&, const QsciStyle&
    216, 213, 0,	//144  int, const QsciStyledText&
    216, 198, 0,	//147  int, const QList<QsciStyledText>&
    216, 216, 216, 216, 216, 0,	//150  int, int, int, int, int
    100, 0,	//156  QsciScintilla::EolMode
    208, 190, 190, 190, 190, 190, 216, 216, 190, 190, 0,	//158  const QString&, bool, bool, bool, bool, bool, int, int, bool, bool
    208, 190, 190, 190, 190, 190, 190, 0,	//169  const QString&, bool, bool, bool, bool, bool, bool
    218, 218, 0,	//177  int*, int*
    218, 218, 218, 218, 0,	//180  int*, int*, int*, int*
    103, 216, 0,	//185  QsciScintilla::IndicatorStyle, int
    192, 0,	//188  char
    205, 0,	//190  const QPoint&
    216, 218, 218, 0,	//192  int, int*, int*
    105, 216, 0,	//196  QsciScintilla::MarkerSymbol, int
    192, 216, 0,	//199  char, int
    204, 216, 0,	//202  const QPixmap&, int
    197, 216, 0,	//205  const QImage&, int
    216, 220, 0,	//208  int, unsigned int
    16, 0,	//211  QIODevice*
    216, 204, 0,	//213  int, const QPixmap&
    216, 197, 0,	//216  int, const QImage&
    195, 195, 0,	//219  const QColor&, const QColor&
    93, 0,	//222  QsciScintilla::AnnotationDisplay
    209, 0,	//224  const QStringList&
    97, 0,	//226  QsciScintilla::CallTipsPosition
    98, 0,	//228  QsciScintilla::CallTipsStyle
    199, 0,	//230  const QList<int>&
    99, 0,	//232  QsciScintilla::EdgeMode
    216, 104, 0,	//234  int, QsciScintilla::MarginType
    109, 109, 216, 0,	//237  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    107, 0,	//241  QsciScintilla::WrapIndentMode
    216, 209, 0,	//243  int, const QStringList&
    208, 216, 216, 0,	//246  const QString&, int, int
    94, 0,	//250  QsciScintilla::AutoCompletionSource
    95, 0,	//252  QsciScintilla::AutoCompletionUseSingle
    96, 0,	//254  QsciScintilla::BraceMatch
    101, 216, 0,	//256  QsciScintilla::FoldStyle, int
    216, 190, 0,	//259  int, bool
    216, 208, 0,	//262  int, const QString&
    216, 216, 216, 216, 0,	//265  int, int, int, int
    106, 0,	//270  QsciScintilla::WhitespaceVisibility
    216, 216, 155, 0,	//272  int, int, Qt::KeyboardModifiers
    7, 0,	//276  QContextMenuEvent*
    208, 190, 190, 190, 190, 0,	//278  const QString&, bool, bool, bool, bool
    208, 190, 190, 190, 190, 190, 0,	//284  const QString&, bool, bool, bool, bool, bool
    208, 190, 190, 190, 190, 190, 216, 0,	//291  const QString&, bool, bool, bool, bool, bool, int
    208, 190, 190, 190, 190, 190, 216, 216, 0,	//299  const QString&, bool, bool, bool, bool, bool, int, int
    208, 190, 190, 190, 190, 190, 216, 216, 190, 0,	//308  const QString&, bool, bool, bool, bool, bool, int, int, bool
    208, 190, 190, 190, 0,	//318  const QString&, bool, bool, bool
    103, 0,	//323  QsciScintilla::IndicatorStyle
    105, 0,	//325  QsciScintilla::MarkerSymbol
    204, 0,	//327  const QPixmap&
    197, 0,	//329  const QImage&
    109, 0,	//331  QsciScintilla::WrapVisualFlag
    109, 109, 0,	//333  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    101, 0,	//336  QsciScintilla::FoldStyle
    220, 221, 219, 0,	//338  unsigned int, unsigned long, long
    220, 221, 222, 0,	//342  unsigned int, unsigned long, void*
    220, 221, 214, 0,	//346  unsigned int, unsigned long, const char*
    220, 214, 0,	//350  unsigned int, const char*
    220, 214, 214, 0,	//353  unsigned int, const char*, const char*
    220, 219, 0,	//357  unsigned int, long
    220, 216, 0,	//360  unsigned int, int
    220, 219, 219, 193, 0,	//363  unsigned int, long, long, char*
    220, 221, 195, 0,	//368  unsigned int, unsigned long, const QColor&
    220, 195, 0,	//372  unsigned int, const QColor&
    220, 221, 32, 206, 219, 219, 0,	//375  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    220, 221, 204, 0,	//382  unsigned int, unsigned long, const QPixmap&
    220, 221, 197, 0,	//386  unsigned int, unsigned long, const QImage&
    220, 0,	//390  unsigned int
    214, 216, 0,	//392  const char*, int
    216, 216, 216, 0,	//395  int, int, int
    216, 216, 214, 216, 216, 216, 216, 216, 216, 216, 0,	//399  int, int, const char*, int, int, int, int, int, int, int
    202, 0,	//410  const QMimeData*
    202, 191, 0,	//412  const QMimeData*, bool&
    194, 190, 0,	//415  const QByteArray&, bool
    8, 0,	//418  QDragEnterEvent*
    9, 0,	//420  QDragLeaveEvent*
    10, 0,	//422  QDragMoveEvent*
    11, 0,	//424  QDropEvent*
    13, 0,	//426  QFocusEvent*
    17, 0,	//428  QInputMethodEvent*
    25, 0,	//430  QMouseEvent*
    30, 0,	//432  QPaintEvent*
    36, 0,	//434  QResizeEvent*
    220, 221, 0,	//436  unsigned int, unsigned long
    216, 208, 195, 195, 196, 190, 0,	//439  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    112, 0,	//446  QsciStyle::TextCase
    212, 0,	//448  const QsciStyle&
    216, 208, 195, 195, 196, 0,	//450  int, const QString&, const QColor&, const QColor&, const QFont&
    208, 216, 0,	//456  const QString&, int
    208, 212, 0,	//459  const QString&, const QsciStyle&
    213, 0,	//462  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AcusAlways",	//54
    "AcusExplicit",	//55
    "AcusNever",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationStandard",	//60
    "Array",	//61
    "ArrayParenthesis",	//62
    "Asm",	//63
    "Assignment",	//64
    "AtRule",	//65
    "Attribute",	//66
    "Auto",	//67
    "B0",	//68
    "B1",	//69
    "B10",	//70
    "B2",	//71
    "B3",	//72
    "B4",	//73
    "B5",	//74
    "B6",	//75
    "B7",	//76
    "B8",	//77
    "B9",	//78
    "Background",	//79
    "BackquoteString",	//80
    "Backtab",	//81
    "BacktickHereDocument",	//82
    "BacktickHereDocumentVar",	//83
    "Backticks",	//84
    "BackticksVar",	//85
    "BadDirective",	//86
    "BadStringCharacter",	//87
    "Base85String",	//88
    "BasicFunctions",	//89
    "BlockForeach",	//90
    "BlockIf",	//91
    "BlockMacro",	//92
    "BlockWhile",	//93
    "BottomLeftCorner",	//94
    "Box",	//95
    "BoxIndicator",	//96
    "BoxedFoldStyle",	//97
    "BoxedMinus",	//98
    "BoxedMinusConnected",	//99
    "BoxedPlus",	//100
    "BoxedPlusConnected",	//101
    "BoxedTreeFoldStyle",	//102
    "C5E",	//103
    "CDATA",	//104
    "CSS1Property",	//105
    "CSS2Property",	//106
    "CSS3Property",	//107
    "CallTipsAboveText",	//108
    "CallTipsBelowText",	//109
    "CallTipsContext",	//110
    "CallTipsNoAutoCompletionContext",	//111
    "CallTipsNoContext",	//112
    "CallTipsNone",	//113
    "Cancel",	//114
    "Cassette",	//115
    "CharLeft",	//116
    "CharLeftExtend",	//117
    "CharLeftRectExtend",	//118
    "CharRight",	//119
    "CharRightExtend",	//120
    "CharRightRectExtend",	//121
    "Character",	//122
    "Cicero",	//123
    "Circle",	//124
    "CircledFoldStyle",	//125
    "CircledMinus",	//126
    "CircledMinusConnected",	//127
    "CircledPlus",	//128
    "CircledPlusConnected",	//129
    "CircledTreeFoldStyle",	//130
    "ClassName",	//131
    "ClassSelector",	//132
    "ClassVariable",	//133
    "Color",	//134
    "Comm10E",	//135
    "Command",	//136
    "Comment",	//137
    "CommentBlock",	//138
    "CommentBox",	//139
    "CommentDoc",	//140
    "CommentDocKeyword",	//141
    "CommentDocKeywordError",	//142
    "CommentLine",	//143
    "CommentLineDoc",	//144
    "CommentLineHash",	//145
    "CommentNested",	//146
    "CommentParenthesis",	//147
    "Continuation",	//148
    "CoroutinesIOSystemFacilities",	//149
    "CurrentPage",	//150
    "Custom",	//151
    "DLE",	//152
    "DSCComment",	//153
    "DSCCommentValue",	//154
    "DashesIndicator",	//155
    "DataSection",	//156
    "Decorator",	//157
    "Default",	//158
    "DefaultValue",	//159
    "Delete",	//160
    "DeleteBack",	//161
    "DeleteBackNotLine",	//162
    "DeleteLineLeft",	//163
    "DeleteLineRight",	//164
    "DeleteWordLeft",	//165
    "DeleteWordRight",	//166
    "DeleteWordRightEnd",	//167
    "DemotedKeyword",	//168
    "DevicePixel",	//169
    "DiagonalIndicator",	//170
    "DictionaryParenthesis",	//171
    "Didot",	//172
    "Directive",	//173
    "DocumentDelimiter",	//174
    "DocumentEnd",	//175
    "DocumentEndExtend",	//176
    "DocumentStart",	//177
    "DocumentStartExtend",	//178
    "DotBoxIndicator",	//179
    "DotsIndicator",	//180
    "DottedOperator",	//181
    "DoubleQuotedHereDocument",	//182
    "DoubleQuotedHereDocumentVar",	//183
    "DoubleQuotedString",	//184
    "DoubleQuotedStringVar",	//185
    "DownTriangle",	//186
    "DrawChildren",	//187
    "DrawWindowBackground",	//188
    "DuplexAuto",	//189
    "DuplexLongSide",	//190
    "DuplexNone",	//191
    "DuplexShortSide",	//192
    "EdgeBackground",	//193
    "EdgeLine",	//194
    "EdgeNone",	//195
    "EditToggleOvertype",	//196
    "Entity",	//197
    "Envelope",	//198
    "EnvelopeManual",	//199
    "EolMac",	//200
    "EolUnix",	//201
    "EolWindows",	//202
    "Error",	//203
    "Executive",	//204
    "ExpandKeyword",	//205
    "ExtendedCSSProperty",	//206
    "ExtendedFunction",	//207
    "ExtendedPseudoClass",	//208
    "ExtendedPseudoElement",	//209
    "ExternalCommand",	//210
    "FirstPageFirst",	//211
    "Folio",	//212
    "FormSource",	//213
    "FormatBody",	//214
    "FormatIdentifier",	//215
    "Formfeed",	//216
    "FullRectangle",	//217
    "Function",	//218
    "FunctionMethodName",	//219
    "Global",	//220
    "GlobalClass",	//221
    "GrayScale",	//222
    "Group",	//223
    "HLine",	//224
    "HSSLanguage",	//225
    "HTMLComment",	//226
    "HTMLDoubleQuotedString",	//227
    "HTMLNumber",	//228
    "HTMLSingleQuotedString",	//229
    "HTMLValue",	//230
    "Hash",	//231
    "HashQuotedString",	//232
    "Header",	//233
    "HereDocument",	//234
    "HereDocumentDelimiter",	//235
    "HexNumber",	//236
    "HexString",	//237
    "HiddenIndicator",	//238
    "HideCommandChar",	//239
    "HighResolution",	//240
    "HighlightedIdentifier",	//241
    "Home",	//242
    "HomeDisplay",	//243
    "HomeDisplayExtend",	//244
    "HomeExtend",	//245
    "HomeRectExtend",	//246
    "HomeWrap",	//247
    "HomeWrapExtend",	//248
    "IDSelector",	//249
    "ITCLKeyword",	//250
    "Identifier",	//251
    "Idle",	//252
    "IgnoreMask",	//253
    "ImmediateEvalLiteral",	//254
    "Important",	//255
    "InactiveComment",	//256
    "InactiveCommentDoc",	//257
    "InactiveCommentDocKeyword",	//258
    "InactiveCommentDocKeywordError",	//259
    "InactiveCommentLine",	//260
    "InactiveCommentLineDoc",	//261
    "InactiveDefault",	//262
    "InactiveDoubleQuotedString",	//263
    "InactiveGlobalClass",	//264
    "InactiveHashQuotedString",	//265
    "InactiveIdentifier",	//266
    "InactiveKeyword",	//267
    "InactiveKeywordSet2",	//268
    "InactiveNumber",	//269
    "InactiveOperator",	//270
    "InactivePreProcessor",	//271
    "InactivePreProcessorComment",	//272
    "InactiveRawString",	//273
    "InactiveRegex",	//274
    "InactiveSingleQuotedString",	//275
    "InactiveTripleQuotedVerbatimString",	//276
    "InactiveUUID",	//277
    "InactiveUnclosedString",	//278
    "InactiveVerbatimString",	//279
    "Inch",	//280
    "Inconsistent",	//281
    "InstanceVariable",	//282
    "IntrinsicFunction",	//283
    "Invisible",	//284
    "JavaScriptComment",	//285
    "JavaScriptCommentDoc",	//286
    "JavaScriptCommentLine",	//287
    "JavaScriptDefault",	//288
    "JavaScriptDoubleQuotedString",	//289
    "JavaScriptKeyword",	//290
    "JavaScriptNumber",	//291
    "JavaScriptRegex",	//292
    "JavaScriptSingleQuotedString",	//293
    "JavaScriptStart",	//294
    "JavaScriptSymbol",	//295
    "JavaScriptUnclosedString",	//296
    "JavaScriptWord",	//297
    "Key",	//298
    "Keyword",	//299
    "KeywordDoc",	//300
    "KeywordSecondary",	//301
    "KeywordSet2",	//302
    "KeywordSet3",	//303
    "KeywordSet5",	//304
    "KeywordSet6",	//305
    "KeywordSet7",	//306
    "KeywordSet8",	//307
    "KeywordSet9",	//308
    "Label",	//309
    "Landscape",	//310
    "LargeCapacity",	//311
    "LargeFormat",	//312
    "LastPageFirst",	//313
    "Ledger",	//314
    "LeftRectangle",	//315
    "LeftSideRoundedSplitter",	//316
    "LeftSideSplitter",	//317
    "Legal",	//318
    "LessLanguage",	//319
    "Letter",	//320
    "LineAdded",	//321
    "LineChanged",	//322
    "LineComment",	//323
    "LineCopy",	//324
    "LineCut",	//325
    "LineDelete",	//326
    "LineDown",	//327
    "LineDownExtend",	//328
    "LineDownRectExtend",	//329
    "LineDuplicate",	//330
    "LineEnd",	//331
    "LineEndDisplay",	//332
    "LineEndDisplayExtend",	//333
    "LineEndExtend",	//334
    "LineEndRectExtend",	//335
    "LineEndWrap",	//336
    "LineEndWrapExtend",	//337
    "LineRemoved",	//338
    "LineScrollDown",	//339
    "LineScrollUp",	//340
    "LineTranspose",	//341
    "LineUp",	//342
    "LineUpExtend",	//343
    "LineUpRectExtend",	//344
    "Literal",	//345
    "LiteralString",	//346
    "Lower",	//347
    "LowerCase",	//348
    "Manual",	//349
    "MaxPageSource",	//350
    "MediaRule",	//351
    "Middle",	//352
    "Millimeter",	//353
    "Minus",	//354
    "MoNone",	//355
    "MoSublineSelect",	//356
    "Modifier",	//357
    "ModuleName",	//358
    "MoveSelectedLinesDown",	//359
    "MoveSelectedLinesUp",	//360
    "NPageSize",	//361
    "NPaperSize",	//362
    "Name",	//363
    "NativeFormat",	//364
    "Newline",	//365
    "NoBraceMatch",	//366
    "NoFoldStyle",	//367
    "NoFrame",	//368
    "NoWarning",	//369
    "Number",	//370
    "NumberMargin",	//371
    "ObjectsCSGAppearance",	//372
    "OnlyOne",	//373
    "Operator",	//374
    "OriginalCase",	//375
    "OtherInTag",	//376
    "PHPComment",	//377
    "PHPCommentLine",	//378
    "PHPDefault",	//379
    "PHPDoubleQuotedString",	//380
    "PHPDoubleQuotedVariable",	//381
    "PHPKeyword",	//382
    "PHPNumber",	//383
    "PHPOperator",	//384
    "PHPSingleQuotedString",	//385
    "PHPStart",	//386
    "PHPVariable",	//387
    "POD",	//388
    "PODVerbatim",	//389
    "PageDown",	//390
    "PageDownExtend",	//391
    "PageDownRectExtend",	//392
    "PageRange",	//393
    "PageUp",	//394
    "PageUpExtend",	//395
    "PageUpRectExtend",	//396
    "Panel",	//397
    "ParaDown",	//398
    "ParaDownExtend",	//399
    "ParaUp",	//400
    "ParaUpExtend",	//401
    "ParameterExpansion",	//402
    "Paste",	//403
    "PdfFormat",	//404
    "PercentStringQ",	//405
    "PercentStringq",	//406
    "PercentStringr",	//407
    "PercentStringw",	//408
    "PercentStringx",	//409
    "Pica",	//410
    "Plain",	//411
    "PlainFoldStyle",	//412
    "PlainIndicator",	//413
    "Plus",	//414
    "PlusComment",	//415
    "PlusKeyword",	//416
    "PlusPrompt",	//417
    "Point",	//418
    "Portrait",	//419
    "Position",	//420
    "PostScriptFormat",	//421
    "PreProcessor",	//422
    "PreProcessorComment",	//423
    "PreProcessorParenthesis",	//424
    "PredefinedFunctions",	//425
    "PredefinedIdentifiers",	//426
    "Preprocessor",	//427
    "PrinterResolution",	//428
    "ProcedureParenthesis",	//429
    "PseudoClass",	//430
    "PseudoElement",	//431
    "PythonClassName",	//432
    "PythonComment",	//433
    "PythonDefault",	//434
    "PythonDoubleQuotedString",	//435
    "PythonFunctionMethodName",	//436
    "PythonIdentifier",	//437
    "PythonKeyword",	//438
    "PythonNumber",	//439
    "PythonOperator",	//440
    "PythonSingleQuotedString",	//441
    "PythonStart",	//442
    "PythonTripleDoubleQuotedString",	//443
    "PythonTripleSingleQuotedString",	//444
    "QSCN_SELCHANGED",	//445
    "QSCN_SELCHANGED$",	//446
    "Q_COMPLEX_TYPE",	//447
    "Q_DUMMY_TYPE",	//448
    "Q_MOVABLE_TYPE",	//449
    "Q_PRIMITIVE_TYPE",	//450
    "Q_STATIC_TYPE",	//451
    "QsciAPIs",	//452
    "QsciAPIs#",	//453
    "QsciAbstractAPIs",	//454
    "QsciAbstractAPIs#",	//455
    "QsciDocument",	//456
    "QsciDocument#",	//457
    "QsciLexer",	//458
    "QsciLexer#",	//459
    "QsciLexerBash",	//460
    "QsciLexerBash#",	//461
    "QsciLexerBatch",	//462
    "QsciLexerBatch#",	//463
    "QsciLexerCMake",	//464
    "QsciLexerCMake#",	//465
    "QsciLexerCPP",	//466
    "QsciLexerCPP#",	//467
    "QsciLexerCPP#$",	//468
    "QsciLexerCSS",	//469
    "QsciLexerCSS#",	//470
    "QsciLexerCSharp",	//471
    "QsciLexerCSharp#",	//472
    "QsciLexerCustom",	//473
    "QsciLexerCustom#",	//474
    "QsciLexerD",	//475
    "QsciLexerD#",	//476
    "QsciLexerDiff",	//477
    "QsciLexerDiff#",	//478
    "QsciLexerFortran",	//479
    "QsciLexerFortran#",	//480
    "QsciLexerFortran77",	//481
    "QsciLexerFortran77#",	//482
    "QsciLexerHTML",	//483
    "QsciLexerHTML#",	//484
    "QsciLexerIDL",	//485
    "QsciLexerIDL#",	//486
    "QsciLexerJava",	//487
    "QsciLexerJava#",	//488
    "QsciLexerJavaScript",	//489
    "QsciLexerJavaScript#",	//490
    "QsciLexerLua",	//491
    "QsciLexerLua#",	//492
    "QsciLexerMakefile",	//493
    "QsciLexerMakefile#",	//494
    "QsciLexerPOV",	//495
    "QsciLexerPOV#",	//496
    "QsciLexerPascal",	//497
    "QsciLexerPascal#",	//498
    "QsciLexerPerl",	//499
    "QsciLexerPerl#",	//500
    "QsciLexerPostScript",	//501
    "QsciLexerPostScript#",	//502
    "QsciLexerProperties",	//503
    "QsciLexerProperties#",	//504
    "QsciLexerPython",	//505
    "QsciLexerPython#",	//506
    "QsciLexerRuby",	//507
    "QsciLexerRuby#",	//508
    "QsciLexerSQL",	//509
    "QsciLexerSQL#",	//510
    "QsciLexerTCL",	//511
    "QsciLexerTCL#",	//512
    "QsciLexerTeX",	//513
    "QsciLexerTeX#",	//514
    "QsciLexerVHDL",	//515
    "QsciLexerVHDL#",	//516
    "QsciLexerXML",	//517
    "QsciLexerXML#",	//518
    "QsciLexerYAML",	//519
    "QsciLexerYAML#",	//520
    "QsciMacro",	//521
    "QsciMacro#",	//522
    "QsciMacro$#",	//523
    "QsciPrinter",	//524
    "QsciPrinter$",	//525
    "QsciScintilla",	//526
    "QsciScintilla#",	//527
    "QsciScintillaBase",	//528
    "QsciScintillaBase#",	//529
    "QsciStyle",	//530
    "QsciStyle#",	//531
    "QsciStyle$",	//532
    "QsciStyle$$###",	//533
    "QsciStyle$$###$",	//534
    "QsciStyledText",	//535
    "QsciStyledText#",	//536
    "QsciStyledText$#",	//537
    "QsciStyledText$$",	//538
    "QtCriticalMsg",	//539
    "QtDebugMsg",	//540
    "QtFatalMsg",	//541
    "QtSystemMsg",	//542
    "QtWarningMsg",	//543
    "QuotedIdentifier",	//544
    "QuotedKeyword",	//545
    "QuotedString",	//546
    "QuotedStringQ",	//547
    "QuotedStringQQ",	//548
    "QuotedStringQQVar",	//549
    "QuotedStringQR",	//550
    "QuotedStringQRVar",	//551
    "QuotedStringQW",	//552
    "QuotedStringQX",	//553
    "QuotedStringQXVar",	//554
    "Raised",	//555
    "RawString",	//556
    "Rectangle",	//557
    "Redo",	//558
    "Reference",	//559
    "Regex",	//560
    "RegexVar",	//561
    "RightArrow",	//562
    "RightTriangle",	//563
    "RoundBoxIndicator",	//564
    "RoundedBottomLeftCorner",	//565
    "SCEN_CHANGE",	//566
    "SCN_AUTOCCANCELLED",	//567
    "SCN_AUTOCCHARDELETED",	//568
    "SCN_AUTOCSELECTION",	//569
    "SCN_AUTOCSELECTION$$",	//570
    "SCN_CALLTIPCLICK",	//571
    "SCN_CALLTIPCLICK$",	//572
    "SCN_CHARADDED",	//573
    "SCN_CHARADDED$",	//574
    "SCN_DOUBLECLICK",	//575
    "SCN_DOUBLECLICK$$$",	//576
    "SCN_DWELLEND",	//577
    "SCN_DWELLEND$$$",	//578
    "SCN_DWELLSTART",	//579
    "SCN_DWELLSTART$$$",	//580
    "SCN_HOTSPOTCLICK",	//581
    "SCN_HOTSPOTCLICK$$",	//582
    "SCN_HOTSPOTDOUBLECLICK",	//583
    "SCN_HOTSPOTDOUBLECLICK$$",	//584
    "SCN_HOTSPOTRELEASECLICK",	//585
    "SCN_HOTSPOTRELEASECLICK$$",	//586
    "SCN_INDICATORCLICK",	//587
    "SCN_INDICATORCLICK$$",	//588
    "SCN_INDICATORRELEASE",	//589
    "SCN_INDICATORRELEASE$$",	//590
    "SCN_MACRORECORD",	//591
    "SCN_MACRORECORD$$$",	//592
    "SCN_MARGINCLICK",	//593
    "SCN_MARGINCLICK$$$",	//594
    "SCN_MODIFIED",	//595
    "SCN_MODIFIED$$$$$$$$$$",	//596
    "SCN_MODIFYATTEMPTRO",	//597
    "SCN_NEEDSHOWN",	//598
    "SCN_NEEDSHOWN$$",	//599
    "SCN_PAINTED",	//600
    "SCN_SAVEPOINTLEFT",	//601
    "SCN_SAVEPOINTREACHED",	//602
    "SCN_STYLENEEDED",	//603
    "SCN_STYLENEEDED$",	//604
    "SCN_UPDATEUI",	//605
    "SCN_UPDATEUI$",	//606
    "SCN_USERLISTSELECTION",	//607
    "SCN_USERLISTSELECTION$$",	//608
    "SCN_ZOOM",	//609
    "SCSSLanguage",	//610
    "SC_FONT_SIZE_MULTIPLIER",	//611
    "SGMLBlockDefault",	//612
    "SGMLCommand",	//613
    "SGMLComment",	//614
    "SGMLDefault",	//615
    "SGMLDoubleQuotedString",	//616
    "SGMLEntity",	//617
    "SGMLError",	//618
    "SGMLParameter",	//619
    "SGMLParameterComment",	//620
    "SGMLSingleQuotedString",	//621
    "SGMLSpecial",	//622
    "Scalar",	//623
    "ScreenResolution",	//624
    "Script",	//625
    "ScrollToEnd",	//626
    "ScrollToStart",	//627
    "Section",	//628
    "SelectAll",	//629
    "Selection",	//630
    "SelectionCopy",	//631
    "SelectionCut",	//632
    "SelectionDuplicate",	//633
    "SelectionLowerCase",	//634
    "SelectionUpperCase",	//635
    "SendScintilla",	//636
    "SendScintilla$",	//637
    "SendScintilla$#",	//638
    "SendScintilla$$",	//639
    "SendScintilla$$#",	//640
    "SendScintilla$$##$$",	//641
    "SendScintilla$$$",	//642
    "SendScintilla$$$$",	//643
    "SendScintillaPtrResult",	//644
    "SendScintillaPtrResult$",	//645
    "Shadow_Mask",	//646
    "Shape_Mask",	//647
    "SingleQuotedHereDocument",	//648
    "SingleQuotedString",	//649
    "SloppyBraceMatch",	//650
    "SmallFormat",	//651
    "SmallRectangle",	//652
    "Spaces",	//653
    "Special",	//654
    "SquiggleIndicator",	//655
    "SquiggleLowIndicator",	//656
    "SquigglePixmapIndicator",	//657
    "StandardFunction",	//658
    "StandardOperator",	//659
    "StandardPackage",	//660
    "StandardType",	//661
    "Stderr",	//662
    "Stdin",	//663
    "Stdout",	//664
    "StraightBoxIndicator",	//665
    "StrictBraceMatch",	//666
    "StrikeIndicator",	//667
    "String",	//668
    "StringLeftQuote",	//669
    "StringRightQuote",	//670
    "StringTableMathsFunctions",	//671
    "StringVariable",	//672
    "StutteredPageDown",	//673
    "StutteredPageDownExtend",	//674
    "StutteredPageUp",	//675
    "StutteredPageUpExtend",	//676
    "StyledPanel",	//677
    "SubroutinePrototype",	//678
    "Substitution",	//679
    "SubstitutionBrace",	//680
    "SubstitutionVar",	//681
    "Sunken",	//682
    "Symbol",	//683
    "SymbolMargin",	//684
    "SymbolMarginDefaultBackgroundColor",	//685
    "SymbolMarginDefaultForegroundColor",	//686
    "SymbolTable",	//687
    "SyntaxErrorMarker",	//688
    "TCLKeyword",	//689
    "TTIndicator",	//690
    "Tab",	//691
    "Tabloid",	//692
    "Tabs",	//693
    "TabsAfterSpaces",	//694
    "Tag",	//695
    "Target",	//696
    "Text",	//697
    "TextBlockMarker",	//698
    "TextMargin",	//699
    "TextMarginRightJustified",	//700
    "ThreeDots",	//701
    "ThreeRightArrows",	//702
    "TkCommand",	//703
    "TkKeyword",	//704
    "Tractor",	//705
    "Translation",	//706
    "TripleDoubleQuotedString",	//707
    "TripleQuotedVerbatimString",	//708
    "TripleSingleQuotedString",	//709
    "Typedefs",	//710
    "TypesModifiersItems",	//711
    "UUID",	//712
    "UnclosedString",	//713
    "Underline",	//714
    "Undo",	//715
    "UnknownAttribute",	//716
    "UnknownProperty",	//717
    "UnknownPseudoClass",	//718
    "UnknownTag",	//719
    "UpperCase",	//720
    "VBScriptComment",	//721
    "VBScriptDefault",	//722
    "VBScriptIdentifier",	//723
    "VBScriptKeyword",	//724
    "VBScriptNumber",	//725
    "VBScriptStart",	//726
    "VBScriptString",	//727
    "VBScriptUnclosedString",	//728
    "VCHome",	//729
    "VCHomeExtend",	//730
    "VCHomeRectExtend",	//731
    "VCHomeWrap",	//732
    "VCHomeWrapExtend",	//733
    "VLine",	//734
    "Value",	//735
    "Variable",	//736
    "VerbatimString",	//737
    "VerticalCentreCaret",	//738
    "VerticalLine",	//739
    "WinPanel",	//740
    "WordLeft",	//741
    "WordLeftEnd",	//742
    "WordLeftEndExtend",	//743
    "WordLeftExtend",	//744
    "WordPartLeft",	//745
    "WordPartLeftExtend",	//746
    "WordPartRight",	//747
    "WordPartRightExtend",	//748
    "WordRight",	//749
    "WordRightEnd",	//750
    "WordRightEndExtend",	//751
    "WordRightExtend",	//752
    "WrapCharacter",	//753
    "WrapFlagByBorder",	//754
    "WrapFlagByText",	//755
    "WrapFlagInMargin",	//756
    "WrapFlagNone",	//757
    "WrapIndentFixed",	//758
    "WrapIndentIndented",	//759
    "WrapIndentSame",	//760
    "WrapNone",	//761
    "WrapWord",	//762
    "WsInvisible",	//763
    "WsVisible",	//764
    "WsVisibleAfterIndent",	//765
    "XMLEnd",	//766
    "XMLStart",	//767
    "XMLTagEnd",	//768
    "ZoomIn",	//769
    "ZoomOut",	//770
    "actionEvent",	//771
    "add",	//772
    "add$",	//773
    "alternateKey",	//774
    "annotate",	//775
    "annotate$#",	//776
    "annotate$$#",	//777
    "annotate$$$",	//778
    "annotate$?",	//779
    "annotation",	//780
    "annotation$",	//781
    "annotationDisplay",	//782
    "apiContext",	//783
    "apiContext$$$",	//784
    "apiPreparationCancelled",	//785
    "apiPreparationFinished",	//786
    "apiPreparationStarted",	//787
    "apis",	//788
    "append",	//789
    "append$",	//790
    "apply",	//791
    "apply#",	//792
    "autoCompleteFromAPIs",	//793
    "autoCompleteFromAll",	//794
    "autoCompleteFromDocument",	//795
    "autoCompletionCaseSensitivity",	//796
    "autoCompletionFillups",	//797
    "autoCompletionFillupsEnabled",	//798
    "autoCompletionReplaceWord",	//799
    "autoCompletionSelected",	//800
    "autoCompletionSelected$",	//801
    "autoCompletionShowSingle",	//802
    "autoCompletionSource",	//803
    "autoCompletionThreshold",	//804
    "autoCompletionUseSingle",	//805
    "autoCompletionWordSeparators",	//806
    "autoIndent",	//807
    "autoIndentStyle",	//808
    "backslashEscapes",	//809
    "backspaceUnindents",	//810
    "beginUndoAction",	//811
    "blockEnd",	//812
    "blockEnd$",	//813
    "blockLookback",	//814
    "blockStart",	//815
    "blockStart$",	//816
    "blockStartKeyword",	//817
    "blockStartKeyword$",	//818
    "boundTo",	//819
    "boundTo$",	//820
    "braceMatching",	//821
    "braceStyle",	//822
    "callTip",	//823
    "callTips",	//824
    "callTips?$$?",	//825
    "callTipsPosition",	//826
    "callTipsStyle",	//827
    "callTipsVisible",	//828
    "canInsertFromMimeData",	//829
    "canInsertFromMimeData#",	//830
    "cancelList",	//831
    "cancelPreparation",	//832
    "caseSensitive",	//833
    "caseSensitiveTags",	//834
    "changeEvent",	//835
    "changeable",	//836
    "childEvent",	//837
    "clear",	//838
    "clearAlternateKeys",	//839
    "clearAnnotations",	//840
    "clearAnnotations$",	//841
    "clearFolds",	//842
    "clearIndicatorRange",	//843
    "clearIndicatorRange$$$$$",	//844
    "clearKeys",	//845
    "clearMarginText",	//846
    "clearMarginText$",	//847
    "clearRegisteredImages",	//848
    "closeEvent",	//849
    "color",	//850
    "color$",	//851
    "colorChanged",	//852
    "colorChanged#$",	//853
    "command",	//854
    "commands",	//855
    "connectNotify",	//856
    "contextMenuEvent",	//857
    "contextMenuEvent#",	//858
    "contractedFolds",	//859
    "convertEols",	//860
    "convertEols$",	//861
    "copy",	//862
    "copyAvailable",	//863
    "copyAvailable$",	//864
    "createStandardContextMenu",	//865
    "cursorPositionChanged",	//866
    "cursorPositionChanged$$",	//867
    "customEvent",	//868
    "cut",	//869
    "defaultColor",	//870
    "defaultColor$",	//871
    "defaultEolFill",	//872
    "defaultEolFill$",	//873
    "defaultFont",	//874
    "defaultFont$",	//875
    "defaultPaper",	//876
    "defaultPaper$",	//877
    "defaultPreparedName",	//878
    "defaultStyle",	//879
    "description",	//880
    "description$",	//881
    "devType",	//882
    "disconnectNotify",	//883
    "djangoTemplates",	//884
    "document",	//885
    "dollarsAllowed",	//886
    "dottedWords",	//887
    "dragEnterEvent",	//888
    "dragEnterEvent#",	//889
    "dragLeaveEvent",	//890
    "dragLeaveEvent#",	//891
    "dragMoveEvent",	//892
    "dragMoveEvent#",	//893
    "dropEvent",	//894
    "dropEvent#",	//895
    "edgeColor",	//896
    "edgeColumn",	//897
    "edgeMode",	//898
    "editor",	//899
    "enabledChange",	//900
    "endRecording",	//901
    "endUndoAction",	//902
    "ensureCursorVisible",	//903
    "ensureLineVisible",	//904
    "ensureLineVisible$",	//905
    "enterEvent",	//906
    "eolFill",	//907
    "eolFill$",	//908
    "eolFillChanged",	//909
    "eolFillChanged$$",	//910
    "eolMode",	//911
    "eolVisibility",	//912
    "event",	//913
    "event#",	//914
    "eventFilter",	//915
    "execute",	//916
    "extraAscent",	//917
    "extraDescent",	//918
    "fillIndicatorRange",	//919
    "fillIndicatorRange$$$$$",	//920
    "find",	//921
    "find$",	//922
    "findFirst",	//923
    "findFirst$$$$$",	//924
    "findFirst$$$$$$",	//925
    "findFirst$$$$$$$",	//926
    "findFirst$$$$$$$$",	//927
    "findFirst$$$$$$$$$",	//928
    "findFirst$$$$$$$$$$",	//929
    "findFirstInSelection",	//930
    "findFirstInSelection$$$$",	//931
    "findFirstInSelection$$$$$",	//932
    "findFirstInSelection$$$$$$",	//933
    "findFirstInSelection$$$$$$$",	//934
    "findNext",	//935
    "firstVisibleLine",	//936
    "focusInEvent",	//937
    "focusInEvent#",	//938
    "focusNextPrevChild",	//939
    "focusNextPrevChild$",	//940
    "focusOutEvent",	//941
    "focusOutEvent#",	//942
    "foldAll",	//943
    "foldAll$",	//944
    "foldAtBegin",	//945
    "foldAtElse",	//946
    "foldAtParenthesis",	//947
    "foldComments",	//948
    "foldCompact",	//949
    "foldDirectives",	//950
    "foldLine",	//951
    "foldLine$",	//952
    "foldOnlyBegin",	//953
    "foldPODBlocks",	//954
    "foldPackages",	//955
    "foldPreprocessor",	//956
    "foldQuotes",	//957
    "foldScriptComments",	//958
    "foldScriptHeredocs",	//959
    "folding",	//960
    "font",	//961
    "font$",	//962
    "fontChange",	//963
    "fontChanged",	//964
    "fontChanged#$",	//965
    "formatPage",	//966
    "formatPage#$#$",	//967
    "fromMimeData",	//968
    "fromMimeData#$",	//969
    "getCursorPosition",	//970
    "getCursorPosition$$",	//971
    "getSelection",	//972
    "getSelection$$$$",	//973
    "hasSelectedText",	//974
    "hashComments",	//975
    "heightForWidth",	//976
    "hideEvent",	//977
    "highlightHashQuotedStrings",	//978
    "highlightSubidentifiers",	//979
    "highlightTripleQuotedStrings",	//980
    "hotspot",	//981
    "indent",	//982
    "indent$",	//983
    "indentation",	//984
    "indentation$",	//985
    "indentationGuideView",	//986
    "indentationGuides",	//987
    "indentationWarning",	//988
    "indentationWidth",	//989
    "indentationsUseTabs",	//990
    "indicatorClicked",	//991
    "indicatorClicked$$$",	//992
    "indicatorDefine",	//993
    "indicatorDefine$",	//994
    "indicatorDefine$$",	//995
    "indicatorDrawUnder",	//996
    "indicatorDrawUnder$",	//997
    "indicatorReleased",	//998
    "indicatorReleased$$$",	//999
    "initialSpaces",	//1000
    "inputMethodEvent",	//1001
    "inputMethodEvent#",	//1002
    "inputMethodQuery",	//1003
    "insert",	//1004
    "insert$",	//1005
    "insertAt",	//1006
    "insertAt$$$",	//1007
    "installedAPIFiles",	//1008
    "isCallTipActive",	//1009
    "isListActive",	//1010
    "isModified",	//1011
    "isPrepared",	//1012
    "isPrepared$",	//1013
    "isReadOnly",	//1014
    "isRedoAvailable",	//1015
    "isUndoAvailable",	//1016
    "isUtf8",	//1017
    "isWordCharacter",	//1018
    "isWordCharacter$",	//1019
    "key",	//1020
    "keyPressEvent",	//1021
    "keyPressEvent#",	//1022
    "keyReleaseEvent",	//1023
    "keywords",	//1024
    "keywords$",	//1025
    "language",	//1026
    "languageChange",	//1027
    "leaveEvent",	//1028
    "length",	//1029
    "level",	//1030
    "lexer",	//1031
    "lexerId",	//1032
    "lineAt",	//1033
    "lineAt#",	//1034
    "lineIndexFromPosition",	//1035
    "lineIndexFromPosition$$$",	//1036
    "lineLength",	//1037
    "lineLength$",	//1038
    "lines",	//1039
    "linesChanged",	//1040
    "load",	//1041
    "load$",	//1042
    "loadPrepared",	//1043
    "loadPrepared$",	//1044
    "magnification",	//1045
    "makoTemplates",	//1046
    "marginClicked",	//1047
    "marginClicked$$$",	//1048
    "marginLineNumbers",	//1049
    "marginLineNumbers$",	//1050
    "marginMarkerMask",	//1051
    "marginMarkerMask$",	//1052
    "marginOptions",	//1053
    "marginSensitivity",	//1054
    "marginSensitivity$",	//1055
    "marginType",	//1056
    "marginType$",	//1057
    "marginWidth",	//1058
    "marginWidth$",	//1059
    "markerAdd",	//1060
    "markerAdd$$",	//1061
    "markerDefine",	//1062
    "markerDefine#",	//1063
    "markerDefine#$",	//1064
    "markerDefine$",	//1065
    "markerDefine$$",	//1066
    "markerDelete",	//1067
    "markerDelete$",	//1068
    "markerDelete$$",	//1069
    "markerDeleteAll",	//1070
    "markerDeleteAll$",	//1071
    "markerDeleteHandle",	//1072
    "markerDeleteHandle$",	//1073
    "markerFindNext",	//1074
    "markerFindNext$$",	//1075
    "markerFindPrevious",	//1076
    "markerFindPrevious$$",	//1077
    "markerLine",	//1078
    "markerLine$",	//1079
    "markersAtLine",	//1080
    "markersAtLine$",	//1081
    "metaObject",	//1082
    "metric",	//1083
    "minimumSizeHint",	//1084
    "modificationAttempted",	//1085
    "modificationChanged",	//1086
    "modificationChanged$",	//1087
    "mouseDoubleClickEvent",	//1088
    "mouseDoubleClickEvent#",	//1089
    "mouseMoveEvent",	//1090
    "mouseMoveEvent#",	//1091
    "mousePressEvent",	//1092
    "mousePressEvent#",	//1093
    "mouseReleaseEvent",	//1094
    "mouseReleaseEvent#",	//1095
    "moveEvent",	//1096
    "moveToMatchingBrace",	//1097
    "operator=",	//1098
    "operator=#",	//1099
    "overwriteMode",	//1100
    "paintEngine",	//1101
    "paintEvent",	//1102
    "paintEvent#",	//1103
    "paletteChange",	//1104
    "paper",	//1105
    "paper$",	//1106
    "paperChanged",	//1107
    "paperChanged#$",	//1108
    "paste",	//1109
    "play",	//1110
    "pool",	//1111
    "positionFromLineIndex",	//1112
    "positionFromLineIndex$$",	//1113
    "prepare",	//1114
    "printRange",	//1115
    "printRange#",	//1116
    "printRange#$",	//1117
    "printRange#$$",	//1118
    "processComments",	//1119
    "processIf",	//1120
    "propertyChanged",	//1121
    "propertyChanged$$",	//1122
    "qt_metacall",	//1123
    "qt_metacall$$?",	//1124
    "qt_metacast",	//1125
    "qt_metacast$",	//1126
    "quotedIdentifiers",	//1127
    "read",	//1128
    "read#",	//1129
    "readProperties",	//1130
    "readProperties#$",	//1131
    "readSettings",	//1132
    "readSettings#",	//1133
    "readSettings#$",	//1134
    "recolor",	//1135
    "recolor$",	//1136
    "recolor$$",	//1137
    "redo",	//1138
    "refresh",	//1139
    "refreshProperties",	//1140
    "registerImage",	//1141
    "registerImage$#",	//1142
    "remove",	//1143
    "remove$",	//1144
    "removeSelectedText",	//1145
    "replace",	//1146
    "replace$",	//1147
    "replaceSelectedText",	//1148
    "replaceSelectedText$",	//1149
    "resetFoldMarginColors",	//1150
    "resetMatchedBraceIndicator",	//1151
    "resetSelectionBackgroundColor",	//1152
    "resetSelectionForegroundColor",	//1153
    "resetUnmatchedBraceIndicator",	//1154
    "resizeEvent",	//1155
    "resizeEvent#",	//1156
    "save",	//1157
    "savePrepared",	//1158
    "savePrepared$",	//1159
    "scriptsStyled",	//1160
    "scrollContentsBy",	//1161
    "scrollContentsBy$$",	//1162
    "selectAll",	//1163
    "selectAll$",	//1164
    "selectToMatchingBrace",	//1165
    "selectedText",	//1166
    "selectionChanged",	//1167
    "selectionToEol",	//1168
    "setAPIs",	//1169
    "setAPIs#",	//1170
    "setAlternateKey",	//1171
    "setAlternateKey$",	//1172
    "setAnnotationDisplay",	//1173
    "setAnnotationDisplay$",	//1174
    "setAutoCompletionCaseSensitivity",	//1175
    "setAutoCompletionCaseSensitivity$",	//1176
    "setAutoCompletionFillups",	//1177
    "setAutoCompletionFillups$",	//1178
    "setAutoCompletionFillupsEnabled",	//1179
    "setAutoCompletionFillupsEnabled$",	//1180
    "setAutoCompletionReplaceWord",	//1181
    "setAutoCompletionReplaceWord$",	//1182
    "setAutoCompletionShowSingle",	//1183
    "setAutoCompletionShowSingle$",	//1184
    "setAutoCompletionSource",	//1185
    "setAutoCompletionSource$",	//1186
    "setAutoCompletionThreshold",	//1187
    "setAutoCompletionThreshold$",	//1188
    "setAutoCompletionUseSingle",	//1189
    "setAutoCompletionUseSingle$",	//1190
    "setAutoCompletionWordSeparators",	//1191
    "setAutoCompletionWordSeparators?",	//1192
    "setAutoIndent",	//1193
    "setAutoIndent$",	//1194
    "setAutoIndentStyle",	//1195
    "setAutoIndentStyle$",	//1196
    "setBackslashEscapes",	//1197
    "setBackslashEscapes$",	//1198
    "setBackspaceUnindents",	//1199
    "setBackspaceUnindents$",	//1200
    "setBraceMatching",	//1201
    "setBraceMatching$",	//1202
    "setCallTipsBackgroundColor",	//1203
    "setCallTipsBackgroundColor#",	//1204
    "setCallTipsForegroundColor",	//1205
    "setCallTipsForegroundColor#",	//1206
    "setCallTipsHighlightColor",	//1207
    "setCallTipsHighlightColor#",	//1208
    "setCallTipsPosition",	//1209
    "setCallTipsPosition$",	//1210
    "setCallTipsStyle",	//1211
    "setCallTipsStyle$",	//1212
    "setCallTipsVisible",	//1213
    "setCallTipsVisible$",	//1214
    "setCaretForegroundColor",	//1215
    "setCaretForegroundColor#",	//1216
    "setCaretLineBackgroundColor",	//1217
    "setCaretLineBackgroundColor#",	//1218
    "setCaretLineVisible",	//1219
    "setCaretLineVisible$",	//1220
    "setCaretWidth",	//1221
    "setCaretWidth$",	//1222
    "setCaseSensitiveTags",	//1223
    "setCaseSensitiveTags$",	//1224
    "setChangeable",	//1225
    "setChangeable$",	//1226
    "setColor",	//1227
    "setColor#",	//1228
    "setColor#$",	//1229
    "setContractedFolds",	//1230
    "setContractedFolds?",	//1231
    "setCursorPosition",	//1232
    "setCursorPosition$$",	//1233
    "setDefaultColor",	//1234
    "setDefaultColor#",	//1235
    "setDefaultFont",	//1236
    "setDefaultFont#",	//1237
    "setDefaultPaper",	//1238
    "setDefaultPaper#",	//1239
    "setDescription",	//1240
    "setDescription$",	//1241
    "setDjangoTemplates",	//1242
    "setDjangoTemplates$",	//1243
    "setDocument",	//1244
    "setDocument#",	//1245
    "setDollarsAllowed",	//1246
    "setDollarsAllowed$",	//1247
    "setDottedWords",	//1248
    "setDottedWords$",	//1249
    "setEdgeColor",	//1250
    "setEdgeColor#",	//1251
    "setEdgeColumn",	//1252
    "setEdgeColumn$",	//1253
    "setEdgeMode",	//1254
    "setEdgeMode$",	//1255
    "setEditor",	//1256
    "setEditor#",	//1257
    "setEolFill",	//1258
    "setEolFill$",	//1259
    "setEolFill$$",	//1260
    "setEolMode",	//1261
    "setEolMode$",	//1262
    "setEolVisibility",	//1263
    "setEolVisibility$",	//1264
    "setExtraAscent",	//1265
    "setExtraAscent$",	//1266
    "setExtraDescent",	//1267
    "setExtraDescent$",	//1268
    "setFirstVisibleLine",	//1269
    "setFirstVisibleLine$",	//1270
    "setFoldAtBegin",	//1271
    "setFoldAtBegin$",	//1272
    "setFoldAtElse",	//1273
    "setFoldAtElse$",	//1274
    "setFoldAtParenthesis",	//1275
    "setFoldAtParenthesis$",	//1276
    "setFoldComments",	//1277
    "setFoldComments$",	//1278
    "setFoldCompact",	//1279
    "setFoldCompact$",	//1280
    "setFoldDirectives",	//1281
    "setFoldDirectives$",	//1282
    "setFoldMarginColors",	//1283
    "setFoldMarginColors##",	//1284
    "setFoldOnlyBegin",	//1285
    "setFoldOnlyBegin$",	//1286
    "setFoldPODBlocks",	//1287
    "setFoldPODBlocks$",	//1288
    "setFoldPackages",	//1289
    "setFoldPackages$",	//1290
    "setFoldPreprocessor",	//1291
    "setFoldPreprocessor$",	//1292
    "setFoldQuotes",	//1293
    "setFoldQuotes$",	//1294
    "setFoldScriptComments",	//1295
    "setFoldScriptComments$",	//1296
    "setFoldScriptHeredocs",	//1297
    "setFoldScriptHeredocs$",	//1298
    "setFolding",	//1299
    "setFolding$",	//1300
    "setFolding$$",	//1301
    "setFont",	//1302
    "setFont#",	//1303
    "setFont#$",	//1304
    "setHSSLanguage",	//1305
    "setHSSLanguage$",	//1306
    "setHashComments",	//1307
    "setHashComments$",	//1308
    "setHighlightHashQuotedStrings",	//1309
    "setHighlightHashQuotedStrings$",	//1310
    "setHighlightSubidentifiers",	//1311
    "setHighlightSubidentifiers$",	//1312
    "setHighlightTripleQuotedStrings",	//1313
    "setHighlightTripleQuotedStrings$",	//1314
    "setHotspot",	//1315
    "setHotspot$",	//1316
    "setIndentation",	//1317
    "setIndentation$$",	//1318
    "setIndentationGuides",	//1319
    "setIndentationGuides$",	//1320
    "setIndentationGuidesBackgroundColor",	//1321
    "setIndentationGuidesBackgroundColor#",	//1322
    "setIndentationGuidesForegroundColor",	//1323
    "setIndentationGuidesForegroundColor#",	//1324
    "setIndentationWarning",	//1325
    "setIndentationWarning$",	//1326
    "setIndentationWidth",	//1327
    "setIndentationWidth$",	//1328
    "setIndentationsUseTabs",	//1329
    "setIndentationsUseTabs$",	//1330
    "setIndicatorDrawUnder",	//1331
    "setIndicatorDrawUnder$",	//1332
    "setIndicatorDrawUnder$$",	//1333
    "setIndicatorForegroundColor",	//1334
    "setIndicatorForegroundColor#",	//1335
    "setIndicatorForegroundColor#$",	//1336
    "setIndicatorOutlineColor",	//1337
    "setIndicatorOutlineColor#",	//1338
    "setIndicatorOutlineColor#$",	//1339
    "setInitialSpaces",	//1340
    "setInitialSpaces$",	//1341
    "setKey",	//1342
    "setKey$",	//1343
    "setLessLanguage",	//1344
    "setLessLanguage$",	//1345
    "setLevel",	//1346
    "setLevel$",	//1347
    "setLexer",	//1348
    "setLexer#",	//1349
    "setMagnification",	//1350
    "setMagnification$",	//1351
    "setMakoTemplates",	//1352
    "setMakoTemplates$",	//1353
    "setMarginLineNumbers",	//1354
    "setMarginLineNumbers$$",	//1355
    "setMarginMarkerMask",	//1356
    "setMarginMarkerMask$$",	//1357
    "setMarginOptions",	//1358
    "setMarginOptions$",	//1359
    "setMarginSensitivity",	//1360
    "setMarginSensitivity$$",	//1361
    "setMarginText",	//1362
    "setMarginText$#",	//1363
    "setMarginText$$#",	//1364
    "setMarginText$$$",	//1365
    "setMarginText$?",	//1366
    "setMarginType",	//1367
    "setMarginType$$",	//1368
    "setMarginWidth",	//1369
    "setMarginWidth$$",	//1370
    "setMarginsBackgroundColor",	//1371
    "setMarginsBackgroundColor#",	//1372
    "setMarginsFont",	//1373
    "setMarginsFont#",	//1374
    "setMarginsForegroundColor",	//1375
    "setMarginsForegroundColor#",	//1376
    "setMarkerBackgroundColor",	//1377
    "setMarkerBackgroundColor#",	//1378
    "setMarkerBackgroundColor#$",	//1379
    "setMarkerForegroundColor",	//1380
    "setMarkerForegroundColor#",	//1381
    "setMarkerForegroundColor#$",	//1382
    "setMatchedBraceBackgroundColor",	//1383
    "setMatchedBraceBackgroundColor#",	//1384
    "setMatchedBraceForegroundColor",	//1385
    "setMatchedBraceForegroundColor#",	//1386
    "setMatchedBraceIndicator",	//1387
    "setMatchedBraceIndicator$",	//1388
    "setModified",	//1389
    "setModified$",	//1390
    "setOverwriteMode",	//1391
    "setOverwriteMode$",	//1392
    "setPaper",	//1393
    "setPaper#",	//1394
    "setPaper#$",	//1395
    "setProcessComments",	//1396
    "setProcessComments$",	//1397
    "setProcessIf",	//1398
    "setProcessIf$",	//1399
    "setQuotedIdentifiers",	//1400
    "setQuotedIdentifiers$",	//1401
    "setReadOnly",	//1402
    "setReadOnly$",	//1403
    "setSCSSLanguage",	//1404
    "setSCSSLanguage$",	//1405
    "setScriptsStyled",	//1406
    "setScriptsStyled$",	//1407
    "setScrollBars",	//1408
    "setSelection",	//1409
    "setSelection$$$$",	//1410
    "setSelectionBackgroundColor",	//1411
    "setSelectionBackgroundColor#",	//1412
    "setSelectionForegroundColor",	//1413
    "setSelectionForegroundColor#",	//1414
    "setSelectionToEol",	//1415
    "setSelectionToEol$",	//1416
    "setSmartHighlighting",	//1417
    "setSmartHighlighting$",	//1418
    "setStringsOverNewlineAllowed",	//1419
    "setStringsOverNewlineAllowed$",	//1420
    "setStylePreprocessor",	//1421
    "setStylePreprocessor$",	//1422
    "setStyling",	//1423
    "setStyling$#",	//1424
    "setStyling$$",	//1425
    "setTabIndents",	//1426
    "setTabIndents$",	//1427
    "setTabWidth",	//1428
    "setTabWidth$",	//1429
    "setText",	//1430
    "setText$",	//1431
    "setTextCase",	//1432
    "setTextCase$",	//1433
    "setTokenize",	//1434
    "setTokenize$",	//1435
    "setUnmatchedBraceBackgroundColor",	//1436
    "setUnmatchedBraceBackgroundColor#",	//1437
    "setUnmatchedBraceForegroundColor",	//1438
    "setUnmatchedBraceForegroundColor#",	//1439
    "setUnmatchedBraceIndicator",	//1440
    "setUnmatchedBraceIndicator$",	//1441
    "setUtf8",	//1442
    "setUtf8$",	//1443
    "setV2UnicodeAllowed",	//1444
    "setV2UnicodeAllowed$",	//1445
    "setV3BinaryOctalAllowed",	//1446
    "setV3BinaryOctalAllowed$",	//1447
    "setV3BytesAllowed",	//1448
    "setV3BytesAllowed$",	//1449
    "setVisible",	//1450
    "setVisible$",	//1451
    "setWhitespaceBackgroundColor",	//1452
    "setWhitespaceBackgroundColor#",	//1453
    "setWhitespaceForegroundColor",	//1454
    "setWhitespaceForegroundColor#",	//1455
    "setWhitespaceSize",	//1456
    "setWhitespaceSize$",	//1457
    "setWhitespaceVisibility",	//1458
    "setWhitespaceVisibility$",	//1459
    "setWrapIndentMode",	//1460
    "setWrapIndentMode$",	//1461
    "setWrapMode",	//1462
    "setWrapMode$",	//1463
    "setWrapVisualFlags",	//1464
    "setWrapVisualFlags$",	//1465
    "setWrapVisualFlags$$",	//1466
    "setWrapVisualFlags$$$",	//1467
    "showEvent",	//1468
    "showUserList",	//1469
    "showUserList$?",	//1470
    "sizeHint",	//1471
    "smartHighlighting",	//1472
    "standardCommands",	//1473
    "startRecording",	//1474
    "startStyling",	//1475
    "startStyling$",	//1476
    "startStyling$$",	//1477
    "staticMetaObject",	//1478
    "stringsOverNewlineAllowed",	//1479
    "style",	//1480
    "styleBitsNeeded",	//1481
    "styleChange",	//1482
    "stylePreprocessor",	//1483
    "styleText",	//1484
    "styleText$$",	//1485
    "tabIndents",	//1486
    "tabWidth",	//1487
    "tabletEvent",	//1488
    "text",	//1489
    "text$",	//1490
    "textCase",	//1491
    "textChanged",	//1492
    "textHeight",	//1493
    "textHeight$",	//1494
    "timerEvent",	//1495
    "toMimeData",	//1496
    "toMimeData#$",	//1497
    "tokenize",	//1498
    "tr",	//1499
    "tr$",	//1500
    "tr$$",	//1501
    "tr$$$",	//1502
    "trUtf8",	//1503
    "trUtf8$",	//1504
    "trUtf8$$",	//1505
    "trUtf8$$$",	//1506
    "undo",	//1507
    "unindent",	//1508
    "unindent$",	//1509
    "updateAutoCompletionList",	//1510
    "updateAutoCompletionList??",	//1511
    "userListActivated",	//1512
    "userListActivated$$",	//1513
    "v2UnicodeAllowed",	//1514
    "v3BinaryOctalAllowed",	//1515
    "v3BytesAllowed",	//1516
    "validKey",	//1517
    "validKey$",	//1518
    "viewportEvent",	//1519
    "visible",	//1520
    "wheelEvent",	//1521
    "whitespaceSize",	//1522
    "whitespaceVisibility",	//1523
    "windowActivationChange",	//1524
    "wordAtLineIndex",	//1525
    "wordAtLineIndex$$",	//1526
    "wordAtPoint",	//1527
    "wordAtPoint#",	//1528
    "wordCharacters",	//1529
    "wrapIndentMode",	//1530
    "wrapMode",	//1531
    "write",	//1532
    "write#",	//1533
    "writeProperties",	//1534
    "writeProperties#$",	//1535
    "writeSettings",	//1536
    "writeSettings#",	//1537
    "writeSettings#$",	//1538
    "x11Event",	//1539
    "zoomIn",	//1540
    "zoomIn$",	//1541
    "zoomOut",	//1542
    "zoomOut$",	//1543
    "zoomTo",	//1544
    "zoomTo$",	//1545
    "~QsciAPIs",	//1546
    "~QsciAbstractAPIs",	//1547
    "~QsciCommand",	//1548
    "~QsciDocument",	//1549
    "~QsciLexer",	//1550
    "~QsciLexerBash",	//1551
    "~QsciLexerBatch",	//1552
    "~QsciLexerCMake",	//1553
    "~QsciLexerCPP",	//1554
    "~QsciLexerCSS",	//1555
    "~QsciLexerCSharp",	//1556
    "~QsciLexerCustom",	//1557
    "~QsciLexerD",	//1558
    "~QsciLexerDiff",	//1559
    "~QsciLexerFortran",	//1560
    "~QsciLexerFortran77",	//1561
    "~QsciLexerHTML",	//1562
    "~QsciLexerIDL",	//1563
    "~QsciLexerJava",	//1564
    "~QsciLexerJavaScript",	//1565
    "~QsciLexerLua",	//1566
    "~QsciLexerMakefile",	//1567
    "~QsciLexerPOV",	//1568
    "~QsciLexerPascal",	//1569
    "~QsciLexerPerl",	//1570
    "~QsciLexerPostScript",	//1571
    "~QsciLexerProperties",	//1572
    "~QsciLexerPython",	//1573
    "~QsciLexerRuby",	//1574
    "~QsciLexerSQL",	//1575
    "~QsciLexerTCL",	//1576
    "~QsciLexerTeX",	//1577
    "~QsciLexerVHDL",	//1578
    "~QsciLexerXML",	//1579
    "~QsciLexerYAML",	//1580
    "~QsciMacro",	//1581
    "~QsciPrinter",	//1582
    "~QsciScintilla",	//1583
    "~QsciScintillaBase",	//1584
    "~QsciStyle",	//1585
    "~QsciStyledText",	//1586
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1084, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1471, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 913, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 190, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1519, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 190, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1521, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {16, 835, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {17, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {17, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {17, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {17, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {17, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {17, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 6},	//12 QGlobalSpace::QtDebugMsg (enum)
    {17, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 7},	//13 QGlobalSpace::QtWarningMsg (enum)
    {17, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 8},	//14 QGlobalSpace::QtCriticalMsg (enum)
    {17, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 9},	//15 QGlobalSpace::QtFatalMsg (enum)
    {17, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 10},	//16 QGlobalSpace::QtSystemMsg (enum)
    {28, 913, 1, 1, Smoke::mf_virtual, 190, 0},	//17 QObject::event(QEvent*)
    {28, 915, 5, 2, Smoke::mf_virtual, 190, 0},	//18 QObject::eventFilter(QObject*, QEvent*)
    {28, 1495, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::timerEvent(QTimerEvent*)
    {28, 837, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::childEvent(QChildEvent*)
    {28, 868, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::customEvent(QEvent*)
    {28, 856, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//22 QObject::connectNotify(const char*)
    {28, 883, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//23 QObject::disconnectNotify(const char*)
    {35, 882, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 0},	//24 QPrinter::devType() const
    {35, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//25 QPrinter::paintEngine() const
    {35, 1083, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 216, 0},	//26 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {35, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 4},	//27 QPrinter::ScreenResolution (enum)
    {35, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 5},	//28 QPrinter::PrinterResolution (enum)
    {35, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 6},	//29 QPrinter::HighResolution (enum)
    {47, 882, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 0},	//30 QWidget::devType() const
    {47, 1450, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//31 QWidget::setVisible(bool)
    {47, 976, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 0},	//32 QWidget::heightForWidth(int) const
    {47, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//33 QWidget::paintEngine() const
    {47, 1023, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QWidget::keyReleaseEvent(QKeyEvent*)
    {47, 906, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QWidget::enterEvent(QEvent*)
    {47, 1028, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QWidget::leaveEvent(QEvent*)
    {47, 1096, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QWidget::moveEvent(QMoveEvent*)
    {47, 849, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QWidget::closeEvent(QCloseEvent*)
    {47, 1488, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QWidget::tabletEvent(QTabletEvent*)
    {47, 771, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QWidget::actionEvent(QActionEvent*)
    {47, 1468, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QWidget::showEvent(QShowEvent*)
    {47, 977, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QWidget::hideEvent(QHideEvent*)
    {47, 1539, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 190, 0},	//43 QWidget::x11Event(_XEvent*)
    {47, 1083, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 216, 0},	//44 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {47, 1003, 36, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 0},	//45 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {47, 1482, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//46 QWidget::styleChange(QStyle&)
    {47, 900, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//47 QWidget::enabledChange(bool)
    {47, 1104, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//48 QWidget::paletteChange(const QPalette&)
    {47, 963, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//49 QWidget::fontChange(const QFont&)
    {47, 1524, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//50 QWidget::windowActivationChange(bool)
    {47, 1027, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//51 QWidget::languageChange()
    {48, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//52 QsciAPIs::metaObject() const
    {48, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//53 QsciAPIs::qt_metacast(const char*)
    {48, 1499, 44, 2, Smoke::mf_static, 40, 3},	//54 QsciAPIs::tr(const char*, const char*)
    {48, 1503, 44, 2, Smoke::mf_static, 40, 4},	//55 QsciAPIs::trUtf8(const char*, const char*)
    {48, 1499, 47, 3, Smoke::mf_static, 40, 5},	//56 QsciAPIs::tr(const char*, const char*, int)
    {48, 1503, 47, 3, Smoke::mf_static, 40, 6},	//57 QsciAPIs::trUtf8(const char*, const char*, int)
    {48, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//58 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {48, 452, 55, 1, Smoke::mf_ctor, 50, 8},	//59 QsciAPIs::QsciAPIs(QsciLexer*)
    {48, 772, 57, 1, 0, 0, 9},	//60 QsciAPIs::add(const QString&)
    {48, 838, 0, 0, 0, 0, 10},	//61 QsciAPIs::clear()
    {48, 1041, 57, 1, 0, 190, 11},	//62 QsciAPIs::load(const QString&)
    {48, 1143, 57, 1, 0, 0, 12},	//63 QsciAPIs::remove(const QString&)
    {48, 1114, 0, 0, 0, 0, 13},	//64 QsciAPIs::prepare()
    {48, 832, 0, 0, 0, 0, 14},	//65 QsciAPIs::cancelPreparation()
    {48, 878, 0, 0, Smoke::mf_const, 40, 15},	//66 QsciAPIs::defaultPreparedName() const
    {48, 1012, 57, 1, Smoke::mf_const, 190, 16},	//67 QsciAPIs::isPrepared(const QString&) const
    {48, 1043, 57, 1, 0, 190, 17},	//68 QsciAPIs::loadPrepared(const QString&)
    {48, 1158, 57, 1, Smoke::mf_const, 190, 18},	//69 QsciAPIs::savePrepared(const QString&) const
    {48, 1510, 59, 2, Smoke::mf_virtual, 0, 19},	//70 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {48, 800, 57, 1, Smoke::mf_virtual, 0, 20},	//71 QsciAPIs::autoCompletionSelected(const QString&)
    {48, 824, 62, 4, Smoke::mf_virtual, 41, 21},	//72 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {48, 913, 1, 1, Smoke::mf_virtual, 190, 22},	//73 QsciAPIs::event(QEvent*)
    {48, 1008, 0, 0, Smoke::mf_const, 41, 23},	//74 QsciAPIs::installedAPIFiles() const
    {48, 785, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//75 QsciAPIs::apiPreparationCancelled()
    {48, 787, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//76 QsciAPIs::apiPreparationStarted()
    {48, 786, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//77 QsciAPIs::apiPreparationFinished()
    {48, 1499, 12, 1, Smoke::mf_static, 40, 27},	//78 QsciAPIs::tr(const char*)
    {48, 1503, 12, 1, Smoke::mf_static, 40, 28},	//79 QsciAPIs::trUtf8(const char*)
    {48, 1012, 0, 0, Smoke::mf_const, 190, 29},	//80 QsciAPIs::isPrepared() const
    {48, 1043, 0, 0, 0, 190, 30},	//81 QsciAPIs::loadPrepared()
    {48, 1158, 0, 0, Smoke::mf_const, 190, 31},	//82 QsciAPIs::savePrepared() const
    {48, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 32},	//83 QsciAPIs::staticMetaObject() const
    {48, 1546, 0, 0, Smoke::mf_dtor, 0, 33 },	//84 QsciAPIs::~QsciAPIs()
    {49, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//85 QsciAbstractAPIs::metaObject() const
    {49, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//86 QsciAbstractAPIs::qt_metacast(const char*)
    {49, 1499, 44, 2, Smoke::mf_static, 40, 3},	//87 QsciAbstractAPIs::tr(const char*, const char*)
    {49, 1503, 44, 2, Smoke::mf_static, 40, 4},	//88 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {49, 1499, 47, 3, Smoke::mf_static, 40, 5},	//89 QsciAbstractAPIs::tr(const char*, const char*, int)
    {49, 1503, 47, 3, Smoke::mf_static, 40, 6},	//90 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {49, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//91 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {49, 454, 55, 1, Smoke::mf_ctor, 51, 8},	//92 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {49, 1031, 0, 0, Smoke::mf_const, 58, 9},	//93 QsciAbstractAPIs::lexer() const
    {49, 1510, 59, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//94 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {49, 800, 57, 1, Smoke::mf_virtual, 0, 11},	//95 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {49, 824, 62, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 41, 12},	//96 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {49, 1499, 12, 1, Smoke::mf_static, 40, 13},	//97 QsciAbstractAPIs::tr(const char*)
    {49, 1503, 12, 1, Smoke::mf_static, 40, 14},	//98 QsciAbstractAPIs::trUtf8(const char*)
    {49, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 15},	//99 QsciAbstractAPIs::staticMetaObject() const
    {49, 1547, 0, 0, Smoke::mf_dtor, 0, 16 },	//100 QsciAbstractAPIs::~QsciAbstractAPIs()
    {50, 854, 0, 0, Smoke::mf_const, 53, 1},	//101 QsciCommand::command() const
    {50, 916, 0, 0, 0, 0, 2},	//102 QsciCommand::execute()
    {50, 1342, 18, 1, 0, 0, 3},	//103 QsciCommand::setKey(int)
    {50, 1171, 18, 1, 0, 0, 4},	//104 QsciCommand::setAlternateKey(int)
    {50, 1020, 0, 0, Smoke::mf_const, 216, 5},	//105 QsciCommand::key() const
    {50, 774, 0, 0, Smoke::mf_const, 216, 6},	//106 QsciCommand::alternateKey() const
    {50, 1517, 18, 1, Smoke::mf_static, 190, 7},	//107 QsciCommand::validKey(int)
    {50, 880, 0, 0, Smoke::mf_const, 40, 8},	//108 QsciCommand::description() const
    {50, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 9},	//109 QsciCommand::LineDown (enum)
    {50, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 10},	//110 QsciCommand::LineDownExtend (enum)
    {50, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 11},	//111 QsciCommand::LineDownRectExtend (enum)
    {50, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 12},	//112 QsciCommand::LineScrollDown (enum)
    {50, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 13},	//113 QsciCommand::LineUp (enum)
    {50, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 14},	//114 QsciCommand::LineUpExtend (enum)
    {50, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 15},	//115 QsciCommand::LineUpRectExtend (enum)
    {50, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 16},	//116 QsciCommand::LineScrollUp (enum)
    {50, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 17},	//117 QsciCommand::ScrollToStart (enum)
    {50, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 18},	//118 QsciCommand::ScrollToEnd (enum)
    {50, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 19},	//119 QsciCommand::VerticalCentreCaret (enum)
    {50, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 20},	//120 QsciCommand::ParaDown (enum)
    {50, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 21},	//121 QsciCommand::ParaDownExtend (enum)
    {50, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 22},	//122 QsciCommand::ParaUp (enum)
    {50, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 23},	//123 QsciCommand::ParaUpExtend (enum)
    {50, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 24},	//124 QsciCommand::CharLeft (enum)
    {50, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 25},	//125 QsciCommand::CharLeftExtend (enum)
    {50, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 26},	//126 QsciCommand::CharLeftRectExtend (enum)
    {50, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 27},	//127 QsciCommand::CharRight (enum)
    {50, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 28},	//128 QsciCommand::CharRightExtend (enum)
    {50, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 29},	//129 QsciCommand::CharRightRectExtend (enum)
    {50, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 30},	//130 QsciCommand::WordLeft (enum)
    {50, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 31},	//131 QsciCommand::WordLeftExtend (enum)
    {50, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 32},	//132 QsciCommand::WordRight (enum)
    {50, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 33},	//133 QsciCommand::WordRightExtend (enum)
    {50, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 34},	//134 QsciCommand::WordLeftEnd (enum)
    {50, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 35},	//135 QsciCommand::WordLeftEndExtend (enum)
    {50, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 36},	//136 QsciCommand::WordRightEnd (enum)
    {50, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 37},	//137 QsciCommand::WordRightEndExtend (enum)
    {50, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 38},	//138 QsciCommand::WordPartLeft (enum)
    {50, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 39},	//139 QsciCommand::WordPartLeftExtend (enum)
    {50, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 40},	//140 QsciCommand::WordPartRight (enum)
    {50, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 41},	//141 QsciCommand::WordPartRightExtend (enum)
    {50, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 42},	//142 QsciCommand::Home (enum)
    {50, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 43},	//143 QsciCommand::HomeExtend (enum)
    {50, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 44},	//144 QsciCommand::HomeRectExtend (enum)
    {50, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 45},	//145 QsciCommand::HomeDisplay (enum)
    {50, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 46},	//146 QsciCommand::HomeDisplayExtend (enum)
    {50, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 47},	//147 QsciCommand::HomeWrap (enum)
    {50, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 48},	//148 QsciCommand::HomeWrapExtend (enum)
    {50, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 49},	//149 QsciCommand::VCHome (enum)
    {50, 730, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 50},	//150 QsciCommand::VCHomeExtend (enum)
    {50, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 51},	//151 QsciCommand::VCHomeRectExtend (enum)
    {50, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 52},	//152 QsciCommand::VCHomeWrap (enum)
    {50, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 53},	//153 QsciCommand::VCHomeWrapExtend (enum)
    {50, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 54},	//154 QsciCommand::LineEnd (enum)
    {50, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 55},	//155 QsciCommand::LineEndExtend (enum)
    {50, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 56},	//156 QsciCommand::LineEndRectExtend (enum)
    {50, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 57},	//157 QsciCommand::LineEndDisplay (enum)
    {50, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 58},	//158 QsciCommand::LineEndDisplayExtend (enum)
    {50, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 59},	//159 QsciCommand::LineEndWrap (enum)
    {50, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 60},	//160 QsciCommand::LineEndWrapExtend (enum)
    {50, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 61},	//161 QsciCommand::DocumentStart (enum)
    {50, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 62},	//162 QsciCommand::DocumentStartExtend (enum)
    {50, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 63},	//163 QsciCommand::DocumentEnd (enum)
    {50, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 64},	//164 QsciCommand::DocumentEndExtend (enum)
    {50, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 65},	//165 QsciCommand::PageUp (enum)
    {50, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 66},	//166 QsciCommand::PageUpExtend (enum)
    {50, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 67},	//167 QsciCommand::PageUpRectExtend (enum)
    {50, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 68},	//168 QsciCommand::PageDown (enum)
    {50, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 69},	//169 QsciCommand::PageDownExtend (enum)
    {50, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 70},	//170 QsciCommand::PageDownRectExtend (enum)
    {50, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 71},	//171 QsciCommand::StutteredPageUp (enum)
    {50, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 72},	//172 QsciCommand::StutteredPageUpExtend (enum)
    {50, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 73},	//173 QsciCommand::StutteredPageDown (enum)
    {50, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 74},	//174 QsciCommand::StutteredPageDownExtend (enum)
    {50, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 75},	//175 QsciCommand::Delete (enum)
    {50, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 76},	//176 QsciCommand::DeleteBack (enum)
    {50, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 77},	//177 QsciCommand::DeleteBackNotLine (enum)
    {50, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 78},	//178 QsciCommand::DeleteWordLeft (enum)
    {50, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 79},	//179 QsciCommand::DeleteWordRight (enum)
    {50, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 80},	//180 QsciCommand::DeleteWordRightEnd (enum)
    {50, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 81},	//181 QsciCommand::DeleteLineLeft (enum)
    {50, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 82},	//182 QsciCommand::DeleteLineRight (enum)
    {50, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 83},	//183 QsciCommand::LineDelete (enum)
    {50, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 84},	//184 QsciCommand::LineCut (enum)
    {50, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 85},	//185 QsciCommand::LineCopy (enum)
    {50, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 86},	//186 QsciCommand::LineTranspose (enum)
    {50, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 87},	//187 QsciCommand::LineDuplicate (enum)
    {50, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 88},	//188 QsciCommand::SelectAll (enum)
    {50, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 89},	//189 QsciCommand::MoveSelectedLinesUp (enum)
    {50, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 90},	//190 QsciCommand::MoveSelectedLinesDown (enum)
    {50, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 91},	//191 QsciCommand::SelectionDuplicate (enum)
    {50, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 92},	//192 QsciCommand::SelectionLowerCase (enum)
    {50, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 93},	//193 QsciCommand::SelectionUpperCase (enum)
    {50, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 94},	//194 QsciCommand::SelectionCut (enum)
    {50, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 95},	//195 QsciCommand::SelectionCopy (enum)
    {50, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 96},	//196 QsciCommand::Paste (enum)
    {50, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 97},	//197 QsciCommand::EditToggleOvertype (enum)
    {50, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 98},	//198 QsciCommand::Newline (enum)
    {50, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 99},	//199 QsciCommand::Formfeed (enum)
    {50, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 100},	//200 QsciCommand::Tab (enum)
    {50, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 101},	//201 QsciCommand::Backtab (enum)
    {50, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 102},	//202 QsciCommand::Cancel (enum)
    {50, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 103},	//203 QsciCommand::Undo (enum)
    {50, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 104},	//204 QsciCommand::Redo (enum)
    {50, 769, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 105},	//205 QsciCommand::ZoomIn (enum)
    {50, 770, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 106},	//206 QsciCommand::ZoomOut (enum)
    {50, 1548, 0, 0, Smoke::mf_dtor, 0, 107 },	//207 QsciCommand::~QsciCommand()
    {51, 1132, 67, 2, 0, 190, 1},	//208 QsciCommandSet::readSettings(QSettings&, const char*)
    {51, 1536, 67, 2, 0, 190, 2},	//209 QsciCommandSet::writeSettings(QSettings&, const char*)
    {51, 855, 0, 0, 0, 19, 3},	//210 QsciCommandSet::commands()
    {51, 845, 0, 0, 0, 0, 4},	//211 QsciCommandSet::clearKeys()
    {51, 839, 0, 0, 0, 0, 5},	//212 QsciCommandSet::clearAlternateKeys()
    {51, 819, 18, 1, Smoke::mf_const, 52, 6},	//213 QsciCommandSet::boundTo(int) const
    {51, 921, 70, 1, Smoke::mf_const, 52, 7},	//214 QsciCommandSet::find(QsciCommand::Command) const
    {51, 1132, 72, 1, 0, 190, 8},	//215 QsciCommandSet::readSettings(QSettings&)
    {51, 1536, 72, 1, 0, 190, 9},	//216 QsciCommandSet::writeSettings(QSettings&)
    {52, 456, 0, 0, Smoke::mf_ctor, 57, 1},	//217 QsciDocument::QsciDocument()
    {52, 456, 74, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//218 QsciDocument::QsciDocument(const QsciDocument&)
    {52, 1098, 74, 1, 0, 56, 3},	//219 QsciDocument::operator=(const QsciDocument&)
    {52, 1549, 0, 0, Smoke::mf_dtor, 0, 4 },	//220 QsciDocument::~QsciDocument()
    {53, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//221 QsciLexer::metaObject() const
    {53, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//222 QsciLexer::qt_metacast(const char*)
    {53, 1499, 44, 2, Smoke::mf_static, 40, 3},	//223 QsciLexer::tr(const char*, const char*)
    {53, 1503, 44, 2, Smoke::mf_static, 40, 4},	//224 QsciLexer::trUtf8(const char*, const char*)
    {53, 1499, 47, 3, Smoke::mf_static, 40, 5},	//225 QsciLexer::tr(const char*, const char*, int)
    {53, 1503, 47, 3, Smoke::mf_static, 40, 6},	//226 QsciLexer::trUtf8(const char*, const char*, int)
    {53, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//227 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {53, 458, 76, 1, Smoke::mf_ctor, 58, 8},	//228 QsciLexer::QsciLexer(QObject*)
    {53, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 9},	//229 QsciLexer::language() const [pure virtual]
    {53, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//230 QsciLexer::lexer() const
    {53, 1032, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//231 QsciLexer::lexerId() const
    {53, 788, 0, 0, Smoke::mf_const, 51, 12},	//232 QsciLexer::apis() const
    {53, 797, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 13},	//233 QsciLexer::autoCompletionFillups() const
    {53, 806, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 14},	//234 QsciLexer::autoCompletionWordSeparators() const
    {53, 808, 0, 0, 0, 216, 15},	//235 QsciLexer::autoIndentStyle()
    {53, 812, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 16},	//236 QsciLexer::blockEnd(int*) const
    {53, 814, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 17},	//237 QsciLexer::blockLookback() const
    {53, 815, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 18},	//238 QsciLexer::blockStart(int*) const
    {53, 817, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 19},	//239 QsciLexer::blockStartKeyword(int*) const
    {53, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 20},	//240 QsciLexer::braceStyle() const
    {53, 833, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 190, 21},	//241 QsciLexer::caseSensitive() const
    {53, 850, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 22},	//242 QsciLexer::color(int) const
    {53, 907, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 23},	//243 QsciLexer::eolFill(int) const
    {53, 961, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 24},	//244 QsciLexer::font(int) const
    {53, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 25},	//245 QsciLexer::indentationGuideView() const
    {53, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 26},	//246 QsciLexer::keywords(int) const
    {53, 879, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 27},	//247 QsciLexer::defaultStyle() const
    {53, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 28},	//248 QsciLexer::description(int) const [pure virtual]
    {53, 1105, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 29},	//249 QsciLexer::paper(int) const
    {53, 870, 0, 0, Smoke::mf_const, 6, 30},	//250 QsciLexer::defaultColor() const
    {53, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 31},	//251 QsciLexer::defaultColor(int) const
    {53, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 32},	//252 QsciLexer::defaultEolFill(int) const
    {53, 874, 0, 0, Smoke::mf_const, 14, 33},	//253 QsciLexer::defaultFont() const
    {53, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 34},	//254 QsciLexer::defaultFont(int) const
    {53, 876, 0, 0, Smoke::mf_const, 6, 35},	//255 QsciLexer::defaultPaper() const
    {53, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 36},	//256 QsciLexer::defaultPaper(int) const
    {53, 899, 0, 0, Smoke::mf_const, 92, 37},	//257 QsciLexer::editor() const
    {53, 1169, 80, 1, 0, 0, 38},	//258 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {53, 1234, 82, 1, 0, 0, 39},	//259 QsciLexer::setDefaultColor(const QColor&)
    {53, 1236, 42, 1, 0, 0, 40},	//260 QsciLexer::setDefaultFont(const QFont&)
    {53, 1238, 82, 1, 0, 0, 41},	//261 QsciLexer::setDefaultPaper(const QColor&)
    {53, 1256, 84, 1, Smoke::mf_virtual, 0, 42},	//262 QsciLexer::setEditor(QsciScintilla*)
    {53, 1132, 67, 2, 0, 190, 43},	//263 QsciLexer::readSettings(QSettings&, const char*)
    {53, 1140, 0, 0, Smoke::mf_virtual, 0, 44},	//264 QsciLexer::refreshProperties()
    {53, 1481, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 45},	//265 QsciLexer::styleBitsNeeded() const
    {53, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 46},	//266 QsciLexer::wordCharacters() const
    {53, 1536, 67, 2, Smoke::mf_const, 190, 47},	//267 QsciLexer::writeSettings(QSettings&, const char*) const
    {53, 1195, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//268 QsciLexer::setAutoIndentStyle(int)
    {53, 1227, 86, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//269 QsciLexer::setColor(const QColor&, int)
    {53, 1258, 89, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//270 QsciLexer::setEolFill(bool, int)
    {53, 1302, 92, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//271 QsciLexer::setFont(const QFont&, int)
    {53, 1393, 86, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//272 QsciLexer::setPaper(const QColor&, int)
    {53, 852, 86, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//273 QsciLexer::colorChanged(const QColor&, int)
    {53, 909, 89, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//274 QsciLexer::eolFillChanged(bool, int)
    {53, 964, 92, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//275 QsciLexer::fontChanged(const QFont&, int)
    {53, 1107, 86, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//276 QsciLexer::paperChanged(const QColor&, int)
    {53, 1121, 44, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//277 QsciLexer::propertyChanged(const char*, const char*)
    {53, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 58},	//278 QsciLexer::readProperties(QSettings&, const QString&)
    {53, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 59},	//279 QsciLexer::writeProperties(QSettings&, const QString&) const
    {53, 1499, 12, 1, Smoke::mf_static, 40, 60},	//280 QsciLexer::tr(const char*)
    {53, 1503, 12, 1, Smoke::mf_static, 40, 61},	//281 QsciLexer::trUtf8(const char*)
    {53, 458, 0, 0, Smoke::mf_ctor, 58, 62},	//282 QsciLexer::QsciLexer()
    {53, 812, 0, 0, Smoke::mf_const, 214, 63},	//283 QsciLexer::blockEnd() const
    {53, 815, 0, 0, Smoke::mf_const, 214, 64},	//284 QsciLexer::blockStart() const
    {53, 817, 0, 0, Smoke::mf_const, 214, 65},	//285 QsciLexer::blockStartKeyword() const
    {53, 1132, 72, 1, 0, 190, 66},	//286 QsciLexer::readSettings(QSettings&)
    {53, 1536, 72, 1, Smoke::mf_const, 190, 67},	//287 QsciLexer::writeSettings(QSettings&) const
    {53, 1227, 82, 1, Smoke::mf_slot, 0, 68},	//288 QsciLexer::setColor(const QColor&)
    {53, 1258, 16, 1, Smoke::mf_slot, 0, 69},	//289 QsciLexer::setEolFill(bool)
    {53, 1302, 42, 1, Smoke::mf_slot, 0, 70},	//290 QsciLexer::setFont(const QFont&)
    {53, 1393, 82, 1, Smoke::mf_slot, 0, 71},	//291 QsciLexer::setPaper(const QColor&)
    {53, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 72},	//292 QsciLexer::staticMetaObject() const
    {53, 1550, 0, 0, Smoke::mf_dtor, 0, 73 },	//293 QsciLexer::~QsciLexer()
    {54, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//294 QsciLexerBash::metaObject() const
    {54, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//295 QsciLexerBash::qt_metacast(const char*)
    {54, 1499, 44, 2, Smoke::mf_static, 40, 3},	//296 QsciLexerBash::tr(const char*, const char*)
    {54, 1503, 44, 2, Smoke::mf_static, 40, 4},	//297 QsciLexerBash::trUtf8(const char*, const char*)
    {54, 1499, 47, 3, Smoke::mf_static, 40, 5},	//298 QsciLexerBash::tr(const char*, const char*, int)
    {54, 1503, 47, 3, Smoke::mf_static, 40, 6},	//299 QsciLexerBash::trUtf8(const char*, const char*, int)
    {54, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//300 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {54, 460, 76, 1, Smoke::mf_ctor, 59, 8},	//301 QsciLexerBash::QsciLexerBash(QObject*)
    {54, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//302 QsciLexerBash::language() const
    {54, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//303 QsciLexerBash::lexer() const
    {54, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//304 QsciLexerBash::braceStyle() const
    {54, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 12},	//305 QsciLexerBash::wordCharacters() const
    {54, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//306 QsciLexerBash::defaultColor(int) const
    {54, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 14},	//307 QsciLexerBash::defaultEolFill(int) const
    {54, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//308 QsciLexerBash::defaultFont(int) const
    {54, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//309 QsciLexerBash::defaultPaper(int) const
    {54, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 17},	//310 QsciLexerBash::keywords(int) const
    {54, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//311 QsciLexerBash::description(int) const
    {54, 1140, 0, 0, Smoke::mf_virtual, 0, 19},	//312 QsciLexerBash::refreshProperties()
    {54, 948, 0, 0, Smoke::mf_const, 190, 20},	//313 QsciLexerBash::foldComments() const
    {54, 949, 0, 0, Smoke::mf_const, 190, 21},	//314 QsciLexerBash::foldCompact() const
    {54, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//315 QsciLexerBash::setFoldComments(bool)
    {54, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//316 QsciLexerBash::setFoldCompact(bool)
    {54, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 24},	//317 QsciLexerBash::readProperties(QSettings&, const QString&)
    {54, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 25},	//318 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {54, 1499, 12, 1, Smoke::mf_static, 40, 26},	//319 QsciLexerBash::tr(const char*)
    {54, 1503, 12, 1, Smoke::mf_static, 40, 27},	//320 QsciLexerBash::trUtf8(const char*)
    {54, 460, 0, 0, Smoke::mf_ctor, 59, 28},	//321 QsciLexerBash::QsciLexerBash()
    {54, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 29},	//322 QsciLexerBash::staticMetaObject() const
    {54, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 30},	//323 QsciLexerBash::Default (enum)
    {54, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 31},	//324 QsciLexerBash::Error (enum)
    {54, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 32},	//325 QsciLexerBash::Comment (enum)
    {54, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 33},	//326 QsciLexerBash::Number (enum)
    {54, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//327 QsciLexerBash::Keyword (enum)
    {54, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//328 QsciLexerBash::DoubleQuotedString (enum)
    {54, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//329 QsciLexerBash::SingleQuotedString (enum)
    {54, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 37},	//330 QsciLexerBash::Operator (enum)
    {54, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 38},	//331 QsciLexerBash::Identifier (enum)
    {54, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 39},	//332 QsciLexerBash::Scalar (enum)
    {54, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 40},	//333 QsciLexerBash::ParameterExpansion (enum)
    {54, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//334 QsciLexerBash::Backticks (enum)
    {54, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//335 QsciLexerBash::HereDocumentDelimiter (enum)
    {54, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//336 QsciLexerBash::SingleQuotedHereDocument (enum)
    {54, 1551, 0, 0, Smoke::mf_dtor, 0, 44 },	//337 QsciLexerBash::~QsciLexerBash()
    {55, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//338 QsciLexerBatch::metaObject() const
    {55, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//339 QsciLexerBatch::qt_metacast(const char*)
    {55, 1499, 44, 2, Smoke::mf_static, 40, 3},	//340 QsciLexerBatch::tr(const char*, const char*)
    {55, 1503, 44, 2, Smoke::mf_static, 40, 4},	//341 QsciLexerBatch::trUtf8(const char*, const char*)
    {55, 1499, 47, 3, Smoke::mf_static, 40, 5},	//342 QsciLexerBatch::tr(const char*, const char*, int)
    {55, 1503, 47, 3, Smoke::mf_static, 40, 6},	//343 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {55, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//344 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {55, 462, 76, 1, Smoke::mf_ctor, 60, 8},	//345 QsciLexerBatch::QsciLexerBatch(QObject*)
    {55, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//346 QsciLexerBatch::language() const
    {55, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//347 QsciLexerBatch::lexer() const
    {55, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 11},	//348 QsciLexerBatch::wordCharacters() const
    {55, 833, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 190, 12},	//349 QsciLexerBatch::caseSensitive() const
    {55, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//350 QsciLexerBatch::defaultColor(int) const
    {55, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 14},	//351 QsciLexerBatch::defaultEolFill(int) const
    {55, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//352 QsciLexerBatch::defaultFont(int) const
    {55, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//353 QsciLexerBatch::defaultPaper(int) const
    {55, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 17},	//354 QsciLexerBatch::keywords(int) const
    {55, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//355 QsciLexerBatch::description(int) const
    {55, 1499, 12, 1, Smoke::mf_static, 40, 19},	//356 QsciLexerBatch::tr(const char*)
    {55, 1503, 12, 1, Smoke::mf_static, 40, 20},	//357 QsciLexerBatch::trUtf8(const char*)
    {55, 462, 0, 0, Smoke::mf_ctor, 60, 21},	//358 QsciLexerBatch::QsciLexerBatch()
    {55, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 22},	//359 QsciLexerBatch::staticMetaObject() const
    {55, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 23},	//360 QsciLexerBatch::Default (enum)
    {55, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 24},	//361 QsciLexerBatch::Comment (enum)
    {55, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 25},	//362 QsciLexerBatch::Keyword (enum)
    {55, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 26},	//363 QsciLexerBatch::Label (enum)
    {55, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 27},	//364 QsciLexerBatch::HideCommandChar (enum)
    {55, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 28},	//365 QsciLexerBatch::ExternalCommand (enum)
    {55, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 29},	//366 QsciLexerBatch::Variable (enum)
    {55, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 30},	//367 QsciLexerBatch::Operator (enum)
    {55, 1552, 0, 0, Smoke::mf_dtor, 0, 31 },	//368 QsciLexerBatch::~QsciLexerBatch()
    {56, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//369 QsciLexerCMake::metaObject() const
    {56, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//370 QsciLexerCMake::qt_metacast(const char*)
    {56, 1499, 44, 2, Smoke::mf_static, 40, 3},	//371 QsciLexerCMake::tr(const char*, const char*)
    {56, 1503, 44, 2, Smoke::mf_static, 40, 4},	//372 QsciLexerCMake::trUtf8(const char*, const char*)
    {56, 1499, 47, 3, Smoke::mf_static, 40, 5},	//373 QsciLexerCMake::tr(const char*, const char*, int)
    {56, 1503, 47, 3, Smoke::mf_static, 40, 6},	//374 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {56, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//375 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {56, 464, 76, 1, Smoke::mf_ctor, 61, 8},	//376 QsciLexerCMake::QsciLexerCMake(QObject*)
    {56, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//377 QsciLexerCMake::language() const
    {56, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//378 QsciLexerCMake::lexer() const
    {56, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//379 QsciLexerCMake::defaultColor(int) const
    {56, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//380 QsciLexerCMake::defaultFont(int) const
    {56, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//381 QsciLexerCMake::defaultPaper(int) const
    {56, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 14},	//382 QsciLexerCMake::keywords(int) const
    {56, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//383 QsciLexerCMake::description(int) const
    {56, 1140, 0, 0, Smoke::mf_virtual, 0, 16},	//384 QsciLexerCMake::refreshProperties()
    {56, 946, 0, 0, Smoke::mf_const, 190, 17},	//385 QsciLexerCMake::foldAtElse() const
    {56, 1273, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//386 QsciLexerCMake::setFoldAtElse(bool)
    {56, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 19},	//387 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {56, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 20},	//388 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {56, 1499, 12, 1, Smoke::mf_static, 40, 21},	//389 QsciLexerCMake::tr(const char*)
    {56, 1503, 12, 1, Smoke::mf_static, 40, 22},	//390 QsciLexerCMake::trUtf8(const char*)
    {56, 464, 0, 0, Smoke::mf_ctor, 61, 23},	//391 QsciLexerCMake::QsciLexerCMake()
    {56, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 24},	//392 QsciLexerCMake::staticMetaObject() const
    {56, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 25},	//393 QsciLexerCMake::Default (enum)
    {56, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 26},	//394 QsciLexerCMake::Comment (enum)
    {56, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 27},	//395 QsciLexerCMake::String (enum)
    {56, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 28},	//396 QsciLexerCMake::StringLeftQuote (enum)
    {56, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 29},	//397 QsciLexerCMake::StringRightQuote (enum)
    {56, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 30},	//398 QsciLexerCMake::Function (enum)
    {56, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 31},	//399 QsciLexerCMake::Variable (enum)
    {56, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 32},	//400 QsciLexerCMake::Label (enum)
    {56, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 33},	//401 QsciLexerCMake::KeywordSet3 (enum)
    {56, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//402 QsciLexerCMake::BlockWhile (enum)
    {56, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//403 QsciLexerCMake::BlockForeach (enum)
    {56, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//404 QsciLexerCMake::BlockIf (enum)
    {56, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 37},	//405 QsciLexerCMake::BlockMacro (enum)
    {56, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 38},	//406 QsciLexerCMake::StringVariable (enum)
    {56, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 39},	//407 QsciLexerCMake::Number (enum)
    {56, 1553, 0, 0, Smoke::mf_dtor, 0, 40 },	//408 QsciLexerCMake::~QsciLexerCMake()
    {57, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//409 QsciLexerCPP::metaObject() const
    {57, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//410 QsciLexerCPP::qt_metacast(const char*)
    {57, 1499, 44, 2, Smoke::mf_static, 40, 3},	//411 QsciLexerCPP::tr(const char*, const char*)
    {57, 1503, 44, 2, Smoke::mf_static, 40, 4},	//412 QsciLexerCPP::trUtf8(const char*, const char*)
    {57, 1499, 47, 3, Smoke::mf_static, 40, 5},	//413 QsciLexerCPP::tr(const char*, const char*, int)
    {57, 1503, 47, 3, Smoke::mf_static, 40, 6},	//414 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {57, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//415 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {57, 466, 98, 2, Smoke::mf_ctor, 62, 8},	//416 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {57, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//417 QsciLexerCPP::language() const
    {57, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//418 QsciLexerCPP::lexer() const
    {57, 806, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//419 QsciLexerCPP::autoCompletionWordSeparators() const
    {57, 812, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 12},	//420 QsciLexerCPP::blockEnd(int*) const
    {57, 815, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 13},	//421 QsciLexerCPP::blockStart(int*) const
    {57, 817, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 14},	//422 QsciLexerCPP::blockStartKeyword(int*) const
    {57, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 15},	//423 QsciLexerCPP::braceStyle() const
    {57, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 16},	//424 QsciLexerCPP::wordCharacters() const
    {57, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//425 QsciLexerCPP::defaultColor(int) const
    {57, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 18},	//426 QsciLexerCPP::defaultEolFill(int) const
    {57, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//427 QsciLexerCPP::defaultFont(int) const
    {57, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//428 QsciLexerCPP::defaultPaper(int) const
    {57, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 21},	//429 QsciLexerCPP::keywords(int) const
    {57, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 22},	//430 QsciLexerCPP::description(int) const
    {57, 1140, 0, 0, Smoke::mf_virtual, 0, 23},	//431 QsciLexerCPP::refreshProperties()
    {57, 946, 0, 0, Smoke::mf_const, 190, 24},	//432 QsciLexerCPP::foldAtElse() const
    {57, 948, 0, 0, Smoke::mf_const, 190, 25},	//433 QsciLexerCPP::foldComments() const
    {57, 949, 0, 0, Smoke::mf_const, 190, 26},	//434 QsciLexerCPP::foldCompact() const
    {57, 956, 0, 0, Smoke::mf_const, 190, 27},	//435 QsciLexerCPP::foldPreprocessor() const
    {57, 1483, 0, 0, Smoke::mf_const, 190, 28},	//436 QsciLexerCPP::stylePreprocessor() const
    {57, 1246, 16, 1, 0, 0, 29},	//437 QsciLexerCPP::setDollarsAllowed(bool)
    {57, 886, 0, 0, Smoke::mf_const, 190, 30},	//438 QsciLexerCPP::dollarsAllowed() const
    {57, 1313, 16, 1, 0, 0, 31},	//439 QsciLexerCPP::setHighlightTripleQuotedStrings(bool)
    {57, 980, 0, 0, Smoke::mf_const, 190, 32},	//440 QsciLexerCPP::highlightTripleQuotedStrings() const
    {57, 1309, 16, 1, 0, 0, 33},	//441 QsciLexerCPP::setHighlightHashQuotedStrings(bool)
    {57, 978, 0, 0, Smoke::mf_const, 190, 34},	//442 QsciLexerCPP::highlightHashQuotedStrings() const
    {57, 1273, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//443 QsciLexerCPP::setFoldAtElse(bool)
    {57, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//444 QsciLexerCPP::setFoldComments(bool)
    {57, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 37},	//445 QsciLexerCPP::setFoldCompact(bool)
    {57, 1291, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//446 QsciLexerCPP::setFoldPreprocessor(bool)
    {57, 1421, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 39},	//447 QsciLexerCPP::setStylePreprocessor(bool)
    {57, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 40},	//448 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {57, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 41},	//449 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {57, 1499, 12, 1, Smoke::mf_static, 40, 42},	//450 QsciLexerCPP::tr(const char*)
    {57, 1503, 12, 1, Smoke::mf_static, 40, 43},	//451 QsciLexerCPP::trUtf8(const char*)
    {57, 466, 0, 0, Smoke::mf_ctor, 62, 44},	//452 QsciLexerCPP::QsciLexerCPP()
    {57, 466, 76, 1, Smoke::mf_ctor, 62, 45},	//453 QsciLexerCPP::QsciLexerCPP(QObject*)
    {57, 812, 0, 0, Smoke::mf_const, 214, 46},	//454 QsciLexerCPP::blockEnd() const
    {57, 815, 0, 0, Smoke::mf_const, 214, 47},	//455 QsciLexerCPP::blockStart() const
    {57, 817, 0, 0, Smoke::mf_const, 214, 48},	//456 QsciLexerCPP::blockStartKeyword() const
    {57, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 49},	//457 QsciLexerCPP::staticMetaObject() const
    {57, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 50},	//458 QsciLexerCPP::Default (enum)
    {57, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 51},	//459 QsciLexerCPP::InactiveDefault (enum)
    {57, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 52},	//460 QsciLexerCPP::Comment (enum)
    {57, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 53},	//461 QsciLexerCPP::InactiveComment (enum)
    {57, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 54},	//462 QsciLexerCPP::CommentLine (enum)
    {57, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 55},	//463 QsciLexerCPP::InactiveCommentLine (enum)
    {57, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 56},	//464 QsciLexerCPP::CommentDoc (enum)
    {57, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 57},	//465 QsciLexerCPP::InactiveCommentDoc (enum)
    {57, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 58},	//466 QsciLexerCPP::Number (enum)
    {57, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 59},	//467 QsciLexerCPP::InactiveNumber (enum)
    {57, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 60},	//468 QsciLexerCPP::Keyword (enum)
    {57, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 61},	//469 QsciLexerCPP::InactiveKeyword (enum)
    {57, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 62},	//470 QsciLexerCPP::DoubleQuotedString (enum)
    {57, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 63},	//471 QsciLexerCPP::InactiveDoubleQuotedString (enum)
    {57, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 64},	//472 QsciLexerCPP::SingleQuotedString (enum)
    {57, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 65},	//473 QsciLexerCPP::InactiveSingleQuotedString (enum)
    {57, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 66},	//474 QsciLexerCPP::UUID (enum)
    {57, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 67},	//475 QsciLexerCPP::InactiveUUID (enum)
    {57, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 68},	//476 QsciLexerCPP::PreProcessor (enum)
    {57, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 69},	//477 QsciLexerCPP::InactivePreProcessor (enum)
    {57, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 70},	//478 QsciLexerCPP::Operator (enum)
    {57, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 71},	//479 QsciLexerCPP::InactiveOperator (enum)
    {57, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 72},	//480 QsciLexerCPP::Identifier (enum)
    {57, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 73},	//481 QsciLexerCPP::InactiveIdentifier (enum)
    {57, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 74},	//482 QsciLexerCPP::UnclosedString (enum)
    {57, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 75},	//483 QsciLexerCPP::InactiveUnclosedString (enum)
    {57, 737, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 76},	//484 QsciLexerCPP::VerbatimString (enum)
    {57, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 77},	//485 QsciLexerCPP::InactiveVerbatimString (enum)
    {57, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 78},	//486 QsciLexerCPP::Regex (enum)
    {57, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 79},	//487 QsciLexerCPP::InactiveRegex (enum)
    {57, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 80},	//488 QsciLexerCPP::CommentLineDoc (enum)
    {57, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 81},	//489 QsciLexerCPP::InactiveCommentLineDoc (enum)
    {57, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 82},	//490 QsciLexerCPP::KeywordSet2 (enum)
    {57, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 83},	//491 QsciLexerCPP::InactiveKeywordSet2 (enum)
    {57, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 84},	//492 QsciLexerCPP::CommentDocKeyword (enum)
    {57, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 85},	//493 QsciLexerCPP::InactiveCommentDocKeyword (enum)
    {57, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 86},	//494 QsciLexerCPP::CommentDocKeywordError (enum)
    {57, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 87},	//495 QsciLexerCPP::InactiveCommentDocKeywordError (enum)
    {57, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 88},	//496 QsciLexerCPP::GlobalClass (enum)
    {57, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 89},	//497 QsciLexerCPP::InactiveGlobalClass (enum)
    {57, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 90},	//498 QsciLexerCPP::RawString (enum)
    {57, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 91},	//499 QsciLexerCPP::InactiveRawString (enum)
    {57, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 92},	//500 QsciLexerCPP::TripleQuotedVerbatimString (enum)
    {57, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 93},	//501 QsciLexerCPP::InactiveTripleQuotedVerbatimString (enum)
    {57, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 94},	//502 QsciLexerCPP::HashQuotedString (enum)
    {57, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 95},	//503 QsciLexerCPP::InactiveHashQuotedString (enum)
    {57, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 96},	//504 QsciLexerCPP::PreProcessorComment (enum)
    {57, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 97},	//505 QsciLexerCPP::InactivePreProcessorComment (enum)
    {57, 1554, 0, 0, Smoke::mf_dtor, 0, 98 },	//506 QsciLexerCPP::~QsciLexerCPP()
    {58, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//507 QsciLexerCSS::metaObject() const
    {58, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//508 QsciLexerCSS::qt_metacast(const char*)
    {58, 1499, 44, 2, Smoke::mf_static, 40, 3},	//509 QsciLexerCSS::tr(const char*, const char*)
    {58, 1503, 44, 2, Smoke::mf_static, 40, 4},	//510 QsciLexerCSS::trUtf8(const char*, const char*)
    {58, 1499, 47, 3, Smoke::mf_static, 40, 5},	//511 QsciLexerCSS::tr(const char*, const char*, int)
    {58, 1503, 47, 3, Smoke::mf_static, 40, 6},	//512 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {58, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//513 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {58, 469, 76, 1, Smoke::mf_ctor, 63, 8},	//514 QsciLexerCSS::QsciLexerCSS(QObject*)
    {58, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//515 QsciLexerCSS::language() const
    {58, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//516 QsciLexerCSS::lexer() const
    {58, 812, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 11},	//517 QsciLexerCSS::blockEnd(int*) const
    {58, 815, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 12},	//518 QsciLexerCSS::blockStart(int*) const
    {58, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 13},	//519 QsciLexerCSS::wordCharacters() const
    {58, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//520 QsciLexerCSS::defaultColor(int) const
    {58, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//521 QsciLexerCSS::defaultFont(int) const
    {58, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 16},	//522 QsciLexerCSS::keywords(int) const
    {58, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//523 QsciLexerCSS::description(int) const
    {58, 1140, 0, 0, Smoke::mf_virtual, 0, 18},	//524 QsciLexerCSS::refreshProperties()
    {58, 948, 0, 0, Smoke::mf_const, 190, 19},	//525 QsciLexerCSS::foldComments() const
    {58, 949, 0, 0, Smoke::mf_const, 190, 20},	//526 QsciLexerCSS::foldCompact() const
    {58, 1305, 16, 1, 0, 0, 21},	//527 QsciLexerCSS::setHSSLanguage(bool)
    {58, 225, 0, 0, Smoke::mf_const, 190, 22},	//528 QsciLexerCSS::HSSLanguage() const
    {58, 1344, 16, 1, 0, 0, 23},	//529 QsciLexerCSS::setLessLanguage(bool)
    {58, 319, 0, 0, Smoke::mf_const, 190, 24},	//530 QsciLexerCSS::LessLanguage() const
    {58, 1404, 16, 1, 0, 0, 25},	//531 QsciLexerCSS::setSCSSLanguage(bool)
    {58, 610, 0, 0, Smoke::mf_const, 190, 26},	//532 QsciLexerCSS::SCSSLanguage() const
    {58, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//533 QsciLexerCSS::setFoldComments(bool)
    {58, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//534 QsciLexerCSS::setFoldCompact(bool)
    {58, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 29},	//535 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {58, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 30},	//536 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {58, 1499, 12, 1, Smoke::mf_static, 40, 31},	//537 QsciLexerCSS::tr(const char*)
    {58, 1503, 12, 1, Smoke::mf_static, 40, 32},	//538 QsciLexerCSS::trUtf8(const char*)
    {58, 469, 0, 0, Smoke::mf_ctor, 63, 33},	//539 QsciLexerCSS::QsciLexerCSS()
    {58, 812, 0, 0, Smoke::mf_const, 214, 34},	//540 QsciLexerCSS::blockEnd() const
    {58, 815, 0, 0, Smoke::mf_const, 214, 35},	//541 QsciLexerCSS::blockStart() const
    {58, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 36},	//542 QsciLexerCSS::staticMetaObject() const
    {58, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 37},	//543 QsciLexerCSS::Default (enum)
    {58, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 38},	//544 QsciLexerCSS::Tag (enum)
    {58, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 39},	//545 QsciLexerCSS::ClassSelector (enum)
    {58, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 40},	//546 QsciLexerCSS::PseudoClass (enum)
    {58, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//547 QsciLexerCSS::UnknownPseudoClass (enum)
    {58, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//548 QsciLexerCSS::Operator (enum)
    {58, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//549 QsciLexerCSS::CSS1Property (enum)
    {58, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//550 QsciLexerCSS::UnknownProperty (enum)
    {58, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//551 QsciLexerCSS::Value (enum)
    {58, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//552 QsciLexerCSS::Comment (enum)
    {58, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//553 QsciLexerCSS::IDSelector (enum)
    {58, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//554 QsciLexerCSS::Important (enum)
    {58, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 49},	//555 QsciLexerCSS::AtRule (enum)
    {58, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 50},	//556 QsciLexerCSS::DoubleQuotedString (enum)
    {58, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 51},	//557 QsciLexerCSS::SingleQuotedString (enum)
    {58, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 52},	//558 QsciLexerCSS::CSS2Property (enum)
    {58, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 53},	//559 QsciLexerCSS::Attribute (enum)
    {58, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 54},	//560 QsciLexerCSS::CSS3Property (enum)
    {58, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 55},	//561 QsciLexerCSS::PseudoElement (enum)
    {58, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 56},	//562 QsciLexerCSS::ExtendedCSSProperty (enum)
    {58, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 57},	//563 QsciLexerCSS::ExtendedPseudoClass (enum)
    {58, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 58},	//564 QsciLexerCSS::ExtendedPseudoElement (enum)
    {58, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 59},	//565 QsciLexerCSS::MediaRule (enum)
    {58, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 60},	//566 QsciLexerCSS::Variable (enum)
    {58, 1555, 0, 0, Smoke::mf_dtor, 0, 61 },	//567 QsciLexerCSS::~QsciLexerCSS()
    {59, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//568 QsciLexerCSharp::metaObject() const
    {59, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//569 QsciLexerCSharp::qt_metacast(const char*)
    {59, 1499, 44, 2, Smoke::mf_static, 40, 3},	//570 QsciLexerCSharp::tr(const char*, const char*)
    {59, 1503, 44, 2, Smoke::mf_static, 40, 4},	//571 QsciLexerCSharp::trUtf8(const char*, const char*)
    {59, 1499, 47, 3, Smoke::mf_static, 40, 5},	//572 QsciLexerCSharp::tr(const char*, const char*, int)
    {59, 1503, 47, 3, Smoke::mf_static, 40, 6},	//573 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {59, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//574 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {59, 471, 76, 1, Smoke::mf_ctor, 64, 8},	//575 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {59, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//576 QsciLexerCSharp::language() const
    {59, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//577 QsciLexerCSharp::defaultColor(int) const
    {59, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 11},	//578 QsciLexerCSharp::defaultEolFill(int) const
    {59, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//579 QsciLexerCSharp::defaultFont(int) const
    {59, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//580 QsciLexerCSharp::defaultPaper(int) const
    {59, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 14},	//581 QsciLexerCSharp::keywords(int) const
    {59, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//582 QsciLexerCSharp::description(int) const
    {59, 1499, 12, 1, Smoke::mf_static, 40, 16},	//583 QsciLexerCSharp::tr(const char*)
    {59, 1503, 12, 1, Smoke::mf_static, 40, 17},	//584 QsciLexerCSharp::trUtf8(const char*)
    {59, 471, 0, 0, Smoke::mf_ctor, 64, 18},	//585 QsciLexerCSharp::QsciLexerCSharp()
    {59, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 19},	//586 QsciLexerCSharp::staticMetaObject() const
    {59, 1556, 0, 0, Smoke::mf_dtor, 0, 20 },	//587 QsciLexerCSharp::~QsciLexerCSharp()
    {60, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//588 QsciLexerCustom::metaObject() const
    {60, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//589 QsciLexerCustom::qt_metacast(const char*)
    {60, 1499, 44, 2, Smoke::mf_static, 40, 3},	//590 QsciLexerCustom::tr(const char*, const char*)
    {60, 1503, 44, 2, Smoke::mf_static, 40, 4},	//591 QsciLexerCustom::trUtf8(const char*, const char*)
    {60, 1499, 47, 3, Smoke::mf_static, 40, 5},	//592 QsciLexerCustom::tr(const char*, const char*, int)
    {60, 1503, 47, 3, Smoke::mf_static, 40, 6},	//593 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {60, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//594 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {60, 473, 76, 1, Smoke::mf_ctor, 65, 8},	//595 QsciLexerCustom::QsciLexerCustom(QObject*)
    {60, 1423, 101, 2, 0, 0, 9},	//596 QsciLexerCustom::setStyling(int, int)
    {60, 1423, 104, 2, 0, 0, 10},	//597 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {60, 1475, 101, 2, 0, 0, 11},	//598 QsciLexerCustom::startStyling(int, int)
    {60, 1484, 101, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//599 QsciLexerCustom::styleText(int, int) [pure virtual]
    {60, 1256, 84, 1, Smoke::mf_virtual, 0, 13},	//600 QsciLexerCustom::setEditor(QsciScintilla*)
    {60, 1481, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 14},	//601 QsciLexerCustom::styleBitsNeeded() const
    {60, 1499, 12, 1, Smoke::mf_static, 40, 15},	//602 QsciLexerCustom::tr(const char*)
    {60, 1503, 12, 1, Smoke::mf_static, 40, 16},	//603 QsciLexerCustom::trUtf8(const char*)
    {60, 473, 0, 0, Smoke::mf_ctor, 65, 17},	//604 QsciLexerCustom::QsciLexerCustom()
    {60, 1475, 18, 1, 0, 0, 18},	//605 QsciLexerCustom::startStyling(int)
    {60, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 19},	//606 QsciLexerCustom::staticMetaObject() const
    {60, 1557, 0, 0, Smoke::mf_dtor, 0, 20 },	//607 QsciLexerCustom::~QsciLexerCustom()
    {61, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//608 QsciLexerD::metaObject() const
    {61, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//609 QsciLexerD::qt_metacast(const char*)
    {61, 1499, 44, 2, Smoke::mf_static, 40, 3},	//610 QsciLexerD::tr(const char*, const char*)
    {61, 1503, 44, 2, Smoke::mf_static, 40, 4},	//611 QsciLexerD::trUtf8(const char*, const char*)
    {61, 1499, 47, 3, Smoke::mf_static, 40, 5},	//612 QsciLexerD::tr(const char*, const char*, int)
    {61, 1503, 47, 3, Smoke::mf_static, 40, 6},	//613 QsciLexerD::trUtf8(const char*, const char*, int)
    {61, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//614 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {61, 475, 76, 1, Smoke::mf_ctor, 66, 8},	//615 QsciLexerD::QsciLexerD(QObject*)
    {61, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//616 QsciLexerD::language() const
    {61, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//617 QsciLexerD::lexer() const
    {61, 806, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//618 QsciLexerD::autoCompletionWordSeparators() const
    {61, 812, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 12},	//619 QsciLexerD::blockEnd(int*) const
    {61, 815, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 13},	//620 QsciLexerD::blockStart(int*) const
    {61, 817, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 14},	//621 QsciLexerD::blockStartKeyword(int*) const
    {61, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 15},	//622 QsciLexerD::braceStyle() const
    {61, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 16},	//623 QsciLexerD::wordCharacters() const
    {61, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//624 QsciLexerD::defaultColor(int) const
    {61, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 18},	//625 QsciLexerD::defaultEolFill(int) const
    {61, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//626 QsciLexerD::defaultFont(int) const
    {61, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//627 QsciLexerD::defaultPaper(int) const
    {61, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 21},	//628 QsciLexerD::keywords(int) const
    {61, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 22},	//629 QsciLexerD::description(int) const
    {61, 1140, 0, 0, Smoke::mf_virtual, 0, 23},	//630 QsciLexerD::refreshProperties()
    {61, 946, 0, 0, Smoke::mf_const, 190, 24},	//631 QsciLexerD::foldAtElse() const
    {61, 948, 0, 0, Smoke::mf_const, 190, 25},	//632 QsciLexerD::foldComments() const
    {61, 949, 0, 0, Smoke::mf_const, 190, 26},	//633 QsciLexerD::foldCompact() const
    {61, 1273, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//634 QsciLexerD::setFoldAtElse(bool)
    {61, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//635 QsciLexerD::setFoldComments(bool)
    {61, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//636 QsciLexerD::setFoldCompact(bool)
    {61, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 30},	//637 QsciLexerD::readProperties(QSettings&, const QString&)
    {61, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 31},	//638 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {61, 1499, 12, 1, Smoke::mf_static, 40, 32},	//639 QsciLexerD::tr(const char*)
    {61, 1503, 12, 1, Smoke::mf_static, 40, 33},	//640 QsciLexerD::trUtf8(const char*)
    {61, 475, 0, 0, Smoke::mf_ctor, 66, 34},	//641 QsciLexerD::QsciLexerD()
    {61, 812, 0, 0, Smoke::mf_const, 214, 35},	//642 QsciLexerD::blockEnd() const
    {61, 815, 0, 0, Smoke::mf_const, 214, 36},	//643 QsciLexerD::blockStart() const
    {61, 817, 0, 0, Smoke::mf_const, 214, 37},	//644 QsciLexerD::blockStartKeyword() const
    {61, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 38},	//645 QsciLexerD::staticMetaObject() const
    {61, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 39},	//646 QsciLexerD::Default (enum)
    {61, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 40},	//647 QsciLexerD::Comment (enum)
    {61, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//648 QsciLexerD::CommentLine (enum)
    {61, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//649 QsciLexerD::CommentDoc (enum)
    {61, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//650 QsciLexerD::CommentNested (enum)
    {61, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//651 QsciLexerD::Number (enum)
    {61, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//652 QsciLexerD::Keyword (enum)
    {61, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//653 QsciLexerD::KeywordSecondary (enum)
    {61, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//654 QsciLexerD::KeywordDoc (enum)
    {61, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//655 QsciLexerD::Typedefs (enum)
    {61, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 49},	//656 QsciLexerD::String (enum)
    {61, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 50},	//657 QsciLexerD::UnclosedString (enum)
    {61, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 51},	//658 QsciLexerD::Character (enum)
    {61, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 52},	//659 QsciLexerD::Operator (enum)
    {61, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 53},	//660 QsciLexerD::Identifier (enum)
    {61, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 54},	//661 QsciLexerD::CommentLineDoc (enum)
    {61, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 55},	//662 QsciLexerD::CommentDocKeyword (enum)
    {61, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 56},	//663 QsciLexerD::CommentDocKeywordError (enum)
    {61, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 57},	//664 QsciLexerD::BackquoteString (enum)
    {61, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 58},	//665 QsciLexerD::RawString (enum)
    {61, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 59},	//666 QsciLexerD::KeywordSet5 (enum)
    {61, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 60},	//667 QsciLexerD::KeywordSet6 (enum)
    {61, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 61},	//668 QsciLexerD::KeywordSet7 (enum)
    {61, 1558, 0, 0, Smoke::mf_dtor, 0, 62 },	//669 QsciLexerD::~QsciLexerD()
    {62, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//670 QsciLexerDiff::metaObject() const
    {62, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//671 QsciLexerDiff::qt_metacast(const char*)
    {62, 1499, 44, 2, Smoke::mf_static, 40, 3},	//672 QsciLexerDiff::tr(const char*, const char*)
    {62, 1503, 44, 2, Smoke::mf_static, 40, 4},	//673 QsciLexerDiff::trUtf8(const char*, const char*)
    {62, 1499, 47, 3, Smoke::mf_static, 40, 5},	//674 QsciLexerDiff::tr(const char*, const char*, int)
    {62, 1503, 47, 3, Smoke::mf_static, 40, 6},	//675 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {62, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//676 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {62, 477, 76, 1, Smoke::mf_ctor, 67, 8},	//677 QsciLexerDiff::QsciLexerDiff(QObject*)
    {62, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//678 QsciLexerDiff::language() const
    {62, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//679 QsciLexerDiff::lexer() const
    {62, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 11},	//680 QsciLexerDiff::wordCharacters() const
    {62, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//681 QsciLexerDiff::defaultColor(int) const
    {62, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 13},	//682 QsciLexerDiff::description(int) const
    {62, 1499, 12, 1, Smoke::mf_static, 40, 14},	//683 QsciLexerDiff::tr(const char*)
    {62, 1503, 12, 1, Smoke::mf_static, 40, 15},	//684 QsciLexerDiff::trUtf8(const char*)
    {62, 477, 0, 0, Smoke::mf_ctor, 67, 16},	//685 QsciLexerDiff::QsciLexerDiff()
    {62, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 17},	//686 QsciLexerDiff::staticMetaObject() const
    {62, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 18},	//687 QsciLexerDiff::Default (enum)
    {62, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 19},	//688 QsciLexerDiff::Comment (enum)
    {62, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 20},	//689 QsciLexerDiff::Command (enum)
    {62, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 21},	//690 QsciLexerDiff::Header (enum)
    {62, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 22},	//691 QsciLexerDiff::Position (enum)
    {62, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 23},	//692 QsciLexerDiff::LineRemoved (enum)
    {62, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 24},	//693 QsciLexerDiff::LineAdded (enum)
    {62, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 25},	//694 QsciLexerDiff::LineChanged (enum)
    {62, 1559, 0, 0, Smoke::mf_dtor, 0, 26 },	//695 QsciLexerDiff::~QsciLexerDiff()
    {63, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//696 QsciLexerFortran::metaObject() const
    {63, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//697 QsciLexerFortran::qt_metacast(const char*)
    {63, 1499, 44, 2, Smoke::mf_static, 40, 3},	//698 QsciLexerFortran::tr(const char*, const char*)
    {63, 1503, 44, 2, Smoke::mf_static, 40, 4},	//699 QsciLexerFortran::trUtf8(const char*, const char*)
    {63, 1499, 47, 3, Smoke::mf_static, 40, 5},	//700 QsciLexerFortran::tr(const char*, const char*, int)
    {63, 1503, 47, 3, Smoke::mf_static, 40, 6},	//701 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {63, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//702 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {63, 479, 76, 1, Smoke::mf_ctor, 68, 8},	//703 QsciLexerFortran::QsciLexerFortran(QObject*)
    {63, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//704 QsciLexerFortran::language() const
    {63, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//705 QsciLexerFortran::lexer() const
    {63, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 11},	//706 QsciLexerFortran::keywords(int) const
    {63, 1499, 12, 1, Smoke::mf_static, 40, 12},	//707 QsciLexerFortran::tr(const char*)
    {63, 1503, 12, 1, Smoke::mf_static, 40, 13},	//708 QsciLexerFortran::trUtf8(const char*)
    {63, 479, 0, 0, Smoke::mf_ctor, 68, 14},	//709 QsciLexerFortran::QsciLexerFortran()
    {63, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 15},	//710 QsciLexerFortran::staticMetaObject() const
    {63, 1560, 0, 0, Smoke::mf_dtor, 0, 16 },	//711 QsciLexerFortran::~QsciLexerFortran()
    {64, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//712 QsciLexerFortran77::metaObject() const
    {64, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//713 QsciLexerFortran77::qt_metacast(const char*)
    {64, 1499, 44, 2, Smoke::mf_static, 40, 3},	//714 QsciLexerFortran77::tr(const char*, const char*)
    {64, 1503, 44, 2, Smoke::mf_static, 40, 4},	//715 QsciLexerFortran77::trUtf8(const char*, const char*)
    {64, 1499, 47, 3, Smoke::mf_static, 40, 5},	//716 QsciLexerFortran77::tr(const char*, const char*, int)
    {64, 1503, 47, 3, Smoke::mf_static, 40, 6},	//717 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {64, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//718 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {64, 481, 76, 1, Smoke::mf_ctor, 69, 8},	//719 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {64, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//720 QsciLexerFortran77::language() const
    {64, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//721 QsciLexerFortran77::lexer() const
    {64, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//722 QsciLexerFortran77::braceStyle() const
    {64, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//723 QsciLexerFortran77::defaultColor(int) const
    {64, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 13},	//724 QsciLexerFortran77::defaultEolFill(int) const
    {64, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//725 QsciLexerFortran77::defaultFont(int) const
    {64, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//726 QsciLexerFortran77::defaultPaper(int) const
    {64, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 16},	//727 QsciLexerFortran77::keywords(int) const
    {64, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//728 QsciLexerFortran77::description(int) const
    {64, 1140, 0, 0, Smoke::mf_virtual, 0, 18},	//729 QsciLexerFortran77::refreshProperties()
    {64, 949, 0, 0, Smoke::mf_const, 190, 19},	//730 QsciLexerFortran77::foldCompact() const
    {64, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//731 QsciLexerFortran77::setFoldCompact(bool)
    {64, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 21},	//732 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {64, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 22},	//733 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {64, 1499, 12, 1, Smoke::mf_static, 40, 23},	//734 QsciLexerFortran77::tr(const char*)
    {64, 1503, 12, 1, Smoke::mf_static, 40, 24},	//735 QsciLexerFortran77::trUtf8(const char*)
    {64, 481, 0, 0, Smoke::mf_ctor, 69, 25},	//736 QsciLexerFortran77::QsciLexerFortran77()
    {64, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 26},	//737 QsciLexerFortran77::staticMetaObject() const
    {64, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 27},	//738 QsciLexerFortran77::Default (enum)
    {64, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 28},	//739 QsciLexerFortran77::Comment (enum)
    {64, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 29},	//740 QsciLexerFortran77::Number (enum)
    {64, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 30},	//741 QsciLexerFortran77::SingleQuotedString (enum)
    {64, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 31},	//742 QsciLexerFortran77::DoubleQuotedString (enum)
    {64, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 32},	//743 QsciLexerFortran77::UnclosedString (enum)
    {64, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 33},	//744 QsciLexerFortran77::Operator (enum)
    {64, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//745 QsciLexerFortran77::Identifier (enum)
    {64, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//746 QsciLexerFortran77::Keyword (enum)
    {64, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//747 QsciLexerFortran77::IntrinsicFunction (enum)
    {64, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 37},	//748 QsciLexerFortran77::ExtendedFunction (enum)
    {64, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 38},	//749 QsciLexerFortran77::PreProcessor (enum)
    {64, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 39},	//750 QsciLexerFortran77::DottedOperator (enum)
    {64, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 40},	//751 QsciLexerFortran77::Label (enum)
    {64, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//752 QsciLexerFortran77::Continuation (enum)
    {64, 1561, 0, 0, Smoke::mf_dtor, 0, 42 },	//753 QsciLexerFortran77::~QsciLexerFortran77()
    {65, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//754 QsciLexerHTML::metaObject() const
    {65, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//755 QsciLexerHTML::qt_metacast(const char*)
    {65, 1499, 44, 2, Smoke::mf_static, 40, 3},	//756 QsciLexerHTML::tr(const char*, const char*)
    {65, 1503, 44, 2, Smoke::mf_static, 40, 4},	//757 QsciLexerHTML::trUtf8(const char*, const char*)
    {65, 1499, 47, 3, Smoke::mf_static, 40, 5},	//758 QsciLexerHTML::tr(const char*, const char*, int)
    {65, 1503, 47, 3, Smoke::mf_static, 40, 6},	//759 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {65, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//760 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {65, 483, 76, 1, Smoke::mf_ctor, 70, 8},	//761 QsciLexerHTML::QsciLexerHTML(QObject*)
    {65, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//762 QsciLexerHTML::language() const
    {65, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//763 QsciLexerHTML::lexer() const
    {65, 797, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 11},	//764 QsciLexerHTML::autoCompletionFillups() const
    {65, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 12},	//765 QsciLexerHTML::wordCharacters() const
    {65, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//766 QsciLexerHTML::defaultColor(int) const
    {65, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 14},	//767 QsciLexerHTML::defaultEolFill(int) const
    {65, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//768 QsciLexerHTML::defaultFont(int) const
    {65, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//769 QsciLexerHTML::defaultPaper(int) const
    {65, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 17},	//770 QsciLexerHTML::keywords(int) const
    {65, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//771 QsciLexerHTML::description(int) const
    {65, 1140, 0, 0, Smoke::mf_virtual, 0, 19},	//772 QsciLexerHTML::refreshProperties()
    {65, 834, 0, 0, Smoke::mf_const, 190, 20},	//773 QsciLexerHTML::caseSensitiveTags() const
    {65, 1242, 16, 1, 0, 0, 21},	//774 QsciLexerHTML::setDjangoTemplates(bool)
    {65, 884, 0, 0, Smoke::mf_const, 190, 22},	//775 QsciLexerHTML::djangoTemplates() const
    {65, 949, 0, 0, Smoke::mf_const, 190, 23},	//776 QsciLexerHTML::foldCompact() const
    {65, 956, 0, 0, Smoke::mf_const, 190, 24},	//777 QsciLexerHTML::foldPreprocessor() const
    {65, 1295, 16, 1, 0, 0, 25},	//778 QsciLexerHTML::setFoldScriptComments(bool)
    {65, 958, 0, 0, Smoke::mf_const, 190, 26},	//779 QsciLexerHTML::foldScriptComments() const
    {65, 1297, 16, 1, 0, 0, 27},	//780 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {65, 959, 0, 0, Smoke::mf_const, 190, 28},	//781 QsciLexerHTML::foldScriptHeredocs() const
    {65, 1352, 16, 1, 0, 0, 29},	//782 QsciLexerHTML::setMakoTemplates(bool)
    {65, 1046, 0, 0, Smoke::mf_const, 190, 30},	//783 QsciLexerHTML::makoTemplates() const
    {65, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//784 QsciLexerHTML::setFoldCompact(bool)
    {65, 1291, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//785 QsciLexerHTML::setFoldPreprocessor(bool)
    {65, 1223, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//786 QsciLexerHTML::setCaseSensitiveTags(bool)
    {65, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 34},	//787 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {65, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 35},	//788 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {65, 1499, 12, 1, Smoke::mf_static, 40, 36},	//789 QsciLexerHTML::tr(const char*)
    {65, 1503, 12, 1, Smoke::mf_static, 40, 37},	//790 QsciLexerHTML::trUtf8(const char*)
    {65, 483, 0, 0, Smoke::mf_ctor, 70, 38},	//791 QsciLexerHTML::QsciLexerHTML()
    {65, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 39},	//792 QsciLexerHTML::staticMetaObject() const
    {65, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 40},	//793 QsciLexerHTML::Default (enum)
    {65, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//794 QsciLexerHTML::Tag (enum)
    {65, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//795 QsciLexerHTML::UnknownTag (enum)
    {65, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//796 QsciLexerHTML::Attribute (enum)
    {65, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//797 QsciLexerHTML::UnknownAttribute (enum)
    {65, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//798 QsciLexerHTML::HTMLNumber (enum)
    {65, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//799 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {65, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//800 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {65, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//801 QsciLexerHTML::OtherInTag (enum)
    {65, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 49},	//802 QsciLexerHTML::HTMLComment (enum)
    {65, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 50},	//803 QsciLexerHTML::Entity (enum)
    {65, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 51},	//804 QsciLexerHTML::XMLTagEnd (enum)
    {65, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 52},	//805 QsciLexerHTML::XMLStart (enum)
    {65, 766, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 53},	//806 QsciLexerHTML::XMLEnd (enum)
    {65, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 54},	//807 QsciLexerHTML::Script (enum)
    {65, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 55},	//808 QsciLexerHTML::ASPAtStart (enum)
    {65, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 56},	//809 QsciLexerHTML::ASPStart (enum)
    {65, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 57},	//810 QsciLexerHTML::CDATA (enum)
    {65, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 58},	//811 QsciLexerHTML::PHPStart (enum)
    {65, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 59},	//812 QsciLexerHTML::HTMLValue (enum)
    {65, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 60},	//813 QsciLexerHTML::ASPXCComment (enum)
    {65, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 61},	//814 QsciLexerHTML::SGMLDefault (enum)
    {65, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 62},	//815 QsciLexerHTML::SGMLCommand (enum)
    {65, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 63},	//816 QsciLexerHTML::SGMLParameter (enum)
    {65, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 64},	//817 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {65, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 65},	//818 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {65, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 66},	//819 QsciLexerHTML::SGMLError (enum)
    {65, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 67},	//820 QsciLexerHTML::SGMLSpecial (enum)
    {65, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 68},	//821 QsciLexerHTML::SGMLEntity (enum)
    {65, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 69},	//822 QsciLexerHTML::SGMLComment (enum)
    {65, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 70},	//823 QsciLexerHTML::SGMLParameterComment (enum)
    {65, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 71},	//824 QsciLexerHTML::SGMLBlockDefault (enum)
    {65, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 72},	//825 QsciLexerHTML::JavaScriptStart (enum)
    {65, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 73},	//826 QsciLexerHTML::JavaScriptDefault (enum)
    {65, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 74},	//827 QsciLexerHTML::JavaScriptComment (enum)
    {65, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 75},	//828 QsciLexerHTML::JavaScriptCommentLine (enum)
    {65, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 76},	//829 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {65, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 77},	//830 QsciLexerHTML::JavaScriptNumber (enum)
    {65, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 78},	//831 QsciLexerHTML::JavaScriptWord (enum)
    {65, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 79},	//832 QsciLexerHTML::JavaScriptKeyword (enum)
    {65, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 80},	//833 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {65, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 81},	//834 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {65, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 82},	//835 QsciLexerHTML::JavaScriptSymbol (enum)
    {65, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 83},	//836 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {65, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 84},	//837 QsciLexerHTML::JavaScriptRegex (enum)
    {65, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 85},	//838 QsciLexerHTML::ASPJavaScriptStart (enum)
    {65, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 86},	//839 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {65, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 87},	//840 QsciLexerHTML::ASPJavaScriptComment (enum)
    {65, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 88},	//841 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {65, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 89},	//842 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {65, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 90},	//843 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {65, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 91},	//844 QsciLexerHTML::ASPJavaScriptWord (enum)
    {65, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 92},	//845 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {65, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 93},	//846 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {65, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 94},	//847 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {65, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 95},	//848 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {65, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 96},	//849 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {65, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 97},	//850 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {65, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 98},	//851 QsciLexerHTML::VBScriptStart (enum)
    {65, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 99},	//852 QsciLexerHTML::VBScriptDefault (enum)
    {65, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 100},	//853 QsciLexerHTML::VBScriptComment (enum)
    {65, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 101},	//854 QsciLexerHTML::VBScriptNumber (enum)
    {65, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 102},	//855 QsciLexerHTML::VBScriptKeyword (enum)
    {65, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 103},	//856 QsciLexerHTML::VBScriptString (enum)
    {65, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 104},	//857 QsciLexerHTML::VBScriptIdentifier (enum)
    {65, 728, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 105},	//858 QsciLexerHTML::VBScriptUnclosedString (enum)
    {65, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 106},	//859 QsciLexerHTML::ASPVBScriptStart (enum)
    {65, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 107},	//860 QsciLexerHTML::ASPVBScriptDefault (enum)
    {65, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 108},	//861 QsciLexerHTML::ASPVBScriptComment (enum)
    {65, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 109},	//862 QsciLexerHTML::ASPVBScriptNumber (enum)
    {65, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 110},	//863 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {65, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 111},	//864 QsciLexerHTML::ASPVBScriptString (enum)
    {65, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 112},	//865 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {65, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 113},	//866 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {65, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 114},	//867 QsciLexerHTML::PythonStart (enum)
    {65, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 115},	//868 QsciLexerHTML::PythonDefault (enum)
    {65, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 116},	//869 QsciLexerHTML::PythonComment (enum)
    {65, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 117},	//870 QsciLexerHTML::PythonNumber (enum)
    {65, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 118},	//871 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {65, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 119},	//872 QsciLexerHTML::PythonSingleQuotedString (enum)
    {65, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 120},	//873 QsciLexerHTML::PythonKeyword (enum)
    {65, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 121},	//874 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {65, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 122},	//875 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {65, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 123},	//876 QsciLexerHTML::PythonClassName (enum)
    {65, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 124},	//877 QsciLexerHTML::PythonFunctionMethodName (enum)
    {65, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 125},	//878 QsciLexerHTML::PythonOperator (enum)
    {65, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 126},	//879 QsciLexerHTML::PythonIdentifier (enum)
    {65, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 127},	//880 QsciLexerHTML::ASPPythonStart (enum)
    {65, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 128},	//881 QsciLexerHTML::ASPPythonDefault (enum)
    {65, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 129},	//882 QsciLexerHTML::ASPPythonComment (enum)
    {65, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 130},	//883 QsciLexerHTML::ASPPythonNumber (enum)
    {65, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 131},	//884 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {65, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 132},	//885 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {65, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 133},	//886 QsciLexerHTML::ASPPythonKeyword (enum)
    {65, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 134},	//887 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {65, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 135},	//888 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {65, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 136},	//889 QsciLexerHTML::ASPPythonClassName (enum)
    {65, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 137},	//890 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {65, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 138},	//891 QsciLexerHTML::ASPPythonOperator (enum)
    {65, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 139},	//892 QsciLexerHTML::ASPPythonIdentifier (enum)
    {65, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 140},	//893 QsciLexerHTML::PHPDefault (enum)
    {65, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 141},	//894 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {65, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 142},	//895 QsciLexerHTML::PHPSingleQuotedString (enum)
    {65, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 143},	//896 QsciLexerHTML::PHPKeyword (enum)
    {65, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 144},	//897 QsciLexerHTML::PHPNumber (enum)
    {65, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 145},	//898 QsciLexerHTML::PHPVariable (enum)
    {65, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 146},	//899 QsciLexerHTML::PHPComment (enum)
    {65, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 147},	//900 QsciLexerHTML::PHPCommentLine (enum)
    {65, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 148},	//901 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {65, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 149},	//902 QsciLexerHTML::PHPOperator (enum)
    {65, 1562, 0, 0, Smoke::mf_dtor, 0, 150 },	//903 QsciLexerHTML::~QsciLexerHTML()
    {66, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//904 QsciLexerIDL::metaObject() const
    {66, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//905 QsciLexerIDL::qt_metacast(const char*)
    {66, 1499, 44, 2, Smoke::mf_static, 40, 3},	//906 QsciLexerIDL::tr(const char*, const char*)
    {66, 1503, 44, 2, Smoke::mf_static, 40, 4},	//907 QsciLexerIDL::trUtf8(const char*, const char*)
    {66, 1499, 47, 3, Smoke::mf_static, 40, 5},	//908 QsciLexerIDL::tr(const char*, const char*, int)
    {66, 1503, 47, 3, Smoke::mf_static, 40, 6},	//909 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {66, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//910 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {66, 485, 76, 1, Smoke::mf_ctor, 71, 8},	//911 QsciLexerIDL::QsciLexerIDL(QObject*)
    {66, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//912 QsciLexerIDL::language() const
    {66, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//913 QsciLexerIDL::defaultColor(int) const
    {66, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 11},	//914 QsciLexerIDL::keywords(int) const
    {66, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 12},	//915 QsciLexerIDL::description(int) const
    {66, 1499, 12, 1, Smoke::mf_static, 40, 13},	//916 QsciLexerIDL::tr(const char*)
    {66, 1503, 12, 1, Smoke::mf_static, 40, 14},	//917 QsciLexerIDL::trUtf8(const char*)
    {66, 485, 0, 0, Smoke::mf_ctor, 71, 15},	//918 QsciLexerIDL::QsciLexerIDL()
    {66, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 16},	//919 QsciLexerIDL::staticMetaObject() const
    {66, 1563, 0, 0, Smoke::mf_dtor, 0, 17 },	//920 QsciLexerIDL::~QsciLexerIDL()
    {67, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//921 QsciLexerJava::metaObject() const
    {67, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//922 QsciLexerJava::qt_metacast(const char*)
    {67, 1499, 44, 2, Smoke::mf_static, 40, 3},	//923 QsciLexerJava::tr(const char*, const char*)
    {67, 1503, 44, 2, Smoke::mf_static, 40, 4},	//924 QsciLexerJava::trUtf8(const char*, const char*)
    {67, 1499, 47, 3, Smoke::mf_static, 40, 5},	//925 QsciLexerJava::tr(const char*, const char*, int)
    {67, 1503, 47, 3, Smoke::mf_static, 40, 6},	//926 QsciLexerJava::trUtf8(const char*, const char*, int)
    {67, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//927 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {67, 487, 76, 1, Smoke::mf_ctor, 72, 8},	//928 QsciLexerJava::QsciLexerJava(QObject*)
    {67, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//929 QsciLexerJava::language() const
    {67, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//930 QsciLexerJava::keywords(int) const
    {67, 1499, 12, 1, Smoke::mf_static, 40, 11},	//931 QsciLexerJava::tr(const char*)
    {67, 1503, 12, 1, Smoke::mf_static, 40, 12},	//932 QsciLexerJava::trUtf8(const char*)
    {67, 487, 0, 0, Smoke::mf_ctor, 72, 13},	//933 QsciLexerJava::QsciLexerJava()
    {67, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 14},	//934 QsciLexerJava::staticMetaObject() const
    {67, 1564, 0, 0, Smoke::mf_dtor, 0, 15 },	//935 QsciLexerJava::~QsciLexerJava()
    {68, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//936 QsciLexerJavaScript::metaObject() const
    {68, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//937 QsciLexerJavaScript::qt_metacast(const char*)
    {68, 1499, 44, 2, Smoke::mf_static, 40, 3},	//938 QsciLexerJavaScript::tr(const char*, const char*)
    {68, 1503, 44, 2, Smoke::mf_static, 40, 4},	//939 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {68, 1499, 47, 3, Smoke::mf_static, 40, 5},	//940 QsciLexerJavaScript::tr(const char*, const char*, int)
    {68, 1503, 47, 3, Smoke::mf_static, 40, 6},	//941 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {68, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//942 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {68, 489, 76, 1, Smoke::mf_ctor, 73, 8},	//943 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {68, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//944 QsciLexerJavaScript::language() const
    {68, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//945 QsciLexerJavaScript::defaultColor(int) const
    {68, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 11},	//946 QsciLexerJavaScript::defaultEolFill(int) const
    {68, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//947 QsciLexerJavaScript::defaultFont(int) const
    {68, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//948 QsciLexerJavaScript::defaultPaper(int) const
    {68, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 14},	//949 QsciLexerJavaScript::keywords(int) const
    {68, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//950 QsciLexerJavaScript::description(int) const
    {68, 1499, 12, 1, Smoke::mf_static, 40, 16},	//951 QsciLexerJavaScript::tr(const char*)
    {68, 1503, 12, 1, Smoke::mf_static, 40, 17},	//952 QsciLexerJavaScript::trUtf8(const char*)
    {68, 489, 0, 0, Smoke::mf_ctor, 73, 18},	//953 QsciLexerJavaScript::QsciLexerJavaScript()
    {68, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 19},	//954 QsciLexerJavaScript::staticMetaObject() const
    {68, 1565, 0, 0, Smoke::mf_dtor, 0, 20 },	//955 QsciLexerJavaScript::~QsciLexerJavaScript()
    {69, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//956 QsciLexerLua::metaObject() const
    {69, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//957 QsciLexerLua::qt_metacast(const char*)
    {69, 1499, 44, 2, Smoke::mf_static, 40, 3},	//958 QsciLexerLua::tr(const char*, const char*)
    {69, 1503, 44, 2, Smoke::mf_static, 40, 4},	//959 QsciLexerLua::trUtf8(const char*, const char*)
    {69, 1499, 47, 3, Smoke::mf_static, 40, 5},	//960 QsciLexerLua::tr(const char*, const char*, int)
    {69, 1503, 47, 3, Smoke::mf_static, 40, 6},	//961 QsciLexerLua::trUtf8(const char*, const char*, int)
    {69, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//962 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {69, 491, 76, 1, Smoke::mf_ctor, 74, 8},	//963 QsciLexerLua::QsciLexerLua(QObject*)
    {69, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//964 QsciLexerLua::language() const
    {69, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//965 QsciLexerLua::lexer() const
    {69, 806, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//966 QsciLexerLua::autoCompletionWordSeparators() const
    {69, 815, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 12},	//967 QsciLexerLua::blockStart(int*) const
    {69, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 13},	//968 QsciLexerLua::braceStyle() const
    {69, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//969 QsciLexerLua::defaultColor(int) const
    {69, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 15},	//970 QsciLexerLua::defaultEolFill(int) const
    {69, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//971 QsciLexerLua::defaultFont(int) const
    {69, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//972 QsciLexerLua::defaultPaper(int) const
    {69, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 18},	//973 QsciLexerLua::keywords(int) const
    {69, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 19},	//974 QsciLexerLua::description(int) const
    {69, 1140, 0, 0, Smoke::mf_virtual, 0, 20},	//975 QsciLexerLua::refreshProperties()
    {69, 949, 0, 0, Smoke::mf_const, 190, 21},	//976 QsciLexerLua::foldCompact() const
    {69, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//977 QsciLexerLua::setFoldCompact(bool)
    {69, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 23},	//978 QsciLexerLua::readProperties(QSettings&, const QString&)
    {69, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 24},	//979 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {69, 1499, 12, 1, Smoke::mf_static, 40, 25},	//980 QsciLexerLua::tr(const char*)
    {69, 1503, 12, 1, Smoke::mf_static, 40, 26},	//981 QsciLexerLua::trUtf8(const char*)
    {69, 491, 0, 0, Smoke::mf_ctor, 74, 27},	//982 QsciLexerLua::QsciLexerLua()
    {69, 815, 0, 0, Smoke::mf_const, 214, 28},	//983 QsciLexerLua::blockStart() const
    {69, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 29},	//984 QsciLexerLua::staticMetaObject() const
    {69, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 30},	//985 QsciLexerLua::Default (enum)
    {69, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 31},	//986 QsciLexerLua::Comment (enum)
    {69, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 32},	//987 QsciLexerLua::LineComment (enum)
    {69, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 33},	//988 QsciLexerLua::Number (enum)
    {69, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//989 QsciLexerLua::Keyword (enum)
    {69, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//990 QsciLexerLua::String (enum)
    {69, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//991 QsciLexerLua::Character (enum)
    {69, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 37},	//992 QsciLexerLua::LiteralString (enum)
    {69, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 38},	//993 QsciLexerLua::Preprocessor (enum)
    {69, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 39},	//994 QsciLexerLua::Operator (enum)
    {69, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 40},	//995 QsciLexerLua::Identifier (enum)
    {69, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//996 QsciLexerLua::UnclosedString (enum)
    {69, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//997 QsciLexerLua::BasicFunctions (enum)
    {69, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//998 QsciLexerLua::StringTableMathsFunctions (enum)
    {69, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//999 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {69, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//1000 QsciLexerLua::KeywordSet5 (enum)
    {69, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//1001 QsciLexerLua::KeywordSet6 (enum)
    {69, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//1002 QsciLexerLua::KeywordSet7 (enum)
    {69, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//1003 QsciLexerLua::KeywordSet8 (enum)
    {69, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 49},	//1004 QsciLexerLua::Label (enum)
    {69, 1566, 0, 0, Smoke::mf_dtor, 0, 50 },	//1005 QsciLexerLua::~QsciLexerLua()
    {70, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1006 QsciLexerMakefile::metaObject() const
    {70, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1007 QsciLexerMakefile::qt_metacast(const char*)
    {70, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1008 QsciLexerMakefile::tr(const char*, const char*)
    {70, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1009 QsciLexerMakefile::trUtf8(const char*, const char*)
    {70, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1010 QsciLexerMakefile::tr(const char*, const char*, int)
    {70, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1011 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {70, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1012 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {70, 493, 76, 1, Smoke::mf_ctor, 75, 8},	//1013 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {70, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1014 QsciLexerMakefile::language() const
    {70, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1015 QsciLexerMakefile::lexer() const
    {70, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 11},	//1016 QsciLexerMakefile::wordCharacters() const
    {70, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1017 QsciLexerMakefile::defaultColor(int) const
    {70, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 13},	//1018 QsciLexerMakefile::defaultEolFill(int) const
    {70, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1019 QsciLexerMakefile::defaultFont(int) const
    {70, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1020 QsciLexerMakefile::defaultPaper(int) const
    {70, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1021 QsciLexerMakefile::description(int) const
    {70, 1499, 12, 1, Smoke::mf_static, 40, 17},	//1022 QsciLexerMakefile::tr(const char*)
    {70, 1503, 12, 1, Smoke::mf_static, 40, 18},	//1023 QsciLexerMakefile::trUtf8(const char*)
    {70, 493, 0, 0, Smoke::mf_ctor, 75, 19},	//1024 QsciLexerMakefile::QsciLexerMakefile()
    {70, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 20},	//1025 QsciLexerMakefile::staticMetaObject() const
    {70, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 21},	//1026 QsciLexerMakefile::Default (enum)
    {70, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 22},	//1027 QsciLexerMakefile::Comment (enum)
    {70, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 23},	//1028 QsciLexerMakefile::Preprocessor (enum)
    {70, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 24},	//1029 QsciLexerMakefile::Variable (enum)
    {70, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 25},	//1030 QsciLexerMakefile::Operator (enum)
    {70, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 26},	//1031 QsciLexerMakefile::Target (enum)
    {70, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 27},	//1032 QsciLexerMakefile::Error (enum)
    {70, 1567, 0, 0, Smoke::mf_dtor, 0, 28 },	//1033 QsciLexerMakefile::~QsciLexerMakefile()
    {71, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1034 QsciLexerPOV::metaObject() const
    {71, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1035 QsciLexerPOV::qt_metacast(const char*)
    {71, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1036 QsciLexerPOV::tr(const char*, const char*)
    {71, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1037 QsciLexerPOV::trUtf8(const char*, const char*)
    {71, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1038 QsciLexerPOV::tr(const char*, const char*, int)
    {71, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1039 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {71, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1040 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {71, 495, 76, 1, Smoke::mf_ctor, 76, 8},	//1041 QsciLexerPOV::QsciLexerPOV(QObject*)
    {71, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1042 QsciLexerPOV::language() const
    {71, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1043 QsciLexerPOV::lexer() const
    {71, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//1044 QsciLexerPOV::braceStyle() const
    {71, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 12},	//1045 QsciLexerPOV::wordCharacters() const
    {71, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//1046 QsciLexerPOV::defaultColor(int) const
    {71, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 14},	//1047 QsciLexerPOV::defaultEolFill(int) const
    {71, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//1048 QsciLexerPOV::defaultFont(int) const
    {71, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1049 QsciLexerPOV::defaultPaper(int) const
    {71, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 17},	//1050 QsciLexerPOV::keywords(int) const
    {71, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//1051 QsciLexerPOV::description(int) const
    {71, 1140, 0, 0, Smoke::mf_virtual, 0, 19},	//1052 QsciLexerPOV::refreshProperties()
    {71, 948, 0, 0, Smoke::mf_const, 190, 20},	//1053 QsciLexerPOV::foldComments() const
    {71, 949, 0, 0, Smoke::mf_const, 190, 21},	//1054 QsciLexerPOV::foldCompact() const
    {71, 950, 0, 0, Smoke::mf_const, 190, 22},	//1055 QsciLexerPOV::foldDirectives() const
    {71, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1056 QsciLexerPOV::setFoldComments(bool)
    {71, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1057 QsciLexerPOV::setFoldCompact(bool)
    {71, 1281, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1058 QsciLexerPOV::setFoldDirectives(bool)
    {71, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 26},	//1059 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {71, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 27},	//1060 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {71, 1499, 12, 1, Smoke::mf_static, 40, 28},	//1061 QsciLexerPOV::tr(const char*)
    {71, 1503, 12, 1, Smoke::mf_static, 40, 29},	//1062 QsciLexerPOV::trUtf8(const char*)
    {71, 495, 0, 0, Smoke::mf_ctor, 76, 30},	//1063 QsciLexerPOV::QsciLexerPOV()
    {71, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 31},	//1064 QsciLexerPOV::staticMetaObject() const
    {71, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 32},	//1065 QsciLexerPOV::Default (enum)
    {71, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 33},	//1066 QsciLexerPOV::Comment (enum)
    {71, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//1067 QsciLexerPOV::CommentLine (enum)
    {71, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//1068 QsciLexerPOV::Number (enum)
    {71, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//1069 QsciLexerPOV::Operator (enum)
    {71, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 37},	//1070 QsciLexerPOV::Identifier (enum)
    {71, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 38},	//1071 QsciLexerPOV::String (enum)
    {71, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 39},	//1072 QsciLexerPOV::UnclosedString (enum)
    {71, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 40},	//1073 QsciLexerPOV::Directive (enum)
    {71, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//1074 QsciLexerPOV::BadDirective (enum)
    {71, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//1075 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {71, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//1076 QsciLexerPOV::TypesModifiersItems (enum)
    {71, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//1077 QsciLexerPOV::PredefinedIdentifiers (enum)
    {71, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//1078 QsciLexerPOV::PredefinedFunctions (enum)
    {71, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//1079 QsciLexerPOV::KeywordSet6 (enum)
    {71, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//1080 QsciLexerPOV::KeywordSet7 (enum)
    {71, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//1081 QsciLexerPOV::KeywordSet8 (enum)
    {71, 1568, 0, 0, Smoke::mf_dtor, 0, 49 },	//1082 QsciLexerPOV::~QsciLexerPOV()
    {72, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1083 QsciLexerPascal::metaObject() const
    {72, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1084 QsciLexerPascal::qt_metacast(const char*)
    {72, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1085 QsciLexerPascal::tr(const char*, const char*)
    {72, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1086 QsciLexerPascal::trUtf8(const char*, const char*)
    {72, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1087 QsciLexerPascal::tr(const char*, const char*, int)
    {72, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1088 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {72, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1089 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {72, 497, 76, 1, Smoke::mf_ctor, 77, 8},	//1090 QsciLexerPascal::QsciLexerPascal(QObject*)
    {72, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1091 QsciLexerPascal::language() const
    {72, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1092 QsciLexerPascal::lexer() const
    {72, 806, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1093 QsciLexerPascal::autoCompletionWordSeparators() const
    {72, 812, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 12},	//1094 QsciLexerPascal::blockEnd(int*) const
    {72, 815, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 13},	//1095 QsciLexerPascal::blockStart(int*) const
    {72, 817, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 14},	//1096 QsciLexerPascal::blockStartKeyword(int*) const
    {72, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 15},	//1097 QsciLexerPascal::braceStyle() const
    {72, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1098 QsciLexerPascal::defaultColor(int) const
    {72, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 17},	//1099 QsciLexerPascal::defaultEolFill(int) const
    {72, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1100 QsciLexerPascal::defaultFont(int) const
    {72, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1101 QsciLexerPascal::defaultPaper(int) const
    {72, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 20},	//1102 QsciLexerPascal::keywords(int) const
    {72, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1103 QsciLexerPascal::description(int) const
    {72, 1140, 0, 0, Smoke::mf_virtual, 0, 22},	//1104 QsciLexerPascal::refreshProperties()
    {72, 948, 0, 0, Smoke::mf_const, 190, 23},	//1105 QsciLexerPascal::foldComments() const
    {72, 949, 0, 0, Smoke::mf_const, 190, 24},	//1106 QsciLexerPascal::foldCompact() const
    {72, 956, 0, 0, Smoke::mf_const, 190, 25},	//1107 QsciLexerPascal::foldPreprocessor() const
    {72, 1417, 16, 1, 0, 0, 26},	//1108 QsciLexerPascal::setSmartHighlighting(bool)
    {72, 1472, 0, 0, Smoke::mf_const, 190, 27},	//1109 QsciLexerPascal::smartHighlighting() const
    {72, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1110 QsciLexerPascal::setFoldComments(bool)
    {72, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1111 QsciLexerPascal::setFoldCompact(bool)
    {72, 1291, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//1112 QsciLexerPascal::setFoldPreprocessor(bool)
    {72, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 31},	//1113 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {72, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 32},	//1114 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {72, 1499, 12, 1, Smoke::mf_static, 40, 33},	//1115 QsciLexerPascal::tr(const char*)
    {72, 1503, 12, 1, Smoke::mf_static, 40, 34},	//1116 QsciLexerPascal::trUtf8(const char*)
    {72, 497, 0, 0, Smoke::mf_ctor, 77, 35},	//1117 QsciLexerPascal::QsciLexerPascal()
    {72, 812, 0, 0, Smoke::mf_const, 214, 36},	//1118 QsciLexerPascal::blockEnd() const
    {72, 815, 0, 0, Smoke::mf_const, 214, 37},	//1119 QsciLexerPascal::blockStart() const
    {72, 817, 0, 0, Smoke::mf_const, 214, 38},	//1120 QsciLexerPascal::blockStartKeyword() const
    {72, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 39},	//1121 QsciLexerPascal::staticMetaObject() const
    {72, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 40},	//1122 QsciLexerPascal::Default (enum)
    {72, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//1123 QsciLexerPascal::Identifier (enum)
    {72, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//1124 QsciLexerPascal::Comment (enum)
    {72, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//1125 QsciLexerPascal::CommentParenthesis (enum)
    {72, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//1126 QsciLexerPascal::CommentLine (enum)
    {72, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//1127 QsciLexerPascal::PreProcessor (enum)
    {72, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//1128 QsciLexerPascal::PreProcessorParenthesis (enum)
    {72, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//1129 QsciLexerPascal::Number (enum)
    {72, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//1130 QsciLexerPascal::HexNumber (enum)
    {72, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 49},	//1131 QsciLexerPascal::Keyword (enum)
    {72, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 50},	//1132 QsciLexerPascal::SingleQuotedString (enum)
    {72, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 51},	//1133 QsciLexerPascal::UnclosedString (enum)
    {72, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 52},	//1134 QsciLexerPascal::Character (enum)
    {72, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 53},	//1135 QsciLexerPascal::Operator (enum)
    {72, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 54},	//1136 QsciLexerPascal::Asm (enum)
    {72, 1569, 0, 0, Smoke::mf_dtor, 0, 55 },	//1137 QsciLexerPascal::~QsciLexerPascal()
    {73, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1138 QsciLexerPerl::metaObject() const
    {73, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1139 QsciLexerPerl::qt_metacast(const char*)
    {73, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1140 QsciLexerPerl::tr(const char*, const char*)
    {73, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1141 QsciLexerPerl::trUtf8(const char*, const char*)
    {73, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1142 QsciLexerPerl::tr(const char*, const char*, int)
    {73, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1143 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {73, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1144 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {73, 499, 76, 1, Smoke::mf_ctor, 78, 8},	//1145 QsciLexerPerl::QsciLexerPerl(QObject*)
    {73, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1146 QsciLexerPerl::language() const
    {73, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1147 QsciLexerPerl::lexer() const
    {73, 806, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1148 QsciLexerPerl::autoCompletionWordSeparators() const
    {73, 812, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 12},	//1149 QsciLexerPerl::blockEnd(int*) const
    {73, 815, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 13},	//1150 QsciLexerPerl::blockStart(int*) const
    {73, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 14},	//1151 QsciLexerPerl::braceStyle() const
    {73, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 15},	//1152 QsciLexerPerl::wordCharacters() const
    {73, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1153 QsciLexerPerl::defaultColor(int) const
    {73, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 17},	//1154 QsciLexerPerl::defaultEolFill(int) const
    {73, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1155 QsciLexerPerl::defaultFont(int) const
    {73, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1156 QsciLexerPerl::defaultPaper(int) const
    {73, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 20},	//1157 QsciLexerPerl::keywords(int) const
    {73, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1158 QsciLexerPerl::description(int) const
    {73, 1140, 0, 0, Smoke::mf_virtual, 0, 22},	//1159 QsciLexerPerl::refreshProperties()
    {73, 1273, 16, 1, 0, 0, 23},	//1160 QsciLexerPerl::setFoldAtElse(bool)
    {73, 946, 0, 0, Smoke::mf_const, 190, 24},	//1161 QsciLexerPerl::foldAtElse() const
    {73, 948, 0, 0, Smoke::mf_const, 190, 25},	//1162 QsciLexerPerl::foldComments() const
    {73, 949, 0, 0, Smoke::mf_const, 190, 26},	//1163 QsciLexerPerl::foldCompact() const
    {73, 1289, 16, 1, 0, 0, 27},	//1164 QsciLexerPerl::setFoldPackages(bool)
    {73, 955, 0, 0, Smoke::mf_const, 190, 28},	//1165 QsciLexerPerl::foldPackages() const
    {73, 1287, 16, 1, 0, 0, 29},	//1166 QsciLexerPerl::setFoldPODBlocks(bool)
    {73, 954, 0, 0, Smoke::mf_const, 190, 30},	//1167 QsciLexerPerl::foldPODBlocks() const
    {73, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//1168 QsciLexerPerl::setFoldComments(bool)
    {73, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1169 QsciLexerPerl::setFoldCompact(bool)
    {73, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 33},	//1170 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {73, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 34},	//1171 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {73, 1499, 12, 1, Smoke::mf_static, 40, 35},	//1172 QsciLexerPerl::tr(const char*)
    {73, 1503, 12, 1, Smoke::mf_static, 40, 36},	//1173 QsciLexerPerl::trUtf8(const char*)
    {73, 499, 0, 0, Smoke::mf_ctor, 78, 37},	//1174 QsciLexerPerl::QsciLexerPerl()
    {73, 812, 0, 0, Smoke::mf_const, 214, 38},	//1175 QsciLexerPerl::blockEnd() const
    {73, 815, 0, 0, Smoke::mf_const, 214, 39},	//1176 QsciLexerPerl::blockStart() const
    {73, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 40},	//1177 QsciLexerPerl::staticMetaObject() const
    {73, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//1178 QsciLexerPerl::Default (enum)
    {73, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//1179 QsciLexerPerl::Error (enum)
    {73, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//1180 QsciLexerPerl::Comment (enum)
    {73, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//1181 QsciLexerPerl::POD (enum)
    {73, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//1182 QsciLexerPerl::Number (enum)
    {73, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//1183 QsciLexerPerl::Keyword (enum)
    {73, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//1184 QsciLexerPerl::DoubleQuotedString (enum)
    {73, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//1185 QsciLexerPerl::SingleQuotedString (enum)
    {73, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 49},	//1186 QsciLexerPerl::Operator (enum)
    {73, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 50},	//1187 QsciLexerPerl::Identifier (enum)
    {73, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 51},	//1188 QsciLexerPerl::Scalar (enum)
    {73, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 52},	//1189 QsciLexerPerl::Array (enum)
    {73, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 53},	//1190 QsciLexerPerl::Hash (enum)
    {73, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 54},	//1191 QsciLexerPerl::SymbolTable (enum)
    {73, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 55},	//1192 QsciLexerPerl::Regex (enum)
    {73, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 56},	//1193 QsciLexerPerl::Substitution (enum)
    {73, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 57},	//1194 QsciLexerPerl::Backticks (enum)
    {73, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 58},	//1195 QsciLexerPerl::DataSection (enum)
    {73, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 59},	//1196 QsciLexerPerl::HereDocumentDelimiter (enum)
    {73, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 60},	//1197 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {73, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 61},	//1198 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {73, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 62},	//1199 QsciLexerPerl::BacktickHereDocument (enum)
    {73, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 63},	//1200 QsciLexerPerl::QuotedStringQ (enum)
    {73, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 64},	//1201 QsciLexerPerl::QuotedStringQQ (enum)
    {73, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 65},	//1202 QsciLexerPerl::QuotedStringQX (enum)
    {73, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 66},	//1203 QsciLexerPerl::QuotedStringQR (enum)
    {73, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 67},	//1204 QsciLexerPerl::QuotedStringQW (enum)
    {73, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 68},	//1205 QsciLexerPerl::PODVerbatim (enum)
    {73, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 69},	//1206 QsciLexerPerl::SubroutinePrototype (enum)
    {73, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 70},	//1207 QsciLexerPerl::FormatIdentifier (enum)
    {73, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 71},	//1208 QsciLexerPerl::FormatBody (enum)
    {73, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 72},	//1209 QsciLexerPerl::DoubleQuotedStringVar (enum)
    {73, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 73},	//1210 QsciLexerPerl::Translation (enum)
    {73, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 74},	//1211 QsciLexerPerl::RegexVar (enum)
    {73, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 75},	//1212 QsciLexerPerl::SubstitutionVar (enum)
    {73, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 76},	//1213 QsciLexerPerl::BackticksVar (enum)
    {73, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 77},	//1214 QsciLexerPerl::DoubleQuotedHereDocumentVar (enum)
    {73, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 78},	//1215 QsciLexerPerl::BacktickHereDocumentVar (enum)
    {73, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 79},	//1216 QsciLexerPerl::QuotedStringQQVar (enum)
    {73, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 80},	//1217 QsciLexerPerl::QuotedStringQXVar (enum)
    {73, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 81},	//1218 QsciLexerPerl::QuotedStringQRVar (enum)
    {73, 1570, 0, 0, Smoke::mf_dtor, 0, 82 },	//1219 QsciLexerPerl::~QsciLexerPerl()
    {74, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1220 QsciLexerPostScript::metaObject() const
    {74, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1221 QsciLexerPostScript::qt_metacast(const char*)
    {74, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1222 QsciLexerPostScript::tr(const char*, const char*)
    {74, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1223 QsciLexerPostScript::trUtf8(const char*, const char*)
    {74, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1224 QsciLexerPostScript::tr(const char*, const char*, int)
    {74, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1225 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {74, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1226 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {74, 501, 76, 1, Smoke::mf_ctor, 79, 8},	//1227 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {74, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1228 QsciLexerPostScript::language() const
    {74, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1229 QsciLexerPostScript::lexer() const
    {74, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//1230 QsciLexerPostScript::braceStyle() const
    {74, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1231 QsciLexerPostScript::defaultColor(int) const
    {74, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1232 QsciLexerPostScript::defaultFont(int) const
    {74, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1233 QsciLexerPostScript::defaultPaper(int) const
    {74, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 15},	//1234 QsciLexerPostScript::keywords(int) const
    {74, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1235 QsciLexerPostScript::description(int) const
    {74, 1140, 0, 0, Smoke::mf_virtual, 0, 17},	//1236 QsciLexerPostScript::refreshProperties()
    {74, 1498, 0, 0, Smoke::mf_const, 190, 18},	//1237 QsciLexerPostScript::tokenize() const
    {74, 1030, 0, 0, Smoke::mf_const, 216, 19},	//1238 QsciLexerPostScript::level() const
    {74, 949, 0, 0, Smoke::mf_const, 190, 20},	//1239 QsciLexerPostScript::foldCompact() const
    {74, 946, 0, 0, Smoke::mf_const, 190, 21},	//1240 QsciLexerPostScript::foldAtElse() const
    {74, 1434, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1241 QsciLexerPostScript::setTokenize(bool)
    {74, 1346, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1242 QsciLexerPostScript::setLevel(int)
    {74, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1243 QsciLexerPostScript::setFoldCompact(bool)
    {74, 1273, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1244 QsciLexerPostScript::setFoldAtElse(bool)
    {74, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 26},	//1245 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {74, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 27},	//1246 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {74, 1499, 12, 1, Smoke::mf_static, 40, 28},	//1247 QsciLexerPostScript::tr(const char*)
    {74, 1503, 12, 1, Smoke::mf_static, 40, 29},	//1248 QsciLexerPostScript::trUtf8(const char*)
    {74, 501, 0, 0, Smoke::mf_ctor, 79, 30},	//1249 QsciLexerPostScript::QsciLexerPostScript()
    {74, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 31},	//1250 QsciLexerPostScript::staticMetaObject() const
    {74, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 32},	//1251 QsciLexerPostScript::Default (enum)
    {74, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 33},	//1252 QsciLexerPostScript::Comment (enum)
    {74, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//1253 QsciLexerPostScript::DSCComment (enum)
    {74, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//1254 QsciLexerPostScript::DSCCommentValue (enum)
    {74, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//1255 QsciLexerPostScript::Number (enum)
    {74, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 37},	//1256 QsciLexerPostScript::Name (enum)
    {74, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 38},	//1257 QsciLexerPostScript::Keyword (enum)
    {74, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 39},	//1258 QsciLexerPostScript::Literal (enum)
    {74, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 40},	//1259 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {74, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//1260 QsciLexerPostScript::ArrayParenthesis (enum)
    {74, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//1261 QsciLexerPostScript::DictionaryParenthesis (enum)
    {74, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//1262 QsciLexerPostScript::ProcedureParenthesis (enum)
    {74, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//1263 QsciLexerPostScript::Text (enum)
    {74, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//1264 QsciLexerPostScript::HexString (enum)
    {74, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//1265 QsciLexerPostScript::Base85String (enum)
    {74, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//1266 QsciLexerPostScript::BadStringCharacter (enum)
    {74, 1571, 0, 0, Smoke::mf_dtor, 0, 48 },	//1267 QsciLexerPostScript::~QsciLexerPostScript()
    {75, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1268 QsciLexerProperties::metaObject() const
    {75, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1269 QsciLexerProperties::qt_metacast(const char*)
    {75, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1270 QsciLexerProperties::tr(const char*, const char*)
    {75, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1271 QsciLexerProperties::trUtf8(const char*, const char*)
    {75, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1272 QsciLexerProperties::tr(const char*, const char*, int)
    {75, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1273 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {75, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1274 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {75, 503, 76, 1, Smoke::mf_ctor, 80, 8},	//1275 QsciLexerProperties::QsciLexerProperties(QObject*)
    {75, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1276 QsciLexerProperties::language() const
    {75, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1277 QsciLexerProperties::lexer() const
    {75, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 11},	//1278 QsciLexerProperties::wordCharacters() const
    {75, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1279 QsciLexerProperties::defaultColor(int) const
    {75, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 13},	//1280 QsciLexerProperties::defaultEolFill(int) const
    {75, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1281 QsciLexerProperties::defaultFont(int) const
    {75, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1282 QsciLexerProperties::defaultPaper(int) const
    {75, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1283 QsciLexerProperties::description(int) const
    {75, 1140, 0, 0, Smoke::mf_virtual, 0, 17},	//1284 QsciLexerProperties::refreshProperties()
    {75, 949, 0, 0, Smoke::mf_const, 190, 18},	//1285 QsciLexerProperties::foldCompact() const
    {75, 1340, 16, 1, 0, 0, 19},	//1286 QsciLexerProperties::setInitialSpaces(bool)
    {75, 1000, 0, 0, Smoke::mf_const, 190, 20},	//1287 QsciLexerProperties::initialSpaces() const
    {75, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1288 QsciLexerProperties::setFoldCompact(bool)
    {75, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 22},	//1289 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {75, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 23},	//1290 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {75, 1499, 12, 1, Smoke::mf_static, 40, 24},	//1291 QsciLexerProperties::tr(const char*)
    {75, 1503, 12, 1, Smoke::mf_static, 40, 25},	//1292 QsciLexerProperties::trUtf8(const char*)
    {75, 503, 0, 0, Smoke::mf_ctor, 80, 26},	//1293 QsciLexerProperties::QsciLexerProperties()
    {75, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 27},	//1294 QsciLexerProperties::staticMetaObject() const
    {75, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 28},	//1295 QsciLexerProperties::Default (enum)
    {75, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 29},	//1296 QsciLexerProperties::Comment (enum)
    {75, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 30},	//1297 QsciLexerProperties::Section (enum)
    {75, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 31},	//1298 QsciLexerProperties::Assignment (enum)
    {75, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 32},	//1299 QsciLexerProperties::DefaultValue (enum)
    {75, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 33},	//1300 QsciLexerProperties::Key (enum)
    {75, 1572, 0, 0, Smoke::mf_dtor, 0, 34 },	//1301 QsciLexerProperties::~QsciLexerProperties()
    {76, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1302 QsciLexerPython::metaObject() const
    {76, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1303 QsciLexerPython::qt_metacast(const char*)
    {76, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1304 QsciLexerPython::tr(const char*, const char*)
    {76, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1305 QsciLexerPython::trUtf8(const char*, const char*)
    {76, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1306 QsciLexerPython::tr(const char*, const char*, int)
    {76, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1307 QsciLexerPython::trUtf8(const char*, const char*, int)
    {76, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1308 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {76, 505, 76, 1, Smoke::mf_ctor, 81, 8},	//1309 QsciLexerPython::QsciLexerPython(QObject*)
    {76, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1310 QsciLexerPython::language() const
    {76, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1311 QsciLexerPython::lexer() const
    {76, 806, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1312 QsciLexerPython::autoCompletionWordSeparators() const
    {76, 814, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 12},	//1313 QsciLexerPython::blockLookback() const
    {76, 815, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 13},	//1314 QsciLexerPython::blockStart(int*) const
    {76, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 14},	//1315 QsciLexerPython::braceStyle() const
    {76, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1316 QsciLexerPython::defaultColor(int) const
    {76, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 16},	//1317 QsciLexerPython::defaultEolFill(int) const
    {76, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1318 QsciLexerPython::defaultFont(int) const
    {76, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1319 QsciLexerPython::defaultPaper(int) const
    {76, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 19},	//1320 QsciLexerPython::indentationGuideView() const
    {76, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 20},	//1321 QsciLexerPython::keywords(int) const
    {76, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1322 QsciLexerPython::description(int) const
    {76, 1140, 0, 0, Smoke::mf_virtual, 0, 22},	//1323 QsciLexerPython::refreshProperties()
    {76, 948, 0, 0, Smoke::mf_const, 190, 23},	//1324 QsciLexerPython::foldComments() const
    {76, 1279, 16, 1, 0, 0, 24},	//1325 QsciLexerPython::setFoldCompact(bool)
    {76, 949, 0, 0, Smoke::mf_const, 190, 25},	//1326 QsciLexerPython::foldCompact() const
    {76, 957, 0, 0, Smoke::mf_const, 190, 26},	//1327 QsciLexerPython::foldQuotes() const
    {76, 988, 0, 0, Smoke::mf_const, 82, 27},	//1328 QsciLexerPython::indentationWarning() const
    {76, 1311, 16, 1, 0, 0, 28},	//1329 QsciLexerPython::setHighlightSubidentifiers(bool)
    {76, 979, 0, 0, Smoke::mf_const, 190, 29},	//1330 QsciLexerPython::highlightSubidentifiers() const
    {76, 1419, 16, 1, 0, 0, 30},	//1331 QsciLexerPython::setStringsOverNewlineAllowed(bool)
    {76, 1479, 0, 0, Smoke::mf_const, 190, 31},	//1332 QsciLexerPython::stringsOverNewlineAllowed() const
    {76, 1444, 16, 1, 0, 0, 32},	//1333 QsciLexerPython::setV2UnicodeAllowed(bool)
    {76, 1514, 0, 0, Smoke::mf_const, 190, 33},	//1334 QsciLexerPython::v2UnicodeAllowed() const
    {76, 1446, 16, 1, 0, 0, 34},	//1335 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {76, 1515, 0, 0, Smoke::mf_const, 190, 35},	//1336 QsciLexerPython::v3BinaryOctalAllowed() const
    {76, 1448, 16, 1, 0, 0, 36},	//1337 QsciLexerPython::setV3BytesAllowed(bool)
    {76, 1516, 0, 0, Smoke::mf_const, 190, 37},	//1338 QsciLexerPython::v3BytesAllowed() const
    {76, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//1339 QsciLexerPython::setFoldComments(bool)
    {76, 1293, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 39},	//1340 QsciLexerPython::setFoldQuotes(bool)
    {76, 1325, 107, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 40},	//1341 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {76, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 41},	//1342 QsciLexerPython::readProperties(QSettings&, const QString&)
    {76, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 42},	//1343 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {76, 1499, 12, 1, Smoke::mf_static, 40, 43},	//1344 QsciLexerPython::tr(const char*)
    {76, 1503, 12, 1, Smoke::mf_static, 40, 44},	//1345 QsciLexerPython::trUtf8(const char*)
    {76, 505, 0, 0, Smoke::mf_ctor, 81, 45},	//1346 QsciLexerPython::QsciLexerPython()
    {76, 815, 0, 0, Smoke::mf_const, 214, 46},	//1347 QsciLexerPython::blockStart() const
    {76, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 47},	//1348 QsciLexerPython::staticMetaObject() const
    {76, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//1349 QsciLexerPython::Default (enum)
    {76, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 49},	//1350 QsciLexerPython::Comment (enum)
    {76, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 50},	//1351 QsciLexerPython::Number (enum)
    {76, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 51},	//1352 QsciLexerPython::DoubleQuotedString (enum)
    {76, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 52},	//1353 QsciLexerPython::SingleQuotedString (enum)
    {76, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 53},	//1354 QsciLexerPython::Keyword (enum)
    {76, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 54},	//1355 QsciLexerPython::TripleSingleQuotedString (enum)
    {76, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 55},	//1356 QsciLexerPython::TripleDoubleQuotedString (enum)
    {76, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 56},	//1357 QsciLexerPython::ClassName (enum)
    {76, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 57},	//1358 QsciLexerPython::FunctionMethodName (enum)
    {76, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 58},	//1359 QsciLexerPython::Operator (enum)
    {76, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 59},	//1360 QsciLexerPython::Identifier (enum)
    {76, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 60},	//1361 QsciLexerPython::CommentBlock (enum)
    {76, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 61},	//1362 QsciLexerPython::UnclosedString (enum)
    {76, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 62},	//1363 QsciLexerPython::HighlightedIdentifier (enum)
    {76, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 63},	//1364 QsciLexerPython::Decorator (enum)
    {76, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 64},	//1365 QsciLexerPython::NoWarning (enum)
    {76, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 65},	//1366 QsciLexerPython::Inconsistent (enum)
    {76, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 66},	//1367 QsciLexerPython::TabsAfterSpaces (enum)
    {76, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 67},	//1368 QsciLexerPython::Spaces (enum)
    {76, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 68},	//1369 QsciLexerPython::Tabs (enum)
    {76, 1573, 0, 0, Smoke::mf_dtor, 0, 69 },	//1370 QsciLexerPython::~QsciLexerPython()
    {77, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1371 QsciLexerRuby::metaObject() const
    {77, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1372 QsciLexerRuby::qt_metacast(const char*)
    {77, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1373 QsciLexerRuby::tr(const char*, const char*)
    {77, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1374 QsciLexerRuby::trUtf8(const char*, const char*)
    {77, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1375 QsciLexerRuby::tr(const char*, const char*, int)
    {77, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1376 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {77, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1377 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {77, 507, 76, 1, Smoke::mf_ctor, 83, 8},	//1378 QsciLexerRuby::QsciLexerRuby(QObject*)
    {77, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1379 QsciLexerRuby::language() const
    {77, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1380 QsciLexerRuby::lexer() const
    {77, 812, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 11},	//1381 QsciLexerRuby::blockEnd(int*) const
    {77, 815, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 12},	//1382 QsciLexerRuby::blockStart(int*) const
    {77, 817, 78, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 13},	//1383 QsciLexerRuby::blockStartKeyword(int*) const
    {77, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 14},	//1384 QsciLexerRuby::braceStyle() const
    {77, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1385 QsciLexerRuby::defaultColor(int) const
    {77, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 16},	//1386 QsciLexerRuby::defaultEolFill(int) const
    {77, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1387 QsciLexerRuby::defaultFont(int) const
    {77, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1388 QsciLexerRuby::defaultPaper(int) const
    {77, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 19},	//1389 QsciLexerRuby::keywords(int) const
    {77, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 20},	//1390 QsciLexerRuby::description(int) const
    {77, 1140, 0, 0, Smoke::mf_virtual, 0, 21},	//1391 QsciLexerRuby::refreshProperties()
    {77, 1277, 16, 1, 0, 0, 22},	//1392 QsciLexerRuby::setFoldComments(bool)
    {77, 948, 0, 0, Smoke::mf_const, 190, 23},	//1393 QsciLexerRuby::foldComments() const
    {77, 1279, 16, 1, 0, 0, 24},	//1394 QsciLexerRuby::setFoldCompact(bool)
    {77, 949, 0, 0, Smoke::mf_const, 190, 25},	//1395 QsciLexerRuby::foldCompact() const
    {77, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 26},	//1396 QsciLexerRuby::readProperties(QSettings&, const QString&)
    {77, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 27},	//1397 QsciLexerRuby::writeProperties(QSettings&, const QString&) const
    {77, 1499, 12, 1, Smoke::mf_static, 40, 28},	//1398 QsciLexerRuby::tr(const char*)
    {77, 1503, 12, 1, Smoke::mf_static, 40, 29},	//1399 QsciLexerRuby::trUtf8(const char*)
    {77, 507, 0, 0, Smoke::mf_ctor, 83, 30},	//1400 QsciLexerRuby::QsciLexerRuby()
    {77, 812, 0, 0, Smoke::mf_const, 214, 31},	//1401 QsciLexerRuby::blockEnd() const
    {77, 815, 0, 0, Smoke::mf_const, 214, 32},	//1402 QsciLexerRuby::blockStart() const
    {77, 817, 0, 0, Smoke::mf_const, 214, 33},	//1403 QsciLexerRuby::blockStartKeyword() const
    {77, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 34},	//1404 QsciLexerRuby::staticMetaObject() const
    {77, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//1405 QsciLexerRuby::Default (enum)
    {77, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//1406 QsciLexerRuby::Error (enum)
    {77, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 37},	//1407 QsciLexerRuby::Comment (enum)
    {77, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 38},	//1408 QsciLexerRuby::POD (enum)
    {77, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 39},	//1409 QsciLexerRuby::Number (enum)
    {77, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 40},	//1410 QsciLexerRuby::Keyword (enum)
    {77, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//1411 QsciLexerRuby::DoubleQuotedString (enum)
    {77, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//1412 QsciLexerRuby::SingleQuotedString (enum)
    {77, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//1413 QsciLexerRuby::ClassName (enum)
    {77, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//1414 QsciLexerRuby::FunctionMethodName (enum)
    {77, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//1415 QsciLexerRuby::Operator (enum)
    {77, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//1416 QsciLexerRuby::Identifier (enum)
    {77, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//1417 QsciLexerRuby::Regex (enum)
    {77, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//1418 QsciLexerRuby::Global (enum)
    {77, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 49},	//1419 QsciLexerRuby::Symbol (enum)
    {77, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 50},	//1420 QsciLexerRuby::ModuleName (enum)
    {77, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 51},	//1421 QsciLexerRuby::InstanceVariable (enum)
    {77, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 52},	//1422 QsciLexerRuby::ClassVariable (enum)
    {77, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 53},	//1423 QsciLexerRuby::Backticks (enum)
    {77, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 54},	//1424 QsciLexerRuby::DataSection (enum)
    {77, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 55},	//1425 QsciLexerRuby::HereDocumentDelimiter (enum)
    {77, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 56},	//1426 QsciLexerRuby::HereDocument (enum)
    {77, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 57},	//1427 QsciLexerRuby::PercentStringq (enum)
    {77, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 58},	//1428 QsciLexerRuby::PercentStringQ (enum)
    {77, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 59},	//1429 QsciLexerRuby::PercentStringx (enum)
    {77, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 60},	//1430 QsciLexerRuby::PercentStringr (enum)
    {77, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 61},	//1431 QsciLexerRuby::PercentStringw (enum)
    {77, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 62},	//1432 QsciLexerRuby::DemotedKeyword (enum)
    {77, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 63},	//1433 QsciLexerRuby::Stdin (enum)
    {77, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 64},	//1434 QsciLexerRuby::Stdout (enum)
    {77, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 65},	//1435 QsciLexerRuby::Stderr (enum)
    {77, 1574, 0, 0, Smoke::mf_dtor, 0, 66 },	//1436 QsciLexerRuby::~QsciLexerRuby()
    {78, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1437 QsciLexerSQL::metaObject() const
    {78, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1438 QsciLexerSQL::qt_metacast(const char*)
    {78, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1439 QsciLexerSQL::tr(const char*, const char*)
    {78, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1440 QsciLexerSQL::trUtf8(const char*, const char*)
    {78, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1441 QsciLexerSQL::tr(const char*, const char*, int)
    {78, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1442 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {78, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1443 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {78, 509, 76, 1, Smoke::mf_ctor, 84, 8},	//1444 QsciLexerSQL::QsciLexerSQL(QObject*)
    {78, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1445 QsciLexerSQL::language() const
    {78, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1446 QsciLexerSQL::lexer() const
    {78, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//1447 QsciLexerSQL::braceStyle() const
    {78, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1448 QsciLexerSQL::defaultColor(int) const
    {78, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 13},	//1449 QsciLexerSQL::defaultEolFill(int) const
    {78, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1450 QsciLexerSQL::defaultFont(int) const
    {78, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1451 QsciLexerSQL::defaultPaper(int) const
    {78, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 16},	//1452 QsciLexerSQL::keywords(int) const
    {78, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1453 QsciLexerSQL::description(int) const
    {78, 1140, 0, 0, Smoke::mf_virtual, 0, 18},	//1454 QsciLexerSQL::refreshProperties()
    {78, 809, 0, 0, Smoke::mf_const, 190, 19},	//1455 QsciLexerSQL::backslashEscapes() const
    {78, 1248, 16, 1, 0, 0, 20},	//1456 QsciLexerSQL::setDottedWords(bool)
    {78, 887, 0, 0, Smoke::mf_const, 190, 21},	//1457 QsciLexerSQL::dottedWords() const
    {78, 1273, 16, 1, 0, 0, 22},	//1458 QsciLexerSQL::setFoldAtElse(bool)
    {78, 946, 0, 0, Smoke::mf_const, 190, 23},	//1459 QsciLexerSQL::foldAtElse() const
    {78, 948, 0, 0, Smoke::mf_const, 190, 24},	//1460 QsciLexerSQL::foldComments() const
    {78, 949, 0, 0, Smoke::mf_const, 190, 25},	//1461 QsciLexerSQL::foldCompact() const
    {78, 1285, 16, 1, 0, 0, 26},	//1462 QsciLexerSQL::setFoldOnlyBegin(bool)
    {78, 953, 0, 0, Smoke::mf_const, 190, 27},	//1463 QsciLexerSQL::foldOnlyBegin() const
    {78, 1307, 16, 1, 0, 0, 28},	//1464 QsciLexerSQL::setHashComments(bool)
    {78, 975, 0, 0, Smoke::mf_const, 190, 29},	//1465 QsciLexerSQL::hashComments() const
    {78, 1400, 16, 1, 0, 0, 30},	//1466 QsciLexerSQL::setQuotedIdentifiers(bool)
    {78, 1127, 0, 0, Smoke::mf_const, 190, 31},	//1467 QsciLexerSQL::quotedIdentifiers() const
    {78, 1197, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1468 QsciLexerSQL::setBackslashEscapes(bool)
    {78, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1469 QsciLexerSQL::setFoldComments(bool)
    {78, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1470 QsciLexerSQL::setFoldCompact(bool)
    {78, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 35},	//1471 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {78, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 36},	//1472 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {78, 1499, 12, 1, Smoke::mf_static, 40, 37},	//1473 QsciLexerSQL::tr(const char*)
    {78, 1503, 12, 1, Smoke::mf_static, 40, 38},	//1474 QsciLexerSQL::trUtf8(const char*)
    {78, 509, 0, 0, Smoke::mf_ctor, 84, 39},	//1475 QsciLexerSQL::QsciLexerSQL()
    {78, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 40},	//1476 QsciLexerSQL::staticMetaObject() const
    {78, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//1477 QsciLexerSQL::Default (enum)
    {78, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//1478 QsciLexerSQL::Comment (enum)
    {78, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//1479 QsciLexerSQL::CommentLine (enum)
    {78, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//1480 QsciLexerSQL::CommentDoc (enum)
    {78, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//1481 QsciLexerSQL::Number (enum)
    {78, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//1482 QsciLexerSQL::Keyword (enum)
    {78, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//1483 QsciLexerSQL::DoubleQuotedString (enum)
    {78, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//1484 QsciLexerSQL::SingleQuotedString (enum)
    {78, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 49},	//1485 QsciLexerSQL::PlusKeyword (enum)
    {78, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 50},	//1486 QsciLexerSQL::PlusPrompt (enum)
    {78, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 51},	//1487 QsciLexerSQL::Operator (enum)
    {78, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 52},	//1488 QsciLexerSQL::Identifier (enum)
    {78, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 53},	//1489 QsciLexerSQL::PlusComment (enum)
    {78, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 54},	//1490 QsciLexerSQL::CommentLineHash (enum)
    {78, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 55},	//1491 QsciLexerSQL::CommentDocKeyword (enum)
    {78, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 56},	//1492 QsciLexerSQL::CommentDocKeywordError (enum)
    {78, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 57},	//1493 QsciLexerSQL::KeywordSet5 (enum)
    {78, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 58},	//1494 QsciLexerSQL::KeywordSet6 (enum)
    {78, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 59},	//1495 QsciLexerSQL::KeywordSet7 (enum)
    {78, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 60},	//1496 QsciLexerSQL::KeywordSet8 (enum)
    {78, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 61},	//1497 QsciLexerSQL::QuotedIdentifier (enum)
    {78, 1575, 0, 0, Smoke::mf_dtor, 0, 62 },	//1498 QsciLexerSQL::~QsciLexerSQL()
    {79, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1499 QsciLexerTCL::metaObject() const
    {79, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1500 QsciLexerTCL::qt_metacast(const char*)
    {79, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1501 QsciLexerTCL::tr(const char*, const char*)
    {79, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1502 QsciLexerTCL::trUtf8(const char*, const char*)
    {79, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1503 QsciLexerTCL::tr(const char*, const char*, int)
    {79, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1504 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {79, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1505 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {79, 511, 76, 1, Smoke::mf_ctor, 85, 8},	//1506 QsciLexerTCL::QsciLexerTCL(QObject*)
    {79, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1507 QsciLexerTCL::language() const
    {79, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1508 QsciLexerTCL::lexer() const
    {79, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//1509 QsciLexerTCL::braceStyle() const
    {79, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1510 QsciLexerTCL::defaultColor(int) const
    {79, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 13},	//1511 QsciLexerTCL::defaultEolFill(int) const
    {79, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1512 QsciLexerTCL::defaultFont(int) const
    {79, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1513 QsciLexerTCL::defaultPaper(int) const
    {79, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 16},	//1514 QsciLexerTCL::keywords(int) const
    {79, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1515 QsciLexerTCL::description(int) const
    {79, 1140, 0, 0, Smoke::mf_virtual, 0, 18},	//1516 QsciLexerTCL::refreshProperties()
    {79, 1277, 16, 1, 0, 0, 19},	//1517 QsciLexerTCL::setFoldComments(bool)
    {79, 948, 0, 0, Smoke::mf_const, 190, 20},	//1518 QsciLexerTCL::foldComments() const
    {79, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 21},	//1519 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {79, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 22},	//1520 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {79, 1499, 12, 1, Smoke::mf_static, 40, 23},	//1521 QsciLexerTCL::tr(const char*)
    {79, 1503, 12, 1, Smoke::mf_static, 40, 24},	//1522 QsciLexerTCL::trUtf8(const char*)
    {79, 511, 0, 0, Smoke::mf_ctor, 85, 25},	//1523 QsciLexerTCL::QsciLexerTCL()
    {79, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 26},	//1524 QsciLexerTCL::staticMetaObject() const
    {79, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 27},	//1525 QsciLexerTCL::Default (enum)
    {79, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 28},	//1526 QsciLexerTCL::Comment (enum)
    {79, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 29},	//1527 QsciLexerTCL::CommentLine (enum)
    {79, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 30},	//1528 QsciLexerTCL::Number (enum)
    {79, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 31},	//1529 QsciLexerTCL::QuotedKeyword (enum)
    {79, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 32},	//1530 QsciLexerTCL::QuotedString (enum)
    {79, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 33},	//1531 QsciLexerTCL::Operator (enum)
    {79, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//1532 QsciLexerTCL::Identifier (enum)
    {79, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//1533 QsciLexerTCL::Substitution (enum)
    {79, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//1534 QsciLexerTCL::SubstitutionBrace (enum)
    {79, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 37},	//1535 QsciLexerTCL::Modifier (enum)
    {79, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 38},	//1536 QsciLexerTCL::ExpandKeyword (enum)
    {79, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 39},	//1537 QsciLexerTCL::TCLKeyword (enum)
    {79, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 40},	//1538 QsciLexerTCL::TkKeyword (enum)
    {79, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//1539 QsciLexerTCL::ITCLKeyword (enum)
    {79, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//1540 QsciLexerTCL::TkCommand (enum)
    {79, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//1541 QsciLexerTCL::KeywordSet6 (enum)
    {79, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//1542 QsciLexerTCL::KeywordSet7 (enum)
    {79, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//1543 QsciLexerTCL::KeywordSet8 (enum)
    {79, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//1544 QsciLexerTCL::KeywordSet9 (enum)
    {79, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//1545 QsciLexerTCL::CommentBox (enum)
    {79, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//1546 QsciLexerTCL::CommentBlock (enum)
    {79, 1576, 0, 0, Smoke::mf_dtor, 0, 49 },	//1547 QsciLexerTCL::~QsciLexerTCL()
    {80, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1548 QsciLexerTeX::metaObject() const
    {80, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1549 QsciLexerTeX::qt_metacast(const char*)
    {80, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1550 QsciLexerTeX::tr(const char*, const char*)
    {80, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1551 QsciLexerTeX::trUtf8(const char*, const char*)
    {80, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1552 QsciLexerTeX::tr(const char*, const char*, int)
    {80, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1553 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {80, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1554 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {80, 513, 76, 1, Smoke::mf_ctor, 86, 8},	//1555 QsciLexerTeX::QsciLexerTeX(QObject*)
    {80, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1556 QsciLexerTeX::language() const
    {80, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1557 QsciLexerTeX::lexer() const
    {80, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 11},	//1558 QsciLexerTeX::wordCharacters() const
    {80, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1559 QsciLexerTeX::defaultColor(int) const
    {80, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 13},	//1560 QsciLexerTeX::keywords(int) const
    {80, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 14},	//1561 QsciLexerTeX::description(int) const
    {80, 1140, 0, 0, Smoke::mf_virtual, 0, 15},	//1562 QsciLexerTeX::refreshProperties()
    {80, 1277, 16, 1, 0, 0, 16},	//1563 QsciLexerTeX::setFoldComments(bool)
    {80, 948, 0, 0, Smoke::mf_const, 190, 17},	//1564 QsciLexerTeX::foldComments() const
    {80, 1279, 16, 1, 0, 0, 18},	//1565 QsciLexerTeX::setFoldCompact(bool)
    {80, 949, 0, 0, Smoke::mf_const, 190, 19},	//1566 QsciLexerTeX::foldCompact() const
    {80, 1396, 16, 1, 0, 0, 20},	//1567 QsciLexerTeX::setProcessComments(bool)
    {80, 1119, 0, 0, Smoke::mf_const, 190, 21},	//1568 QsciLexerTeX::processComments() const
    {80, 1398, 16, 1, 0, 0, 22},	//1569 QsciLexerTeX::setProcessIf(bool)
    {80, 1120, 0, 0, Smoke::mf_const, 190, 23},	//1570 QsciLexerTeX::processIf() const
    {80, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 24},	//1571 QsciLexerTeX::readProperties(QSettings&, const QString&)
    {80, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 25},	//1572 QsciLexerTeX::writeProperties(QSettings&, const QString&) const
    {80, 1499, 12, 1, Smoke::mf_static, 40, 26},	//1573 QsciLexerTeX::tr(const char*)
    {80, 1503, 12, 1, Smoke::mf_static, 40, 27},	//1574 QsciLexerTeX::trUtf8(const char*)
    {80, 513, 0, 0, Smoke::mf_ctor, 86, 28},	//1575 QsciLexerTeX::QsciLexerTeX()
    {80, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 29},	//1576 QsciLexerTeX::staticMetaObject() const
    {80, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 30},	//1577 QsciLexerTeX::Default (enum)
    {80, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 31},	//1578 QsciLexerTeX::Special (enum)
    {80, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 32},	//1579 QsciLexerTeX::Group (enum)
    {80, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 33},	//1580 QsciLexerTeX::Symbol (enum)
    {80, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//1581 QsciLexerTeX::Command (enum)
    {80, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//1582 QsciLexerTeX::Text (enum)
    {80, 1577, 0, 0, Smoke::mf_dtor, 0, 36 },	//1583 QsciLexerTeX::~QsciLexerTeX()
    {81, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1584 QsciLexerVHDL::metaObject() const
    {81, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1585 QsciLexerVHDL::qt_metacast(const char*)
    {81, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1586 QsciLexerVHDL::tr(const char*, const char*)
    {81, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1587 QsciLexerVHDL::trUtf8(const char*, const char*)
    {81, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1588 QsciLexerVHDL::tr(const char*, const char*, int)
    {81, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1589 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {81, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1590 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {81, 515, 76, 1, Smoke::mf_ctor, 87, 8},	//1591 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {81, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1592 QsciLexerVHDL::language() const
    {81, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1593 QsciLexerVHDL::lexer() const
    {81, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//1594 QsciLexerVHDL::braceStyle() const
    {81, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1595 QsciLexerVHDL::defaultColor(int) const
    {81, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 13},	//1596 QsciLexerVHDL::defaultEolFill(int) const
    {81, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1597 QsciLexerVHDL::defaultFont(int) const
    {81, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1598 QsciLexerVHDL::defaultPaper(int) const
    {81, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 16},	//1599 QsciLexerVHDL::keywords(int) const
    {81, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1600 QsciLexerVHDL::description(int) const
    {81, 1140, 0, 0, Smoke::mf_virtual, 0, 18},	//1601 QsciLexerVHDL::refreshProperties()
    {81, 948, 0, 0, Smoke::mf_const, 190, 19},	//1602 QsciLexerVHDL::foldComments() const
    {81, 949, 0, 0, Smoke::mf_const, 190, 20},	//1603 QsciLexerVHDL::foldCompact() const
    {81, 946, 0, 0, Smoke::mf_const, 190, 21},	//1604 QsciLexerVHDL::foldAtElse() const
    {81, 945, 0, 0, Smoke::mf_const, 190, 22},	//1605 QsciLexerVHDL::foldAtBegin() const
    {81, 947, 0, 0, Smoke::mf_const, 190, 23},	//1606 QsciLexerVHDL::foldAtParenthesis() const
    {81, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1607 QsciLexerVHDL::setFoldComments(bool)
    {81, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1608 QsciLexerVHDL::setFoldCompact(bool)
    {81, 1273, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1609 QsciLexerVHDL::setFoldAtElse(bool)
    {81, 1271, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1610 QsciLexerVHDL::setFoldAtBegin(bool)
    {81, 1275, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1611 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {81, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 29},	//1612 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {81, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 30},	//1613 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {81, 1499, 12, 1, Smoke::mf_static, 40, 31},	//1614 QsciLexerVHDL::tr(const char*)
    {81, 1503, 12, 1, Smoke::mf_static, 40, 32},	//1615 QsciLexerVHDL::trUtf8(const char*)
    {81, 515, 0, 0, Smoke::mf_ctor, 87, 33},	//1616 QsciLexerVHDL::QsciLexerVHDL()
    {81, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 34},	//1617 QsciLexerVHDL::staticMetaObject() const
    {81, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//1618 QsciLexerVHDL::Default (enum)
    {81, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//1619 QsciLexerVHDL::Comment (enum)
    {81, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 37},	//1620 QsciLexerVHDL::CommentLine (enum)
    {81, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 38},	//1621 QsciLexerVHDL::Number (enum)
    {81, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 39},	//1622 QsciLexerVHDL::String (enum)
    {81, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 40},	//1623 QsciLexerVHDL::Operator (enum)
    {81, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 41},	//1624 QsciLexerVHDL::Identifier (enum)
    {81, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//1625 QsciLexerVHDL::UnclosedString (enum)
    {81, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//1626 QsciLexerVHDL::Keyword (enum)
    {81, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//1627 QsciLexerVHDL::StandardOperator (enum)
    {81, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//1628 QsciLexerVHDL::Attribute (enum)
    {81, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//1629 QsciLexerVHDL::StandardFunction (enum)
    {81, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//1630 QsciLexerVHDL::StandardPackage (enum)
    {81, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//1631 QsciLexerVHDL::StandardType (enum)
    {81, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 49},	//1632 QsciLexerVHDL::KeywordSet7 (enum)
    {81, 1578, 0, 0, Smoke::mf_dtor, 0, 50 },	//1633 QsciLexerVHDL::~QsciLexerVHDL()
    {82, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1634 QsciLexerXML::metaObject() const
    {82, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1635 QsciLexerXML::qt_metacast(const char*)
    {82, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1636 QsciLexerXML::tr(const char*, const char*)
    {82, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1637 QsciLexerXML::trUtf8(const char*, const char*)
    {82, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1638 QsciLexerXML::tr(const char*, const char*, int)
    {82, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1639 QsciLexerXML::trUtf8(const char*, const char*, int)
    {82, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1640 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {82, 517, 76, 1, Smoke::mf_ctor, 88, 8},	//1641 QsciLexerXML::QsciLexerXML(QObject*)
    {82, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1642 QsciLexerXML::language() const
    {82, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1643 QsciLexerXML::lexer() const
    {82, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1644 QsciLexerXML::defaultColor(int) const
    {82, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 12},	//1645 QsciLexerXML::defaultEolFill(int) const
    {82, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1646 QsciLexerXML::defaultFont(int) const
    {82, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1647 QsciLexerXML::defaultPaper(int) const
    {82, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 15},	//1648 QsciLexerXML::keywords(int) const
    {82, 1140, 0, 0, Smoke::mf_virtual, 0, 16},	//1649 QsciLexerXML::refreshProperties()
    {82, 1406, 16, 1, 0, 0, 17},	//1650 QsciLexerXML::setScriptsStyled(bool)
    {82, 1160, 0, 0, Smoke::mf_const, 190, 18},	//1651 QsciLexerXML::scriptsStyled() const
    {82, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 19},	//1652 QsciLexerXML::readProperties(QSettings&, const QString&)
    {82, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 20},	//1653 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {82, 1499, 12, 1, Smoke::mf_static, 40, 21},	//1654 QsciLexerXML::tr(const char*)
    {82, 1503, 12, 1, Smoke::mf_static, 40, 22},	//1655 QsciLexerXML::trUtf8(const char*)
    {82, 517, 0, 0, Smoke::mf_ctor, 88, 23},	//1656 QsciLexerXML::QsciLexerXML()
    {82, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 24},	//1657 QsciLexerXML::staticMetaObject() const
    {82, 1579, 0, 0, Smoke::mf_dtor, 0, 25 },	//1658 QsciLexerXML::~QsciLexerXML()
    {83, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1659 QsciLexerYAML::metaObject() const
    {83, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1660 QsciLexerYAML::qt_metacast(const char*)
    {83, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1661 QsciLexerYAML::tr(const char*, const char*)
    {83, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1662 QsciLexerYAML::trUtf8(const char*, const char*)
    {83, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1663 QsciLexerYAML::tr(const char*, const char*, int)
    {83, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1664 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {83, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1665 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {83, 519, 76, 1, Smoke::mf_ctor, 89, 8},	//1666 QsciLexerYAML::QsciLexerYAML(QObject*)
    {83, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//1667 QsciLexerYAML::language() const
    {83, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//1668 QsciLexerYAML::lexer() const
    {83, 870, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1669 QsciLexerYAML::defaultColor(int) const
    {83, 872, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 190, 12},	//1670 QsciLexerYAML::defaultEolFill(int) const
    {83, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1671 QsciLexerYAML::defaultFont(int) const
    {83, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1672 QsciLexerYAML::defaultPaper(int) const
    {83, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 15},	//1673 QsciLexerYAML::keywords(int) const
    {83, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1674 QsciLexerYAML::description(int) const
    {83, 1140, 0, 0, Smoke::mf_virtual, 0, 17},	//1675 QsciLexerYAML::refreshProperties()
    {83, 948, 0, 0, Smoke::mf_const, 190, 18},	//1676 QsciLexerYAML::foldComments() const
    {83, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1677 QsciLexerYAML::setFoldComments(bool)
    {83, 1130, 95, 2, Smoke::mf_protected|Smoke::mf_virtual, 190, 20},	//1678 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {83, 1534, 95, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 21},	//1679 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {83, 1499, 12, 1, Smoke::mf_static, 40, 22},	//1680 QsciLexerYAML::tr(const char*)
    {83, 1503, 12, 1, Smoke::mf_static, 40, 23},	//1681 QsciLexerYAML::trUtf8(const char*)
    {83, 519, 0, 0, Smoke::mf_ctor, 89, 24},	//1682 QsciLexerYAML::QsciLexerYAML()
    {83, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 25},	//1683 QsciLexerYAML::staticMetaObject() const
    {83, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 26},	//1684 QsciLexerYAML::Default (enum)
    {83, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 27},	//1685 QsciLexerYAML::Comment (enum)
    {83, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 28},	//1686 QsciLexerYAML::Identifier (enum)
    {83, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 29},	//1687 QsciLexerYAML::Keyword (enum)
    {83, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 30},	//1688 QsciLexerYAML::Number (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 31},	//1689 QsciLexerYAML::Reference (enum)
    {83, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 32},	//1690 QsciLexerYAML::DocumentDelimiter (enum)
    {83, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 33},	//1691 QsciLexerYAML::TextBlockMarker (enum)
    {83, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//1692 QsciLexerYAML::SyntaxErrorMarker (enum)
    {83, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//1693 QsciLexerYAML::Operator (enum)
    {83, 1580, 0, 0, Smoke::mf_dtor, 0, 36 },	//1694 QsciLexerYAML::~QsciLexerYAML()
    {84, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1695 QsciMacro::metaObject() const
    {84, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1696 QsciMacro::qt_metacast(const char*)
    {84, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1697 QsciMacro::tr(const char*, const char*)
    {84, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1698 QsciMacro::trUtf8(const char*, const char*)
    {84, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1699 QsciMacro::tr(const char*, const char*, int)
    {84, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1700 QsciMacro::trUtf8(const char*, const char*, int)
    {84, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1701 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {84, 521, 84, 1, Smoke::mf_ctor, 90, 8},	//1702 QsciMacro::QsciMacro(QsciScintilla*)
    {84, 521, 109, 2, Smoke::mf_ctor, 90, 9},	//1703 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {84, 838, 0, 0, 0, 0, 10},	//1704 QsciMacro::clear()
    {84, 1041, 57, 1, 0, 190, 11},	//1705 QsciMacro::load(const QString&)
    {84, 1157, 0, 0, Smoke::mf_const, 40, 12},	//1706 QsciMacro::save() const
    {84, 1110, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1707 QsciMacro::play()
    {84, 1474, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1708 QsciMacro::startRecording()
    {84, 901, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1709 QsciMacro::endRecording()
    {84, 1499, 12, 1, Smoke::mf_static, 40, 16},	//1710 QsciMacro::tr(const char*)
    {84, 1503, 12, 1, Smoke::mf_static, 40, 17},	//1711 QsciMacro::trUtf8(const char*)
    {84, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 18},	//1712 QsciMacro::staticMetaObject() const
    {84, 1581, 0, 0, Smoke::mf_dtor, 0, 19 },	//1713 QsciMacro::~QsciMacro()
    {85, 524, 112, 1, Smoke::mf_ctor, 91, 1},	//1714 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {85, 966, 114, 4, Smoke::mf_virtual, 0, 2},	//1715 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {85, 1045, 0, 0, Smoke::mf_const, 216, 3},	//1716 QsciPrinter::magnification() const
    {85, 1350, 18, 1, Smoke::mf_virtual, 0, 4},	//1717 QsciPrinter::setMagnification(int)
    {85, 1115, 119, 3, Smoke::mf_virtual, 216, 5},	//1718 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {85, 1531, 0, 0, Smoke::mf_const, 108, 6},	//1719 QsciPrinter::wrapMode() const
    {85, 1462, 123, 1, Smoke::mf_virtual, 0, 7},	//1720 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {85, 524, 0, 0, Smoke::mf_ctor, 91, 8},	//1721 QsciPrinter::QsciPrinter()
    {85, 1115, 125, 1, 0, 216, 9},	//1722 QsciPrinter::printRange(QsciScintillaBase*)
    {85, 1115, 127, 2, 0, 216, 10},	//1723 QsciPrinter::printRange(QsciScintillaBase*, int)
    {85, 1582, 0, 0, Smoke::mf_dtor, 0, 11 },	//1724 QsciPrinter::~QsciPrinter()
    {86, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//1725 QsciScintilla::metaObject() const
    {86, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//1726 QsciScintilla::qt_metacast(const char*)
    {86, 1499, 44, 2, Smoke::mf_static, 40, 3},	//1727 QsciScintilla::tr(const char*, const char*)
    {86, 1503, 44, 2, Smoke::mf_static, 40, 4},	//1728 QsciScintilla::trUtf8(const char*, const char*)
    {86, 1499, 47, 3, Smoke::mf_static, 40, 5},	//1729 QsciScintilla::tr(const char*, const char*, int)
    {86, 1503, 47, 3, Smoke::mf_static, 40, 6},	//1730 QsciScintilla::trUtf8(const char*, const char*, int)
    {86, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//1731 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {86, 526, 130, 1, Smoke::mf_ctor, 92, 8},	//1732 QsciScintilla::QsciScintilla(QWidget*)
    {86, 783, 132, 3, Smoke::mf_virtual, 41, 9},	//1733 QsciScintilla::apiContext(int, int&, int&)
    {86, 775, 136, 3, 0, 0, 10},	//1734 QsciScintilla::annotate(int, const QString&, int)
    {86, 775, 140, 3, 0, 0, 11},	//1735 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {86, 775, 144, 2, 0, 0, 12},	//1736 QsciScintilla::annotate(int, const QsciStyledText&)
    {86, 775, 147, 2, 0, 0, 13},	//1737 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {86, 780, 18, 1, Smoke::mf_const, 40, 14},	//1738 QsciScintilla::annotation(int) const
    {86, 782, 0, 0, Smoke::mf_const, 93, 15},	//1739 QsciScintilla::annotationDisplay() const
    {86, 840, 18, 1, 0, 0, 16},	//1740 QsciScintilla::clearAnnotations(int)
    {86, 796, 0, 0, Smoke::mf_const, 190, 17},	//1741 QsciScintilla::autoCompletionCaseSensitivity() const
    {86, 798, 0, 0, Smoke::mf_const, 190, 18},	//1742 QsciScintilla::autoCompletionFillupsEnabled() const
    {86, 799, 0, 0, Smoke::mf_const, 190, 19},	//1743 QsciScintilla::autoCompletionReplaceWord() const
    {86, 802, 0, 0, Smoke::mf_const, 190, 20},	//1744 QsciScintilla::autoCompletionShowSingle() const
    {86, 803, 0, 0, Smoke::mf_const, 94, 21},	//1745 QsciScintilla::autoCompletionSource() const
    {86, 804, 0, 0, Smoke::mf_const, 216, 22},	//1746 QsciScintilla::autoCompletionThreshold() const
    {86, 805, 0, 0, Smoke::mf_const, 95, 23},	//1747 QsciScintilla::autoCompletionUseSingle() const
    {86, 807, 0, 0, Smoke::mf_const, 190, 24},	//1748 QsciScintilla::autoIndent() const
    {86, 810, 0, 0, Smoke::mf_const, 190, 25},	//1749 QsciScintilla::backspaceUnindents() const
    {86, 811, 0, 0, 0, 0, 26},	//1750 QsciScintilla::beginUndoAction()
    {86, 821, 0, 0, Smoke::mf_const, 96, 27},	//1751 QsciScintilla::braceMatching() const
    {86, 826, 0, 0, Smoke::mf_const, 97, 28},	//1752 QsciScintilla::callTipsPosition() const
    {86, 827, 0, 0, Smoke::mf_const, 98, 29},	//1753 QsciScintilla::callTipsStyle() const
    {86, 828, 0, 0, Smoke::mf_const, 216, 30},	//1754 QsciScintilla::callTipsVisible() const
    {86, 831, 0, 0, 0, 0, 31},	//1755 QsciScintilla::cancelList()
    {86, 833, 0, 0, Smoke::mf_const, 190, 32},	//1756 QsciScintilla::caseSensitive() const
    {86, 842, 0, 0, 0, 0, 33},	//1757 QsciScintilla::clearFolds()
    {86, 843, 150, 5, 0, 0, 34},	//1758 QsciScintilla::clearIndicatorRange(int, int, int, int, int)
    {86, 848, 0, 0, 0, 0, 35},	//1759 QsciScintilla::clearRegisteredImages()
    {86, 850, 0, 0, Smoke::mf_const, 6, 36},	//1760 QsciScintilla::color() const
    {86, 859, 0, 0, Smoke::mf_const, 20, 37},	//1761 QsciScintilla::contractedFolds() const
    {86, 860, 156, 1, 0, 0, 38},	//1762 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {86, 865, 0, 0, 0, 22, 39},	//1763 QsciScintilla::createStandardContextMenu()
    {86, 885, 0, 0, Smoke::mf_const, 55, 40},	//1764 QsciScintilla::document() const
    {86, 902, 0, 0, 0, 0, 41},	//1765 QsciScintilla::endUndoAction()
    {86, 896, 0, 0, Smoke::mf_const, 6, 42},	//1766 QsciScintilla::edgeColor() const
    {86, 897, 0, 0, Smoke::mf_const, 216, 43},	//1767 QsciScintilla::edgeColumn() const
    {86, 898, 0, 0, Smoke::mf_const, 99, 44},	//1768 QsciScintilla::edgeMode() const
    {86, 1302, 42, 1, 0, 0, 45},	//1769 QsciScintilla::setFont(const QFont&)
    {86, 911, 0, 0, Smoke::mf_const, 100, 46},	//1770 QsciScintilla::eolMode() const
    {86, 912, 0, 0, Smoke::mf_const, 190, 47},	//1771 QsciScintilla::eolVisibility() const
    {86, 917, 0, 0, Smoke::mf_const, 216, 48},	//1772 QsciScintilla::extraAscent() const
    {86, 918, 0, 0, Smoke::mf_const, 216, 49},	//1773 QsciScintilla::extraDescent() const
    {86, 919, 150, 5, 0, 0, 50},	//1774 QsciScintilla::fillIndicatorRange(int, int, int, int, int)
    {86, 923, 158, 10, Smoke::mf_virtual, 190, 51},	//1775 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool, bool)
    {86, 930, 169, 7, Smoke::mf_virtual, 190, 52},	//1776 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool, bool)
    {86, 935, 0, 0, Smoke::mf_virtual, 190, 53},	//1777 QsciScintilla::findNext()
    {86, 936, 0, 0, Smoke::mf_const, 216, 54},	//1778 QsciScintilla::firstVisibleLine() const
    {86, 960, 0, 0, Smoke::mf_const, 101, 55},	//1779 QsciScintilla::folding() const
    {86, 970, 177, 2, Smoke::mf_const, 0, 56},	//1780 QsciScintilla::getCursorPosition(int*, int*) const
    {86, 972, 180, 4, Smoke::mf_const, 0, 57},	//1781 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {86, 974, 0, 0, Smoke::mf_const, 190, 58},	//1782 QsciScintilla::hasSelectedText() const
    {86, 984, 18, 1, Smoke::mf_const, 216, 59},	//1783 QsciScintilla::indentation(int) const
    {86, 987, 0, 0, Smoke::mf_const, 190, 60},	//1784 QsciScintilla::indentationGuides() const
    {86, 990, 0, 0, Smoke::mf_const, 190, 61},	//1785 QsciScintilla::indentationsUseTabs() const
    {86, 989, 0, 0, Smoke::mf_const, 216, 62},	//1786 QsciScintilla::indentationWidth() const
    {86, 993, 185, 2, 0, 216, 63},	//1787 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle, int)
    {86, 996, 18, 1, Smoke::mf_const, 190, 64},	//1788 QsciScintilla::indicatorDrawUnder(int) const
    {86, 1009, 0, 0, Smoke::mf_const, 190, 65},	//1789 QsciScintilla::isCallTipActive() const
    {86, 1010, 0, 0, Smoke::mf_const, 190, 66},	//1790 QsciScintilla::isListActive() const
    {86, 1011, 0, 0, Smoke::mf_const, 190, 67},	//1791 QsciScintilla::isModified() const
    {86, 1014, 0, 0, Smoke::mf_const, 190, 68},	//1792 QsciScintilla::isReadOnly() const
    {86, 1015, 0, 0, Smoke::mf_const, 190, 69},	//1793 QsciScintilla::isRedoAvailable() const
    {86, 1016, 0, 0, Smoke::mf_const, 190, 70},	//1794 QsciScintilla::isUndoAvailable() const
    {86, 1017, 0, 0, Smoke::mf_const, 190, 71},	//1795 QsciScintilla::isUtf8() const
    {86, 1018, 188, 1, Smoke::mf_const, 190, 72},	//1796 QsciScintilla::isWordCharacter(char) const
    {86, 1033, 190, 1, Smoke::mf_const, 216, 73},	//1797 QsciScintilla::lineAt(const QPoint&) const
    {86, 1035, 192, 3, Smoke::mf_const, 0, 74},	//1798 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {86, 1037, 18, 1, Smoke::mf_const, 216, 75},	//1799 QsciScintilla::lineLength(int) const
    {86, 1039, 0, 0, Smoke::mf_const, 216, 76},	//1800 QsciScintilla::lines() const
    {86, 1029, 0, 0, Smoke::mf_const, 216, 77},	//1801 QsciScintilla::length() const
    {86, 1031, 0, 0, Smoke::mf_const, 58, 78},	//1802 QsciScintilla::lexer() const
    {86, 1049, 18, 1, Smoke::mf_const, 190, 79},	//1803 QsciScintilla::marginLineNumbers(int) const
    {86, 1051, 18, 1, Smoke::mf_const, 216, 80},	//1804 QsciScintilla::marginMarkerMask(int) const
    {86, 1053, 0, 0, Smoke::mf_const, 216, 81},	//1805 QsciScintilla::marginOptions() const
    {86, 1054, 18, 1, Smoke::mf_const, 190, 82},	//1806 QsciScintilla::marginSensitivity(int) const
    {86, 1056, 18, 1, Smoke::mf_const, 104, 83},	//1807 QsciScintilla::marginType(int) const
    {86, 1058, 18, 1, Smoke::mf_const, 216, 84},	//1808 QsciScintilla::marginWidth(int) const
    {86, 1062, 196, 2, 0, 216, 85},	//1809 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {86, 1062, 199, 2, 0, 216, 86},	//1810 QsciScintilla::markerDefine(char, int)
    {86, 1062, 202, 2, 0, 216, 87},	//1811 QsciScintilla::markerDefine(const QPixmap&, int)
    {86, 1062, 205, 2, 0, 216, 88},	//1812 QsciScintilla::markerDefine(const QImage&, int)
    {86, 1060, 101, 2, 0, 216, 89},	//1813 QsciScintilla::markerAdd(int, int)
    {86, 1080, 18, 1, Smoke::mf_const, 220, 90},	//1814 QsciScintilla::markersAtLine(int) const
    {86, 1067, 101, 2, 0, 0, 91},	//1815 QsciScintilla::markerDelete(int, int)
    {86, 1070, 18, 1, 0, 0, 92},	//1816 QsciScintilla::markerDeleteAll(int)
    {86, 1072, 18, 1, 0, 0, 93},	//1817 QsciScintilla::markerDeleteHandle(int)
    {86, 1078, 18, 1, Smoke::mf_const, 216, 94},	//1818 QsciScintilla::markerLine(int) const
    {86, 1074, 208, 2, Smoke::mf_const, 216, 95},	//1819 QsciScintilla::markerFindNext(int, unsigned int) const
    {86, 1076, 208, 2, Smoke::mf_const, 216, 96},	//1820 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {86, 1100, 0, 0, Smoke::mf_const, 190, 97},	//1821 QsciScintilla::overwriteMode() const
    {86, 1105, 0, 0, Smoke::mf_const, 6, 98},	//1822 QsciScintilla::paper() const
    {86, 1112, 101, 2, Smoke::mf_const, 216, 99},	//1823 QsciScintilla::positionFromLineIndex(int, int) const
    {86, 1128, 211, 1, 0, 190, 100},	//1824 QsciScintilla::read(QIODevice*)
    {86, 1135, 101, 2, Smoke::mf_virtual, 0, 101},	//1825 QsciScintilla::recolor(int, int)
    {86, 1141, 213, 2, 0, 0, 102},	//1826 QsciScintilla::registerImage(int, const QPixmap&)
    {86, 1141, 216, 2, 0, 0, 103},	//1827 QsciScintilla::registerImage(int, const QImage&)
    {86, 1146, 57, 1, Smoke::mf_virtual, 0, 104},	//1828 QsciScintilla::replace(const QString&)
    {86, 1150, 0, 0, 0, 0, 105},	//1829 QsciScintilla::resetFoldMarginColors()
    {86, 1283, 219, 2, 0, 0, 106},	//1830 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {86, 1173, 222, 1, 0, 0, 107},	//1831 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {86, 1179, 16, 1, 0, 0, 108},	//1832 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {86, 1177, 12, 1, 0, 0, 109},	//1833 QsciScintilla::setAutoCompletionFillups(const char*)
    {86, 1191, 224, 1, 0, 0, 110},	//1834 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {86, 1203, 82, 1, 0, 0, 111},	//1835 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {86, 1205, 82, 1, 0, 0, 112},	//1836 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {86, 1207, 82, 1, 0, 0, 113},	//1837 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {86, 1209, 226, 1, 0, 0, 114},	//1838 QsciScintilla::setCallTipsPosition(QsciScintilla::CallTipsPosition)
    {86, 1211, 228, 1, 0, 0, 115},	//1839 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {86, 1213, 18, 1, 0, 0, 116},	//1840 QsciScintilla::setCallTipsVisible(int)
    {86, 1230, 230, 1, 0, 0, 117},	//1841 QsciScintilla::setContractedFolds(const QList<int>&)
    {86, 1244, 74, 1, 0, 0, 118},	//1842 QsciScintilla::setDocument(const QsciDocument&)
    {86, 1250, 82, 1, 0, 0, 119},	//1843 QsciScintilla::setEdgeColor(const QColor&)
    {86, 1252, 18, 1, 0, 0, 120},	//1844 QsciScintilla::setEdgeColumn(int)
    {86, 1254, 232, 1, 0, 0, 121},	//1845 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {86, 1269, 18, 1, 0, 0, 122},	//1846 QsciScintilla::setFirstVisibleLine(int)
    {86, 1331, 89, 2, 0, 0, 123},	//1847 QsciScintilla::setIndicatorDrawUnder(bool, int)
    {86, 1334, 86, 2, 0, 0, 124},	//1848 QsciScintilla::setIndicatorForegroundColor(const QColor&, int)
    {86, 1337, 86, 2, 0, 0, 125},	//1849 QsciScintilla::setIndicatorOutlineColor(const QColor&, int)
    {86, 1358, 18, 1, 0, 0, 126},	//1850 QsciScintilla::setMarginOptions(int)
    {86, 1362, 136, 3, 0, 0, 127},	//1851 QsciScintilla::setMarginText(int, const QString&, int)
    {86, 1362, 140, 3, 0, 0, 128},	//1852 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {86, 1362, 144, 2, 0, 0, 129},	//1853 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {86, 1362, 147, 2, 0, 0, 130},	//1854 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {86, 1367, 234, 2, 0, 0, 131},	//1855 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {86, 846, 18, 1, 0, 0, 132},	//1856 QsciScintilla::clearMarginText(int)
    {86, 1377, 86, 2, 0, 0, 133},	//1857 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {86, 1380, 86, 2, 0, 0, 134},	//1858 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {86, 1383, 82, 1, 0, 0, 135},	//1859 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {86, 1385, 82, 1, 0, 0, 136},	//1860 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {86, 1387, 18, 1, 0, 0, 137},	//1861 QsciScintilla::setMatchedBraceIndicator(int)
    {86, 1151, 0, 0, 0, 0, 138},	//1862 QsciScintilla::resetMatchedBraceIndicator()
    {86, 1436, 82, 1, 0, 0, 139},	//1863 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {86, 1438, 82, 1, 0, 0, 140},	//1864 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {86, 1440, 18, 1, 0, 0, 141},	//1865 QsciScintilla::setUnmatchedBraceIndicator(int)
    {86, 1154, 0, 0, 0, 0, 142},	//1866 QsciScintilla::resetUnmatchedBraceIndicator()
    {86, 1464, 237, 3, 0, 0, 143},	//1867 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {86, 1166, 0, 0, Smoke::mf_const, 40, 144},	//1868 QsciScintilla::selectedText() const
    {86, 1168, 0, 0, Smoke::mf_const, 190, 145},	//1869 QsciScintilla::selectionToEol() const
    {86, 1415, 16, 1, 0, 0, 146},	//1870 QsciScintilla::setSelectionToEol(bool)
    {86, 1265, 18, 1, 0, 0, 147},	//1871 QsciScintilla::setExtraAscent(int)
    {86, 1267, 18, 1, 0, 0, 148},	//1872 QsciScintilla::setExtraDescent(int)
    {86, 1391, 16, 1, 0, 0, 149},	//1873 QsciScintilla::setOverwriteMode(bool)
    {86, 1452, 82, 1, 0, 0, 150},	//1874 QsciScintilla::setWhitespaceBackgroundColor(const QColor&)
    {86, 1454, 82, 1, 0, 0, 151},	//1875 QsciScintilla::setWhitespaceForegroundColor(const QColor&)
    {86, 1456, 18, 1, 0, 0, 152},	//1876 QsciScintilla::setWhitespaceSize(int)
    {86, 1460, 241, 1, 0, 0, 153},	//1877 QsciScintilla::setWrapIndentMode(QsciScintilla::WrapIndentMode)
    {86, 1469, 243, 2, 0, 0, 154},	//1878 QsciScintilla::showUserList(int, const QStringList&)
    {86, 1473, 0, 0, Smoke::mf_const, 54, 155},	//1879 QsciScintilla::standardCommands() const
    {86, 1486, 0, 0, Smoke::mf_const, 190, 156},	//1880 QsciScintilla::tabIndents() const
    {86, 1487, 0, 0, Smoke::mf_const, 216, 157},	//1881 QsciScintilla::tabWidth() const
    {86, 1489, 0, 0, Smoke::mf_const, 40, 158},	//1882 QsciScintilla::text() const
    {86, 1489, 18, 1, Smoke::mf_const, 40, 159},	//1883 QsciScintilla::text(int) const
    {86, 1493, 18, 1, Smoke::mf_const, 216, 160},	//1884 QsciScintilla::textHeight(int) const
    {86, 1522, 0, 0, Smoke::mf_const, 216, 161},	//1885 QsciScintilla::whitespaceSize() const
    {86, 1523, 0, 0, Smoke::mf_const, 106, 162},	//1886 QsciScintilla::whitespaceVisibility() const
    {86, 1525, 101, 2, Smoke::mf_const, 40, 163},	//1887 QsciScintilla::wordAtLineIndex(int, int) const
    {86, 1527, 190, 1, Smoke::mf_const, 40, 164},	//1888 QsciScintilla::wordAtPoint(const QPoint&) const
    {86, 1529, 0, 0, Smoke::mf_const, 214, 165},	//1889 QsciScintilla::wordCharacters() const
    {86, 1531, 0, 0, Smoke::mf_const, 108, 166},	//1890 QsciScintilla::wrapMode() const
    {86, 1530, 0, 0, Smoke::mf_const, 107, 167},	//1891 QsciScintilla::wrapIndentMode() const
    {86, 1532, 211, 1, Smoke::mf_const, 190, 168},	//1892 QsciScintilla::write(QIODevice*) const
    {86, 789, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1893 QsciScintilla::append(const QString&)
    {86, 794, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1894 QsciScintilla::autoCompleteFromAll()
    {86, 793, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1895 QsciScintilla::autoCompleteFromAPIs()
    {86, 795, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1896 QsciScintilla::autoCompleteFromDocument()
    {86, 823, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1897 QsciScintilla::callTip()
    {86, 838, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1898 QsciScintilla::clear()
    {86, 862, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1899 QsciScintilla::copy()
    {86, 869, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1900 QsciScintilla::cut()
    {86, 903, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1901 QsciScintilla::ensureCursorVisible()
    {86, 904, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1902 QsciScintilla::ensureLineVisible(int)
    {86, 943, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1903 QsciScintilla::foldAll(bool)
    {86, 951, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1904 QsciScintilla::foldLine(int)
    {86, 982, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1905 QsciScintilla::indent(int)
    {86, 1004, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1906 QsciScintilla::insert(const QString&)
    {86, 1006, 246, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1907 QsciScintilla::insertAt(const QString&, int, int)
    {86, 1097, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1908 QsciScintilla::moveToMatchingBrace()
    {86, 1109, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1909 QsciScintilla::paste()
    {86, 1138, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1910 QsciScintilla::redo()
    {86, 1145, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1911 QsciScintilla::removeSelectedText()
    {86, 1148, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1912 QsciScintilla::replaceSelectedText(const QString&)
    {86, 1152, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1913 QsciScintilla::resetSelectionBackgroundColor()
    {86, 1153, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1914 QsciScintilla::resetSelectionForegroundColor()
    {86, 1163, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1915 QsciScintilla::selectAll(bool)
    {86, 1165, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1916 QsciScintilla::selectToMatchingBrace()
    {86, 1175, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1917 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {86, 1181, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1918 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {86, 1183, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1919 QsciScintilla::setAutoCompletionShowSingle(bool)
    {86, 1185, 250, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1920 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {86, 1187, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1921 QsciScintilla::setAutoCompletionThreshold(int)
    {86, 1189, 252, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1922 QsciScintilla::setAutoCompletionUseSingle(QsciScintilla::AutoCompletionUseSingle)
    {86, 1193, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1923 QsciScintilla::setAutoIndent(bool)
    {86, 1201, 254, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1924 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {86, 1199, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1925 QsciScintilla::setBackspaceUnindents(bool)
    {86, 1215, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1926 QsciScintilla::setCaretForegroundColor(const QColor&)
    {86, 1217, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1927 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {86, 1219, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1928 QsciScintilla::setCaretLineVisible(bool)
    {86, 1221, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1929 QsciScintilla::setCaretWidth(int)
    {86, 1227, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1930 QsciScintilla::setColor(const QColor&)
    {86, 1232, 101, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 207},	//1931 QsciScintilla::setCursorPosition(int, int)
    {86, 1261, 156, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 208},	//1932 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {86, 1263, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 209},	//1933 QsciScintilla::setEolVisibility(bool)
    {86, 1299, 256, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 210},	//1934 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {86, 1317, 101, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 211},	//1935 QsciScintilla::setIndentation(int, int)
    {86, 1319, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 212},	//1936 QsciScintilla::setIndentationGuides(bool)
    {86, 1321, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 213},	//1937 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {86, 1323, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 214},	//1938 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {86, 1329, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 215},	//1939 QsciScintilla::setIndentationsUseTabs(bool)
    {86, 1327, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 216},	//1940 QsciScintilla::setIndentationWidth(int)
    {86, 1348, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 217},	//1941 QsciScintilla::setLexer(QsciLexer*)
    {86, 1371, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 218},	//1942 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {86, 1373, 42, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 219},	//1943 QsciScintilla::setMarginsFont(const QFont&)
    {86, 1375, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 220},	//1944 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {86, 1354, 259, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 221},	//1945 QsciScintilla::setMarginLineNumbers(int, bool)
    {86, 1356, 101, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 222},	//1946 QsciScintilla::setMarginMarkerMask(int, int)
    {86, 1360, 259, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 223},	//1947 QsciScintilla::setMarginSensitivity(int, bool)
    {86, 1369, 101, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 224},	//1948 QsciScintilla::setMarginWidth(int, int)
    {86, 1369, 262, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 225},	//1949 QsciScintilla::setMarginWidth(int, const QString&)
    {86, 1389, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 226},	//1950 QsciScintilla::setModified(bool)
    {86, 1393, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 227},	//1951 QsciScintilla::setPaper(const QColor&)
    {86, 1402, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 228},	//1952 QsciScintilla::setReadOnly(bool)
    {86, 1409, 265, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 229},	//1953 QsciScintilla::setSelection(int, int, int, int)
    {86, 1411, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 230},	//1954 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {86, 1413, 82, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 231},	//1955 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {86, 1426, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 232},	//1956 QsciScintilla::setTabIndents(bool)
    {86, 1428, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 233},	//1957 QsciScintilla::setTabWidth(int)
    {86, 1430, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 234},	//1958 QsciScintilla::setText(const QString&)
    {86, 1442, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 235},	//1959 QsciScintilla::setUtf8(bool)
    {86, 1458, 270, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 236},	//1960 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {86, 1462, 123, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 237},	//1961 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {86, 1507, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 238},	//1962 QsciScintilla::undo()
    {86, 1508, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 239},	//1963 QsciScintilla::unindent(int)
    {86, 1540, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 240},	//1964 QsciScintilla::zoomIn(int)
    {86, 1540, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 241},	//1965 QsciScintilla::zoomIn()
    {86, 1542, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 242},	//1966 QsciScintilla::zoomOut(int)
    {86, 1542, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 243},	//1967 QsciScintilla::zoomOut()
    {86, 1544, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 244},	//1968 QsciScintilla::zoomTo(int)
    {86, 866, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 245},	//1969 QsciScintilla::cursorPositionChanged(int, int)
    {86, 863, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 246},	//1970 QsciScintilla::copyAvailable(bool)
    {86, 991, 272, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 247},	//1971 QsciScintilla::indicatorClicked(int, int, Qt::KeyboardModifiers)
    {86, 998, 272, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 248},	//1972 QsciScintilla::indicatorReleased(int, int, Qt::KeyboardModifiers)
    {86, 1040, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 249},	//1973 QsciScintilla::linesChanged()
    {86, 1047, 272, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 250},	//1974 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {86, 1085, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 251},	//1975 QsciScintilla::modificationAttempted()
    {86, 1086, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 252},	//1976 QsciScintilla::modificationChanged(bool)
    {86, 1167, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 253},	//1977 QsciScintilla::selectionChanged()
    {86, 1492, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 254},	//1978 QsciScintilla::textChanged()
    {86, 1512, 262, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 255},	//1979 QsciScintilla::userListActivated(int, const QString&)
    {86, 913, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 190, 256},	//1980 QsciScintilla::event(QEvent*)
    {86, 857, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 257},	//1981 QsciScintilla::contextMenuEvent(QContextMenuEvent*)
    {86, 1499, 12, 1, Smoke::mf_static, 40, 258},	//1982 QsciScintilla::tr(const char*)
    {86, 1503, 12, 1, Smoke::mf_static, 40, 259},	//1983 QsciScintilla::trUtf8(const char*)
    {86, 526, 0, 0, Smoke::mf_ctor, 92, 260},	//1984 QsciScintilla::QsciScintilla()
    {86, 840, 0, 0, 0, 0, 261},	//1985 QsciScintilla::clearAnnotations()
    {86, 923, 278, 5, 0, 190, 262},	//1986 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {86, 923, 284, 6, 0, 190, 263},	//1987 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {86, 923, 291, 7, 0, 190, 264},	//1988 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {86, 923, 299, 8, 0, 190, 265},	//1989 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {86, 923, 308, 9, 0, 190, 266},	//1990 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {86, 930, 318, 4, 0, 190, 267},	//1991 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool)
    {86, 930, 278, 5, 0, 190, 268},	//1992 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool)
    {86, 930, 284, 6, 0, 190, 269},	//1993 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool)
    {86, 993, 323, 1, 0, 216, 270},	//1994 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle)
    {86, 1062, 325, 1, 0, 216, 271},	//1995 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {86, 1062, 188, 1, 0, 216, 272},	//1996 QsciScintilla::markerDefine(char)
    {86, 1062, 327, 1, 0, 216, 273},	//1997 QsciScintilla::markerDefine(const QPixmap&)
    {86, 1062, 329, 1, 0, 216, 274},	//1998 QsciScintilla::markerDefine(const QImage&)
    {86, 1067, 18, 1, 0, 0, 275},	//1999 QsciScintilla::markerDelete(int)
    {86, 1070, 0, 0, 0, 0, 276},	//2000 QsciScintilla::markerDeleteAll()
    {86, 1135, 0, 0, 0, 0, 277},	//2001 QsciScintilla::recolor()
    {86, 1135, 18, 1, 0, 0, 278},	//2002 QsciScintilla::recolor(int)
    {86, 1331, 16, 1, 0, 0, 279},	//2003 QsciScintilla::setIndicatorDrawUnder(bool)
    {86, 1334, 82, 1, 0, 0, 280},	//2004 QsciScintilla::setIndicatorForegroundColor(const QColor&)
    {86, 1337, 82, 1, 0, 0, 281},	//2005 QsciScintilla::setIndicatorOutlineColor(const QColor&)
    {86, 846, 0, 0, 0, 0, 282},	//2006 QsciScintilla::clearMarginText()
    {86, 1377, 82, 1, 0, 0, 283},	//2007 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {86, 1380, 82, 1, 0, 0, 284},	//2008 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {86, 1464, 331, 1, 0, 0, 285},	//2009 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {86, 1464, 333, 2, 0, 0, 286},	//2010 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {86, 943, 0, 0, Smoke::mf_slot, 0, 287},	//2011 QsciScintilla::foldAll()
    {86, 1163, 0, 0, Smoke::mf_slot, 0, 288},	//2012 QsciScintilla::selectAll()
    {86, 1299, 336, 1, Smoke::mf_slot, 0, 289},	//2013 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {86, 1348, 0, 0, Smoke::mf_slot, 0, 290},	//2014 QsciScintilla::setLexer()
    {86, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 291},	//2015 QsciScintilla::staticMetaObject() const
    {86, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 292},	//2016 QsciScintilla::MoNone (enum)
    {86, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 293},	//2017 QsciScintilla::MoSublineSelect (enum)
    {86, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 294},	//2018 QsciScintilla::AnnotationHidden (enum)
    {86, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 295},	//2019 QsciScintilla::AnnotationStandard (enum)
    {86, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 296},	//2020 QsciScintilla::AnnotationBoxed (enum)
    {86, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 297},	//2021 QsciScintilla::AcusNever (enum)
    {86, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 298},	//2022 QsciScintilla::AcusExplicit (enum)
    {86, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 299},	//2023 QsciScintilla::AcusAlways (enum)
    {86, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 300},	//2024 QsciScintilla::AcsNone (enum)
    {86, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 301},	//2025 QsciScintilla::AcsAll (enum)
    {86, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 302},	//2026 QsciScintilla::AcsDocument (enum)
    {86, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 303},	//2027 QsciScintilla::AcsAPIs (enum)
    {86, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 304},	//2028 QsciScintilla::NoBraceMatch (enum)
    {86, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 305},	//2029 QsciScintilla::StrictBraceMatch (enum)
    {86, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 306},	//2030 QsciScintilla::SloppyBraceMatch (enum)
    {86, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 307},	//2031 QsciScintilla::CallTipsBelowText (enum)
    {86, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 308},	//2032 QsciScintilla::CallTipsAboveText (enum)
    {86, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 309},	//2033 QsciScintilla::CallTipsNone (enum)
    {86, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 310},	//2034 QsciScintilla::CallTipsNoContext (enum)
    {86, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 311},	//2035 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {86, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 312},	//2036 QsciScintilla::CallTipsContext (enum)
    {86, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 313},	//2037 QsciScintilla::EdgeNone (enum)
    {86, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 314},	//2038 QsciScintilla::EdgeLine (enum)
    {86, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 315},	//2039 QsciScintilla::EdgeBackground (enum)
    {86, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 316},	//2040 QsciScintilla::EolWindows (enum)
    {86, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 317},	//2041 QsciScintilla::EolUnix (enum)
    {86, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 318},	//2042 QsciScintilla::EolMac (enum)
    {86, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 319},	//2043 QsciScintilla::NoFoldStyle (enum)
    {86, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 320},	//2044 QsciScintilla::PlainFoldStyle (enum)
    {86, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 321},	//2045 QsciScintilla::CircledFoldStyle (enum)
    {86, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 322},	//2046 QsciScintilla::BoxedFoldStyle (enum)
    {86, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 323},	//2047 QsciScintilla::CircledTreeFoldStyle (enum)
    {86, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 324},	//2048 QsciScintilla::BoxedTreeFoldStyle (enum)
    {86, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 325},	//2049 QsciScintilla::PlainIndicator (enum)
    {86, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 326},	//2050 QsciScintilla::SquiggleIndicator (enum)
    {86, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 327},	//2051 QsciScintilla::TTIndicator (enum)
    {86, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 328},	//2052 QsciScintilla::DiagonalIndicator (enum)
    {86, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 329},	//2053 QsciScintilla::StrikeIndicator (enum)
    {86, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 330},	//2054 QsciScintilla::HiddenIndicator (enum)
    {86, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 331},	//2055 QsciScintilla::BoxIndicator (enum)
    {86, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 332},	//2056 QsciScintilla::RoundBoxIndicator (enum)
    {86, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 333},	//2057 QsciScintilla::StraightBoxIndicator (enum)
    {86, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 334},	//2058 QsciScintilla::DashesIndicator (enum)
    {86, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 335},	//2059 QsciScintilla::DotsIndicator (enum)
    {86, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 336},	//2060 QsciScintilla::SquiggleLowIndicator (enum)
    {86, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 337},	//2061 QsciScintilla::DotBoxIndicator (enum)
    {86, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 338},	//2062 QsciScintilla::SquigglePixmapIndicator (enum)
    {86, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 339},	//2063 QsciScintilla::MoNone (enum)
    {86, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 340},	//2064 QsciScintilla::MoSublineSelect (enum)
    {86, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 341},	//2065 QsciScintilla::SymbolMargin (enum)
    {86, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 342},	//2066 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {86, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 343},	//2067 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {86, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 344},	//2068 QsciScintilla::NumberMargin (enum)
    {86, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 345},	//2069 QsciScintilla::TextMargin (enum)
    {86, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 346},	//2070 QsciScintilla::TextMarginRightJustified (enum)
    {86, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 347},	//2071 QsciScintilla::Circle (enum)
    {86, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 348},	//2072 QsciScintilla::Rectangle (enum)
    {86, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 349},	//2073 QsciScintilla::RightTriangle (enum)
    {86, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 350},	//2074 QsciScintilla::SmallRectangle (enum)
    {86, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 351},	//2075 QsciScintilla::RightArrow (enum)
    {86, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 352},	//2076 QsciScintilla::Invisible (enum)
    {86, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 353},	//2077 QsciScintilla::DownTriangle (enum)
    {86, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 354},	//2078 QsciScintilla::Minus (enum)
    {86, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 355},	//2079 QsciScintilla::Plus (enum)
    {86, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 356},	//2080 QsciScintilla::VerticalLine (enum)
    {86, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 357},	//2081 QsciScintilla::BottomLeftCorner (enum)
    {86, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 358},	//2082 QsciScintilla::LeftSideSplitter (enum)
    {86, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 359},	//2083 QsciScintilla::BoxedPlus (enum)
    {86, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 360},	//2084 QsciScintilla::BoxedPlusConnected (enum)
    {86, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 361},	//2085 QsciScintilla::BoxedMinus (enum)
    {86, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 362},	//2086 QsciScintilla::BoxedMinusConnected (enum)
    {86, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 363},	//2087 QsciScintilla::RoundedBottomLeftCorner (enum)
    {86, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 364},	//2088 QsciScintilla::LeftSideRoundedSplitter (enum)
    {86, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 365},	//2089 QsciScintilla::CircledPlus (enum)
    {86, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 366},	//2090 QsciScintilla::CircledPlusConnected (enum)
    {86, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 367},	//2091 QsciScintilla::CircledMinus (enum)
    {86, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 368},	//2092 QsciScintilla::CircledMinusConnected (enum)
    {86, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 369},	//2093 QsciScintilla::Background (enum)
    {86, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 370},	//2094 QsciScintilla::ThreeDots (enum)
    {86, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 371},	//2095 QsciScintilla::ThreeRightArrows (enum)
    {86, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 372},	//2096 QsciScintilla::FullRectangle (enum)
    {86, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 373},	//2097 QsciScintilla::LeftRectangle (enum)
    {86, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 374},	//2098 QsciScintilla::Underline (enum)
    {86, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 375},	//2099 QsciScintilla::WsInvisible (enum)
    {86, 764, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 376},	//2100 QsciScintilla::WsVisible (enum)
    {86, 765, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 377},	//2101 QsciScintilla::WsVisibleAfterIndent (enum)
    {86, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 378},	//2102 QsciScintilla::WrapNone (enum)
    {86, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 379},	//2103 QsciScintilla::WrapWord (enum)
    {86, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 380},	//2104 QsciScintilla::WrapCharacter (enum)
    {86, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 381},	//2105 QsciScintilla::WrapFlagNone (enum)
    {86, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 382},	//2106 QsciScintilla::WrapFlagByText (enum)
    {86, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 383},	//2107 QsciScintilla::WrapFlagByBorder (enum)
    {86, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 384},	//2108 QsciScintilla::WrapFlagInMargin (enum)
    {86, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 385},	//2109 QsciScintilla::WrapIndentFixed (enum)
    {86, 760, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 386},	//2110 QsciScintilla::WrapIndentSame (enum)
    {86, 759, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 387},	//2111 QsciScintilla::WrapIndentIndented (enum)
    {86, 1583, 0, 0, Smoke::mf_dtor, 0, 388 },	//2112 QsciScintilla::~QsciScintilla()
    {87, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 1},	//2113 QsciScintillaBase::metaObject() const
    {87, 1125, 12, 1, Smoke::mf_virtual, 222, 2},	//2114 QsciScintillaBase::qt_metacast(const char*)
    {87, 1499, 44, 2, Smoke::mf_static, 40, 3},	//2115 QsciScintillaBase::tr(const char*, const char*)
    {87, 1503, 44, 2, Smoke::mf_static, 40, 4},	//2116 QsciScintillaBase::trUtf8(const char*, const char*)
    {87, 1499, 47, 3, Smoke::mf_static, 40, 5},	//2117 QsciScintillaBase::tr(const char*, const char*, int)
    {87, 1503, 47, 3, Smoke::mf_static, 40, 6},	//2118 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {87, 1123, 51, 3, Smoke::mf_virtual, 216, 7},	//2119 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {87, 528, 130, 1, Smoke::mf_ctor, 110, 8},	//2120 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {87, 1111, 0, 0, Smoke::mf_static, 110, 9},	//2121 QsciScintillaBase::pool()
    {87, 636, 338, 3, Smoke::mf_const, 219, 10},	//2122 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {87, 636, 342, 3, Smoke::mf_const, 219, 11},	//2123 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {87, 636, 346, 3, Smoke::mf_const, 219, 12},	//2124 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {87, 636, 350, 2, Smoke::mf_const, 219, 13},	//2125 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {87, 636, 353, 3, Smoke::mf_const, 219, 14},	//2126 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {87, 636, 357, 2, Smoke::mf_const, 219, 15},	//2127 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {87, 636, 360, 2, Smoke::mf_const, 219, 16},	//2128 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {87, 636, 363, 4, Smoke::mf_const, 219, 17},	//2129 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {87, 636, 368, 3, Smoke::mf_const, 219, 18},	//2130 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {87, 636, 372, 2, Smoke::mf_const, 219, 19},	//2131 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {87, 636, 375, 6, Smoke::mf_const, 219, 20},	//2132 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {87, 636, 382, 3, Smoke::mf_const, 219, 21},	//2133 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {87, 636, 386, 3, Smoke::mf_const, 219, 22},	//2134 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    {87, 644, 390, 1, Smoke::mf_const, 222, 23},	//2135 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {87, 445, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2136 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {87, 567, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2137 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {87, 568, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2138 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {87, 569, 392, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2139 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {87, 566, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2140 QsciScintillaBase::SCEN_CHANGE()
    {87, 571, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2141 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {87, 573, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2142 QsciScintillaBase::SCN_CHARADDED(int)
    {87, 575, 395, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2143 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {87, 577, 395, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2144 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {87, 579, 395, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//2145 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {87, 581, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2146 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {87, 583, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2147 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {87, 585, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2148 QsciScintillaBase::SCN_HOTSPOTRELEASECLICK(int, int)
    {87, 587, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//2149 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {87, 589, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//2150 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {87, 591, 342, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//2151 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {87, 593, 395, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2152 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {87, 595, 399, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2153 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {87, 597, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2154 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {87, 598, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2155 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {87, 600, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2156 QsciScintillaBase::SCN_PAINTED()
    {87, 601, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2157 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {87, 602, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2158 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {87, 603, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2159 QsciScintillaBase::SCN_STYLENEEDED(int)
    {87, 605, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2160 QsciScintillaBase::SCN_UPDATEUI(int)
    {87, 607, 392, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2161 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {87, 609, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//2162 QsciScintillaBase::SCN_ZOOM()
    {87, 829, 410, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 190, 51},	//2163 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {87, 968, 412, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 3, 52},	//2164 QsciScintillaBase::fromMimeData(const QMimeData*, bool&) const
    {87, 1496, 415, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 24, 53},	//2165 QsciScintillaBase::toMimeData(const QByteArray&, bool) const
    {87, 857, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//2166 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {87, 888, 418, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//2167 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {87, 890, 420, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//2168 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {87, 892, 422, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//2169 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {87, 894, 424, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//2170 QsciScintillaBase::dropEvent(QDropEvent*)
    {87, 937, 426, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//2171 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {87, 941, 426, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//2172 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {87, 939, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 190, 61},	//2173 QsciScintillaBase::focusNextPrevChild(bool)
    {87, 1021, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//2174 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {87, 1001, 428, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2175 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {87, 1088, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//2176 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {87, 1090, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//2177 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {87, 1092, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//2178 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {87, 1094, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//2179 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {87, 1102, 432, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//2180 QsciScintillaBase::paintEvent(QPaintEvent*)
    {87, 1155, 434, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//2181 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {87, 1161, 101, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//2182 QsciScintillaBase::scrollContentsBy(int, int)
    {87, 1408, 0, 0, Smoke::mf_protected, 0, 71},	//2183 QsciScintillaBase::setScrollBars()
    {87, 1499, 12, 1, Smoke::mf_static, 40, 72},	//2184 QsciScintillaBase::tr(const char*)
    {87, 1503, 12, 1, Smoke::mf_static, 40, 73},	//2185 QsciScintillaBase::trUtf8(const char*)
    {87, 528, 0, 0, Smoke::mf_ctor, 110, 74},	//2186 QsciScintillaBase::QsciScintillaBase()
    {87, 636, 390, 1, Smoke::mf_const, 219, 75},	//2187 QsciScintillaBase::SendScintilla(unsigned int) const
    {87, 636, 436, 2, Smoke::mf_const, 219, 76},	//2188 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {87, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 200, 77},	//2189 QsciScintillaBase::staticMetaObject() const
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 78},	//2190 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 79},	//2191 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 80},	//2192 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 81},	//2193 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 82},	//2194 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 83},	//2195 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 84},	//2196 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 85},	//2197 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 86},	//2198 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 87},	//2199 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 88},	//2200 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 89},	//2201 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 90},	//2202 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 91},	//2203 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 92},	//2204 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 93},	//2205 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 94},	//2206 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 95},	//2207 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 96},	//2208 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 97},	//2209 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 98},	//2210 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 99},	//2211 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 100},	//2212 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 101},	//2213 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 102},	//2214 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 103},	//2215 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 104},	//2216 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 105},	//2217 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 106},	//2218 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 107},	//2219 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 108},	//2220 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 109},	//2221 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 110},	//2222 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 111},	//2223 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 112},	//2224 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 113},	//2225 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 114},	//2226 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 115},	//2227 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 116},	//2228 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 117},	//2229 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 118},	//2230 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 119},	//2231 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 120},	//2232 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 121},	//2233 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 122},	//2234 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 123},	//2235 QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER (enum)
    {87, 1584, 0, 0, Smoke::mf_dtor, 0, 124 },	//2236 QsciScintillaBase::~QsciScintillaBase()
    {88, 530, 18, 1, Smoke::mf_ctor, 111, 1},	//2237 QsciStyle::QsciStyle(int)
    {88, 530, 439, 6, Smoke::mf_ctor, 111, 2},	//2238 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {88, 791, 125, 1, Smoke::mf_const, 0, 3},	//2239 QsciStyle::apply(QsciScintillaBase*) const
    {88, 1480, 0, 0, Smoke::mf_const, 216, 4},	//2240 QsciStyle::style() const
    {88, 1240, 57, 1, 0, 0, 5},	//2241 QsciStyle::setDescription(const QString&)
    {88, 880, 0, 0, Smoke::mf_const, 40, 6},	//2242 QsciStyle::description() const
    {88, 1227, 82, 1, 0, 0, 7},	//2243 QsciStyle::setColor(const QColor&)
    {88, 850, 0, 0, Smoke::mf_const, 6, 8},	//2244 QsciStyle::color() const
    {88, 1393, 82, 1, 0, 0, 9},	//2245 QsciStyle::setPaper(const QColor&)
    {88, 1105, 0, 0, Smoke::mf_const, 6, 10},	//2246 QsciStyle::paper() const
    {88, 1302, 42, 1, 0, 0, 11},	//2247 QsciStyle::setFont(const QFont&)
    {88, 961, 0, 0, Smoke::mf_const, 14, 12},	//2248 QsciStyle::font() const
    {88, 1258, 16, 1, 0, 0, 13},	//2249 QsciStyle::setEolFill(bool)
    {88, 907, 0, 0, Smoke::mf_const, 190, 14},	//2250 QsciStyle::eolFill() const
    {88, 1432, 446, 1, 0, 0, 15},	//2251 QsciStyle::setTextCase(QsciStyle::TextCase)
    {88, 1491, 0, 0, Smoke::mf_const, 112, 16},	//2252 QsciStyle::textCase() const
    {88, 1450, 16, 1, 0, 0, 17},	//2253 QsciStyle::setVisible(bool)
    {88, 1520, 0, 0, Smoke::mf_const, 190, 18},	//2254 QsciStyle::visible() const
    {88, 1225, 16, 1, 0, 0, 19},	//2255 QsciStyle::setChangeable(bool)
    {88, 836, 0, 0, Smoke::mf_const, 190, 20},	//2256 QsciStyle::changeable() const
    {88, 1315, 16, 1, 0, 0, 21},	//2257 QsciStyle::setHotspot(bool)
    {88, 981, 0, 0, Smoke::mf_const, 190, 22},	//2258 QsciStyle::hotspot() const
    {88, 1139, 0, 0, 0, 0, 23},	//2259 QsciStyle::refresh()
    {88, 530, 448, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 111, 24},	//2260 QsciStyle::QsciStyle(const QsciStyle&)
    {88, 530, 0, 0, Smoke::mf_ctor, 111, 25},	//2261 QsciStyle::QsciStyle()
    {88, 530, 450, 5, Smoke::mf_ctor, 111, 26},	//2262 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {88, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 27},	//2263 QsciStyle::OriginalCase (enum)
    {88, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 28},	//2264 QsciStyle::UpperCase (enum)
    {88, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 29},	//2265 QsciStyle::LowerCase (enum)
    {88, 1585, 0, 0, Smoke::mf_dtor, 0, 30 },	//2266 QsciStyle::~QsciStyle()
    {89, 535, 456, 2, Smoke::mf_ctor, 114, 1},	//2267 QsciStyledText::QsciStyledText(const QString&, int)
    {89, 535, 459, 2, Smoke::mf_ctor, 114, 2},	//2268 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {89, 791, 125, 1, Smoke::mf_const, 0, 3},	//2269 QsciStyledText::apply(QsciScintillaBase*) const
    {89, 1489, 0, 0, Smoke::mf_const, 208, 4},	//2270 QsciStyledText::text() const
    {89, 1480, 0, 0, Smoke::mf_const, 216, 5},	//2271 QsciStyledText::style() const
    {89, 535, 462, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 114, 6},	//2272 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {89, 1586, 0, 0, Smoke::mf_dtor, 0, 7 },	//2273 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    2063,  // QsciScintilla::MoNone
    2063,  // QsciScintilla::MoNone
    0,
    2064,  // QsciScintilla::MoSublineSelect
    2064,  // QsciScintilla::MoSublineSelect
    0,
    1997,  // QsciScintilla::markerDefine(const QPixmap&)
    1998,  // QsciScintilla::markerDefine(const QImage&)
    0,
    1811,  // QsciScintilla::markerDefine(const QPixmap&, int)
    1812,  // QsciScintilla::markerDefine(const QImage&, int)
    0,
    1995,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1996,  // QsciScintilla::markerDefine(char)
    0,
    1809,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1810,  // QsciScintilla::markerDefine(char, int)
    0,
    1826,  // QsciScintilla::registerImage(int, const QPixmap&)
    1827,  // QsciScintilla::registerImage(int, const QImage&)
    0,
    1948,  // QsciScintilla::setMarginWidth(int, int)
    1949,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    2235,  // QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    0,
    2125,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    2127,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    2128,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    2188,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    2130,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    2133,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    2134,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    0,
    2122,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    2123,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    2124,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    2126,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {17, 447, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {17, 448, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {17, 449, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {17, 450, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {17, 451, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {17, 539, 14},	// QGlobalSpace::QtCriticalMsg
    {17, 540, 12},	// QGlobalSpace::QtDebugMsg
    {17, 541, 15},	// QGlobalSpace::QtFatalMsg
    {17, 542, 16},	// QGlobalSpace::QtSystemMsg
    {17, 543, 13},	// QGlobalSpace::QtWarningMsg
    {48, 453, 59},	// QsciAPIs::QsciAPIs#
    {48, 773, 60},	// QsciAPIs::add$
    {48, 785, 75},	// QsciAPIs::apiPreparationCancelled
    {48, 786, 77},	// QsciAPIs::apiPreparationFinished
    {48, 787, 76},	// QsciAPIs::apiPreparationStarted
    {48, 801, 71},	// QsciAPIs::autoCompletionSelected$
    {48, 825, 72},	// QsciAPIs::callTips?$$?
    {48, 832, 65},	// QsciAPIs::cancelPreparation
    {48, 838, 61},	// QsciAPIs::clear
    {48, 878, 66},	// QsciAPIs::defaultPreparedName
    {48, 914, 73},	// QsciAPIs::event#
    {48, 1008, 74},	// QsciAPIs::installedAPIFiles
    {48, 1012, 80},	// QsciAPIs::isPrepared
    {48, 1013, 67},	// QsciAPIs::isPrepared$
    {48, 1042, 62},	// QsciAPIs::load$
    {48, 1043, 81},	// QsciAPIs::loadPrepared
    {48, 1044, 68},	// QsciAPIs::loadPrepared$
    {48, 1082, 52},	// QsciAPIs::metaObject
    {48, 1114, 64},	// QsciAPIs::prepare
    {48, 1124, 58},	// QsciAPIs::qt_metacall$$?
    {48, 1126, 53},	// QsciAPIs::qt_metacast$
    {48, 1144, 63},	// QsciAPIs::remove$
    {48, 1158, 82},	// QsciAPIs::savePrepared
    {48, 1159, 69},	// QsciAPIs::savePrepared$
    {48, 1478, 83},	// QsciAPIs::staticMetaObject
    {48, 1500, 78},	// QsciAPIs::tr$
    {48, 1501, 54},	// QsciAPIs::tr$$
    {48, 1502, 56},	// QsciAPIs::tr$$$
    {48, 1504, 79},	// QsciAPIs::trUtf8$
    {48, 1505, 55},	// QsciAPIs::trUtf8$$
    {48, 1506, 57},	// QsciAPIs::trUtf8$$$
    {48, 1511, 70},	// QsciAPIs::updateAutoCompletionList??
    {48, 1546, 84},	// QsciAPIs::~QsciAPIs
    {49, 455, 92},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {49, 801, 95},	// QsciAbstractAPIs::autoCompletionSelected$
    {49, 825, 96},	// QsciAbstractAPIs::callTips?$$?
    {49, 1031, 93},	// QsciAbstractAPIs::lexer
    {49, 1082, 85},	// QsciAbstractAPIs::metaObject
    {49, 1124, 91},	// QsciAbstractAPIs::qt_metacall$$?
    {49, 1126, 86},	// QsciAbstractAPIs::qt_metacast$
    {49, 1478, 99},	// QsciAbstractAPIs::staticMetaObject
    {49, 1500, 97},	// QsciAbstractAPIs::tr$
    {49, 1501, 87},	// QsciAbstractAPIs::tr$$
    {49, 1502, 89},	// QsciAbstractAPIs::tr$$$
    {49, 1504, 98},	// QsciAbstractAPIs::trUtf8$
    {49, 1505, 88},	// QsciAbstractAPIs::trUtf8$$
    {49, 1506, 90},	// QsciAbstractAPIs::trUtf8$$$
    {49, 1511, 94},	// QsciAbstractAPIs::updateAutoCompletionList??
    {49, 1547, 100},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {50, 81, 201},	// QsciCommand::Backtab
    {50, 114, 202},	// QsciCommand::Cancel
    {50, 116, 124},	// QsciCommand::CharLeft
    {50, 117, 125},	// QsciCommand::CharLeftExtend
    {50, 118, 126},	// QsciCommand::CharLeftRectExtend
    {50, 119, 127},	// QsciCommand::CharRight
    {50, 120, 128},	// QsciCommand::CharRightExtend
    {50, 121, 129},	// QsciCommand::CharRightRectExtend
    {50, 160, 175},	// QsciCommand::Delete
    {50, 161, 176},	// QsciCommand::DeleteBack
    {50, 162, 177},	// QsciCommand::DeleteBackNotLine
    {50, 163, 181},	// QsciCommand::DeleteLineLeft
    {50, 164, 182},	// QsciCommand::DeleteLineRight
    {50, 165, 178},	// QsciCommand::DeleteWordLeft
    {50, 166, 179},	// QsciCommand::DeleteWordRight
    {50, 167, 180},	// QsciCommand::DeleteWordRightEnd
    {50, 175, 163},	// QsciCommand::DocumentEnd
    {50, 176, 164},	// QsciCommand::DocumentEndExtend
    {50, 177, 161},	// QsciCommand::DocumentStart
    {50, 178, 162},	// QsciCommand::DocumentStartExtend
    {50, 196, 197},	// QsciCommand::EditToggleOvertype
    {50, 216, 199},	// QsciCommand::Formfeed
    {50, 242, 142},	// QsciCommand::Home
    {50, 243, 145},	// QsciCommand::HomeDisplay
    {50, 244, 146},	// QsciCommand::HomeDisplayExtend
    {50, 245, 143},	// QsciCommand::HomeExtend
    {50, 246, 144},	// QsciCommand::HomeRectExtend
    {50, 247, 147},	// QsciCommand::HomeWrap
    {50, 248, 148},	// QsciCommand::HomeWrapExtend
    {50, 324, 185},	// QsciCommand::LineCopy
    {50, 325, 184},	// QsciCommand::LineCut
    {50, 326, 183},	// QsciCommand::LineDelete
    {50, 327, 109},	// QsciCommand::LineDown
    {50, 328, 110},	// QsciCommand::LineDownExtend
    {50, 329, 111},	// QsciCommand::LineDownRectExtend
    {50, 330, 187},	// QsciCommand::LineDuplicate
    {50, 331, 154},	// QsciCommand::LineEnd
    {50, 332, 157},	// QsciCommand::LineEndDisplay
    {50, 333, 158},	// QsciCommand::LineEndDisplayExtend
    {50, 334, 155},	// QsciCommand::LineEndExtend
    {50, 335, 156},	// QsciCommand::LineEndRectExtend
    {50, 336, 159},	// QsciCommand::LineEndWrap
    {50, 337, 160},	// QsciCommand::LineEndWrapExtend
    {50, 339, 112},	// QsciCommand::LineScrollDown
    {50, 340, 116},	// QsciCommand::LineScrollUp
    {50, 341, 186},	// QsciCommand::LineTranspose
    {50, 342, 113},	// QsciCommand::LineUp
    {50, 343, 114},	// QsciCommand::LineUpExtend
    {50, 344, 115},	// QsciCommand::LineUpRectExtend
    {50, 359, 190},	// QsciCommand::MoveSelectedLinesDown
    {50, 360, 189},	// QsciCommand::MoveSelectedLinesUp
    {50, 365, 198},	// QsciCommand::Newline
    {50, 390, 168},	// QsciCommand::PageDown
    {50, 391, 169},	// QsciCommand::PageDownExtend
    {50, 392, 170},	// QsciCommand::PageDownRectExtend
    {50, 394, 165},	// QsciCommand::PageUp
    {50, 395, 166},	// QsciCommand::PageUpExtend
    {50, 396, 167},	// QsciCommand::PageUpRectExtend
    {50, 398, 120},	// QsciCommand::ParaDown
    {50, 399, 121},	// QsciCommand::ParaDownExtend
    {50, 400, 122},	// QsciCommand::ParaUp
    {50, 401, 123},	// QsciCommand::ParaUpExtend
    {50, 403, 196},	// QsciCommand::Paste
    {50, 558, 204},	// QsciCommand::Redo
    {50, 626, 118},	// QsciCommand::ScrollToEnd
    {50, 627, 117},	// QsciCommand::ScrollToStart
    {50, 629, 188},	// QsciCommand::SelectAll
    {50, 631, 195},	// QsciCommand::SelectionCopy
    {50, 632, 194},	// QsciCommand::SelectionCut
    {50, 633, 191},	// QsciCommand::SelectionDuplicate
    {50, 634, 192},	// QsciCommand::SelectionLowerCase
    {50, 635, 193},	// QsciCommand::SelectionUpperCase
    {50, 673, 173},	// QsciCommand::StutteredPageDown
    {50, 674, 174},	// QsciCommand::StutteredPageDownExtend
    {50, 675, 171},	// QsciCommand::StutteredPageUp
    {50, 676, 172},	// QsciCommand::StutteredPageUpExtend
    {50, 691, 200},	// QsciCommand::Tab
    {50, 715, 203},	// QsciCommand::Undo
    {50, 729, 149},	// QsciCommand::VCHome
    {50, 730, 150},	// QsciCommand::VCHomeExtend
    {50, 731, 151},	// QsciCommand::VCHomeRectExtend
    {50, 732, 152},	// QsciCommand::VCHomeWrap
    {50, 733, 153},	// QsciCommand::VCHomeWrapExtend
    {50, 738, 119},	// QsciCommand::VerticalCentreCaret
    {50, 741, 130},	// QsciCommand::WordLeft
    {50, 742, 134},	// QsciCommand::WordLeftEnd
    {50, 743, 135},	// QsciCommand::WordLeftEndExtend
    {50, 744, 131},	// QsciCommand::WordLeftExtend
    {50, 745, 138},	// QsciCommand::WordPartLeft
    {50, 746, 139},	// QsciCommand::WordPartLeftExtend
    {50, 747, 140},	// QsciCommand::WordPartRight
    {50, 748, 141},	// QsciCommand::WordPartRightExtend
    {50, 749, 132},	// QsciCommand::WordRight
    {50, 750, 136},	// QsciCommand::WordRightEnd
    {50, 751, 137},	// QsciCommand::WordRightEndExtend
    {50, 752, 133},	// QsciCommand::WordRightExtend
    {50, 769, 205},	// QsciCommand::ZoomIn
    {50, 770, 206},	// QsciCommand::ZoomOut
    {50, 774, 106},	// QsciCommand::alternateKey
    {50, 854, 101},	// QsciCommand::command
    {50, 880, 108},	// QsciCommand::description
    {50, 916, 102},	// QsciCommand::execute
    {50, 1020, 105},	// QsciCommand::key
    {50, 1172, 104},	// QsciCommand::setAlternateKey$
    {50, 1343, 103},	// QsciCommand::setKey$
    {50, 1518, 107},	// QsciCommand::validKey$
    {50, 1548, 207},	// QsciCommand::~QsciCommand
    {51, 820, 213},	// QsciCommandSet::boundTo$
    {51, 839, 212},	// QsciCommandSet::clearAlternateKeys
    {51, 845, 211},	// QsciCommandSet::clearKeys
    {51, 855, 210},	// QsciCommandSet::commands
    {51, 922, 214},	// QsciCommandSet::find$
    {51, 1133, 215},	// QsciCommandSet::readSettings#
    {51, 1134, 208},	// QsciCommandSet::readSettings#$
    {51, 1537, 216},	// QsciCommandSet::writeSettings#
    {51, 1538, 209},	// QsciCommandSet::writeSettings#$
    {52, 456, 217},	// QsciDocument::QsciDocument
    {52, 457, 218},	// QsciDocument::QsciDocument#
    {52, 1099, 219},	// QsciDocument::operator=#
    {52, 1549, 220},	// QsciDocument::~QsciDocument
    {53, 458, 282},	// QsciLexer::QsciLexer
    {53, 459, 228},	// QsciLexer::QsciLexer#
    {53, 788, 232},	// QsciLexer::apis
    {53, 797, 233},	// QsciLexer::autoCompletionFillups
    {53, 806, 234},	// QsciLexer::autoCompletionWordSeparators
    {53, 808, 235},	// QsciLexer::autoIndentStyle
    {53, 812, 283},	// QsciLexer::blockEnd
    {53, 813, 236},	// QsciLexer::blockEnd$
    {53, 814, 237},	// QsciLexer::blockLookback
    {53, 815, 284},	// QsciLexer::blockStart
    {53, 816, 238},	// QsciLexer::blockStart$
    {53, 817, 285},	// QsciLexer::blockStartKeyword
    {53, 818, 239},	// QsciLexer::blockStartKeyword$
    {53, 822, 240},	// QsciLexer::braceStyle
    {53, 833, 241},	// QsciLexer::caseSensitive
    {53, 851, 242},	// QsciLexer::color$
    {53, 853, 273},	// QsciLexer::colorChanged#$
    {53, 870, 250},	// QsciLexer::defaultColor
    {53, 871, 251},	// QsciLexer::defaultColor$
    {53, 873, 252},	// QsciLexer::defaultEolFill$
    {53, 874, 253},	// QsciLexer::defaultFont
    {53, 875, 254},	// QsciLexer::defaultFont$
    {53, 876, 255},	// QsciLexer::defaultPaper
    {53, 877, 256},	// QsciLexer::defaultPaper$
    {53, 879, 247},	// QsciLexer::defaultStyle
    {53, 881, 248},	// QsciLexer::description$
    {53, 899, 257},	// QsciLexer::editor
    {53, 908, 243},	// QsciLexer::eolFill$
    {53, 910, 274},	// QsciLexer::eolFillChanged$$
    {53, 962, 244},	// QsciLexer::font$
    {53, 965, 275},	// QsciLexer::fontChanged#$
    {53, 986, 245},	// QsciLexer::indentationGuideView
    {53, 1025, 246},	// QsciLexer::keywords$
    {53, 1026, 229},	// QsciLexer::language
    {53, 1031, 230},	// QsciLexer::lexer
    {53, 1032, 231},	// QsciLexer::lexerId
    {53, 1082, 221},	// QsciLexer::metaObject
    {53, 1106, 249},	// QsciLexer::paper$
    {53, 1108, 276},	// QsciLexer::paperChanged#$
    {53, 1122, 277},	// QsciLexer::propertyChanged$$
    {53, 1124, 227},	// QsciLexer::qt_metacall$$?
    {53, 1126, 222},	// QsciLexer::qt_metacast$
    {53, 1131, 278},	// QsciLexer::readProperties#$
    {53, 1133, 286},	// QsciLexer::readSettings#
    {53, 1134, 263},	// QsciLexer::readSettings#$
    {53, 1140, 264},	// QsciLexer::refreshProperties
    {53, 1170, 258},	// QsciLexer::setAPIs#
    {53, 1196, 268},	// QsciLexer::setAutoIndentStyle$
    {53, 1228, 288},	// QsciLexer::setColor#
    {53, 1229, 269},	// QsciLexer::setColor#$
    {53, 1235, 259},	// QsciLexer::setDefaultColor#
    {53, 1237, 260},	// QsciLexer::setDefaultFont#
    {53, 1239, 261},	// QsciLexer::setDefaultPaper#
    {53, 1257, 262},	// QsciLexer::setEditor#
    {53, 1259, 289},	// QsciLexer::setEolFill$
    {53, 1260, 270},	// QsciLexer::setEolFill$$
    {53, 1303, 290},	// QsciLexer::setFont#
    {53, 1304, 271},	// QsciLexer::setFont#$
    {53, 1394, 291},	// QsciLexer::setPaper#
    {53, 1395, 272},	// QsciLexer::setPaper#$
    {53, 1478, 292},	// QsciLexer::staticMetaObject
    {53, 1481, 265},	// QsciLexer::styleBitsNeeded
    {53, 1500, 280},	// QsciLexer::tr$
    {53, 1501, 223},	// QsciLexer::tr$$
    {53, 1502, 225},	// QsciLexer::tr$$$
    {53, 1504, 281},	// QsciLexer::trUtf8$
    {53, 1505, 224},	// QsciLexer::trUtf8$$
    {53, 1506, 226},	// QsciLexer::trUtf8$$$
    {53, 1529, 266},	// QsciLexer::wordCharacters
    {53, 1535, 279},	// QsciLexer::writeProperties#$
    {53, 1537, 287},	// QsciLexer::writeSettings#
    {53, 1538, 267},	// QsciLexer::writeSettings#$
    {53, 1550, 293},	// QsciLexer::~QsciLexer
    {54, 84, 334},	// QsciLexerBash::Backticks
    {54, 137, 325},	// QsciLexerBash::Comment
    {54, 158, 323},	// QsciLexerBash::Default
    {54, 184, 328},	// QsciLexerBash::DoubleQuotedString
    {54, 203, 324},	// QsciLexerBash::Error
    {54, 235, 335},	// QsciLexerBash::HereDocumentDelimiter
    {54, 251, 331},	// QsciLexerBash::Identifier
    {54, 299, 327},	// QsciLexerBash::Keyword
    {54, 370, 326},	// QsciLexerBash::Number
    {54, 374, 330},	// QsciLexerBash::Operator
    {54, 402, 333},	// QsciLexerBash::ParameterExpansion
    {54, 460, 321},	// QsciLexerBash::QsciLexerBash
    {54, 461, 301},	// QsciLexerBash::QsciLexerBash#
    {54, 623, 332},	// QsciLexerBash::Scalar
    {54, 648, 336},	// QsciLexerBash::SingleQuotedHereDocument
    {54, 649, 329},	// QsciLexerBash::SingleQuotedString
    {54, 822, 304},	// QsciLexerBash::braceStyle
    {54, 871, 306},	// QsciLexerBash::defaultColor$
    {54, 873, 307},	// QsciLexerBash::defaultEolFill$
    {54, 875, 308},	// QsciLexerBash::defaultFont$
    {54, 877, 309},	// QsciLexerBash::defaultPaper$
    {54, 881, 311},	// QsciLexerBash::description$
    {54, 948, 313},	// QsciLexerBash::foldComments
    {54, 949, 314},	// QsciLexerBash::foldCompact
    {54, 1025, 310},	// QsciLexerBash::keywords$
    {54, 1026, 302},	// QsciLexerBash::language
    {54, 1031, 303},	// QsciLexerBash::lexer
    {54, 1082, 294},	// QsciLexerBash::metaObject
    {54, 1124, 300},	// QsciLexerBash::qt_metacall$$?
    {54, 1126, 295},	// QsciLexerBash::qt_metacast$
    {54, 1131, 317},	// QsciLexerBash::readProperties#$
    {54, 1140, 312},	// QsciLexerBash::refreshProperties
    {54, 1278, 315},	// QsciLexerBash::setFoldComments$
    {54, 1280, 316},	// QsciLexerBash::setFoldCompact$
    {54, 1478, 322},	// QsciLexerBash::staticMetaObject
    {54, 1500, 319},	// QsciLexerBash::tr$
    {54, 1501, 296},	// QsciLexerBash::tr$$
    {54, 1502, 298},	// QsciLexerBash::tr$$$
    {54, 1504, 320},	// QsciLexerBash::trUtf8$
    {54, 1505, 297},	// QsciLexerBash::trUtf8$$
    {54, 1506, 299},	// QsciLexerBash::trUtf8$$$
    {54, 1529, 305},	// QsciLexerBash::wordCharacters
    {54, 1535, 318},	// QsciLexerBash::writeProperties#$
    {54, 1551, 337},	// QsciLexerBash::~QsciLexerBash
    {55, 137, 361},	// QsciLexerBatch::Comment
    {55, 158, 360},	// QsciLexerBatch::Default
    {55, 210, 365},	// QsciLexerBatch::ExternalCommand
    {55, 239, 364},	// QsciLexerBatch::HideCommandChar
    {55, 299, 362},	// QsciLexerBatch::Keyword
    {55, 309, 363},	// QsciLexerBatch::Label
    {55, 374, 367},	// QsciLexerBatch::Operator
    {55, 462, 358},	// QsciLexerBatch::QsciLexerBatch
    {55, 463, 345},	// QsciLexerBatch::QsciLexerBatch#
    {55, 736, 366},	// QsciLexerBatch::Variable
    {55, 833, 349},	// QsciLexerBatch::caseSensitive
    {55, 871, 350},	// QsciLexerBatch::defaultColor$
    {55, 873, 351},	// QsciLexerBatch::defaultEolFill$
    {55, 875, 352},	// QsciLexerBatch::defaultFont$
    {55, 877, 353},	// QsciLexerBatch::defaultPaper$
    {55, 881, 355},	// QsciLexerBatch::description$
    {55, 1025, 354},	// QsciLexerBatch::keywords$
    {55, 1026, 346},	// QsciLexerBatch::language
    {55, 1031, 347},	// QsciLexerBatch::lexer
    {55, 1082, 338},	// QsciLexerBatch::metaObject
    {55, 1124, 344},	// QsciLexerBatch::qt_metacall$$?
    {55, 1126, 339},	// QsciLexerBatch::qt_metacast$
    {55, 1478, 359},	// QsciLexerBatch::staticMetaObject
    {55, 1500, 356},	// QsciLexerBatch::tr$
    {55, 1501, 340},	// QsciLexerBatch::tr$$
    {55, 1502, 342},	// QsciLexerBatch::tr$$$
    {55, 1504, 357},	// QsciLexerBatch::trUtf8$
    {55, 1505, 341},	// QsciLexerBatch::trUtf8$$
    {55, 1506, 343},	// QsciLexerBatch::trUtf8$$$
    {55, 1529, 348},	// QsciLexerBatch::wordCharacters
    {55, 1552, 368},	// QsciLexerBatch::~QsciLexerBatch
    {56, 90, 403},	// QsciLexerCMake::BlockForeach
    {56, 91, 404},	// QsciLexerCMake::BlockIf
    {56, 92, 405},	// QsciLexerCMake::BlockMacro
    {56, 93, 402},	// QsciLexerCMake::BlockWhile
    {56, 137, 394},	// QsciLexerCMake::Comment
    {56, 158, 393},	// QsciLexerCMake::Default
    {56, 218, 398},	// QsciLexerCMake::Function
    {56, 303, 401},	// QsciLexerCMake::KeywordSet3
    {56, 309, 400},	// QsciLexerCMake::Label
    {56, 370, 407},	// QsciLexerCMake::Number
    {56, 464, 391},	// QsciLexerCMake::QsciLexerCMake
    {56, 465, 376},	// QsciLexerCMake::QsciLexerCMake#
    {56, 668, 395},	// QsciLexerCMake::String
    {56, 669, 396},	// QsciLexerCMake::StringLeftQuote
    {56, 670, 397},	// QsciLexerCMake::StringRightQuote
    {56, 672, 406},	// QsciLexerCMake::StringVariable
    {56, 736, 399},	// QsciLexerCMake::Variable
    {56, 871, 379},	// QsciLexerCMake::defaultColor$
    {56, 875, 380},	// QsciLexerCMake::defaultFont$
    {56, 877, 381},	// QsciLexerCMake::defaultPaper$
    {56, 881, 383},	// QsciLexerCMake::description$
    {56, 946, 385},	// QsciLexerCMake::foldAtElse
    {56, 1025, 382},	// QsciLexerCMake::keywords$
    {56, 1026, 377},	// QsciLexerCMake::language
    {56, 1031, 378},	// QsciLexerCMake::lexer
    {56, 1082, 369},	// QsciLexerCMake::metaObject
    {56, 1124, 375},	// QsciLexerCMake::qt_metacall$$?
    {56, 1126, 370},	// QsciLexerCMake::qt_metacast$
    {56, 1131, 387},	// QsciLexerCMake::readProperties#$
    {56, 1140, 384},	// QsciLexerCMake::refreshProperties
    {56, 1274, 386},	// QsciLexerCMake::setFoldAtElse$
    {56, 1478, 392},	// QsciLexerCMake::staticMetaObject
    {56, 1500, 389},	// QsciLexerCMake::tr$
    {56, 1501, 371},	// QsciLexerCMake::tr$$
    {56, 1502, 373},	// QsciLexerCMake::tr$$$
    {56, 1504, 390},	// QsciLexerCMake::trUtf8$
    {56, 1505, 372},	// QsciLexerCMake::trUtf8$$
    {56, 1506, 374},	// QsciLexerCMake::trUtf8$$$
    {56, 1535, 388},	// QsciLexerCMake::writeProperties#$
    {56, 1553, 408},	// QsciLexerCMake::~QsciLexerCMake
    {57, 137, 460},	// QsciLexerCPP::Comment
    {57, 140, 464},	// QsciLexerCPP::CommentDoc
    {57, 141, 492},	// QsciLexerCPP::CommentDocKeyword
    {57, 142, 494},	// QsciLexerCPP::CommentDocKeywordError
    {57, 143, 462},	// QsciLexerCPP::CommentLine
    {57, 144, 488},	// QsciLexerCPP::CommentLineDoc
    {57, 158, 458},	// QsciLexerCPP::Default
    {57, 184, 470},	// QsciLexerCPP::DoubleQuotedString
    {57, 221, 496},	// QsciLexerCPP::GlobalClass
    {57, 232, 502},	// QsciLexerCPP::HashQuotedString
    {57, 251, 480},	// QsciLexerCPP::Identifier
    {57, 256, 461},	// QsciLexerCPP::InactiveComment
    {57, 257, 465},	// QsciLexerCPP::InactiveCommentDoc
    {57, 258, 493},	// QsciLexerCPP::InactiveCommentDocKeyword
    {57, 259, 495},	// QsciLexerCPP::InactiveCommentDocKeywordError
    {57, 260, 463},	// QsciLexerCPP::InactiveCommentLine
    {57, 261, 489},	// QsciLexerCPP::InactiveCommentLineDoc
    {57, 262, 459},	// QsciLexerCPP::InactiveDefault
    {57, 263, 471},	// QsciLexerCPP::InactiveDoubleQuotedString
    {57, 264, 497},	// QsciLexerCPP::InactiveGlobalClass
    {57, 265, 503},	// QsciLexerCPP::InactiveHashQuotedString
    {57, 266, 481},	// QsciLexerCPP::InactiveIdentifier
    {57, 267, 469},	// QsciLexerCPP::InactiveKeyword
    {57, 268, 491},	// QsciLexerCPP::InactiveKeywordSet2
    {57, 269, 467},	// QsciLexerCPP::InactiveNumber
    {57, 270, 479},	// QsciLexerCPP::InactiveOperator
    {57, 271, 477},	// QsciLexerCPP::InactivePreProcessor
    {57, 272, 505},	// QsciLexerCPP::InactivePreProcessorComment
    {57, 273, 499},	// QsciLexerCPP::InactiveRawString
    {57, 274, 487},	// QsciLexerCPP::InactiveRegex
    {57, 275, 473},	// QsciLexerCPP::InactiveSingleQuotedString
    {57, 276, 501},	// QsciLexerCPP::InactiveTripleQuotedVerbatimString
    {57, 277, 475},	// QsciLexerCPP::InactiveUUID
    {57, 278, 483},	// QsciLexerCPP::InactiveUnclosedString
    {57, 279, 485},	// QsciLexerCPP::InactiveVerbatimString
    {57, 299, 468},	// QsciLexerCPP::Keyword
    {57, 302, 490},	// QsciLexerCPP::KeywordSet2
    {57, 370, 466},	// QsciLexerCPP::Number
    {57, 374, 478},	// QsciLexerCPP::Operator
    {57, 422, 476},	// QsciLexerCPP::PreProcessor
    {57, 423, 504},	// QsciLexerCPP::PreProcessorComment
    {57, 466, 452},	// QsciLexerCPP::QsciLexerCPP
    {57, 467, 453},	// QsciLexerCPP::QsciLexerCPP#
    {57, 468, 416},	// QsciLexerCPP::QsciLexerCPP#$
    {57, 556, 498},	// QsciLexerCPP::RawString
    {57, 560, 486},	// QsciLexerCPP::Regex
    {57, 649, 472},	// QsciLexerCPP::SingleQuotedString
    {57, 708, 500},	// QsciLexerCPP::TripleQuotedVerbatimString
    {57, 712, 474},	// QsciLexerCPP::UUID
    {57, 713, 482},	// QsciLexerCPP::UnclosedString
    {57, 737, 484},	// QsciLexerCPP::VerbatimString
    {57, 806, 419},	// QsciLexerCPP::autoCompletionWordSeparators
    {57, 812, 454},	// QsciLexerCPP::blockEnd
    {57, 813, 420},	// QsciLexerCPP::blockEnd$
    {57, 815, 455},	// QsciLexerCPP::blockStart
    {57, 816, 421},	// QsciLexerCPP::blockStart$
    {57, 817, 456},	// QsciLexerCPP::blockStartKeyword
    {57, 818, 422},	// QsciLexerCPP::blockStartKeyword$
    {57, 822, 423},	// QsciLexerCPP::braceStyle
    {57, 871, 425},	// QsciLexerCPP::defaultColor$
    {57, 873, 426},	// QsciLexerCPP::defaultEolFill$
    {57, 875, 427},	// QsciLexerCPP::defaultFont$
    {57, 877, 428},	// QsciLexerCPP::defaultPaper$
    {57, 881, 430},	// QsciLexerCPP::description$
    {57, 886, 438},	// QsciLexerCPP::dollarsAllowed
    {57, 946, 432},	// QsciLexerCPP::foldAtElse
    {57, 948, 433},	// QsciLexerCPP::foldComments
    {57, 949, 434},	// QsciLexerCPP::foldCompact
    {57, 956, 435},	// QsciLexerCPP::foldPreprocessor
    {57, 978, 442},	// QsciLexerCPP::highlightHashQuotedStrings
    {57, 980, 440},	// QsciLexerCPP::highlightTripleQuotedStrings
    {57, 1025, 429},	// QsciLexerCPP::keywords$
    {57, 1026, 417},	// QsciLexerCPP::language
    {57, 1031, 418},	// QsciLexerCPP::lexer
    {57, 1082, 409},	// QsciLexerCPP::metaObject
    {57, 1124, 415},	// QsciLexerCPP::qt_metacall$$?
    {57, 1126, 410},	// QsciLexerCPP::qt_metacast$
    {57, 1131, 448},	// QsciLexerCPP::readProperties#$
    {57, 1140, 431},	// QsciLexerCPP::refreshProperties
    {57, 1247, 437},	// QsciLexerCPP::setDollarsAllowed$
    {57, 1274, 443},	// QsciLexerCPP::setFoldAtElse$
    {57, 1278, 444},	// QsciLexerCPP::setFoldComments$
    {57, 1280, 445},	// QsciLexerCPP::setFoldCompact$
    {57, 1292, 446},	// QsciLexerCPP::setFoldPreprocessor$
    {57, 1310, 441},	// QsciLexerCPP::setHighlightHashQuotedStrings$
    {57, 1314, 439},	// QsciLexerCPP::setHighlightTripleQuotedStrings$
    {57, 1422, 447},	// QsciLexerCPP::setStylePreprocessor$
    {57, 1478, 457},	// QsciLexerCPP::staticMetaObject
    {57, 1483, 436},	// QsciLexerCPP::stylePreprocessor
    {57, 1500, 450},	// QsciLexerCPP::tr$
    {57, 1501, 411},	// QsciLexerCPP::tr$$
    {57, 1502, 413},	// QsciLexerCPP::tr$$$
    {57, 1504, 451},	// QsciLexerCPP::trUtf8$
    {57, 1505, 412},	// QsciLexerCPP::trUtf8$$
    {57, 1506, 414},	// QsciLexerCPP::trUtf8$$$
    {57, 1529, 424},	// QsciLexerCPP::wordCharacters
    {57, 1535, 449},	// QsciLexerCPP::writeProperties#$
    {57, 1554, 506},	// QsciLexerCPP::~QsciLexerCPP
    {58, 65, 555},	// QsciLexerCSS::AtRule
    {58, 66, 559},	// QsciLexerCSS::Attribute
    {58, 105, 549},	// QsciLexerCSS::CSS1Property
    {58, 106, 558},	// QsciLexerCSS::CSS2Property
    {58, 107, 560},	// QsciLexerCSS::CSS3Property
    {58, 132, 545},	// QsciLexerCSS::ClassSelector
    {58, 137, 552},	// QsciLexerCSS::Comment
    {58, 158, 543},	// QsciLexerCSS::Default
    {58, 184, 556},	// QsciLexerCSS::DoubleQuotedString
    {58, 206, 562},	// QsciLexerCSS::ExtendedCSSProperty
    {58, 208, 563},	// QsciLexerCSS::ExtendedPseudoClass
    {58, 209, 564},	// QsciLexerCSS::ExtendedPseudoElement
    {58, 225, 528},	// QsciLexerCSS::HSSLanguage
    {58, 249, 553},	// QsciLexerCSS::IDSelector
    {58, 255, 554},	// QsciLexerCSS::Important
    {58, 319, 530},	// QsciLexerCSS::LessLanguage
    {58, 351, 565},	// QsciLexerCSS::MediaRule
    {58, 374, 548},	// QsciLexerCSS::Operator
    {58, 430, 546},	// QsciLexerCSS::PseudoClass
    {58, 431, 561},	// QsciLexerCSS::PseudoElement
    {58, 469, 539},	// QsciLexerCSS::QsciLexerCSS
    {58, 470, 514},	// QsciLexerCSS::QsciLexerCSS#
    {58, 610, 532},	// QsciLexerCSS::SCSSLanguage
    {58, 649, 557},	// QsciLexerCSS::SingleQuotedString
    {58, 695, 544},	// QsciLexerCSS::Tag
    {58, 717, 550},	// QsciLexerCSS::UnknownProperty
    {58, 718, 547},	// QsciLexerCSS::UnknownPseudoClass
    {58, 735, 551},	// QsciLexerCSS::Value
    {58, 736, 566},	// QsciLexerCSS::Variable
    {58, 812, 540},	// QsciLexerCSS::blockEnd
    {58, 813, 517},	// QsciLexerCSS::blockEnd$
    {58, 815, 541},	// QsciLexerCSS::blockStart
    {58, 816, 518},	// QsciLexerCSS::blockStart$
    {58, 871, 520},	// QsciLexerCSS::defaultColor$
    {58, 875, 521},	// QsciLexerCSS::defaultFont$
    {58, 881, 523},	// QsciLexerCSS::description$
    {58, 948, 525},	// QsciLexerCSS::foldComments
    {58, 949, 526},	// QsciLexerCSS::foldCompact
    {58, 1025, 522},	// QsciLexerCSS::keywords$
    {58, 1026, 515},	// QsciLexerCSS::language
    {58, 1031, 516},	// QsciLexerCSS::lexer
    {58, 1082, 507},	// QsciLexerCSS::metaObject
    {58, 1124, 513},	// QsciLexerCSS::qt_metacall$$?
    {58, 1126, 508},	// QsciLexerCSS::qt_metacast$
    {58, 1131, 535},	// QsciLexerCSS::readProperties#$
    {58, 1140, 524},	// QsciLexerCSS::refreshProperties
    {58, 1278, 533},	// QsciLexerCSS::setFoldComments$
    {58, 1280, 534},	// QsciLexerCSS::setFoldCompact$
    {58, 1306, 527},	// QsciLexerCSS::setHSSLanguage$
    {58, 1345, 529},	// QsciLexerCSS::setLessLanguage$
    {58, 1405, 531},	// QsciLexerCSS::setSCSSLanguage$
    {58, 1478, 542},	// QsciLexerCSS::staticMetaObject
    {58, 1500, 537},	// QsciLexerCSS::tr$
    {58, 1501, 509},	// QsciLexerCSS::tr$$
    {58, 1502, 511},	// QsciLexerCSS::tr$$$
    {58, 1504, 538},	// QsciLexerCSS::trUtf8$
    {58, 1505, 510},	// QsciLexerCSS::trUtf8$$
    {58, 1506, 512},	// QsciLexerCSS::trUtf8$$$
    {58, 1529, 519},	// QsciLexerCSS::wordCharacters
    {58, 1535, 536},	// QsciLexerCSS::writeProperties#$
    {58, 1555, 567},	// QsciLexerCSS::~QsciLexerCSS
    {59, 471, 585},	// QsciLexerCSharp::QsciLexerCSharp
    {59, 472, 575},	// QsciLexerCSharp::QsciLexerCSharp#
    {59, 871, 577},	// QsciLexerCSharp::defaultColor$
    {59, 873, 578},	// QsciLexerCSharp::defaultEolFill$
    {59, 875, 579},	// QsciLexerCSharp::defaultFont$
    {59, 877, 580},	// QsciLexerCSharp::defaultPaper$
    {59, 881, 582},	// QsciLexerCSharp::description$
    {59, 1025, 581},	// QsciLexerCSharp::keywords$
    {59, 1026, 576},	// QsciLexerCSharp::language
    {59, 1082, 568},	// QsciLexerCSharp::metaObject
    {59, 1124, 574},	// QsciLexerCSharp::qt_metacall$$?
    {59, 1126, 569},	// QsciLexerCSharp::qt_metacast$
    {59, 1478, 586},	// QsciLexerCSharp::staticMetaObject
    {59, 1500, 583},	// QsciLexerCSharp::tr$
    {59, 1501, 570},	// QsciLexerCSharp::tr$$
    {59, 1502, 572},	// QsciLexerCSharp::tr$$$
    {59, 1504, 584},	// QsciLexerCSharp::trUtf8$
    {59, 1505, 571},	// QsciLexerCSharp::trUtf8$$
    {59, 1506, 573},	// QsciLexerCSharp::trUtf8$$$
    {59, 1556, 587},	// QsciLexerCSharp::~QsciLexerCSharp
    {60, 473, 604},	// QsciLexerCustom::QsciLexerCustom
    {60, 474, 595},	// QsciLexerCustom::QsciLexerCustom#
    {60, 1082, 588},	// QsciLexerCustom::metaObject
    {60, 1124, 594},	// QsciLexerCustom::qt_metacall$$?
    {60, 1126, 589},	// QsciLexerCustom::qt_metacast$
    {60, 1257, 600},	// QsciLexerCustom::setEditor#
    {60, 1424, 597},	// QsciLexerCustom::setStyling$#
    {60, 1425, 596},	// QsciLexerCustom::setStyling$$
    {60, 1476, 605},	// QsciLexerCustom::startStyling$
    {60, 1477, 598},	// QsciLexerCustom::startStyling$$
    {60, 1478, 606},	// QsciLexerCustom::staticMetaObject
    {60, 1481, 601},	// QsciLexerCustom::styleBitsNeeded
    {60, 1485, 599},	// QsciLexerCustom::styleText$$
    {60, 1500, 602},	// QsciLexerCustom::tr$
    {60, 1501, 590},	// QsciLexerCustom::tr$$
    {60, 1502, 592},	// QsciLexerCustom::tr$$$
    {60, 1504, 603},	// QsciLexerCustom::trUtf8$
    {60, 1505, 591},	// QsciLexerCustom::trUtf8$$
    {60, 1506, 593},	// QsciLexerCustom::trUtf8$$$
    {60, 1557, 607},	// QsciLexerCustom::~QsciLexerCustom
    {61, 80, 664},	// QsciLexerD::BackquoteString
    {61, 122, 658},	// QsciLexerD::Character
    {61, 137, 647},	// QsciLexerD::Comment
    {61, 140, 649},	// QsciLexerD::CommentDoc
    {61, 141, 662},	// QsciLexerD::CommentDocKeyword
    {61, 142, 663},	// QsciLexerD::CommentDocKeywordError
    {61, 143, 648},	// QsciLexerD::CommentLine
    {61, 144, 661},	// QsciLexerD::CommentLineDoc
    {61, 146, 650},	// QsciLexerD::CommentNested
    {61, 158, 646},	// QsciLexerD::Default
    {61, 251, 660},	// QsciLexerD::Identifier
    {61, 299, 652},	// QsciLexerD::Keyword
    {61, 300, 654},	// QsciLexerD::KeywordDoc
    {61, 301, 653},	// QsciLexerD::KeywordSecondary
    {61, 304, 666},	// QsciLexerD::KeywordSet5
    {61, 305, 667},	// QsciLexerD::KeywordSet6
    {61, 306, 668},	// QsciLexerD::KeywordSet7
    {61, 370, 651},	// QsciLexerD::Number
    {61, 374, 659},	// QsciLexerD::Operator
    {61, 475, 641},	// QsciLexerD::QsciLexerD
    {61, 476, 615},	// QsciLexerD::QsciLexerD#
    {61, 556, 665},	// QsciLexerD::RawString
    {61, 668, 656},	// QsciLexerD::String
    {61, 710, 655},	// QsciLexerD::Typedefs
    {61, 713, 657},	// QsciLexerD::UnclosedString
    {61, 806, 618},	// QsciLexerD::autoCompletionWordSeparators
    {61, 812, 642},	// QsciLexerD::blockEnd
    {61, 813, 619},	// QsciLexerD::blockEnd$
    {61, 815, 643},	// QsciLexerD::blockStart
    {61, 816, 620},	// QsciLexerD::blockStart$
    {61, 817, 644},	// QsciLexerD::blockStartKeyword
    {61, 818, 621},	// QsciLexerD::blockStartKeyword$
    {61, 822, 622},	// QsciLexerD::braceStyle
    {61, 871, 624},	// QsciLexerD::defaultColor$
    {61, 873, 625},	// QsciLexerD::defaultEolFill$
    {61, 875, 626},	// QsciLexerD::defaultFont$
    {61, 877, 627},	// QsciLexerD::defaultPaper$
    {61, 881, 629},	// QsciLexerD::description$
    {61, 946, 631},	// QsciLexerD::foldAtElse
    {61, 948, 632},	// QsciLexerD::foldComments
    {61, 949, 633},	// QsciLexerD::foldCompact
    {61, 1025, 628},	// QsciLexerD::keywords$
    {61, 1026, 616},	// QsciLexerD::language
    {61, 1031, 617},	// QsciLexerD::lexer
    {61, 1082, 608},	// QsciLexerD::metaObject
    {61, 1124, 614},	// QsciLexerD::qt_metacall$$?
    {61, 1126, 609},	// QsciLexerD::qt_metacast$
    {61, 1131, 637},	// QsciLexerD::readProperties#$
    {61, 1140, 630},	// QsciLexerD::refreshProperties
    {61, 1274, 634},	// QsciLexerD::setFoldAtElse$
    {61, 1278, 635},	// QsciLexerD::setFoldComments$
    {61, 1280, 636},	// QsciLexerD::setFoldCompact$
    {61, 1478, 645},	// QsciLexerD::staticMetaObject
    {61, 1500, 639},	// QsciLexerD::tr$
    {61, 1501, 610},	// QsciLexerD::tr$$
    {61, 1502, 612},	// QsciLexerD::tr$$$
    {61, 1504, 640},	// QsciLexerD::trUtf8$
    {61, 1505, 611},	// QsciLexerD::trUtf8$$
    {61, 1506, 613},	// QsciLexerD::trUtf8$$$
    {61, 1529, 623},	// QsciLexerD::wordCharacters
    {61, 1535, 638},	// QsciLexerD::writeProperties#$
    {61, 1558, 669},	// QsciLexerD::~QsciLexerD
    {62, 136, 689},	// QsciLexerDiff::Command
    {62, 137, 688},	// QsciLexerDiff::Comment
    {62, 158, 687},	// QsciLexerDiff::Default
    {62, 233, 690},	// QsciLexerDiff::Header
    {62, 321, 693},	// QsciLexerDiff::LineAdded
    {62, 322, 694},	// QsciLexerDiff::LineChanged
    {62, 338, 692},	// QsciLexerDiff::LineRemoved
    {62, 420, 691},	// QsciLexerDiff::Position
    {62, 477, 685},	// QsciLexerDiff::QsciLexerDiff
    {62, 478, 677},	// QsciLexerDiff::QsciLexerDiff#
    {62, 871, 681},	// QsciLexerDiff::defaultColor$
    {62, 881, 682},	// QsciLexerDiff::description$
    {62, 1026, 678},	// QsciLexerDiff::language
    {62, 1031, 679},	// QsciLexerDiff::lexer
    {62, 1082, 670},	// QsciLexerDiff::metaObject
    {62, 1124, 676},	// QsciLexerDiff::qt_metacall$$?
    {62, 1126, 671},	// QsciLexerDiff::qt_metacast$
    {62, 1478, 686},	// QsciLexerDiff::staticMetaObject
    {62, 1500, 683},	// QsciLexerDiff::tr$
    {62, 1501, 672},	// QsciLexerDiff::tr$$
    {62, 1502, 674},	// QsciLexerDiff::tr$$$
    {62, 1504, 684},	// QsciLexerDiff::trUtf8$
    {62, 1505, 673},	// QsciLexerDiff::trUtf8$$
    {62, 1506, 675},	// QsciLexerDiff::trUtf8$$$
    {62, 1529, 680},	// QsciLexerDiff::wordCharacters
    {62, 1559, 695},	// QsciLexerDiff::~QsciLexerDiff
    {63, 479, 709},	// QsciLexerFortran::QsciLexerFortran
    {63, 480, 703},	// QsciLexerFortran::QsciLexerFortran#
    {63, 1025, 706},	// QsciLexerFortran::keywords$
    {63, 1026, 704},	// QsciLexerFortran::language
    {63, 1031, 705},	// QsciLexerFortran::lexer
    {63, 1082, 696},	// QsciLexerFortran::metaObject
    {63, 1124, 702},	// QsciLexerFortran::qt_metacall$$?
    {63, 1126, 697},	// QsciLexerFortran::qt_metacast$
    {63, 1478, 710},	// QsciLexerFortran::staticMetaObject
    {63, 1500, 707},	// QsciLexerFortran::tr$
    {63, 1501, 698},	// QsciLexerFortran::tr$$
    {63, 1502, 700},	// QsciLexerFortran::tr$$$
    {63, 1504, 708},	// QsciLexerFortran::trUtf8$
    {63, 1505, 699},	// QsciLexerFortran::trUtf8$$
    {63, 1506, 701},	// QsciLexerFortran::trUtf8$$$
    {63, 1560, 711},	// QsciLexerFortran::~QsciLexerFortran
    {64, 137, 739},	// QsciLexerFortran77::Comment
    {64, 148, 752},	// QsciLexerFortran77::Continuation
    {64, 158, 738},	// QsciLexerFortran77::Default
    {64, 181, 750},	// QsciLexerFortran77::DottedOperator
    {64, 184, 742},	// QsciLexerFortran77::DoubleQuotedString
    {64, 207, 748},	// QsciLexerFortran77::ExtendedFunction
    {64, 251, 745},	// QsciLexerFortran77::Identifier
    {64, 283, 747},	// QsciLexerFortran77::IntrinsicFunction
    {64, 299, 746},	// QsciLexerFortran77::Keyword
    {64, 309, 751},	// QsciLexerFortran77::Label
    {64, 370, 740},	// QsciLexerFortran77::Number
    {64, 374, 744},	// QsciLexerFortran77::Operator
    {64, 422, 749},	// QsciLexerFortran77::PreProcessor
    {64, 481, 736},	// QsciLexerFortran77::QsciLexerFortran77
    {64, 482, 719},	// QsciLexerFortran77::QsciLexerFortran77#
    {64, 649, 741},	// QsciLexerFortran77::SingleQuotedString
    {64, 713, 743},	// QsciLexerFortran77::UnclosedString
    {64, 822, 722},	// QsciLexerFortran77::braceStyle
    {64, 871, 723},	// QsciLexerFortran77::defaultColor$
    {64, 873, 724},	// QsciLexerFortran77::defaultEolFill$
    {64, 875, 725},	// QsciLexerFortran77::defaultFont$
    {64, 877, 726},	// QsciLexerFortran77::defaultPaper$
    {64, 881, 728},	// QsciLexerFortran77::description$
    {64, 949, 730},	// QsciLexerFortran77::foldCompact
    {64, 1025, 727},	// QsciLexerFortran77::keywords$
    {64, 1026, 720},	// QsciLexerFortran77::language
    {64, 1031, 721},	// QsciLexerFortran77::lexer
    {64, 1082, 712},	// QsciLexerFortran77::metaObject
    {64, 1124, 718},	// QsciLexerFortran77::qt_metacall$$?
    {64, 1126, 713},	// QsciLexerFortran77::qt_metacast$
    {64, 1131, 732},	// QsciLexerFortran77::readProperties#$
    {64, 1140, 729},	// QsciLexerFortran77::refreshProperties
    {64, 1280, 731},	// QsciLexerFortran77::setFoldCompact$
    {64, 1478, 737},	// QsciLexerFortran77::staticMetaObject
    {64, 1500, 734},	// QsciLexerFortran77::tr$
    {64, 1501, 714},	// QsciLexerFortran77::tr$$
    {64, 1502, 716},	// QsciLexerFortran77::tr$$$
    {64, 1504, 735},	// QsciLexerFortran77::trUtf8$
    {64, 1505, 715},	// QsciLexerFortran77::trUtf8$$
    {64, 1506, 717},	// QsciLexerFortran77::trUtf8$$$
    {64, 1535, 733},	// QsciLexerFortran77::writeProperties#$
    {64, 1561, 753},	// QsciLexerFortran77::~QsciLexerFortran77
    {65, 11, 808},	// QsciLexerHTML::ASPAtStart
    {65, 12, 840},	// QsciLexerHTML::ASPJavaScriptComment
    {65, 13, 842},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {65, 14, 841},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {65, 15, 839},	// QsciLexerHTML::ASPJavaScriptDefault
    {65, 16, 846},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {65, 17, 845},	// QsciLexerHTML::ASPJavaScriptKeyword
    {65, 18, 843},	// QsciLexerHTML::ASPJavaScriptNumber
    {65, 19, 850},	// QsciLexerHTML::ASPJavaScriptRegex
    {65, 20, 847},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {65, 21, 838},	// QsciLexerHTML::ASPJavaScriptStart
    {65, 22, 848},	// QsciLexerHTML::ASPJavaScriptSymbol
    {65, 23, 849},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {65, 24, 844},	// QsciLexerHTML::ASPJavaScriptWord
    {65, 25, 889},	// QsciLexerHTML::ASPPythonClassName
    {65, 26, 882},	// QsciLexerHTML::ASPPythonComment
    {65, 27, 881},	// QsciLexerHTML::ASPPythonDefault
    {65, 28, 884},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {65, 29, 890},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {65, 30, 892},	// QsciLexerHTML::ASPPythonIdentifier
    {65, 31, 886},	// QsciLexerHTML::ASPPythonKeyword
    {65, 32, 883},	// QsciLexerHTML::ASPPythonNumber
    {65, 33, 891},	// QsciLexerHTML::ASPPythonOperator
    {65, 34, 885},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {65, 35, 880},	// QsciLexerHTML::ASPPythonStart
    {65, 36, 888},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {65, 37, 887},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {65, 38, 809},	// QsciLexerHTML::ASPStart
    {65, 39, 861},	// QsciLexerHTML::ASPVBScriptComment
    {65, 40, 860},	// QsciLexerHTML::ASPVBScriptDefault
    {65, 41, 865},	// QsciLexerHTML::ASPVBScriptIdentifier
    {65, 42, 863},	// QsciLexerHTML::ASPVBScriptKeyword
    {65, 43, 862},	// QsciLexerHTML::ASPVBScriptNumber
    {65, 44, 859},	// QsciLexerHTML::ASPVBScriptStart
    {65, 45, 864},	// QsciLexerHTML::ASPVBScriptString
    {65, 46, 866},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {65, 47, 813},	// QsciLexerHTML::ASPXCComment
    {65, 66, 796},	// QsciLexerHTML::Attribute
    {65, 104, 810},	// QsciLexerHTML::CDATA
    {65, 158, 793},	// QsciLexerHTML::Default
    {65, 197, 803},	// QsciLexerHTML::Entity
    {65, 226, 802},	// QsciLexerHTML::HTMLComment
    {65, 227, 799},	// QsciLexerHTML::HTMLDoubleQuotedString
    {65, 228, 798},	// QsciLexerHTML::HTMLNumber
    {65, 229, 800},	// QsciLexerHTML::HTMLSingleQuotedString
    {65, 230, 812},	// QsciLexerHTML::HTMLValue
    {65, 285, 827},	// QsciLexerHTML::JavaScriptComment
    {65, 286, 829},	// QsciLexerHTML::JavaScriptCommentDoc
    {65, 287, 828},	// QsciLexerHTML::JavaScriptCommentLine
    {65, 288, 826},	// QsciLexerHTML::JavaScriptDefault
    {65, 289, 833},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {65, 290, 832},	// QsciLexerHTML::JavaScriptKeyword
    {65, 291, 830},	// QsciLexerHTML::JavaScriptNumber
    {65, 292, 837},	// QsciLexerHTML::JavaScriptRegex
    {65, 293, 834},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {65, 294, 825},	// QsciLexerHTML::JavaScriptStart
    {65, 295, 835},	// QsciLexerHTML::JavaScriptSymbol
    {65, 296, 836},	// QsciLexerHTML::JavaScriptUnclosedString
    {65, 297, 831},	// QsciLexerHTML::JavaScriptWord
    {65, 376, 801},	// QsciLexerHTML::OtherInTag
    {65, 377, 899},	// QsciLexerHTML::PHPComment
    {65, 378, 900},	// QsciLexerHTML::PHPCommentLine
    {65, 379, 893},	// QsciLexerHTML::PHPDefault
    {65, 380, 894},	// QsciLexerHTML::PHPDoubleQuotedString
    {65, 381, 901},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {65, 382, 896},	// QsciLexerHTML::PHPKeyword
    {65, 383, 897},	// QsciLexerHTML::PHPNumber
    {65, 384, 902},	// QsciLexerHTML::PHPOperator
    {65, 385, 895},	// QsciLexerHTML::PHPSingleQuotedString
    {65, 386, 811},	// QsciLexerHTML::PHPStart
    {65, 387, 898},	// QsciLexerHTML::PHPVariable
    {65, 432, 876},	// QsciLexerHTML::PythonClassName
    {65, 433, 869},	// QsciLexerHTML::PythonComment
    {65, 434, 868},	// QsciLexerHTML::PythonDefault
    {65, 435, 871},	// QsciLexerHTML::PythonDoubleQuotedString
    {65, 436, 877},	// QsciLexerHTML::PythonFunctionMethodName
    {65, 437, 879},	// QsciLexerHTML::PythonIdentifier
    {65, 438, 873},	// QsciLexerHTML::PythonKeyword
    {65, 439, 870},	// QsciLexerHTML::PythonNumber
    {65, 440, 878},	// QsciLexerHTML::PythonOperator
    {65, 441, 872},	// QsciLexerHTML::PythonSingleQuotedString
    {65, 442, 867},	// QsciLexerHTML::PythonStart
    {65, 443, 875},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {65, 444, 874},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {65, 483, 791},	// QsciLexerHTML::QsciLexerHTML
    {65, 484, 761},	// QsciLexerHTML::QsciLexerHTML#
    {65, 612, 824},	// QsciLexerHTML::SGMLBlockDefault
    {65, 613, 815},	// QsciLexerHTML::SGMLCommand
    {65, 614, 822},	// QsciLexerHTML::SGMLComment
    {65, 615, 814},	// QsciLexerHTML::SGMLDefault
    {65, 616, 817},	// QsciLexerHTML::SGMLDoubleQuotedString
    {65, 617, 821},	// QsciLexerHTML::SGMLEntity
    {65, 618, 819},	// QsciLexerHTML::SGMLError
    {65, 619, 816},	// QsciLexerHTML::SGMLParameter
    {65, 620, 823},	// QsciLexerHTML::SGMLParameterComment
    {65, 621, 818},	// QsciLexerHTML::SGMLSingleQuotedString
    {65, 622, 820},	// QsciLexerHTML::SGMLSpecial
    {65, 625, 807},	// QsciLexerHTML::Script
    {65, 695, 794},	// QsciLexerHTML::Tag
    {65, 716, 797},	// QsciLexerHTML::UnknownAttribute
    {65, 719, 795},	// QsciLexerHTML::UnknownTag
    {65, 721, 853},	// QsciLexerHTML::VBScriptComment
    {65, 722, 852},	// QsciLexerHTML::VBScriptDefault
    {65, 723, 857},	// QsciLexerHTML::VBScriptIdentifier
    {65, 724, 855},	// QsciLexerHTML::VBScriptKeyword
    {65, 725, 854},	// QsciLexerHTML::VBScriptNumber
    {65, 726, 851},	// QsciLexerHTML::VBScriptStart
    {65, 727, 856},	// QsciLexerHTML::VBScriptString
    {65, 728, 858},	// QsciLexerHTML::VBScriptUnclosedString
    {65, 766, 806},	// QsciLexerHTML::XMLEnd
    {65, 767, 805},	// QsciLexerHTML::XMLStart
    {65, 768, 804},	// QsciLexerHTML::XMLTagEnd
    {65, 797, 764},	// QsciLexerHTML::autoCompletionFillups
    {65, 834, 773},	// QsciLexerHTML::caseSensitiveTags
    {65, 871, 766},	// QsciLexerHTML::defaultColor$
    {65, 873, 767},	// QsciLexerHTML::defaultEolFill$
    {65, 875, 768},	// QsciLexerHTML::defaultFont$
    {65, 877, 769},	// QsciLexerHTML::defaultPaper$
    {65, 881, 771},	// QsciLexerHTML::description$
    {65, 884, 775},	// QsciLexerHTML::djangoTemplates
    {65, 949, 776},	// QsciLexerHTML::foldCompact
    {65, 956, 777},	// QsciLexerHTML::foldPreprocessor
    {65, 958, 779},	// QsciLexerHTML::foldScriptComments
    {65, 959, 781},	// QsciLexerHTML::foldScriptHeredocs
    {65, 1025, 770},	// QsciLexerHTML::keywords$
    {65, 1026, 762},	// QsciLexerHTML::language
    {65, 1031, 763},	// QsciLexerHTML::lexer
    {65, 1046, 783},	// QsciLexerHTML::makoTemplates
    {65, 1082, 754},	// QsciLexerHTML::metaObject
    {65, 1124, 760},	// QsciLexerHTML::qt_metacall$$?
    {65, 1126, 755},	// QsciLexerHTML::qt_metacast$
    {65, 1131, 787},	// QsciLexerHTML::readProperties#$
    {65, 1140, 772},	// QsciLexerHTML::refreshProperties
    {65, 1224, 786},	// QsciLexerHTML::setCaseSensitiveTags$
    {65, 1243, 774},	// QsciLexerHTML::setDjangoTemplates$
    {65, 1280, 784},	// QsciLexerHTML::setFoldCompact$
    {65, 1292, 785},	// QsciLexerHTML::setFoldPreprocessor$
    {65, 1296, 778},	// QsciLexerHTML::setFoldScriptComments$
    {65, 1298, 780},	// QsciLexerHTML::setFoldScriptHeredocs$
    {65, 1353, 782},	// QsciLexerHTML::setMakoTemplates$
    {65, 1478, 792},	// QsciLexerHTML::staticMetaObject
    {65, 1500, 789},	// QsciLexerHTML::tr$
    {65, 1501, 756},	// QsciLexerHTML::tr$$
    {65, 1502, 758},	// QsciLexerHTML::tr$$$
    {65, 1504, 790},	// QsciLexerHTML::trUtf8$
    {65, 1505, 757},	// QsciLexerHTML::trUtf8$$
    {65, 1506, 759},	// QsciLexerHTML::trUtf8$$$
    {65, 1529, 765},	// QsciLexerHTML::wordCharacters
    {65, 1535, 788},	// QsciLexerHTML::writeProperties#$
    {65, 1562, 903},	// QsciLexerHTML::~QsciLexerHTML
    {66, 485, 918},	// QsciLexerIDL::QsciLexerIDL
    {66, 486, 911},	// QsciLexerIDL::QsciLexerIDL#
    {66, 871, 913},	// QsciLexerIDL::defaultColor$
    {66, 881, 915},	// QsciLexerIDL::description$
    {66, 1025, 914},	// QsciLexerIDL::keywords$
    {66, 1026, 912},	// QsciLexerIDL::language
    {66, 1082, 904},	// QsciLexerIDL::metaObject
    {66, 1124, 910},	// QsciLexerIDL::qt_metacall$$?
    {66, 1126, 905},	// QsciLexerIDL::qt_metacast$
    {66, 1478, 919},	// QsciLexerIDL::staticMetaObject
    {66, 1500, 916},	// QsciLexerIDL::tr$
    {66, 1501, 906},	// QsciLexerIDL::tr$$
    {66, 1502, 908},	// QsciLexerIDL::tr$$$
    {66, 1504, 917},	// QsciLexerIDL::trUtf8$
    {66, 1505, 907},	// QsciLexerIDL::trUtf8$$
    {66, 1506, 909},	// QsciLexerIDL::trUtf8$$$
    {66, 1563, 920},	// QsciLexerIDL::~QsciLexerIDL
    {67, 487, 933},	// QsciLexerJava::QsciLexerJava
    {67, 488, 928},	// QsciLexerJava::QsciLexerJava#
    {67, 1025, 930},	// QsciLexerJava::keywords$
    {67, 1026, 929},	// QsciLexerJava::language
    {67, 1082, 921},	// QsciLexerJava::metaObject
    {67, 1124, 927},	// QsciLexerJava::qt_metacall$$?
    {67, 1126, 922},	// QsciLexerJava::qt_metacast$
    {67, 1478, 934},	// QsciLexerJava::staticMetaObject
    {67, 1500, 931},	// QsciLexerJava::tr$
    {67, 1501, 923},	// QsciLexerJava::tr$$
    {67, 1502, 925},	// QsciLexerJava::tr$$$
    {67, 1504, 932},	// QsciLexerJava::trUtf8$
    {67, 1505, 924},	// QsciLexerJava::trUtf8$$
    {67, 1506, 926},	// QsciLexerJava::trUtf8$$$
    {67, 1564, 935},	// QsciLexerJava::~QsciLexerJava
    {68, 489, 953},	// QsciLexerJavaScript::QsciLexerJavaScript
    {68, 490, 943},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {68, 871, 945},	// QsciLexerJavaScript::defaultColor$
    {68, 873, 946},	// QsciLexerJavaScript::defaultEolFill$
    {68, 875, 947},	// QsciLexerJavaScript::defaultFont$
    {68, 877, 948},	// QsciLexerJavaScript::defaultPaper$
    {68, 881, 950},	// QsciLexerJavaScript::description$
    {68, 1025, 949},	// QsciLexerJavaScript::keywords$
    {68, 1026, 944},	// QsciLexerJavaScript::language
    {68, 1082, 936},	// QsciLexerJavaScript::metaObject
    {68, 1124, 942},	// QsciLexerJavaScript::qt_metacall$$?
    {68, 1126, 937},	// QsciLexerJavaScript::qt_metacast$
    {68, 1478, 954},	// QsciLexerJavaScript::staticMetaObject
    {68, 1500, 951},	// QsciLexerJavaScript::tr$
    {68, 1501, 938},	// QsciLexerJavaScript::tr$$
    {68, 1502, 940},	// QsciLexerJavaScript::tr$$$
    {68, 1504, 952},	// QsciLexerJavaScript::trUtf8$
    {68, 1505, 939},	// QsciLexerJavaScript::trUtf8$$
    {68, 1506, 941},	// QsciLexerJavaScript::trUtf8$$$
    {68, 1565, 955},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {69, 89, 997},	// QsciLexerLua::BasicFunctions
    {69, 122, 991},	// QsciLexerLua::Character
    {69, 137, 986},	// QsciLexerLua::Comment
    {69, 149, 999},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {69, 158, 985},	// QsciLexerLua::Default
    {69, 251, 995},	// QsciLexerLua::Identifier
    {69, 299, 989},	// QsciLexerLua::Keyword
    {69, 304, 1000},	// QsciLexerLua::KeywordSet5
    {69, 305, 1001},	// QsciLexerLua::KeywordSet6
    {69, 306, 1002},	// QsciLexerLua::KeywordSet7
    {69, 307, 1003},	// QsciLexerLua::KeywordSet8
    {69, 309, 1004},	// QsciLexerLua::Label
    {69, 323, 987},	// QsciLexerLua::LineComment
    {69, 346, 992},	// QsciLexerLua::LiteralString
    {69, 370, 988},	// QsciLexerLua::Number
    {69, 374, 994},	// QsciLexerLua::Operator
    {69, 427, 993},	// QsciLexerLua::Preprocessor
    {69, 491, 982},	// QsciLexerLua::QsciLexerLua
    {69, 492, 963},	// QsciLexerLua::QsciLexerLua#
    {69, 668, 990},	// QsciLexerLua::String
    {69, 671, 998},	// QsciLexerLua::StringTableMathsFunctions
    {69, 713, 996},	// QsciLexerLua::UnclosedString
    {69, 806, 966},	// QsciLexerLua::autoCompletionWordSeparators
    {69, 815, 983},	// QsciLexerLua::blockStart
    {69, 816, 967},	// QsciLexerLua::blockStart$
    {69, 822, 968},	// QsciLexerLua::braceStyle
    {69, 871, 969},	// QsciLexerLua::defaultColor$
    {69, 873, 970},	// QsciLexerLua::defaultEolFill$
    {69, 875, 971},	// QsciLexerLua::defaultFont$
    {69, 877, 972},	// QsciLexerLua::defaultPaper$
    {69, 881, 974},	// QsciLexerLua::description$
    {69, 949, 976},	// QsciLexerLua::foldCompact
    {69, 1025, 973},	// QsciLexerLua::keywords$
    {69, 1026, 964},	// QsciLexerLua::language
    {69, 1031, 965},	// QsciLexerLua::lexer
    {69, 1082, 956},	// QsciLexerLua::metaObject
    {69, 1124, 962},	// QsciLexerLua::qt_metacall$$?
    {69, 1126, 957},	// QsciLexerLua::qt_metacast$
    {69, 1131, 978},	// QsciLexerLua::readProperties#$
    {69, 1140, 975},	// QsciLexerLua::refreshProperties
    {69, 1280, 977},	// QsciLexerLua::setFoldCompact$
    {69, 1478, 984},	// QsciLexerLua::staticMetaObject
    {69, 1500, 980},	// QsciLexerLua::tr$
    {69, 1501, 958},	// QsciLexerLua::tr$$
    {69, 1502, 960},	// QsciLexerLua::tr$$$
    {69, 1504, 981},	// QsciLexerLua::trUtf8$
    {69, 1505, 959},	// QsciLexerLua::trUtf8$$
    {69, 1506, 961},	// QsciLexerLua::trUtf8$$$
    {69, 1535, 979},	// QsciLexerLua::writeProperties#$
    {69, 1566, 1005},	// QsciLexerLua::~QsciLexerLua
    {70, 137, 1027},	// QsciLexerMakefile::Comment
    {70, 158, 1026},	// QsciLexerMakefile::Default
    {70, 203, 1032},	// QsciLexerMakefile::Error
    {70, 374, 1030},	// QsciLexerMakefile::Operator
    {70, 427, 1028},	// QsciLexerMakefile::Preprocessor
    {70, 493, 1024},	// QsciLexerMakefile::QsciLexerMakefile
    {70, 494, 1013},	// QsciLexerMakefile::QsciLexerMakefile#
    {70, 696, 1031},	// QsciLexerMakefile::Target
    {70, 736, 1029},	// QsciLexerMakefile::Variable
    {70, 871, 1017},	// QsciLexerMakefile::defaultColor$
    {70, 873, 1018},	// QsciLexerMakefile::defaultEolFill$
    {70, 875, 1019},	// QsciLexerMakefile::defaultFont$
    {70, 877, 1020},	// QsciLexerMakefile::defaultPaper$
    {70, 881, 1021},	// QsciLexerMakefile::description$
    {70, 1026, 1014},	// QsciLexerMakefile::language
    {70, 1031, 1015},	// QsciLexerMakefile::lexer
    {70, 1082, 1006},	// QsciLexerMakefile::metaObject
    {70, 1124, 1012},	// QsciLexerMakefile::qt_metacall$$?
    {70, 1126, 1007},	// QsciLexerMakefile::qt_metacast$
    {70, 1478, 1025},	// QsciLexerMakefile::staticMetaObject
    {70, 1500, 1022},	// QsciLexerMakefile::tr$
    {70, 1501, 1008},	// QsciLexerMakefile::tr$$
    {70, 1502, 1010},	// QsciLexerMakefile::tr$$$
    {70, 1504, 1023},	// QsciLexerMakefile::trUtf8$
    {70, 1505, 1009},	// QsciLexerMakefile::trUtf8$$
    {70, 1506, 1011},	// QsciLexerMakefile::trUtf8$$$
    {70, 1529, 1016},	// QsciLexerMakefile::wordCharacters
    {70, 1567, 1033},	// QsciLexerMakefile::~QsciLexerMakefile
    {71, 86, 1074},	// QsciLexerPOV::BadDirective
    {71, 137, 1066},	// QsciLexerPOV::Comment
    {71, 143, 1067},	// QsciLexerPOV::CommentLine
    {71, 158, 1065},	// QsciLexerPOV::Default
    {71, 173, 1073},	// QsciLexerPOV::Directive
    {71, 251, 1070},	// QsciLexerPOV::Identifier
    {71, 305, 1079},	// QsciLexerPOV::KeywordSet6
    {71, 306, 1080},	// QsciLexerPOV::KeywordSet7
    {71, 307, 1081},	// QsciLexerPOV::KeywordSet8
    {71, 370, 1068},	// QsciLexerPOV::Number
    {71, 372, 1075},	// QsciLexerPOV::ObjectsCSGAppearance
    {71, 374, 1069},	// QsciLexerPOV::Operator
    {71, 425, 1078},	// QsciLexerPOV::PredefinedFunctions
    {71, 426, 1077},	// QsciLexerPOV::PredefinedIdentifiers
    {71, 495, 1063},	// QsciLexerPOV::QsciLexerPOV
    {71, 496, 1041},	// QsciLexerPOV::QsciLexerPOV#
    {71, 668, 1071},	// QsciLexerPOV::String
    {71, 711, 1076},	// QsciLexerPOV::TypesModifiersItems
    {71, 713, 1072},	// QsciLexerPOV::UnclosedString
    {71, 822, 1044},	// QsciLexerPOV::braceStyle
    {71, 871, 1046},	// QsciLexerPOV::defaultColor$
    {71, 873, 1047},	// QsciLexerPOV::defaultEolFill$
    {71, 875, 1048},	// QsciLexerPOV::defaultFont$
    {71, 877, 1049},	// QsciLexerPOV::defaultPaper$
    {71, 881, 1051},	// QsciLexerPOV::description$
    {71, 948, 1053},	// QsciLexerPOV::foldComments
    {71, 949, 1054},	// QsciLexerPOV::foldCompact
    {71, 950, 1055},	// QsciLexerPOV::foldDirectives
    {71, 1025, 1050},	// QsciLexerPOV::keywords$
    {71, 1026, 1042},	// QsciLexerPOV::language
    {71, 1031, 1043},	// QsciLexerPOV::lexer
    {71, 1082, 1034},	// QsciLexerPOV::metaObject
    {71, 1124, 1040},	// QsciLexerPOV::qt_metacall$$?
    {71, 1126, 1035},	// QsciLexerPOV::qt_metacast$
    {71, 1131, 1059},	// QsciLexerPOV::readProperties#$
    {71, 1140, 1052},	// QsciLexerPOV::refreshProperties
    {71, 1278, 1056},	// QsciLexerPOV::setFoldComments$
    {71, 1280, 1057},	// QsciLexerPOV::setFoldCompact$
    {71, 1282, 1058},	// QsciLexerPOV::setFoldDirectives$
    {71, 1478, 1064},	// QsciLexerPOV::staticMetaObject
    {71, 1500, 1061},	// QsciLexerPOV::tr$
    {71, 1501, 1036},	// QsciLexerPOV::tr$$
    {71, 1502, 1038},	// QsciLexerPOV::tr$$$
    {71, 1504, 1062},	// QsciLexerPOV::trUtf8$
    {71, 1505, 1037},	// QsciLexerPOV::trUtf8$$
    {71, 1506, 1039},	// QsciLexerPOV::trUtf8$$$
    {71, 1529, 1045},	// QsciLexerPOV::wordCharacters
    {71, 1535, 1060},	// QsciLexerPOV::writeProperties#$
    {71, 1568, 1082},	// QsciLexerPOV::~QsciLexerPOV
    {72, 63, 1136},	// QsciLexerPascal::Asm
    {72, 122, 1134},	// QsciLexerPascal::Character
    {72, 137, 1124},	// QsciLexerPascal::Comment
    {72, 143, 1126},	// QsciLexerPascal::CommentLine
    {72, 147, 1125},	// QsciLexerPascal::CommentParenthesis
    {72, 158, 1122},	// QsciLexerPascal::Default
    {72, 236, 1130},	// QsciLexerPascal::HexNumber
    {72, 251, 1123},	// QsciLexerPascal::Identifier
    {72, 299, 1131},	// QsciLexerPascal::Keyword
    {72, 370, 1129},	// QsciLexerPascal::Number
    {72, 374, 1135},	// QsciLexerPascal::Operator
    {72, 422, 1127},	// QsciLexerPascal::PreProcessor
    {72, 424, 1128},	// QsciLexerPascal::PreProcessorParenthesis
    {72, 497, 1117},	// QsciLexerPascal::QsciLexerPascal
    {72, 498, 1090},	// QsciLexerPascal::QsciLexerPascal#
    {72, 649, 1132},	// QsciLexerPascal::SingleQuotedString
    {72, 713, 1133},	// QsciLexerPascal::UnclosedString
    {72, 806, 1093},	// QsciLexerPascal::autoCompletionWordSeparators
    {72, 812, 1118},	// QsciLexerPascal::blockEnd
    {72, 813, 1094},	// QsciLexerPascal::blockEnd$
    {72, 815, 1119},	// QsciLexerPascal::blockStart
    {72, 816, 1095},	// QsciLexerPascal::blockStart$
    {72, 817, 1120},	// QsciLexerPascal::blockStartKeyword
    {72, 818, 1096},	// QsciLexerPascal::blockStartKeyword$
    {72, 822, 1097},	// QsciLexerPascal::braceStyle
    {72, 871, 1098},	// QsciLexerPascal::defaultColor$
    {72, 873, 1099},	// QsciLexerPascal::defaultEolFill$
    {72, 875, 1100},	// QsciLexerPascal::defaultFont$
    {72, 877, 1101},	// QsciLexerPascal::defaultPaper$
    {72, 881, 1103},	// QsciLexerPascal::description$
    {72, 948, 1105},	// QsciLexerPascal::foldComments
    {72, 949, 1106},	// QsciLexerPascal::foldCompact
    {72, 956, 1107},	// QsciLexerPascal::foldPreprocessor
    {72, 1025, 1102},	// QsciLexerPascal::keywords$
    {72, 1026, 1091},	// QsciLexerPascal::language
    {72, 1031, 1092},	// QsciLexerPascal::lexer
    {72, 1082, 1083},	// QsciLexerPascal::metaObject
    {72, 1124, 1089},	// QsciLexerPascal::qt_metacall$$?
    {72, 1126, 1084},	// QsciLexerPascal::qt_metacast$
    {72, 1131, 1113},	// QsciLexerPascal::readProperties#$
    {72, 1140, 1104},	// QsciLexerPascal::refreshProperties
    {72, 1278, 1110},	// QsciLexerPascal::setFoldComments$
    {72, 1280, 1111},	// QsciLexerPascal::setFoldCompact$
    {72, 1292, 1112},	// QsciLexerPascal::setFoldPreprocessor$
    {72, 1418, 1108},	// QsciLexerPascal::setSmartHighlighting$
    {72, 1472, 1109},	// QsciLexerPascal::smartHighlighting
    {72, 1478, 1121},	// QsciLexerPascal::staticMetaObject
    {72, 1500, 1115},	// QsciLexerPascal::tr$
    {72, 1501, 1085},	// QsciLexerPascal::tr$$
    {72, 1502, 1087},	// QsciLexerPascal::tr$$$
    {72, 1504, 1116},	// QsciLexerPascal::trUtf8$
    {72, 1505, 1086},	// QsciLexerPascal::trUtf8$$
    {72, 1506, 1088},	// QsciLexerPascal::trUtf8$$$
    {72, 1535, 1114},	// QsciLexerPascal::writeProperties#$
    {72, 1569, 1137},	// QsciLexerPascal::~QsciLexerPascal
    {73, 61, 1189},	// QsciLexerPerl::Array
    {73, 82, 1199},	// QsciLexerPerl::BacktickHereDocument
    {73, 83, 1215},	// QsciLexerPerl::BacktickHereDocumentVar
    {73, 84, 1194},	// QsciLexerPerl::Backticks
    {73, 85, 1213},	// QsciLexerPerl::BackticksVar
    {73, 137, 1180},	// QsciLexerPerl::Comment
    {73, 156, 1195},	// QsciLexerPerl::DataSection
    {73, 158, 1178},	// QsciLexerPerl::Default
    {73, 182, 1198},	// QsciLexerPerl::DoubleQuotedHereDocument
    {73, 183, 1214},	// QsciLexerPerl::DoubleQuotedHereDocumentVar
    {73, 184, 1184},	// QsciLexerPerl::DoubleQuotedString
    {73, 185, 1209},	// QsciLexerPerl::DoubleQuotedStringVar
    {73, 203, 1179},	// QsciLexerPerl::Error
    {73, 214, 1208},	// QsciLexerPerl::FormatBody
    {73, 215, 1207},	// QsciLexerPerl::FormatIdentifier
    {73, 231, 1190},	// QsciLexerPerl::Hash
    {73, 235, 1196},	// QsciLexerPerl::HereDocumentDelimiter
    {73, 251, 1187},	// QsciLexerPerl::Identifier
    {73, 299, 1183},	// QsciLexerPerl::Keyword
    {73, 370, 1182},	// QsciLexerPerl::Number
    {73, 374, 1186},	// QsciLexerPerl::Operator
    {73, 388, 1181},	// QsciLexerPerl::POD
    {73, 389, 1205},	// QsciLexerPerl::PODVerbatim
    {73, 499, 1174},	// QsciLexerPerl::QsciLexerPerl
    {73, 500, 1145},	// QsciLexerPerl::QsciLexerPerl#
    {73, 547, 1200},	// QsciLexerPerl::QuotedStringQ
    {73, 548, 1201},	// QsciLexerPerl::QuotedStringQQ
    {73, 549, 1216},	// QsciLexerPerl::QuotedStringQQVar
    {73, 550, 1203},	// QsciLexerPerl::QuotedStringQR
    {73, 551, 1218},	// QsciLexerPerl::QuotedStringQRVar
    {73, 552, 1204},	// QsciLexerPerl::QuotedStringQW
    {73, 553, 1202},	// QsciLexerPerl::QuotedStringQX
    {73, 554, 1217},	// QsciLexerPerl::QuotedStringQXVar
    {73, 560, 1192},	// QsciLexerPerl::Regex
    {73, 561, 1211},	// QsciLexerPerl::RegexVar
    {73, 623, 1188},	// QsciLexerPerl::Scalar
    {73, 648, 1197},	// QsciLexerPerl::SingleQuotedHereDocument
    {73, 649, 1185},	// QsciLexerPerl::SingleQuotedString
    {73, 678, 1206},	// QsciLexerPerl::SubroutinePrototype
    {73, 679, 1193},	// QsciLexerPerl::Substitution
    {73, 681, 1212},	// QsciLexerPerl::SubstitutionVar
    {73, 687, 1191},	// QsciLexerPerl::SymbolTable
    {73, 706, 1210},	// QsciLexerPerl::Translation
    {73, 806, 1148},	// QsciLexerPerl::autoCompletionWordSeparators
    {73, 812, 1175},	// QsciLexerPerl::blockEnd
    {73, 813, 1149},	// QsciLexerPerl::blockEnd$
    {73, 815, 1176},	// QsciLexerPerl::blockStart
    {73, 816, 1150},	// QsciLexerPerl::blockStart$
    {73, 822, 1151},	// QsciLexerPerl::braceStyle
    {73, 871, 1153},	// QsciLexerPerl::defaultColor$
    {73, 873, 1154},	// QsciLexerPerl::defaultEolFill$
    {73, 875, 1155},	// QsciLexerPerl::defaultFont$
    {73, 877, 1156},	// QsciLexerPerl::defaultPaper$
    {73, 881, 1158},	// QsciLexerPerl::description$
    {73, 946, 1161},	// QsciLexerPerl::foldAtElse
    {73, 948, 1162},	// QsciLexerPerl::foldComments
    {73, 949, 1163},	// QsciLexerPerl::foldCompact
    {73, 954, 1167},	// QsciLexerPerl::foldPODBlocks
    {73, 955, 1165},	// QsciLexerPerl::foldPackages
    {73, 1025, 1157},	// QsciLexerPerl::keywords$
    {73, 1026, 1146},	// QsciLexerPerl::language
    {73, 1031, 1147},	// QsciLexerPerl::lexer
    {73, 1082, 1138},	// QsciLexerPerl::metaObject
    {73, 1124, 1144},	// QsciLexerPerl::qt_metacall$$?
    {73, 1126, 1139},	// QsciLexerPerl::qt_metacast$
    {73, 1131, 1170},	// QsciLexerPerl::readProperties#$
    {73, 1140, 1159},	// QsciLexerPerl::refreshProperties
    {73, 1274, 1160},	// QsciLexerPerl::setFoldAtElse$
    {73, 1278, 1168},	// QsciLexerPerl::setFoldComments$
    {73, 1280, 1169},	// QsciLexerPerl::setFoldCompact$
    {73, 1288, 1166},	// QsciLexerPerl::setFoldPODBlocks$
    {73, 1290, 1164},	// QsciLexerPerl::setFoldPackages$
    {73, 1478, 1177},	// QsciLexerPerl::staticMetaObject
    {73, 1500, 1172},	// QsciLexerPerl::tr$
    {73, 1501, 1140},	// QsciLexerPerl::tr$$
    {73, 1502, 1142},	// QsciLexerPerl::tr$$$
    {73, 1504, 1173},	// QsciLexerPerl::trUtf8$
    {73, 1505, 1141},	// QsciLexerPerl::trUtf8$$
    {73, 1506, 1143},	// QsciLexerPerl::trUtf8$$$
    {73, 1529, 1152},	// QsciLexerPerl::wordCharacters
    {73, 1535, 1171},	// QsciLexerPerl::writeProperties#$
    {73, 1570, 1219},	// QsciLexerPerl::~QsciLexerPerl
    {74, 62, 1260},	// QsciLexerPostScript::ArrayParenthesis
    {74, 87, 1266},	// QsciLexerPostScript::BadStringCharacter
    {74, 88, 1265},	// QsciLexerPostScript::Base85String
    {74, 137, 1252},	// QsciLexerPostScript::Comment
    {74, 153, 1253},	// QsciLexerPostScript::DSCComment
    {74, 154, 1254},	// QsciLexerPostScript::DSCCommentValue
    {74, 158, 1251},	// QsciLexerPostScript::Default
    {74, 171, 1261},	// QsciLexerPostScript::DictionaryParenthesis
    {74, 237, 1264},	// QsciLexerPostScript::HexString
    {74, 254, 1259},	// QsciLexerPostScript::ImmediateEvalLiteral
    {74, 299, 1257},	// QsciLexerPostScript::Keyword
    {74, 345, 1258},	// QsciLexerPostScript::Literal
    {74, 363, 1256},	// QsciLexerPostScript::Name
    {74, 370, 1255},	// QsciLexerPostScript::Number
    {74, 429, 1262},	// QsciLexerPostScript::ProcedureParenthesis
    {74, 501, 1249},	// QsciLexerPostScript::QsciLexerPostScript
    {74, 502, 1227},	// QsciLexerPostScript::QsciLexerPostScript#
    {74, 697, 1263},	// QsciLexerPostScript::Text
    {74, 822, 1230},	// QsciLexerPostScript::braceStyle
    {74, 871, 1231},	// QsciLexerPostScript::defaultColor$
    {74, 875, 1232},	// QsciLexerPostScript::defaultFont$
    {74, 877, 1233},	// QsciLexerPostScript::defaultPaper$
    {74, 881, 1235},	// QsciLexerPostScript::description$
    {74, 946, 1240},	// QsciLexerPostScript::foldAtElse
    {74, 949, 1239},	// QsciLexerPostScript::foldCompact
    {74, 1025, 1234},	// QsciLexerPostScript::keywords$
    {74, 1026, 1228},	// QsciLexerPostScript::language
    {74, 1030, 1238},	// QsciLexerPostScript::level
    {74, 1031, 1229},	// QsciLexerPostScript::lexer
    {74, 1082, 1220},	// QsciLexerPostScript::metaObject
    {74, 1124, 1226},	// QsciLexerPostScript::qt_metacall$$?
    {74, 1126, 1221},	// QsciLexerPostScript::qt_metacast$
    {74, 1131, 1245},	// QsciLexerPostScript::readProperties#$
    {74, 1140, 1236},	// QsciLexerPostScript::refreshProperties
    {74, 1274, 1244},	// QsciLexerPostScript::setFoldAtElse$
    {74, 1280, 1243},	// QsciLexerPostScript::setFoldCompact$
    {74, 1347, 1242},	// QsciLexerPostScript::setLevel$
    {74, 1435, 1241},	// QsciLexerPostScript::setTokenize$
    {74, 1478, 1250},	// QsciLexerPostScript::staticMetaObject
    {74, 1498, 1237},	// QsciLexerPostScript::tokenize
    {74, 1500, 1247},	// QsciLexerPostScript::tr$
    {74, 1501, 1222},	// QsciLexerPostScript::tr$$
    {74, 1502, 1224},	// QsciLexerPostScript::tr$$$
    {74, 1504, 1248},	// QsciLexerPostScript::trUtf8$
    {74, 1505, 1223},	// QsciLexerPostScript::trUtf8$$
    {74, 1506, 1225},	// QsciLexerPostScript::trUtf8$$$
    {74, 1535, 1246},	// QsciLexerPostScript::writeProperties#$
    {74, 1571, 1267},	// QsciLexerPostScript::~QsciLexerPostScript
    {75, 64, 1298},	// QsciLexerProperties::Assignment
    {75, 137, 1296},	// QsciLexerProperties::Comment
    {75, 158, 1295},	// QsciLexerProperties::Default
    {75, 159, 1299},	// QsciLexerProperties::DefaultValue
    {75, 298, 1300},	// QsciLexerProperties::Key
    {75, 503, 1293},	// QsciLexerProperties::QsciLexerProperties
    {75, 504, 1275},	// QsciLexerProperties::QsciLexerProperties#
    {75, 628, 1297},	// QsciLexerProperties::Section
    {75, 871, 1279},	// QsciLexerProperties::defaultColor$
    {75, 873, 1280},	// QsciLexerProperties::defaultEolFill$
    {75, 875, 1281},	// QsciLexerProperties::defaultFont$
    {75, 877, 1282},	// QsciLexerProperties::defaultPaper$
    {75, 881, 1283},	// QsciLexerProperties::description$
    {75, 949, 1285},	// QsciLexerProperties::foldCompact
    {75, 1000, 1287},	// QsciLexerProperties::initialSpaces
    {75, 1026, 1276},	// QsciLexerProperties::language
    {75, 1031, 1277},	// QsciLexerProperties::lexer
    {75, 1082, 1268},	// QsciLexerProperties::metaObject
    {75, 1124, 1274},	// QsciLexerProperties::qt_metacall$$?
    {75, 1126, 1269},	// QsciLexerProperties::qt_metacast$
    {75, 1131, 1289},	// QsciLexerProperties::readProperties#$
    {75, 1140, 1284},	// QsciLexerProperties::refreshProperties
    {75, 1280, 1288},	// QsciLexerProperties::setFoldCompact$
    {75, 1341, 1286},	// QsciLexerProperties::setInitialSpaces$
    {75, 1478, 1294},	// QsciLexerProperties::staticMetaObject
    {75, 1500, 1291},	// QsciLexerProperties::tr$
    {75, 1501, 1270},	// QsciLexerProperties::tr$$
    {75, 1502, 1272},	// QsciLexerProperties::tr$$$
    {75, 1504, 1292},	// QsciLexerProperties::trUtf8$
    {75, 1505, 1271},	// QsciLexerProperties::trUtf8$$
    {75, 1506, 1273},	// QsciLexerProperties::trUtf8$$$
    {75, 1529, 1278},	// QsciLexerProperties::wordCharacters
    {75, 1535, 1290},	// QsciLexerProperties::writeProperties#$
    {75, 1572, 1301},	// QsciLexerProperties::~QsciLexerProperties
    {76, 131, 1357},	// QsciLexerPython::ClassName
    {76, 137, 1350},	// QsciLexerPython::Comment
    {76, 138, 1361},	// QsciLexerPython::CommentBlock
    {76, 157, 1364},	// QsciLexerPython::Decorator
    {76, 158, 1349},	// QsciLexerPython::Default
    {76, 184, 1352},	// QsciLexerPython::DoubleQuotedString
    {76, 219, 1358},	// QsciLexerPython::FunctionMethodName
    {76, 241, 1363},	// QsciLexerPython::HighlightedIdentifier
    {76, 251, 1360},	// QsciLexerPython::Identifier
    {76, 281, 1366},	// QsciLexerPython::Inconsistent
    {76, 299, 1354},	// QsciLexerPython::Keyword
    {76, 369, 1365},	// QsciLexerPython::NoWarning
    {76, 370, 1351},	// QsciLexerPython::Number
    {76, 374, 1359},	// QsciLexerPython::Operator
    {76, 505, 1346},	// QsciLexerPython::QsciLexerPython
    {76, 506, 1309},	// QsciLexerPython::QsciLexerPython#
    {76, 649, 1353},	// QsciLexerPython::SingleQuotedString
    {76, 653, 1368},	// QsciLexerPython::Spaces
    {76, 693, 1369},	// QsciLexerPython::Tabs
    {76, 694, 1367},	// QsciLexerPython::TabsAfterSpaces
    {76, 707, 1356},	// QsciLexerPython::TripleDoubleQuotedString
    {76, 709, 1355},	// QsciLexerPython::TripleSingleQuotedString
    {76, 713, 1362},	// QsciLexerPython::UnclosedString
    {76, 806, 1312},	// QsciLexerPython::autoCompletionWordSeparators
    {76, 814, 1313},	// QsciLexerPython::blockLookback
    {76, 815, 1347},	// QsciLexerPython::blockStart
    {76, 816, 1314},	// QsciLexerPython::blockStart$
    {76, 822, 1315},	// QsciLexerPython::braceStyle
    {76, 871, 1316},	// QsciLexerPython::defaultColor$
    {76, 873, 1317},	// QsciLexerPython::defaultEolFill$
    {76, 875, 1318},	// QsciLexerPython::defaultFont$
    {76, 877, 1319},	// QsciLexerPython::defaultPaper$
    {76, 881, 1322},	// QsciLexerPython::description$
    {76, 948, 1324},	// QsciLexerPython::foldComments
    {76, 949, 1326},	// QsciLexerPython::foldCompact
    {76, 957, 1327},	// QsciLexerPython::foldQuotes
    {76, 979, 1330},	// QsciLexerPython::highlightSubidentifiers
    {76, 986, 1320},	// QsciLexerPython::indentationGuideView
    {76, 988, 1328},	// QsciLexerPython::indentationWarning
    {76, 1025, 1321},	// QsciLexerPython::keywords$
    {76, 1026, 1310},	// QsciLexerPython::language
    {76, 1031, 1311},	// QsciLexerPython::lexer
    {76, 1082, 1302},	// QsciLexerPython::metaObject
    {76, 1124, 1308},	// QsciLexerPython::qt_metacall$$?
    {76, 1126, 1303},	// QsciLexerPython::qt_metacast$
    {76, 1131, 1342},	// QsciLexerPython::readProperties#$
    {76, 1140, 1323},	// QsciLexerPython::refreshProperties
    {76, 1278, 1339},	// QsciLexerPython::setFoldComments$
    {76, 1280, 1325},	// QsciLexerPython::setFoldCompact$
    {76, 1294, 1340},	// QsciLexerPython::setFoldQuotes$
    {76, 1312, 1329},	// QsciLexerPython::setHighlightSubidentifiers$
    {76, 1326, 1341},	// QsciLexerPython::setIndentationWarning$
    {76, 1420, 1331},	// QsciLexerPython::setStringsOverNewlineAllowed$
    {76, 1445, 1333},	// QsciLexerPython::setV2UnicodeAllowed$
    {76, 1447, 1335},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {76, 1449, 1337},	// QsciLexerPython::setV3BytesAllowed$
    {76, 1478, 1348},	// QsciLexerPython::staticMetaObject
    {76, 1479, 1332},	// QsciLexerPython::stringsOverNewlineAllowed
    {76, 1500, 1344},	// QsciLexerPython::tr$
    {76, 1501, 1304},	// QsciLexerPython::tr$$
    {76, 1502, 1306},	// QsciLexerPython::tr$$$
    {76, 1504, 1345},	// QsciLexerPython::trUtf8$
    {76, 1505, 1305},	// QsciLexerPython::trUtf8$$
    {76, 1506, 1307},	// QsciLexerPython::trUtf8$$$
    {76, 1514, 1334},	// QsciLexerPython::v2UnicodeAllowed
    {76, 1515, 1336},	// QsciLexerPython::v3BinaryOctalAllowed
    {76, 1516, 1338},	// QsciLexerPython::v3BytesAllowed
    {76, 1535, 1343},	// QsciLexerPython::writeProperties#$
    {76, 1573, 1370},	// QsciLexerPython::~QsciLexerPython
    {77, 84, 1423},	// QsciLexerRuby::Backticks
    {77, 131, 1413},	// QsciLexerRuby::ClassName
    {77, 133, 1422},	// QsciLexerRuby::ClassVariable
    {77, 137, 1407},	// QsciLexerRuby::Comment
    {77, 156, 1424},	// QsciLexerRuby::DataSection
    {77, 158, 1405},	// QsciLexerRuby::Default
    {77, 168, 1432},	// QsciLexerRuby::DemotedKeyword
    {77, 184, 1411},	// QsciLexerRuby::DoubleQuotedString
    {77, 203, 1406},	// QsciLexerRuby::Error
    {77, 219, 1414},	// QsciLexerRuby::FunctionMethodName
    {77, 220, 1418},	// QsciLexerRuby::Global
    {77, 234, 1426},	// QsciLexerRuby::HereDocument
    {77, 235, 1425},	// QsciLexerRuby::HereDocumentDelimiter
    {77, 251, 1416},	// QsciLexerRuby::Identifier
    {77, 282, 1421},	// QsciLexerRuby::InstanceVariable
    {77, 299, 1410},	// QsciLexerRuby::Keyword
    {77, 358, 1420},	// QsciLexerRuby::ModuleName
    {77, 370, 1409},	// QsciLexerRuby::Number
    {77, 374, 1415},	// QsciLexerRuby::Operator
    {77, 388, 1408},	// QsciLexerRuby::POD
    {77, 405, 1428},	// QsciLexerRuby::PercentStringQ
    {77, 406, 1427},	// QsciLexerRuby::PercentStringq
    {77, 407, 1430},	// QsciLexerRuby::PercentStringr
    {77, 408, 1431},	// QsciLexerRuby::PercentStringw
    {77, 409, 1429},	// QsciLexerRuby::PercentStringx
    {77, 507, 1400},	// QsciLexerRuby::QsciLexerRuby
    {77, 508, 1378},	// QsciLexerRuby::QsciLexerRuby#
    {77, 560, 1417},	// QsciLexerRuby::Regex
    {77, 649, 1412},	// QsciLexerRuby::SingleQuotedString
    {77, 662, 1435},	// QsciLexerRuby::Stderr
    {77, 663, 1433},	// QsciLexerRuby::Stdin
    {77, 664, 1434},	// QsciLexerRuby::Stdout
    {77, 683, 1419},	// QsciLexerRuby::Symbol
    {77, 812, 1401},	// QsciLexerRuby::blockEnd
    {77, 813, 1381},	// QsciLexerRuby::blockEnd$
    {77, 815, 1402},	// QsciLexerRuby::blockStart
    {77, 816, 1382},	// QsciLexerRuby::blockStart$
    {77, 817, 1403},	// QsciLexerRuby::blockStartKeyword
    {77, 818, 1383},	// QsciLexerRuby::blockStartKeyword$
    {77, 822, 1384},	// QsciLexerRuby::braceStyle
    {77, 871, 1385},	// QsciLexerRuby::defaultColor$
    {77, 873, 1386},	// QsciLexerRuby::defaultEolFill$
    {77, 875, 1387},	// QsciLexerRuby::defaultFont$
    {77, 877, 1388},	// QsciLexerRuby::defaultPaper$
    {77, 881, 1390},	// QsciLexerRuby::description$
    {77, 948, 1393},	// QsciLexerRuby::foldComments
    {77, 949, 1395},	// QsciLexerRuby::foldCompact
    {77, 1025, 1389},	// QsciLexerRuby::keywords$
    {77, 1026, 1379},	// QsciLexerRuby::language
    {77, 1031, 1380},	// QsciLexerRuby::lexer
    {77, 1082, 1371},	// QsciLexerRuby::metaObject
    {77, 1124, 1377},	// QsciLexerRuby::qt_metacall$$?
    {77, 1126, 1372},	// QsciLexerRuby::qt_metacast$
    {77, 1131, 1396},	// QsciLexerRuby::readProperties#$
    {77, 1140, 1391},	// QsciLexerRuby::refreshProperties
    {77, 1278, 1392},	// QsciLexerRuby::setFoldComments$
    {77, 1280, 1394},	// QsciLexerRuby::setFoldCompact$
    {77, 1478, 1404},	// QsciLexerRuby::staticMetaObject
    {77, 1500, 1398},	// QsciLexerRuby::tr$
    {77, 1501, 1373},	// QsciLexerRuby::tr$$
    {77, 1502, 1375},	// QsciLexerRuby::tr$$$
    {77, 1504, 1399},	// QsciLexerRuby::trUtf8$
    {77, 1505, 1374},	// QsciLexerRuby::trUtf8$$
    {77, 1506, 1376},	// QsciLexerRuby::trUtf8$$$
    {77, 1535, 1397},	// QsciLexerRuby::writeProperties#$
    {77, 1574, 1436},	// QsciLexerRuby::~QsciLexerRuby
    {78, 137, 1478},	// QsciLexerSQL::Comment
    {78, 140, 1480},	// QsciLexerSQL::CommentDoc
    {78, 141, 1491},	// QsciLexerSQL::CommentDocKeyword
    {78, 142, 1492},	// QsciLexerSQL::CommentDocKeywordError
    {78, 143, 1479},	// QsciLexerSQL::CommentLine
    {78, 145, 1490},	// QsciLexerSQL::CommentLineHash
    {78, 158, 1477},	// QsciLexerSQL::Default
    {78, 184, 1483},	// QsciLexerSQL::DoubleQuotedString
    {78, 251, 1488},	// QsciLexerSQL::Identifier
    {78, 299, 1482},	// QsciLexerSQL::Keyword
    {78, 304, 1493},	// QsciLexerSQL::KeywordSet5
    {78, 305, 1494},	// QsciLexerSQL::KeywordSet6
    {78, 306, 1495},	// QsciLexerSQL::KeywordSet7
    {78, 307, 1496},	// QsciLexerSQL::KeywordSet8
    {78, 370, 1481},	// QsciLexerSQL::Number
    {78, 374, 1487},	// QsciLexerSQL::Operator
    {78, 415, 1489},	// QsciLexerSQL::PlusComment
    {78, 416, 1485},	// QsciLexerSQL::PlusKeyword
    {78, 417, 1486},	// QsciLexerSQL::PlusPrompt
    {78, 509, 1475},	// QsciLexerSQL::QsciLexerSQL
    {78, 510, 1444},	// QsciLexerSQL::QsciLexerSQL#
    {78, 544, 1497},	// QsciLexerSQL::QuotedIdentifier
    {78, 649, 1484},	// QsciLexerSQL::SingleQuotedString
    {78, 809, 1455},	// QsciLexerSQL::backslashEscapes
    {78, 822, 1447},	// QsciLexerSQL::braceStyle
    {78, 871, 1448},	// QsciLexerSQL::defaultColor$
    {78, 873, 1449},	// QsciLexerSQL::defaultEolFill$
    {78, 875, 1450},	// QsciLexerSQL::defaultFont$
    {78, 877, 1451},	// QsciLexerSQL::defaultPaper$
    {78, 881, 1453},	// QsciLexerSQL::description$
    {78, 887, 1457},	// QsciLexerSQL::dottedWords
    {78, 946, 1459},	// QsciLexerSQL::foldAtElse
    {78, 948, 1460},	// QsciLexerSQL::foldComments
    {78, 949, 1461},	// QsciLexerSQL::foldCompact
    {78, 953, 1463},	// QsciLexerSQL::foldOnlyBegin
    {78, 975, 1465},	// QsciLexerSQL::hashComments
    {78, 1025, 1452},	// QsciLexerSQL::keywords$
    {78, 1026, 1445},	// QsciLexerSQL::language
    {78, 1031, 1446},	// QsciLexerSQL::lexer
    {78, 1082, 1437},	// QsciLexerSQL::metaObject
    {78, 1124, 1443},	// QsciLexerSQL::qt_metacall$$?
    {78, 1126, 1438},	// QsciLexerSQL::qt_metacast$
    {78, 1127, 1467},	// QsciLexerSQL::quotedIdentifiers
    {78, 1131, 1471},	// QsciLexerSQL::readProperties#$
    {78, 1140, 1454},	// QsciLexerSQL::refreshProperties
    {78, 1198, 1468},	// QsciLexerSQL::setBackslashEscapes$
    {78, 1249, 1456},	// QsciLexerSQL::setDottedWords$
    {78, 1274, 1458},	// QsciLexerSQL::setFoldAtElse$
    {78, 1278, 1469},	// QsciLexerSQL::setFoldComments$
    {78, 1280, 1470},	// QsciLexerSQL::setFoldCompact$
    {78, 1286, 1462},	// QsciLexerSQL::setFoldOnlyBegin$
    {78, 1308, 1464},	// QsciLexerSQL::setHashComments$
    {78, 1401, 1466},	// QsciLexerSQL::setQuotedIdentifiers$
    {78, 1478, 1476},	// QsciLexerSQL::staticMetaObject
    {78, 1500, 1473},	// QsciLexerSQL::tr$
    {78, 1501, 1439},	// QsciLexerSQL::tr$$
    {78, 1502, 1441},	// QsciLexerSQL::tr$$$
    {78, 1504, 1474},	// QsciLexerSQL::trUtf8$
    {78, 1505, 1440},	// QsciLexerSQL::trUtf8$$
    {78, 1506, 1442},	// QsciLexerSQL::trUtf8$$$
    {78, 1535, 1472},	// QsciLexerSQL::writeProperties#$
    {78, 1575, 1498},	// QsciLexerSQL::~QsciLexerSQL
    {79, 137, 1526},	// QsciLexerTCL::Comment
    {79, 138, 1546},	// QsciLexerTCL::CommentBlock
    {79, 139, 1545},	// QsciLexerTCL::CommentBox
    {79, 143, 1527},	// QsciLexerTCL::CommentLine
    {79, 158, 1525},	// QsciLexerTCL::Default
    {79, 205, 1536},	// QsciLexerTCL::ExpandKeyword
    {79, 250, 1539},	// QsciLexerTCL::ITCLKeyword
    {79, 251, 1532},	// QsciLexerTCL::Identifier
    {79, 305, 1541},	// QsciLexerTCL::KeywordSet6
    {79, 306, 1542},	// QsciLexerTCL::KeywordSet7
    {79, 307, 1543},	// QsciLexerTCL::KeywordSet8
    {79, 308, 1544},	// QsciLexerTCL::KeywordSet9
    {79, 357, 1535},	// QsciLexerTCL::Modifier
    {79, 370, 1528},	// QsciLexerTCL::Number
    {79, 374, 1531},	// QsciLexerTCL::Operator
    {79, 511, 1523},	// QsciLexerTCL::QsciLexerTCL
    {79, 512, 1506},	// QsciLexerTCL::QsciLexerTCL#
    {79, 545, 1529},	// QsciLexerTCL::QuotedKeyword
    {79, 546, 1530},	// QsciLexerTCL::QuotedString
    {79, 679, 1533},	// QsciLexerTCL::Substitution
    {79, 680, 1534},	// QsciLexerTCL::SubstitutionBrace
    {79, 689, 1537},	// QsciLexerTCL::TCLKeyword
    {79, 703, 1540},	// QsciLexerTCL::TkCommand
    {79, 704, 1538},	// QsciLexerTCL::TkKeyword
    {79, 822, 1509},	// QsciLexerTCL::braceStyle
    {79, 871, 1510},	// QsciLexerTCL::defaultColor$
    {79, 873, 1511},	// QsciLexerTCL::defaultEolFill$
    {79, 875, 1512},	// QsciLexerTCL::defaultFont$
    {79, 877, 1513},	// QsciLexerTCL::defaultPaper$
    {79, 881, 1515},	// QsciLexerTCL::description$
    {79, 948, 1518},	// QsciLexerTCL::foldComments
    {79, 1025, 1514},	// QsciLexerTCL::keywords$
    {79, 1026, 1507},	// QsciLexerTCL::language
    {79, 1031, 1508},	// QsciLexerTCL::lexer
    {79, 1082, 1499},	// QsciLexerTCL::metaObject
    {79, 1124, 1505},	// QsciLexerTCL::qt_metacall$$?
    {79, 1126, 1500},	// QsciLexerTCL::qt_metacast$
    {79, 1131, 1519},	// QsciLexerTCL::readProperties#$
    {79, 1140, 1516},	// QsciLexerTCL::refreshProperties
    {79, 1278, 1517},	// QsciLexerTCL::setFoldComments$
    {79, 1478, 1524},	// QsciLexerTCL::staticMetaObject
    {79, 1500, 1521},	// QsciLexerTCL::tr$
    {79, 1501, 1501},	// QsciLexerTCL::tr$$
    {79, 1502, 1503},	// QsciLexerTCL::tr$$$
    {79, 1504, 1522},	// QsciLexerTCL::trUtf8$
    {79, 1505, 1502},	// QsciLexerTCL::trUtf8$$
    {79, 1506, 1504},	// QsciLexerTCL::trUtf8$$$
    {79, 1535, 1520},	// QsciLexerTCL::writeProperties#$
    {79, 1576, 1547},	// QsciLexerTCL::~QsciLexerTCL
    {80, 136, 1581},	// QsciLexerTeX::Command
    {80, 158, 1577},	// QsciLexerTeX::Default
    {80, 223, 1579},	// QsciLexerTeX::Group
    {80, 513, 1575},	// QsciLexerTeX::QsciLexerTeX
    {80, 514, 1555},	// QsciLexerTeX::QsciLexerTeX#
    {80, 654, 1578},	// QsciLexerTeX::Special
    {80, 683, 1580},	// QsciLexerTeX::Symbol
    {80, 697, 1582},	// QsciLexerTeX::Text
    {80, 871, 1559},	// QsciLexerTeX::defaultColor$
    {80, 881, 1561},	// QsciLexerTeX::description$
    {80, 948, 1564},	// QsciLexerTeX::foldComments
    {80, 949, 1566},	// QsciLexerTeX::foldCompact
    {80, 1025, 1560},	// QsciLexerTeX::keywords$
    {80, 1026, 1556},	// QsciLexerTeX::language
    {80, 1031, 1557},	// QsciLexerTeX::lexer
    {80, 1082, 1548},	// QsciLexerTeX::metaObject
    {80, 1119, 1568},	// QsciLexerTeX::processComments
    {80, 1120, 1570},	// QsciLexerTeX::processIf
    {80, 1124, 1554},	// QsciLexerTeX::qt_metacall$$?
    {80, 1126, 1549},	// QsciLexerTeX::qt_metacast$
    {80, 1131, 1571},	// QsciLexerTeX::readProperties#$
    {80, 1140, 1562},	// QsciLexerTeX::refreshProperties
    {80, 1278, 1563},	// QsciLexerTeX::setFoldComments$
    {80, 1280, 1565},	// QsciLexerTeX::setFoldCompact$
    {80, 1397, 1567},	// QsciLexerTeX::setProcessComments$
    {80, 1399, 1569},	// QsciLexerTeX::setProcessIf$
    {80, 1478, 1576},	// QsciLexerTeX::staticMetaObject
    {80, 1500, 1573},	// QsciLexerTeX::tr$
    {80, 1501, 1550},	// QsciLexerTeX::tr$$
    {80, 1502, 1552},	// QsciLexerTeX::tr$$$
    {80, 1504, 1574},	// QsciLexerTeX::trUtf8$
    {80, 1505, 1551},	// QsciLexerTeX::trUtf8$$
    {80, 1506, 1553},	// QsciLexerTeX::trUtf8$$$
    {80, 1529, 1558},	// QsciLexerTeX::wordCharacters
    {80, 1535, 1572},	// QsciLexerTeX::writeProperties#$
    {80, 1577, 1583},	// QsciLexerTeX::~QsciLexerTeX
    {81, 66, 1628},	// QsciLexerVHDL::Attribute
    {81, 137, 1619},	// QsciLexerVHDL::Comment
    {81, 143, 1620},	// QsciLexerVHDL::CommentLine
    {81, 158, 1618},	// QsciLexerVHDL::Default
    {81, 251, 1624},	// QsciLexerVHDL::Identifier
    {81, 299, 1626},	// QsciLexerVHDL::Keyword
    {81, 306, 1632},	// QsciLexerVHDL::KeywordSet7
    {81, 370, 1621},	// QsciLexerVHDL::Number
    {81, 374, 1623},	// QsciLexerVHDL::Operator
    {81, 515, 1616},	// QsciLexerVHDL::QsciLexerVHDL
    {81, 516, 1591},	// QsciLexerVHDL::QsciLexerVHDL#
    {81, 658, 1629},	// QsciLexerVHDL::StandardFunction
    {81, 659, 1627},	// QsciLexerVHDL::StandardOperator
    {81, 660, 1630},	// QsciLexerVHDL::StandardPackage
    {81, 661, 1631},	// QsciLexerVHDL::StandardType
    {81, 668, 1622},	// QsciLexerVHDL::String
    {81, 713, 1625},	// QsciLexerVHDL::UnclosedString
    {81, 822, 1594},	// QsciLexerVHDL::braceStyle
    {81, 871, 1595},	// QsciLexerVHDL::defaultColor$
    {81, 873, 1596},	// QsciLexerVHDL::defaultEolFill$
    {81, 875, 1597},	// QsciLexerVHDL::defaultFont$
    {81, 877, 1598},	// QsciLexerVHDL::defaultPaper$
    {81, 881, 1600},	// QsciLexerVHDL::description$
    {81, 945, 1605},	// QsciLexerVHDL::foldAtBegin
    {81, 946, 1604},	// QsciLexerVHDL::foldAtElse
    {81, 947, 1606},	// QsciLexerVHDL::foldAtParenthesis
    {81, 948, 1602},	// QsciLexerVHDL::foldComments
    {81, 949, 1603},	// QsciLexerVHDL::foldCompact
    {81, 1025, 1599},	// QsciLexerVHDL::keywords$
    {81, 1026, 1592},	// QsciLexerVHDL::language
    {81, 1031, 1593},	// QsciLexerVHDL::lexer
    {81, 1082, 1584},	// QsciLexerVHDL::metaObject
    {81, 1124, 1590},	// QsciLexerVHDL::qt_metacall$$?
    {81, 1126, 1585},	// QsciLexerVHDL::qt_metacast$
    {81, 1131, 1612},	// QsciLexerVHDL::readProperties#$
    {81, 1140, 1601},	// QsciLexerVHDL::refreshProperties
    {81, 1272, 1610},	// QsciLexerVHDL::setFoldAtBegin$
    {81, 1274, 1609},	// QsciLexerVHDL::setFoldAtElse$
    {81, 1276, 1611},	// QsciLexerVHDL::setFoldAtParenthesis$
    {81, 1278, 1607},	// QsciLexerVHDL::setFoldComments$
    {81, 1280, 1608},	// QsciLexerVHDL::setFoldCompact$
    {81, 1478, 1617},	// QsciLexerVHDL::staticMetaObject
    {81, 1500, 1614},	// QsciLexerVHDL::tr$
    {81, 1501, 1586},	// QsciLexerVHDL::tr$$
    {81, 1502, 1588},	// QsciLexerVHDL::tr$$$
    {81, 1504, 1615},	// QsciLexerVHDL::trUtf8$
    {81, 1505, 1587},	// QsciLexerVHDL::trUtf8$$
    {81, 1506, 1589},	// QsciLexerVHDL::trUtf8$$$
    {81, 1535, 1613},	// QsciLexerVHDL::writeProperties#$
    {81, 1578, 1633},	// QsciLexerVHDL::~QsciLexerVHDL
    {82, 517, 1656},	// QsciLexerXML::QsciLexerXML
    {82, 518, 1641},	// QsciLexerXML::QsciLexerXML#
    {82, 871, 1644},	// QsciLexerXML::defaultColor$
    {82, 873, 1645},	// QsciLexerXML::defaultEolFill$
    {82, 875, 1646},	// QsciLexerXML::defaultFont$
    {82, 877, 1647},	// QsciLexerXML::defaultPaper$
    {82, 1025, 1648},	// QsciLexerXML::keywords$
    {82, 1026, 1642},	// QsciLexerXML::language
    {82, 1031, 1643},	// QsciLexerXML::lexer
    {82, 1082, 1634},	// QsciLexerXML::metaObject
    {82, 1124, 1640},	// QsciLexerXML::qt_metacall$$?
    {82, 1126, 1635},	// QsciLexerXML::qt_metacast$
    {82, 1131, 1652},	// QsciLexerXML::readProperties#$
    {82, 1140, 1649},	// QsciLexerXML::refreshProperties
    {82, 1160, 1651},	// QsciLexerXML::scriptsStyled
    {82, 1407, 1650},	// QsciLexerXML::setScriptsStyled$
    {82, 1478, 1657},	// QsciLexerXML::staticMetaObject
    {82, 1500, 1654},	// QsciLexerXML::tr$
    {82, 1501, 1636},	// QsciLexerXML::tr$$
    {82, 1502, 1638},	// QsciLexerXML::tr$$$
    {82, 1504, 1655},	// QsciLexerXML::trUtf8$
    {82, 1505, 1637},	// QsciLexerXML::trUtf8$$
    {82, 1506, 1639},	// QsciLexerXML::trUtf8$$$
    {82, 1535, 1653},	// QsciLexerXML::writeProperties#$
    {82, 1579, 1658},	// QsciLexerXML::~QsciLexerXML
    {83, 137, 1685},	// QsciLexerYAML::Comment
    {83, 158, 1684},	// QsciLexerYAML::Default
    {83, 174, 1690},	// QsciLexerYAML::DocumentDelimiter
    {83, 251, 1686},	// QsciLexerYAML::Identifier
    {83, 299, 1687},	// QsciLexerYAML::Keyword
    {83, 370, 1688},	// QsciLexerYAML::Number
    {83, 374, 1693},	// QsciLexerYAML::Operator
    {83, 519, 1682},	// QsciLexerYAML::QsciLexerYAML
    {83, 520, 1666},	// QsciLexerYAML::QsciLexerYAML#
    {83, 559, 1689},	// QsciLexerYAML::Reference
    {83, 688, 1692},	// QsciLexerYAML::SyntaxErrorMarker
    {83, 698, 1691},	// QsciLexerYAML::TextBlockMarker
    {83, 871, 1669},	// QsciLexerYAML::defaultColor$
    {83, 873, 1670},	// QsciLexerYAML::defaultEolFill$
    {83, 875, 1671},	// QsciLexerYAML::defaultFont$
    {83, 877, 1672},	// QsciLexerYAML::defaultPaper$
    {83, 881, 1674},	// QsciLexerYAML::description$
    {83, 948, 1676},	// QsciLexerYAML::foldComments
    {83, 1025, 1673},	// QsciLexerYAML::keywords$
    {83, 1026, 1667},	// QsciLexerYAML::language
    {83, 1031, 1668},	// QsciLexerYAML::lexer
    {83, 1082, 1659},	// QsciLexerYAML::metaObject
    {83, 1124, 1665},	// QsciLexerYAML::qt_metacall$$?
    {83, 1126, 1660},	// QsciLexerYAML::qt_metacast$
    {83, 1131, 1678},	// QsciLexerYAML::readProperties#$
    {83, 1140, 1675},	// QsciLexerYAML::refreshProperties
    {83, 1278, 1677},	// QsciLexerYAML::setFoldComments$
    {83, 1478, 1683},	// QsciLexerYAML::staticMetaObject
    {83, 1500, 1680},	// QsciLexerYAML::tr$
    {83, 1501, 1661},	// QsciLexerYAML::tr$$
    {83, 1502, 1663},	// QsciLexerYAML::tr$$$
    {83, 1504, 1681},	// QsciLexerYAML::trUtf8$
    {83, 1505, 1662},	// QsciLexerYAML::trUtf8$$
    {83, 1506, 1664},	// QsciLexerYAML::trUtf8$$$
    {83, 1535, 1679},	// QsciLexerYAML::writeProperties#$
    {83, 1580, 1694},	// QsciLexerYAML::~QsciLexerYAML
    {84, 522, 1702},	// QsciMacro::QsciMacro#
    {84, 523, 1703},	// QsciMacro::QsciMacro$#
    {84, 838, 1704},	// QsciMacro::clear
    {84, 901, 1709},	// QsciMacro::endRecording
    {84, 1042, 1705},	// QsciMacro::load$
    {84, 1082, 1695},	// QsciMacro::metaObject
    {84, 1110, 1707},	// QsciMacro::play
    {84, 1124, 1701},	// QsciMacro::qt_metacall$$?
    {84, 1126, 1696},	// QsciMacro::qt_metacast$
    {84, 1157, 1706},	// QsciMacro::save
    {84, 1474, 1708},	// QsciMacro::startRecording
    {84, 1478, 1712},	// QsciMacro::staticMetaObject
    {84, 1500, 1710},	// QsciMacro::tr$
    {84, 1501, 1697},	// QsciMacro::tr$$
    {84, 1502, 1699},	// QsciMacro::tr$$$
    {84, 1504, 1711},	// QsciMacro::trUtf8$
    {84, 1505, 1698},	// QsciMacro::trUtf8$$
    {84, 1506, 1700},	// QsciMacro::trUtf8$$$
    {84, 1581, 1713},	// QsciMacro::~QsciMacro
    {85, 524, 1721},	// QsciPrinter::QsciPrinter
    {85, 525, 1714},	// QsciPrinter::QsciPrinter$
    {85, 967, 1715},	// QsciPrinter::formatPage#$#$
    {85, 1045, 1716},	// QsciPrinter::magnification
    {85, 1116, 1722},	// QsciPrinter::printRange#
    {85, 1117, 1723},	// QsciPrinter::printRange#$
    {85, 1118, 1718},	// QsciPrinter::printRange#$$
    {85, 1351, 1717},	// QsciPrinter::setMagnification$
    {85, 1463, 1720},	// QsciPrinter::setWrapMode$
    {85, 1531, 1719},	// QsciPrinter::wrapMode
    {85, 1582, 1724},	// QsciPrinter::~QsciPrinter
    {86, 49, 2027},	// QsciScintilla::AcsAPIs
    {86, 50, 2025},	// QsciScintilla::AcsAll
    {86, 51, 2026},	// QsciScintilla::AcsDocument
    {86, 52, 2024},	// QsciScintilla::AcsNone
    {86, 54, 2023},	// QsciScintilla::AcusAlways
    {86, 55, 2022},	// QsciScintilla::AcusExplicit
    {86, 56, 2021},	// QsciScintilla::AcusNever
    {86, 58, 2020},	// QsciScintilla::AnnotationBoxed
    {86, 59, 2018},	// QsciScintilla::AnnotationHidden
    {86, 60, 2019},	// QsciScintilla::AnnotationStandard
    {86, 79, 2093},	// QsciScintilla::Background
    {86, 94, 2081},	// QsciScintilla::BottomLeftCorner
    {86, 96, 2055},	// QsciScintilla::BoxIndicator
    {86, 97, 2046},	// QsciScintilla::BoxedFoldStyle
    {86, 98, 2085},	// QsciScintilla::BoxedMinus
    {86, 99, 2086},	// QsciScintilla::BoxedMinusConnected
    {86, 100, 2083},	// QsciScintilla::BoxedPlus
    {86, 101, 2084},	// QsciScintilla::BoxedPlusConnected
    {86, 102, 2048},	// QsciScintilla::BoxedTreeFoldStyle
    {86, 108, 2032},	// QsciScintilla::CallTipsAboveText
    {86, 109, 2031},	// QsciScintilla::CallTipsBelowText
    {86, 110, 2036},	// QsciScintilla::CallTipsContext
    {86, 111, 2035},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {86, 112, 2034},	// QsciScintilla::CallTipsNoContext
    {86, 113, 2033},	// QsciScintilla::CallTipsNone
    {86, 124, 2071},	// QsciScintilla::Circle
    {86, 125, 2045},	// QsciScintilla::CircledFoldStyle
    {86, 126, 2091},	// QsciScintilla::CircledMinus
    {86, 127, 2092},	// QsciScintilla::CircledMinusConnected
    {86, 128, 2089},	// QsciScintilla::CircledPlus
    {86, 129, 2090},	// QsciScintilla::CircledPlusConnected
    {86, 130, 2047},	// QsciScintilla::CircledTreeFoldStyle
    {86, 155, 2058},	// QsciScintilla::DashesIndicator
    {86, 170, 2052},	// QsciScintilla::DiagonalIndicator
    {86, 179, 2061},	// QsciScintilla::DotBoxIndicator
    {86, 180, 2059},	// QsciScintilla::DotsIndicator
    {86, 186, 2077},	// QsciScintilla::DownTriangle
    {86, 193, 2039},	// QsciScintilla::EdgeBackground
    {86, 194, 2038},	// QsciScintilla::EdgeLine
    {86, 195, 2037},	// QsciScintilla::EdgeNone
    {86, 200, 2042},	// QsciScintilla::EolMac
    {86, 201, 2041},	// QsciScintilla::EolUnix
    {86, 202, 2040},	// QsciScintilla::EolWindows
    {86, 217, 2096},	// QsciScintilla::FullRectangle
    {86, 238, 2054},	// QsciScintilla::HiddenIndicator
    {86, 284, 2076},	// QsciScintilla::Invisible
    {86, 315, 2097},	// QsciScintilla::LeftRectangle
    {86, 316, 2088},	// QsciScintilla::LeftSideRoundedSplitter
    {86, 317, 2082},	// QsciScintilla::LeftSideSplitter
    {86, 354, 2078},	// QsciScintilla::Minus
    {86, 355, -1},	// QsciScintilla::MoNone
    {86, 356, -4},	// QsciScintilla::MoSublineSelect
    {86, 366, 2028},	// QsciScintilla::NoBraceMatch
    {86, 367, 2043},	// QsciScintilla::NoFoldStyle
    {86, 371, 2068},	// QsciScintilla::NumberMargin
    {86, 412, 2044},	// QsciScintilla::PlainFoldStyle
    {86, 413, 2049},	// QsciScintilla::PlainIndicator
    {86, 414, 2079},	// QsciScintilla::Plus
    {86, 526, 1984},	// QsciScintilla::QsciScintilla
    {86, 527, 1732},	// QsciScintilla::QsciScintilla#
    {86, 557, 2072},	// QsciScintilla::Rectangle
    {86, 562, 2075},	// QsciScintilla::RightArrow
    {86, 563, 2073},	// QsciScintilla::RightTriangle
    {86, 564, 2056},	// QsciScintilla::RoundBoxIndicator
    {86, 565, 2087},	// QsciScintilla::RoundedBottomLeftCorner
    {86, 650, 2030},	// QsciScintilla::SloppyBraceMatch
    {86, 652, 2074},	// QsciScintilla::SmallRectangle
    {86, 655, 2050},	// QsciScintilla::SquiggleIndicator
    {86, 656, 2060},	// QsciScintilla::SquiggleLowIndicator
    {86, 657, 2062},	// QsciScintilla::SquigglePixmapIndicator
    {86, 665, 2057},	// QsciScintilla::StraightBoxIndicator
    {86, 666, 2029},	// QsciScintilla::StrictBraceMatch
    {86, 667, 2053},	// QsciScintilla::StrikeIndicator
    {86, 684, 2065},	// QsciScintilla::SymbolMargin
    {86, 685, 2067},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {86, 686, 2066},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {86, 690, 2051},	// QsciScintilla::TTIndicator
    {86, 699, 2069},	// QsciScintilla::TextMargin
    {86, 700, 2070},	// QsciScintilla::TextMarginRightJustified
    {86, 701, 2094},	// QsciScintilla::ThreeDots
    {86, 702, 2095},	// QsciScintilla::ThreeRightArrows
    {86, 714, 2098},	// QsciScintilla::Underline
    {86, 739, 2080},	// QsciScintilla::VerticalLine
    {86, 753, 2104},	// QsciScintilla::WrapCharacter
    {86, 754, 2107},	// QsciScintilla::WrapFlagByBorder
    {86, 755, 2106},	// QsciScintilla::WrapFlagByText
    {86, 756, 2108},	// QsciScintilla::WrapFlagInMargin
    {86, 757, 2105},	// QsciScintilla::WrapFlagNone
    {86, 758, 2109},	// QsciScintilla::WrapIndentFixed
    {86, 759, 2111},	// QsciScintilla::WrapIndentIndented
    {86, 760, 2110},	// QsciScintilla::WrapIndentSame
    {86, 761, 2102},	// QsciScintilla::WrapNone
    {86, 762, 2103},	// QsciScintilla::WrapWord
    {86, 763, 2099},	// QsciScintilla::WsInvisible
    {86, 764, 2100},	// QsciScintilla::WsVisible
    {86, 765, 2101},	// QsciScintilla::WsVisibleAfterIndent
    {86, 776, 1736},	// QsciScintilla::annotate$#
    {86, 777, 1735},	// QsciScintilla::annotate$$#
    {86, 778, 1734},	// QsciScintilla::annotate$$$
    {86, 779, 1737},	// QsciScintilla::annotate$?
    {86, 781, 1738},	// QsciScintilla::annotation$
    {86, 782, 1739},	// QsciScintilla::annotationDisplay
    {86, 784, 1733},	// QsciScintilla::apiContext$$$
    {86, 790, 1893},	// QsciScintilla::append$
    {86, 793, 1895},	// QsciScintilla::autoCompleteFromAPIs
    {86, 794, 1894},	// QsciScintilla::autoCompleteFromAll
    {86, 795, 1896},	// QsciScintilla::autoCompleteFromDocument
    {86, 796, 1741},	// QsciScintilla::autoCompletionCaseSensitivity
    {86, 798, 1742},	// QsciScintilla::autoCompletionFillupsEnabled
    {86, 799, 1743},	// QsciScintilla::autoCompletionReplaceWord
    {86, 802, 1744},	// QsciScintilla::autoCompletionShowSingle
    {86, 803, 1745},	// QsciScintilla::autoCompletionSource
    {86, 804, 1746},	// QsciScintilla::autoCompletionThreshold
    {86, 805, 1747},	// QsciScintilla::autoCompletionUseSingle
    {86, 807, 1748},	// QsciScintilla::autoIndent
    {86, 810, 1749},	// QsciScintilla::backspaceUnindents
    {86, 811, 1750},	// QsciScintilla::beginUndoAction
    {86, 821, 1751},	// QsciScintilla::braceMatching
    {86, 823, 1897},	// QsciScintilla::callTip
    {86, 826, 1752},	// QsciScintilla::callTipsPosition
    {86, 827, 1753},	// QsciScintilla::callTipsStyle
    {86, 828, 1754},	// QsciScintilla::callTipsVisible
    {86, 831, 1755},	// QsciScintilla::cancelList
    {86, 833, 1756},	// QsciScintilla::caseSensitive
    {86, 838, 1898},	// QsciScintilla::clear
    {86, 840, 1985},	// QsciScintilla::clearAnnotations
    {86, 841, 1740},	// QsciScintilla::clearAnnotations$
    {86, 842, 1757},	// QsciScintilla::clearFolds
    {86, 844, 1758},	// QsciScintilla::clearIndicatorRange$$$$$
    {86, 846, 2006},	// QsciScintilla::clearMarginText
    {86, 847, 1856},	// QsciScintilla::clearMarginText$
    {86, 848, 1759},	// QsciScintilla::clearRegisteredImages
    {86, 850, 1760},	// QsciScintilla::color
    {86, 858, 1981},	// QsciScintilla::contextMenuEvent#
    {86, 859, 1761},	// QsciScintilla::contractedFolds
    {86, 861, 1762},	// QsciScintilla::convertEols$
    {86, 862, 1899},	// QsciScintilla::copy
    {86, 864, 1970},	// QsciScintilla::copyAvailable$
    {86, 865, 1763},	// QsciScintilla::createStandardContextMenu
    {86, 867, 1969},	// QsciScintilla::cursorPositionChanged$$
    {86, 869, 1900},	// QsciScintilla::cut
    {86, 885, 1764},	// QsciScintilla::document
    {86, 896, 1766},	// QsciScintilla::edgeColor
    {86, 897, 1767},	// QsciScintilla::edgeColumn
    {86, 898, 1768},	// QsciScintilla::edgeMode
    {86, 902, 1765},	// QsciScintilla::endUndoAction
    {86, 903, 1901},	// QsciScintilla::ensureCursorVisible
    {86, 905, 1902},	// QsciScintilla::ensureLineVisible$
    {86, 911, 1770},	// QsciScintilla::eolMode
    {86, 912, 1771},	// QsciScintilla::eolVisibility
    {86, 914, 1980},	// QsciScintilla::event#
    {86, 917, 1772},	// QsciScintilla::extraAscent
    {86, 918, 1773},	// QsciScintilla::extraDescent
    {86, 920, 1774},	// QsciScintilla::fillIndicatorRange$$$$$
    {86, 924, 1986},	// QsciScintilla::findFirst$$$$$
    {86, 925, 1987},	// QsciScintilla::findFirst$$$$$$
    {86, 926, 1988},	// QsciScintilla::findFirst$$$$$$$
    {86, 927, 1989},	// QsciScintilla::findFirst$$$$$$$$
    {86, 928, 1990},	// QsciScintilla::findFirst$$$$$$$$$
    {86, 929, 1775},	// QsciScintilla::findFirst$$$$$$$$$$
    {86, 931, 1991},	// QsciScintilla::findFirstInSelection$$$$
    {86, 932, 1992},	// QsciScintilla::findFirstInSelection$$$$$
    {86, 933, 1993},	// QsciScintilla::findFirstInSelection$$$$$$
    {86, 934, 1776},	// QsciScintilla::findFirstInSelection$$$$$$$
    {86, 935, 1777},	// QsciScintilla::findNext
    {86, 936, 1778},	// QsciScintilla::firstVisibleLine
    {86, 943, 2011},	// QsciScintilla::foldAll
    {86, 944, 1903},	// QsciScintilla::foldAll$
    {86, 952, 1904},	// QsciScintilla::foldLine$
    {86, 960, 1779},	// QsciScintilla::folding
    {86, 971, 1780},	// QsciScintilla::getCursorPosition$$
    {86, 973, 1781},	// QsciScintilla::getSelection$$$$
    {86, 974, 1782},	// QsciScintilla::hasSelectedText
    {86, 983, 1905},	// QsciScintilla::indent$
    {86, 985, 1783},	// QsciScintilla::indentation$
    {86, 987, 1784},	// QsciScintilla::indentationGuides
    {86, 989, 1786},	// QsciScintilla::indentationWidth
    {86, 990, 1785},	// QsciScintilla::indentationsUseTabs
    {86, 992, 1971},	// QsciScintilla::indicatorClicked$$$
    {86, 994, 1994},	// QsciScintilla::indicatorDefine$
    {86, 995, 1787},	// QsciScintilla::indicatorDefine$$
    {86, 997, 1788},	// QsciScintilla::indicatorDrawUnder$
    {86, 999, 1972},	// QsciScintilla::indicatorReleased$$$
    {86, 1005, 1906},	// QsciScintilla::insert$
    {86, 1007, 1907},	// QsciScintilla::insertAt$$$
    {86, 1009, 1789},	// QsciScintilla::isCallTipActive
    {86, 1010, 1790},	// QsciScintilla::isListActive
    {86, 1011, 1791},	// QsciScintilla::isModified
    {86, 1014, 1792},	// QsciScintilla::isReadOnly
    {86, 1015, 1793},	// QsciScintilla::isRedoAvailable
    {86, 1016, 1794},	// QsciScintilla::isUndoAvailable
    {86, 1017, 1795},	// QsciScintilla::isUtf8
    {86, 1019, 1796},	// QsciScintilla::isWordCharacter$
    {86, 1029, 1801},	// QsciScintilla::length
    {86, 1031, 1802},	// QsciScintilla::lexer
    {86, 1034, 1797},	// QsciScintilla::lineAt#
    {86, 1036, 1798},	// QsciScintilla::lineIndexFromPosition$$$
    {86, 1038, 1799},	// QsciScintilla::lineLength$
    {86, 1039, 1800},	// QsciScintilla::lines
    {86, 1040, 1973},	// QsciScintilla::linesChanged
    {86, 1048, 1974},	// QsciScintilla::marginClicked$$$
    {86, 1050, 1803},	// QsciScintilla::marginLineNumbers$
    {86, 1052, 1804},	// QsciScintilla::marginMarkerMask$
    {86, 1053, 1805},	// QsciScintilla::marginOptions
    {86, 1055, 1806},	// QsciScintilla::marginSensitivity$
    {86, 1057, 1807},	// QsciScintilla::marginType$
    {86, 1059, 1808},	// QsciScintilla::marginWidth$
    {86, 1061, 1813},	// QsciScintilla::markerAdd$$
    {86, 1063, -7},	// QsciScintilla::markerDefine#
    {86, 1064, -10},	// QsciScintilla::markerDefine#$
    {86, 1065, -13},	// QsciScintilla::markerDefine$
    {86, 1066, -16},	// QsciScintilla::markerDefine$$
    {86, 1068, 1999},	// QsciScintilla::markerDelete$
    {86, 1069, 1815},	// QsciScintilla::markerDelete$$
    {86, 1070, 2000},	// QsciScintilla::markerDeleteAll
    {86, 1071, 1816},	// QsciScintilla::markerDeleteAll$
    {86, 1073, 1817},	// QsciScintilla::markerDeleteHandle$
    {86, 1075, 1819},	// QsciScintilla::markerFindNext$$
    {86, 1077, 1820},	// QsciScintilla::markerFindPrevious$$
    {86, 1079, 1818},	// QsciScintilla::markerLine$
    {86, 1081, 1814},	// QsciScintilla::markersAtLine$
    {86, 1082, 1725},	// QsciScintilla::metaObject
    {86, 1085, 1975},	// QsciScintilla::modificationAttempted
    {86, 1087, 1976},	// QsciScintilla::modificationChanged$
    {86, 1097, 1908},	// QsciScintilla::moveToMatchingBrace
    {86, 1100, 1821},	// QsciScintilla::overwriteMode
    {86, 1105, 1822},	// QsciScintilla::paper
    {86, 1109, 1909},	// QsciScintilla::paste
    {86, 1113, 1823},	// QsciScintilla::positionFromLineIndex$$
    {86, 1124, 1731},	// QsciScintilla::qt_metacall$$?
    {86, 1126, 1726},	// QsciScintilla::qt_metacast$
    {86, 1129, 1824},	// QsciScintilla::read#
    {86, 1135, 2001},	// QsciScintilla::recolor
    {86, 1136, 2002},	// QsciScintilla::recolor$
    {86, 1137, 1825},	// QsciScintilla::recolor$$
    {86, 1138, 1910},	// QsciScintilla::redo
    {86, 1142, -19},	// QsciScintilla::registerImage$#
    {86, 1145, 1911},	// QsciScintilla::removeSelectedText
    {86, 1147, 1828},	// QsciScintilla::replace$
    {86, 1149, 1912},	// QsciScintilla::replaceSelectedText$
    {86, 1150, 1829},	// QsciScintilla::resetFoldMarginColors
    {86, 1151, 1862},	// QsciScintilla::resetMatchedBraceIndicator
    {86, 1152, 1913},	// QsciScintilla::resetSelectionBackgroundColor
    {86, 1153, 1914},	// QsciScintilla::resetSelectionForegroundColor
    {86, 1154, 1866},	// QsciScintilla::resetUnmatchedBraceIndicator
    {86, 1163, 2012},	// QsciScintilla::selectAll
    {86, 1164, 1915},	// QsciScintilla::selectAll$
    {86, 1165, 1916},	// QsciScintilla::selectToMatchingBrace
    {86, 1166, 1868},	// QsciScintilla::selectedText
    {86, 1167, 1977},	// QsciScintilla::selectionChanged
    {86, 1168, 1869},	// QsciScintilla::selectionToEol
    {86, 1174, 1831},	// QsciScintilla::setAnnotationDisplay$
    {86, 1176, 1917},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {86, 1178, 1833},	// QsciScintilla::setAutoCompletionFillups$
    {86, 1180, 1832},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {86, 1182, 1918},	// QsciScintilla::setAutoCompletionReplaceWord$
    {86, 1184, 1919},	// QsciScintilla::setAutoCompletionShowSingle$
    {86, 1186, 1920},	// QsciScintilla::setAutoCompletionSource$
    {86, 1188, 1921},	// QsciScintilla::setAutoCompletionThreshold$
    {86, 1190, 1922},	// QsciScintilla::setAutoCompletionUseSingle$
    {86, 1192, 1834},	// QsciScintilla::setAutoCompletionWordSeparators?
    {86, 1194, 1923},	// QsciScintilla::setAutoIndent$
    {86, 1200, 1925},	// QsciScintilla::setBackspaceUnindents$
    {86, 1202, 1924},	// QsciScintilla::setBraceMatching$
    {86, 1204, 1835},	// QsciScintilla::setCallTipsBackgroundColor#
    {86, 1206, 1836},	// QsciScintilla::setCallTipsForegroundColor#
    {86, 1208, 1837},	// QsciScintilla::setCallTipsHighlightColor#
    {86, 1210, 1838},	// QsciScintilla::setCallTipsPosition$
    {86, 1212, 1839},	// QsciScintilla::setCallTipsStyle$
    {86, 1214, 1840},	// QsciScintilla::setCallTipsVisible$
    {86, 1216, 1926},	// QsciScintilla::setCaretForegroundColor#
    {86, 1218, 1927},	// QsciScintilla::setCaretLineBackgroundColor#
    {86, 1220, 1928},	// QsciScintilla::setCaretLineVisible$
    {86, 1222, 1929},	// QsciScintilla::setCaretWidth$
    {86, 1228, 1930},	// QsciScintilla::setColor#
    {86, 1231, 1841},	// QsciScintilla::setContractedFolds?
    {86, 1233, 1931},	// QsciScintilla::setCursorPosition$$
    {86, 1245, 1842},	// QsciScintilla::setDocument#
    {86, 1251, 1843},	// QsciScintilla::setEdgeColor#
    {86, 1253, 1844},	// QsciScintilla::setEdgeColumn$
    {86, 1255, 1845},	// QsciScintilla::setEdgeMode$
    {86, 1262, 1932},	// QsciScintilla::setEolMode$
    {86, 1264, 1933},	// QsciScintilla::setEolVisibility$
    {86, 1266, 1871},	// QsciScintilla::setExtraAscent$
    {86, 1268, 1872},	// QsciScintilla::setExtraDescent$
    {86, 1270, 1846},	// QsciScintilla::setFirstVisibleLine$
    {86, 1284, 1830},	// QsciScintilla::setFoldMarginColors##
    {86, 1300, 2013},	// QsciScintilla::setFolding$
    {86, 1301, 1934},	// QsciScintilla::setFolding$$
    {86, 1303, 1769},	// QsciScintilla::setFont#
    {86, 1318, 1935},	// QsciScintilla::setIndentation$$
    {86, 1320, 1936},	// QsciScintilla::setIndentationGuides$
    {86, 1322, 1937},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {86, 1324, 1938},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {86, 1328, 1940},	// QsciScintilla::setIndentationWidth$
    {86, 1330, 1939},	// QsciScintilla::setIndentationsUseTabs$
    {86, 1332, 2003},	// QsciScintilla::setIndicatorDrawUnder$
    {86, 1333, 1847},	// QsciScintilla::setIndicatorDrawUnder$$
    {86, 1335, 2004},	// QsciScintilla::setIndicatorForegroundColor#
    {86, 1336, 1848},	// QsciScintilla::setIndicatorForegroundColor#$
    {86, 1338, 2005},	// QsciScintilla::setIndicatorOutlineColor#
    {86, 1339, 1849},	// QsciScintilla::setIndicatorOutlineColor#$
    {86, 1348, 2014},	// QsciScintilla::setLexer
    {86, 1349, 1941},	// QsciScintilla::setLexer#
    {86, 1355, 1945},	// QsciScintilla::setMarginLineNumbers$$
    {86, 1357, 1946},	// QsciScintilla::setMarginMarkerMask$$
    {86, 1359, 1850},	// QsciScintilla::setMarginOptions$
    {86, 1361, 1947},	// QsciScintilla::setMarginSensitivity$$
    {86, 1363, 1853},	// QsciScintilla::setMarginText$#
    {86, 1364, 1852},	// QsciScintilla::setMarginText$$#
    {86, 1365, 1851},	// QsciScintilla::setMarginText$$$
    {86, 1366, 1854},	// QsciScintilla::setMarginText$?
    {86, 1368, 1855},	// QsciScintilla::setMarginType$$
    {86, 1370, -22},	// QsciScintilla::setMarginWidth$$
    {86, 1372, 1942},	// QsciScintilla::setMarginsBackgroundColor#
    {86, 1374, 1943},	// QsciScintilla::setMarginsFont#
    {86, 1376, 1944},	// QsciScintilla::setMarginsForegroundColor#
    {86, 1378, 2007},	// QsciScintilla::setMarkerBackgroundColor#
    {86, 1379, 1857},	// QsciScintilla::setMarkerBackgroundColor#$
    {86, 1381, 2008},	// QsciScintilla::setMarkerForegroundColor#
    {86, 1382, 1858},	// QsciScintilla::setMarkerForegroundColor#$
    {86, 1384, 1859},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {86, 1386, 1860},	// QsciScintilla::setMatchedBraceForegroundColor#
    {86, 1388, 1861},	// QsciScintilla::setMatchedBraceIndicator$
    {86, 1390, 1950},	// QsciScintilla::setModified$
    {86, 1392, 1873},	// QsciScintilla::setOverwriteMode$
    {86, 1394, 1951},	// QsciScintilla::setPaper#
    {86, 1403, 1952},	// QsciScintilla::setReadOnly$
    {86, 1410, 1953},	// QsciScintilla::setSelection$$$$
    {86, 1412, 1954},	// QsciScintilla::setSelectionBackgroundColor#
    {86, 1414, 1955},	// QsciScintilla::setSelectionForegroundColor#
    {86, 1416, 1870},	// QsciScintilla::setSelectionToEol$
    {86, 1427, 1956},	// QsciScintilla::setTabIndents$
    {86, 1429, 1957},	// QsciScintilla::setTabWidth$
    {86, 1431, 1958},	// QsciScintilla::setText$
    {86, 1437, 1863},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {86, 1439, 1864},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {86, 1441, 1865},	// QsciScintilla::setUnmatchedBraceIndicator$
    {86, 1443, 1959},	// QsciScintilla::setUtf8$
    {86, 1453, 1874},	// QsciScintilla::setWhitespaceBackgroundColor#
    {86, 1455, 1875},	// QsciScintilla::setWhitespaceForegroundColor#
    {86, 1457, 1876},	// QsciScintilla::setWhitespaceSize$
    {86, 1459, 1960},	// QsciScintilla::setWhitespaceVisibility$
    {86, 1461, 1877},	// QsciScintilla::setWrapIndentMode$
    {86, 1463, 1961},	// QsciScintilla::setWrapMode$
    {86, 1465, 2009},	// QsciScintilla::setWrapVisualFlags$
    {86, 1466, 2010},	// QsciScintilla::setWrapVisualFlags$$
    {86, 1467, 1867},	// QsciScintilla::setWrapVisualFlags$$$
    {86, 1470, 1878},	// QsciScintilla::showUserList$?
    {86, 1473, 1879},	// QsciScintilla::standardCommands
    {86, 1478, 2015},	// QsciScintilla::staticMetaObject
    {86, 1486, 1880},	// QsciScintilla::tabIndents
    {86, 1487, 1881},	// QsciScintilla::tabWidth
    {86, 1489, 1882},	// QsciScintilla::text
    {86, 1490, 1883},	// QsciScintilla::text$
    {86, 1492, 1978},	// QsciScintilla::textChanged
    {86, 1494, 1884},	// QsciScintilla::textHeight$
    {86, 1500, 1982},	// QsciScintilla::tr$
    {86, 1501, 1727},	// QsciScintilla::tr$$
    {86, 1502, 1729},	// QsciScintilla::tr$$$
    {86, 1504, 1983},	// QsciScintilla::trUtf8$
    {86, 1505, 1728},	// QsciScintilla::trUtf8$$
    {86, 1506, 1730},	// QsciScintilla::trUtf8$$$
    {86, 1507, 1962},	// QsciScintilla::undo
    {86, 1509, 1963},	// QsciScintilla::unindent$
    {86, 1513, 1979},	// QsciScintilla::userListActivated$$
    {86, 1522, 1885},	// QsciScintilla::whitespaceSize
    {86, 1523, 1886},	// QsciScintilla::whitespaceVisibility
    {86, 1526, 1887},	// QsciScintilla::wordAtLineIndex$$
    {86, 1528, 1888},	// QsciScintilla::wordAtPoint#
    {86, 1529, 1889},	// QsciScintilla::wordCharacters
    {86, 1530, 1891},	// QsciScintilla::wrapIndentMode
    {86, 1531, 1890},	// QsciScintilla::wrapMode
    {86, 1533, 1892},	// QsciScintilla::write#
    {86, 1540, 1965},	// QsciScintilla::zoomIn
    {86, 1541, 1964},	// QsciScintilla::zoomIn$
    {86, 1542, 1967},	// QsciScintilla::zoomOut
    {86, 1543, 1966},	// QsciScintilla::zoomOut$
    {86, 1545, 1968},	// QsciScintilla::zoomTo$
    {86, 1583, 2112},	// QsciScintilla::~QsciScintilla
    {87, 446, 2136},	// QsciScintillaBase::QSCN_SELCHANGED$
    {87, 528, 2186},	// QsciScintillaBase::QsciScintillaBase
    {87, 529, 2120},	// QsciScintillaBase::QsciScintillaBase#
    {87, 566, 2140},	// QsciScintillaBase::SCEN_CHANGE
    {87, 567, 2137},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {87, 568, 2138},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {87, 570, 2139},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {87, 572, 2141},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {87, 574, 2142},	// QsciScintillaBase::SCN_CHARADDED$
    {87, 576, 2143},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {87, 578, 2144},	// QsciScintillaBase::SCN_DWELLEND$$$
    {87, 580, 2145},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {87, 582, 2146},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {87, 584, 2147},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {87, 586, 2148},	// QsciScintillaBase::SCN_HOTSPOTRELEASECLICK$$
    {87, 588, 2149},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {87, 590, 2150},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {87, 592, 2151},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {87, 594, 2152},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {87, 596, 2153},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {87, 597, 2154},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {87, 599, 2155},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {87, 600, 2156},	// QsciScintillaBase::SCN_PAINTED
    {87, 601, 2157},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {87, 602, 2158},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {87, 604, 2159},	// QsciScintillaBase::SCN_STYLENEEDED$
    {87, 606, 2160},	// QsciScintillaBase::SCN_UPDATEUI$
    {87, 608, 2161},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {87, 609, 2162},	// QsciScintillaBase::SCN_ZOOM
    {87, 611, -25},	// QsciScintillaBase::SC_FONT_SIZE_MULTIPLIER
    {87, 637, 2187},	// QsciScintillaBase::SendScintilla$
    {87, 638, 2131},	// QsciScintillaBase::SendScintilla$#
    {87, 639, -72},	// QsciScintillaBase::SendScintilla$$
    {87, 640, -77},	// QsciScintillaBase::SendScintilla$$#
    {87, 641, 2132},	// QsciScintillaBase::SendScintilla$$##$$
    {87, 642, -81},	// QsciScintillaBase::SendScintilla$$$
    {87, 643, 2129},	// QsciScintillaBase::SendScintilla$$$$
    {87, 645, 2135},	// QsciScintillaBase::SendScintillaPtrResult$
    {87, 830, 2163},	// QsciScintillaBase::canInsertFromMimeData#
    {87, 858, 2166},	// QsciScintillaBase::contextMenuEvent#
    {87, 889, 2167},	// QsciScintillaBase::dragEnterEvent#
    {87, 891, 2168},	// QsciScintillaBase::dragLeaveEvent#
    {87, 893, 2169},	// QsciScintillaBase::dragMoveEvent#
    {87, 895, 2170},	// QsciScintillaBase::dropEvent#
    {87, 938, 2171},	// QsciScintillaBase::focusInEvent#
    {87, 940, 2173},	// QsciScintillaBase::focusNextPrevChild$
    {87, 942, 2172},	// QsciScintillaBase::focusOutEvent#
    {87, 969, 2164},	// QsciScintillaBase::fromMimeData#$
    {87, 1002, 2175},	// QsciScintillaBase::inputMethodEvent#
    {87, 1022, 2174},	// QsciScintillaBase::keyPressEvent#
    {87, 1082, 2113},	// QsciScintillaBase::metaObject
    {87, 1089, 2176},	// QsciScintillaBase::mouseDoubleClickEvent#
    {87, 1091, 2177},	// QsciScintillaBase::mouseMoveEvent#
    {87, 1093, 2178},	// QsciScintillaBase::mousePressEvent#
    {87, 1095, 2179},	// QsciScintillaBase::mouseReleaseEvent#
    {87, 1103, 2180},	// QsciScintillaBase::paintEvent#
    {87, 1111, 2121},	// QsciScintillaBase::pool
    {87, 1124, 2119},	// QsciScintillaBase::qt_metacall$$?
    {87, 1126, 2114},	// QsciScintillaBase::qt_metacast$
    {87, 1156, 2181},	// QsciScintillaBase::resizeEvent#
    {87, 1162, 2182},	// QsciScintillaBase::scrollContentsBy$$
    {87, 1408, 2183},	// QsciScintillaBase::setScrollBars
    {87, 1478, 2189},	// QsciScintillaBase::staticMetaObject
    {87, 1497, 2165},	// QsciScintillaBase::toMimeData#$
    {87, 1500, 2184},	// QsciScintillaBase::tr$
    {87, 1501, 2115},	// QsciScintillaBase::tr$$
    {87, 1502, 2117},	// QsciScintillaBase::tr$$$
    {87, 1504, 2185},	// QsciScintillaBase::trUtf8$
    {87, 1505, 2116},	// QsciScintillaBase::trUtf8$$
    {87, 1506, 2118},	// QsciScintillaBase::trUtf8$$$
    {87, 1584, 2236},	// QsciScintillaBase::~QsciScintillaBase
    {88, 348, 2265},	// QsciStyle::LowerCase
    {88, 375, 2263},	// QsciStyle::OriginalCase
    {88, 530, 2261},	// QsciStyle::QsciStyle
    {88, 531, 2260},	// QsciStyle::QsciStyle#
    {88, 532, 2237},	// QsciStyle::QsciStyle$
    {88, 533, 2262},	// QsciStyle::QsciStyle$$###
    {88, 534, 2238},	// QsciStyle::QsciStyle$$###$
    {88, 720, 2264},	// QsciStyle::UpperCase
    {88, 792, 2239},	// QsciStyle::apply#
    {88, 836, 2256},	// QsciStyle::changeable
    {88, 850, 2244},	// QsciStyle::color
    {88, 880, 2242},	// QsciStyle::description
    {88, 907, 2250},	// QsciStyle::eolFill
    {88, 961, 2248},	// QsciStyle::font
    {88, 981, 2258},	// QsciStyle::hotspot
    {88, 1105, 2246},	// QsciStyle::paper
    {88, 1139, 2259},	// QsciStyle::refresh
    {88, 1226, 2255},	// QsciStyle::setChangeable$
    {88, 1228, 2243},	// QsciStyle::setColor#
    {88, 1241, 2241},	// QsciStyle::setDescription$
    {88, 1259, 2249},	// QsciStyle::setEolFill$
    {88, 1303, 2247},	// QsciStyle::setFont#
    {88, 1316, 2257},	// QsciStyle::setHotspot$
    {88, 1394, 2245},	// QsciStyle::setPaper#
    {88, 1433, 2251},	// QsciStyle::setTextCase$
    {88, 1451, 2253},	// QsciStyle::setVisible$
    {88, 1480, 2240},	// QsciStyle::style
    {88, 1491, 2252},	// QsciStyle::textCase
    {88, 1520, 2254},	// QsciStyle::visible
    {88, 1585, 2266},	// QsciStyle::~QsciStyle
    {89, 536, 2272},	// QsciStyledText::QsciStyledText#
    {89, 537, 2268},	// QsciStyledText::QsciStyledText$#
    {89, 538, 2267},	// QsciStyledText::QsciStyledText$$
    {89, 792, 2269},	// QsciStyledText::apply#
    {89, 1480, 2271},	// QsciStyledText::style
    {89, 1489, 2270},	// QsciStyledText::text
    {89, 1586, 2273},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 89,
        __smokeqsci::methods, 2274,
        __smokeqsci::methodMaps, 2172,
        __smokeqsci::methodNames, 1586,
        __smokeqsci::types, 224,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
